/* MainView.c generated by valac 0.56.18, the Vala compiler
 * generated from MainView.vala, do not modify */

/*
 * Copyright (c) 2015-2019 elementary, Inc. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Adam Bieńkowski <donadigos159@gmail.com>
 */

#include "network.h"
#include <NetworkManager.h>
#include <granite-7.h>
#include <gtk/gtk.h>
#include <glib.h>
#include <gee.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include <adwaita.h>
#include <gio/gio.h>

#if !defined(VALA_STRICT_C)
#if !defined(__clang__) && defined(__GNUC__) && (__GNUC__ >= 14)
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#elif defined(__clang__) && (__clang_major__ >= 16)
#pragma clang diagnostic ignored "-Wincompatible-function-pointer-types"
#pragma clang diagnostic ignored "-Wincompatible-pointer-types"
#endif
#endif

enum  {
	NETWORK_MAIN_VIEW_0_PROPERTY,
	NETWORK_MAIN_VIEW_STATE_PROPERTY,
	NETWORK_MAIN_VIEW_NUM_PROPERTIES
};
static GParamSpec* network_main_view_properties[NETWORK_MAIN_VIEW_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) ((var == NULL) ? NULL : (var = (g_free (var), NULL)))

#define NETWORK_MAIN_VIEW_TYPE_SIDEBAR (network_main_view_sidebar_get_type ())
#define NETWORK_MAIN_VIEW_SIDEBAR(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NETWORK_MAIN_VIEW_TYPE_SIDEBAR, NetworkMainViewSidebar))
#define NETWORK_MAIN_VIEW_SIDEBAR_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NETWORK_MAIN_VIEW_TYPE_SIDEBAR, NetworkMainViewSidebarClass))
#define NETWORK_MAIN_VIEW_IS_SIDEBAR(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NETWORK_MAIN_VIEW_TYPE_SIDEBAR))
#define NETWORK_MAIN_VIEW_IS_SIDEBAR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NETWORK_MAIN_VIEW_TYPE_SIDEBAR))
#define NETWORK_MAIN_VIEW_SIDEBAR_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NETWORK_MAIN_VIEW_TYPE_SIDEBAR, NetworkMainViewSidebarClass))

typedef struct _NetworkMainViewSidebar NetworkMainViewSidebar;
typedef struct _NetworkMainViewSidebarClass NetworkMainViewSidebarClass;
typedef struct _NetworkMainViewSidebarPrivate NetworkMainViewSidebarPrivate;
enum  {
	NETWORK_MAIN_VIEW_SIDEBAR_0_PROPERTY,
	NETWORK_MAIN_VIEW_SIDEBAR_NUM_PROPERTIES
};
static GParamSpec* network_main_view_sidebar_properties[NETWORK_MAIN_VIEW_SIDEBAR_NUM_PROPERTIES];
typedef struct _Block2Data Block2Data;
#define _g_variant_unref0(var) ((var == NULL) ? NULL : (var = (g_variant_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_settings_schema_unref0(var) ((var == NULL) ? NULL : (var = (g_settings_schema_unref (var), NULL)))

struct _NetworkMainViewPrivate {
	NMDeviceState _state;
	GraniteHeaderLabel* devices_header;
	GraniteHeaderLabel* virtual_header;
	GtkListBox* device_list;
	GtkStack* content;
	NMDevice* current_device;
	NetworkVPNPage* vpn_page;
};

struct _NetworkMainViewSidebar {
	GtkBox parent_instance;
	NetworkMainViewSidebarPrivate * priv;
};

struct _NetworkMainViewSidebarClass {
	GtkBoxClass parent_class;
};

struct _Block2Data {
	int _ref_count_;
	NetworkMainView* self;
	GtkSwitch* airplane_switch;
	NMClient* nm_client;
};

static gint NetworkMainView_private_offset;
static gpointer network_main_view_parent_class = NULL;
static gpointer network_main_view_sidebar_parent_class = NULL;

static void _g_object_unref0_ (gpointer var);
static inline void _g_list_free__g_object_unref0_ (GList* self);
static void network_main_view_device_removed_cb (NetworkMainView* self,
                                          NMDevice* device);
static void network_main_view_remove_interface (NetworkMainView* self,
                                         NetworkWidgetsPage* widget_interface);
static void network_main_view_update_interfaces_names (NetworkMainView* self);
static gint* _int_dup (gint* self);
static void network_main_view_connection_added_cb (NetworkMainView* self,
                                            NMRemoteConnection* connection);
static void network_main_view_connection_removed_cb (NetworkMainView* self,
                                              NMRemoteConnection* connection);
static void network_main_view_device_added_cb (NetworkMainView* self,
                                        NMDevice* device);
static void network_main_view_add_interface (NetworkMainView* self,
                                      NetworkWidgetsPage* page);
static void network_main_view_update_state (NetworkMainView* self);
static void _network_main_view_update_state_g_object_notify (GObject* _sender,
                                                      GParamSpec* pspec,
                                                      gpointer self);
static void network_main_view_set_state (NetworkMainView* self,
                                  NMDeviceState value);
static void network_main_view_update_networking_state (NetworkMainView* self);
static void network_main_view_remove_iface_from_list (NetworkMainView* self,
                                               NetworkWidgetsPage* iface);
static gint network_main_view_sort_func (NetworkMainView* self,
                                  GtkListBoxRow* row1,
                                  GtkListBoxRow* row2);
static void network_main_view_update_headers (NetworkMainView* self,
                                       GtkListBoxRow* row,
                                       GtkListBoxRow* before);
static GType network_main_view_sidebar_get_type (void) G_GNUC_CONST  G_GNUC_UNUSED ;
static NetworkMainViewSidebar* network_main_view_sidebar_new (void);
static NetworkMainViewSidebar* network_main_view_sidebar_construct (GType object_type);
static GObject * network_main_view_sidebar_constructor (GType type,
                                                 guint n_construct_properties,
                                                 GObjectConstructParam * construct_properties);
static GType network_main_view_sidebar_get_type_once (void);
static GObject * network_main_view_constructor (GType type,
                                         guint n_construct_properties,
                                         GObjectConstructParam * construct_properties);
static Block2Data* block2_data_ref (Block2Data* _data2_);
static void block2_data_unref (void * _userdata_);
static gint _network_main_view_sort_func_gtk_list_box_sort_func (GtkListBoxRow* row1,
                                                          GtkListBoxRow* row2,
                                                          gpointer self);
static void _network_main_view_update_headers_gtk_list_box_update_header_func (GtkListBoxRow* row,
                                                                        GtkListBoxRow* before,
                                                                        gpointer self);
static void _network_main_view___lambda46_ (NetworkMainView* self,
                                     GtkListBoxRow* row);
static void __network_main_view___lambda46__gtk_list_box_row_selected (GtkListBox* _sender,
                                                                GtkListBoxRow* row,
                                                                gpointer self);
static void _network_main_view___lambda47_ (NetworkMainView* self,
                                     GtkListBoxRow* row);
static void __network_main_view___lambda47__gtk_list_box_row_activated (GtkListBox* _sender,
                                                                 GtkListBoxRow* row,
                                                                 gpointer self);
static void _network_main_view_connection_added_cb_nm_client_connection_added (NMClient* _sender,
                                                                        NMRemoteConnection* connection,
                                                                        gpointer self);
static void _network_main_view_connection_removed_cb_nm_client_connection_removed (NMClient* _sender,
                                                                            NMRemoteConnection* connection,
                                                                            gpointer self);
static void _network_main_view_device_added_cb_nm_client_device_added (NMClient* _sender,
                                                                NMDevice* device,
                                                                gpointer self);
static void _network_main_view_device_removed_cb_nm_client_device_removed (NMClient* _sender,
                                                                    NMDevice* device,
                                                                    gpointer self);
static void _network_main_view___lambda48_ (NetworkMainView* self,
                                     NMDevice* device);
static void __network_main_view___lambda48__gfunc (gconstpointer data,
                                            gpointer self);
static void _network_main_view___lambda49_ (NetworkMainView* self,
                                     NMRemoteConnection* connection);
static void __network_main_view___lambda49__gfunc (gconstpointer data,
                                            gpointer self);
static void _network_main_view_update_networking_state_g_object_notify (GObject* _sender,
                                                                 GParamSpec* pspec,
                                                                 gpointer self);
static void _network_main_view___lambda50_ (Block2Data* _data2_);
static GVariant* _variant_new1 (gboolean value);
static void __lambda51_ (Block2Data* _data2_,
                  GObject* obj,
                  GAsyncResult* res);
static void ___lambda51__gasync_ready_callback (GObject* source_object,
                                         GAsyncResult* res,
                                         gpointer self);
static void __network_main_view___lambda50__g_object_notify (GObject* _sender,
                                                      GParamSpec* pspec,
                                                      gpointer self);
static void network_main_view_finalize (GObject * obj);
static GType network_main_view_get_type_once (void);
static void _vala_network_main_view_get_property (GObject * object,
                                           guint property_id,
                                           GValue * value,
                                           GParamSpec * pspec);
static void _vala_network_main_view_set_property (GObject * object,
                                           guint property_id,
                                           const GValue * value,
                                           GParamSpec * pspec);
static void _vala_array_destroy (gpointer array,
                          gssize array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gssize array_length,
                       GDestroyNotify destroy_func);

static inline gpointer
network_main_view_get_instance_private (NetworkMainView* self)
{
	return G_STRUCT_MEMBER_P (self, NetworkMainView_private_offset);
}

static void
_g_object_unref0_ (gpointer var)
{
#line 21 "../src/MainView.vala"
	(var == NULL) ? NULL : (var = (g_object_unref (var), NULL));
#line 226 "MainView.c"
}

static inline void
_g_list_free__g_object_unref0_ (GList* self)
{
#line 21 "../src/MainView.vala"
	g_list_free_full (self, (GDestroyNotify) _g_object_unref0_);
#line 234 "MainView.c"
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 165 "../src/MainView.vala"
	return self ? g_object_ref (self) : NULL;
#line 242 "MainView.c"
}

static GList*
vala_g_list_remove_full (GList* self,
                         gconstpointer data,
                         GFreeFunc func)
{
	GList* l = NULL;
	GList* result;
#line 5234 "glib-2.0.vapi"
	l = self;
#line 5235 "glib-2.0.vapi"
	while (TRUE) {
#line 256 "MainView.c"
		GList* _tmp0_;
		GList* _tmp1_;
		gconstpointer _tmp2_;
#line 5235 "glib-2.0.vapi"
		_tmp0_ = l;
#line 5235 "glib-2.0.vapi"
		if (!(_tmp0_ != NULL)) {
#line 5235 "glib-2.0.vapi"
			break;
#line 266 "MainView.c"
		}
#line 5236 "glib-2.0.vapi"
		_tmp1_ = l;
#line 5236 "glib-2.0.vapi"
		_tmp2_ = ((GList*) _tmp1_)->data;
#line 5236 "glib-2.0.vapi"
		if (_tmp2_ != data) {
#line 274 "MainView.c"
			GList* _tmp3_;
			GList* _tmp4_;
#line 5237 "glib-2.0.vapi"
			_tmp3_ = l;
#line 5237 "glib-2.0.vapi"
			_tmp4_ = ((GList*) _tmp3_)->next;
#line 5237 "glib-2.0.vapi"
			l = _tmp4_;
#line 283 "MainView.c"
		} else {
			GList* _tmp5_;
			gconstpointer _tmp6_;
			GList* _tmp7_;
#line 5239 "glib-2.0.vapi"
			_tmp5_ = l;
#line 5239 "glib-2.0.vapi"
			_tmp6_ = ((GList*) _tmp5_)->data;
#line 5239 "glib-2.0.vapi"
			func (_tmp6_);
#line 5240 "glib-2.0.vapi"
			_tmp7_ = l;
#line 5240 "glib-2.0.vapi"
			self = g_list_delete_link (self, (GList*) _tmp7_);
#line 5241 "glib-2.0.vapi"
			break;
#line 300 "MainView.c"
		}
	}
#line 5244 "glib-2.0.vapi"
	result = self;
#line 5244 "glib-2.0.vapi"
	return result;
#line 307 "MainView.c"
}

static void
network_main_view_device_removed_cb (NetworkMainView* self,
                                     NMDevice* device)
{
	GList* _tmp0_;
#line 164 "../src/MainView.vala"
	g_return_if_fail (self != NULL);
#line 164 "../src/MainView.vala"
	g_return_if_fail (device != NULL);
#line 165 "../src/MainView.vala"
	_tmp0_ = self->network_interface;
#line 321 "MainView.c"
	{
		GList* widget_interface_collection = NULL;
		GList* widget_interface_it = NULL;
#line 165 "../src/MainView.vala"
		widget_interface_collection = _tmp0_;
#line 165 "../src/MainView.vala"
		for (widget_interface_it = widget_interface_collection; widget_interface_it != NULL; widget_interface_it = widget_interface_it->next) {
#line 329 "MainView.c"
			NetworkWidgetsPage* _tmp1_;
			NetworkWidgetsPage* widget_interface = NULL;
#line 165 "../src/MainView.vala"
			_tmp1_ = _g_object_ref0 ((NetworkWidgetsPage*) widget_interface_it->data);
#line 165 "../src/MainView.vala"
			widget_interface = _tmp1_;
#line 336 "MainView.c"
			{
				NetworkWidgetsPage* _tmp2_;
				NMDevice* _tmp3_;
				NMDevice* _tmp4_;
#line 166 "../src/MainView.vala"
				_tmp2_ = widget_interface;
#line 166 "../src/MainView.vala"
				_tmp3_ = network_widgets_page_get_device (_tmp2_);
#line 166 "../src/MainView.vala"
				_tmp4_ = _tmp3_;
#line 166 "../src/MainView.vala"
				if (_tmp4_ == device) {
#line 349 "MainView.c"
					NetworkWidgetsPage* _tmp5_;
					NetworkWidgetsPage* _tmp6_;
#line 167 "../src/MainView.vala"
					_tmp5_ = widget_interface;
#line 167 "../src/MainView.vala"
					self->network_interface = vala_g_list_remove_full (self->network_interface, _tmp5_, _g_object_unref0_);
#line 170 "../src/MainView.vala"
					_tmp6_ = widget_interface;
#line 170 "../src/MainView.vala"
					network_main_view_remove_interface (self, _tmp6_);
#line 171 "../src/MainView.vala"
					_g_object_unref0 (widget_interface);
#line 171 "../src/MainView.vala"
					break;
#line 364 "MainView.c"
				}
#line 165 "../src/MainView.vala"
				_g_object_unref0 (widget_interface);
#line 368 "MainView.c"
			}
		}
	}
#line 175 "../src/MainView.vala"
	network_main_view_update_interfaces_names (self);
#line 374 "MainView.c"
}

static gint*
_int_dup (gint* self)
{
	gint* dup;
#line 179 "../src/MainView.vala"
	dup = g_new0 (gint, 1);
#line 179 "../src/MainView.vala"
	memcpy (dup, self, sizeof (gint));
#line 179 "../src/MainView.vala"
	return dup;
#line 387 "MainView.c"
}

static void
network_main_view_update_interfaces_names (NetworkMainView* self)
{
	GeeHashMap* count_type = NULL;
	GeeHashMap* _tmp0_;
	GList* _tmp1_;
	GList* _tmp18_;
#line 178 "../src/MainView.vala"
	g_return_if_fail (self != NULL);
#line 179 "../src/MainView.vala"
	_tmp0_ = gee_hash_map_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, G_TYPE_INT, (GBoxedCopyFunc) _int_dup, (GDestroyNotify) g_free, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
#line 179 "../src/MainView.vala"
	count_type = _tmp0_;
#line 180 "../src/MainView.vala"
	_tmp1_ = self->network_interface;
#line 405 "MainView.c"
	{
		GList* iface_collection = NULL;
		GList* iface_it = NULL;
#line 180 "../src/MainView.vala"
		iface_collection = _tmp1_;
#line 180 "../src/MainView.vala"
		for (iface_it = iface_collection; iface_it != NULL; iface_it = iface_it->next) {
#line 413 "MainView.c"
			NetworkWidgetsPage* _tmp2_;
			NetworkWidgetsPage* iface = NULL;
#line 180 "../src/MainView.vala"
			_tmp2_ = _g_object_ref0 ((NetworkWidgetsPage*) iface_it->data);
#line 180 "../src/MainView.vala"
			iface = _tmp2_;
#line 420 "MainView.c"
			{
				gchar* type = NULL;
				NetworkWidgetsPage* _tmp3_;
				const gchar* _tmp4_;
				gchar* _tmp5_;
				GeeHashMap* _tmp6_;
				const gchar* _tmp7_;
#line 181 "../src/MainView.vala"
				_tmp3_ = iface;
#line 181 "../src/MainView.vala"
				_tmp4_ = g_type_name (G_TYPE_FROM_INSTANCE ((GObject*) _tmp3_));
#line 181 "../src/MainView.vala"
				_tmp5_ = g_strdup (_tmp4_);
#line 181 "../src/MainView.vala"
				type = _tmp5_;
#line 182 "../src/MainView.vala"
				_tmp6_ = count_type;
#line 182 "../src/MainView.vala"
				_tmp7_ = type;
#line 182 "../src/MainView.vala"
				if (gee_abstract_map_has_key ((GeeAbstractMap*) _tmp6_, _tmp7_)) {
#line 442 "MainView.c"
					GeeHashMap* _tmp8_;
					const gchar* _tmp9_;
					GeeHashMap* _tmp10_;
					const gchar* _tmp11_;
					gpointer _tmp12_;
					gint* _tmp13_;
					gint _tmp14_;
#line 183 "../src/MainView.vala"
					_tmp8_ = count_type;
#line 183 "../src/MainView.vala"
					_tmp9_ = type;
#line 183 "../src/MainView.vala"
					_tmp10_ = count_type;
#line 183 "../src/MainView.vala"
					_tmp11_ = type;
#line 183 "../src/MainView.vala"
					_tmp12_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp10_, _tmp11_);
#line 183 "../src/MainView.vala"
					_tmp13_ = (gint*) _tmp12_;
#line 183 "../src/MainView.vala"
					_tmp14_ = (*_tmp13_) + 1;
#line 183 "../src/MainView.vala"
					gee_abstract_map_set ((GeeAbstractMap*) _tmp8_, _tmp9_, &_tmp14_);
#line 183 "../src/MainView.vala"
					_g_free0 (_tmp13_);
#line 468 "MainView.c"
				} else {
					GeeHashMap* _tmp15_;
					const gchar* _tmp16_;
					gint _tmp17_;
#line 185 "../src/MainView.vala"
					_tmp15_ = count_type;
#line 185 "../src/MainView.vala"
					_tmp16_ = type;
#line 185 "../src/MainView.vala"
					_tmp17_ = 1;
#line 185 "../src/MainView.vala"
					gee_abstract_map_set ((GeeAbstractMap*) _tmp15_, _tmp16_, &_tmp17_);
#line 481 "MainView.c"
				}
#line 180 "../src/MainView.vala"
				_g_free0 (type);
#line 180 "../src/MainView.vala"
				_g_object_unref0 (iface);
#line 487 "MainView.c"
			}
		}
	}
#line 189 "../src/MainView.vala"
	_tmp18_ = self->network_interface;
#line 493 "MainView.c"
	{
		GList* iface_collection = NULL;
		GList* iface_it = NULL;
#line 189 "../src/MainView.vala"
		iface_collection = _tmp18_;
#line 189 "../src/MainView.vala"
		for (iface_it = iface_collection; iface_it != NULL; iface_it = iface_it->next) {
#line 501 "MainView.c"
			NetworkWidgetsPage* _tmp19_;
			NetworkWidgetsPage* iface = NULL;
#line 189 "../src/MainView.vala"
			_tmp19_ = _g_object_ref0 ((NetworkWidgetsPage*) iface_it->data);
#line 189 "../src/MainView.vala"
			iface = _tmp19_;
#line 508 "MainView.c"
			{
				gchar* type = NULL;
				NetworkWidgetsPage* _tmp20_;
				const gchar* _tmp21_;
				gchar* _tmp22_;
				NetworkWidgetsPage* _tmp23_;
				GeeHashMap* _tmp24_;
				const gchar* _tmp25_;
				gpointer _tmp26_;
				gint* _tmp27_;
#line 190 "../src/MainView.vala"
				_tmp20_ = iface;
#line 190 "../src/MainView.vala"
				_tmp21_ = g_type_name (G_TYPE_FROM_INSTANCE ((GObject*) _tmp20_));
#line 190 "../src/MainView.vala"
				_tmp22_ = g_strdup (_tmp21_);
#line 190 "../src/MainView.vala"
				type = _tmp22_;
#line 191 "../src/MainView.vala"
				_tmp23_ = iface;
#line 191 "../src/MainView.vala"
				_tmp24_ = count_type;
#line 191 "../src/MainView.vala"
				_tmp25_ = type;
#line 191 "../src/MainView.vala"
				_tmp26_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp24_, _tmp25_);
#line 191 "../src/MainView.vala"
				_tmp27_ = (gint*) _tmp26_;
#line 191 "../src/MainView.vala"
				network_widgets_page_update_name (_tmp23_, *_tmp27_);
#line 191 "../src/MainView.vala"
				_g_free0 (_tmp27_);
#line 189 "../src/MainView.vala"
				_g_free0 (type);
#line 189 "../src/MainView.vala"
				_g_object_unref0 (iface);
#line 545 "MainView.c"
			}
		}
	}
#line 178 "../src/MainView.vala"
	_g_object_unref0 (count_type);
#line 551 "MainView.c"
}

static void
network_main_view_connection_added_cb (NetworkMainView* self,
                                       NMRemoteConnection* connection)
{
	const gchar* _tmp0_;
	const gchar* _tmp1_;
	GQuark _tmp3_ = 0U;
#line 196 "../src/MainView.vala"
	static GQuark _tmp2_label0 = 0;
#line 196 "../src/MainView.vala"
	static GQuark _tmp2_label1 = 0;
#line 195 "../src/MainView.vala"
	g_return_if_fail (self != NULL);
#line 195 "../src/MainView.vala"
	g_return_if_fail (connection != NULL);
#line 196 "../src/MainView.vala"
	_tmp0_ = nm_connection_get_connection_type ((NMConnection*) connection);
#line 196 "../src/MainView.vala"
	_tmp1_ = _tmp0_;
#line 196 "../src/MainView.vala"
	_tmp3_ = (NULL == _tmp1_) ? 0 : g_quark_from_string (_tmp1_);
#line 196 "../src/MainView.vala"
	if ((_tmp3_ == ((0 != _tmp2_label0) ? _tmp2_label0 : (_tmp2_label0 = g_quark_from_static_string (NM_SETTING_WIREGUARD_SETTING_NAME)))) || (_tmp3_ == ((0 != _tmp2_label1) ? _tmp2_label1 : (_tmp2_label1 = g_quark_from_static_string (NM_SETTING_VPN_SETTING_NAME))))) {
#line 196 "../src/MainView.vala"
		switch (0) {
#line 579 "MainView.c"
			default:
			{
				NetworkVPNPage* _tmp4_;
#line 199 "../src/MainView.vala"
				_tmp4_ = self->priv->vpn_page;
#line 199 "../src/MainView.vala"
				network_vpn_page_add_connection (_tmp4_, connection);
#line 200 "../src/MainView.vala"
				break;
#line 589 "MainView.c"
			}
		}
	} else {
#line 196 "../src/MainView.vala"
		switch (0) {
#line 595 "MainView.c"
			default:
			{
#line 202 "../src/MainView.vala"
				break;
#line 600 "MainView.c"
			}
		}
	}
}

static void
network_main_view_connection_removed_cb (NetworkMainView* self,
                                         NMRemoteConnection* connection)
{
	const gchar* _tmp0_;
	const gchar* _tmp1_;
	GQuark _tmp3_ = 0U;
#line 207 "../src/MainView.vala"
	static GQuark _tmp2_label0 = 0;
#line 207 "../src/MainView.vala"
	static GQuark _tmp2_label1 = 0;
#line 206 "../src/MainView.vala"
	g_return_if_fail (self != NULL);
#line 206 "../src/MainView.vala"
	g_return_if_fail (connection != NULL);
#line 207 "../src/MainView.vala"
	_tmp0_ = nm_connection_get_connection_type ((NMConnection*) connection);
#line 207 "../src/MainView.vala"
	_tmp1_ = _tmp0_;
#line 207 "../src/MainView.vala"
	_tmp3_ = (NULL == _tmp1_) ? 0 : g_quark_from_string (_tmp1_);
#line 207 "../src/MainView.vala"
	if ((_tmp3_ == ((0 != _tmp2_label0) ? _tmp2_label0 : (_tmp2_label0 = g_quark_from_static_string (NM_SETTING_WIREGUARD_SETTING_NAME)))) || (_tmp3_ == ((0 != _tmp2_label1) ? _tmp2_label1 : (_tmp2_label1 = g_quark_from_static_string (NM_SETTING_VPN_SETTING_NAME))))) {
#line 207 "../src/MainView.vala"
		switch (0) {
#line 631 "MainView.c"
			default:
			{
				NetworkVPNPage* _tmp4_;
#line 210 "../src/MainView.vala"
				_tmp4_ = self->priv->vpn_page;
#line 210 "../src/MainView.vala"
				network_vpn_page_remove_connection (_tmp4_, connection);
#line 211 "../src/MainView.vala"
				break;
#line 641 "MainView.c"
			}
		}
	} else {
#line 207 "../src/MainView.vala"
		switch (0) {
#line 647 "MainView.c"
			default:
			{
#line 213 "../src/MainView.vala"
				break;
#line 652 "MainView.c"
			}
		}
	}
}

static void
_network_main_view_update_state_g_object_notify (GObject* _sender,
                                                 GParamSpec* pspec,
                                                 gpointer self)
{
#line 246 "../src/MainView.vala"
	network_main_view_update_state ((NetworkMainView*) self);
#line 665 "MainView.c"
}

static void
network_main_view_device_added_cb (NetworkMainView* self,
                                   NMDevice* device)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	const gchar* _tmp2_;
	NetworkWidgetsPage* widget_interface = NULL;
	NetworkWidgetsPage* hotspot_interface = NULL;
	NetworkWidgetsPage* _tmp11_;
	NetworkWidgetsPage* _tmp16_;
	GList* _tmp21_;
#line 217 "../src/MainView.vala"
	g_return_if_fail (self != NULL);
#line 217 "../src/MainView.vala"
	g_return_if_fail (device != NULL);
#line 218 "../src/MainView.vala"
	_tmp2_ = nm_device_get_iface (device);
#line 218 "../src/MainView.vala"
	if (g_str_has_prefix (_tmp2_, "vmnet")) {
#line 218 "../src/MainView.vala"
		_tmp1_ = TRUE;
#line 690 "MainView.c"
	} else {
		const gchar* _tmp3_;
#line 219 "../src/MainView.vala"
		_tmp3_ = nm_device_get_iface (device);
#line 219 "../src/MainView.vala"
		_tmp1_ = g_str_has_prefix (_tmp3_, "lo");
#line 697 "MainView.c"
	}
#line 218 "../src/MainView.vala"
	if (_tmp1_) {
#line 218 "../src/MainView.vala"
		_tmp0_ = TRUE;
#line 703 "MainView.c"
	} else {
		const gchar* _tmp4_;
#line 220 "../src/MainView.vala"
		_tmp4_ = nm_device_get_iface (device);
#line 220 "../src/MainView.vala"
		_tmp0_ = g_str_has_prefix (_tmp4_, "veth");
#line 710 "MainView.c"
	}
#line 218 "../src/MainView.vala"
	if (_tmp0_) {
#line 221 "../src/MainView.vala"
		return;
#line 716 "MainView.c"
	}
#line 224 "../src/MainView.vala"
	widget_interface = NULL;
#line 225 "../src/MainView.vala"
	hotspot_interface = NULL;
#line 227 "../src/MainView.vala"
	if (G_TYPE_CHECK_INSTANCE_TYPE (device, nm_device_wifi_get_type ())) {
#line 724 "MainView.c"
		NetworkWifiInterface* _tmp5_;
		NetworkWidgetsPage* _tmp6_;
		NetworkWidgetsHotspotInterface* _tmp7_;
#line 228 "../src/MainView.vala"
		_tmp5_ = network_wifi_interface_new (device);
#line 228 "../src/MainView.vala"
		g_object_ref_sink (_tmp5_);
#line 228 "../src/MainView.vala"
		_g_object_unref0 (widget_interface);
#line 228 "../src/MainView.vala"
		widget_interface = (NetworkWidgetsPage*) _tmp5_;
#line 229 "../src/MainView.vala"
		_tmp6_ = widget_interface;
#line 229 "../src/MainView.vala"
		_tmp7_ = network_widgets_hotspot_interface_new (G_TYPE_CHECK_INSTANCE_CAST (_tmp6_, NETWORK_TYPE_WIFI_INTERFACE, NetworkWifiInterface));
#line 229 "../src/MainView.vala"
		g_object_ref_sink (_tmp7_);
#line 229 "../src/MainView.vala"
		_g_object_unref0 (hotspot_interface);
#line 229 "../src/MainView.vala"
		hotspot_interface = (NetworkWidgetsPage*) _tmp7_;
#line 231 "../src/MainView.vala"
		g_debug ("MainView.vala:231: Wifi interface added");
#line 748 "MainView.c"
	} else {
#line 232 "../src/MainView.vala"
		if (G_TYPE_CHECK_INSTANCE_TYPE (device, nm_device_ethernet_get_type ())) {
#line 752 "MainView.c"
			NetworkWidgetsEtherInterface* _tmp8_;
#line 233 "../src/MainView.vala"
			_tmp8_ = network_widgets_ether_interface_new (device);
#line 233 "../src/MainView.vala"
			g_object_ref_sink (_tmp8_);
#line 233 "../src/MainView.vala"
			_g_object_unref0 (widget_interface);
#line 233 "../src/MainView.vala"
			widget_interface = (NetworkWidgetsPage*) _tmp8_;
#line 234 "../src/MainView.vala"
			g_debug ("MainView.vala:234: Ethernet interface added");
#line 764 "MainView.c"
		} else {
#line 235 "../src/MainView.vala"
			if (G_TYPE_CHECK_INSTANCE_TYPE (device, nm_device_modem_get_type ())) {
#line 768 "MainView.c"
				NetworkWidgetsModemInterface* _tmp9_;
#line 236 "../src/MainView.vala"
				_tmp9_ = network_widgets_modem_interface_new (device);
#line 236 "../src/MainView.vala"
				g_object_ref_sink (_tmp9_);
#line 236 "../src/MainView.vala"
				_g_object_unref0 (widget_interface);
#line 236 "../src/MainView.vala"
				widget_interface = (NetworkWidgetsPage*) _tmp9_;
#line 237 "../src/MainView.vala"
				g_debug ("MainView.vala:237: Modem interface added");
#line 780 "MainView.c"
			} else {
				GEnumValue* _tmp10_;
#line 239 "../src/MainView.vala"
				_tmp10_ = g_enum_get_value (g_type_class_ref (nm_device_type_get_type ()), nm_device_get_device_type (device));
#line 239 "../src/MainView.vala"
				g_debug ("MainView.vala:239: Unknown device: %s\n", (_tmp10_ != NULL) ? _tmp10_->value_name : NULL);
#line 787 "MainView.c"
			}
		}
	}
#line 242 "../src/MainView.vala"
	_tmp11_ = widget_interface;
#line 242 "../src/MainView.vala"
	if (_tmp11_ != NULL) {
#line 795 "MainView.c"
		NetworkWidgetsPage* _tmp12_;
		NetworkWidgetsPage* _tmp13_;
		NetworkWidgetsPage* _tmp14_;
		NetworkWidgetsPage* _tmp15_;
#line 244 "../src/MainView.vala"
		_tmp12_ = widget_interface;
#line 244 "../src/MainView.vala"
		_tmp13_ = _g_object_ref0 (_tmp12_);
#line 244 "../src/MainView.vala"
		self->network_interface = g_list_append (self->network_interface, _tmp13_);
#line 245 "../src/MainView.vala"
		_tmp14_ = widget_interface;
#line 245 "../src/MainView.vala"
		network_main_view_add_interface (self, _tmp14_);
#line 246 "../src/MainView.vala"
		_tmp15_ = widget_interface;
#line 246 "../src/MainView.vala"
		g_signal_connect_object ((GObject*) _tmp15_, "notify::state", (GCallback) _network_main_view_update_state_g_object_notify, self, 0);
#line 814 "MainView.c"
	}
#line 250 "../src/MainView.vala"
	_tmp16_ = hotspot_interface;
#line 250 "../src/MainView.vala"
	if (_tmp16_ != NULL) {
#line 820 "MainView.c"
		NetworkWidgetsPage* _tmp17_;
		NetworkWidgetsPage* _tmp18_;
		NetworkWidgetsPage* _tmp19_;
		NetworkWidgetsPage* _tmp20_;
#line 252 "../src/MainView.vala"
		_tmp17_ = hotspot_interface;
#line 252 "../src/MainView.vala"
		_tmp18_ = _g_object_ref0 (_tmp17_);
#line 252 "../src/MainView.vala"
		self->network_interface = g_list_append (self->network_interface, _tmp18_);
#line 253 "../src/MainView.vala"
		_tmp19_ = hotspot_interface;
#line 253 "../src/MainView.vala"
		network_main_view_add_interface (self, _tmp19_);
#line 254 "../src/MainView.vala"
		_tmp20_ = hotspot_interface;
#line 254 "../src/MainView.vala"
		g_signal_connect_object ((GObject*) _tmp20_, "notify::state", (GCallback) _network_main_view_update_state_g_object_notify, self, 0);
#line 839 "MainView.c"
	}
#line 257 "../src/MainView.vala"
	network_main_view_update_interfaces_names (self);
#line 259 "../src/MainView.vala"
	_tmp21_ = self->network_interface;
#line 845 "MainView.c"
	{
		GList* inter_collection = NULL;
		GList* inter_it = NULL;
#line 259 "../src/MainView.vala"
		inter_collection = _tmp21_;
#line 259 "../src/MainView.vala"
		for (inter_it = inter_collection; inter_it != NULL; inter_it = inter_it->next) {
#line 853 "MainView.c"
			NetworkWidgetsPage* _tmp22_;
			NetworkWidgetsPage* inter = NULL;
#line 259 "../src/MainView.vala"
			_tmp22_ = _g_object_ref0 ((NetworkWidgetsPage*) inter_it->data);
#line 259 "../src/MainView.vala"
			inter = _tmp22_;
#line 860 "MainView.c"
			{
				NetworkWidgetsPage* _tmp23_;
#line 260 "../src/MainView.vala"
				_tmp23_ = inter;
#line 260 "../src/MainView.vala"
				network_widgets_page_update (_tmp23_);
#line 259 "../src/MainView.vala"
				_g_object_unref0 (inter);
#line 869 "MainView.c"
			}
		}
	}
#line 217 "../src/MainView.vala"
	_g_object_unref0 (hotspot_interface);
#line 217 "../src/MainView.vala"
	_g_object_unref0 (widget_interface);
#line 877 "MainView.c"
}

static void
network_main_view_update_state (NetworkMainView* self)
{
	NMDeviceState next_state = 0;
	GList* _tmp0_;
#line 264 "../src/MainView.vala"
	g_return_if_fail (self != NULL);
#line 265 "../src/MainView.vala"
	next_state = NM_DEVICE_STATE_DISCONNECTED;
#line 266 "../src/MainView.vala"
	_tmp0_ = self->network_interface;
#line 891 "MainView.c"
	{
		GList* inter_collection = NULL;
		GList* inter_it = NULL;
#line 266 "../src/MainView.vala"
		inter_collection = _tmp0_;
#line 266 "../src/MainView.vala"
		for (inter_it = inter_collection; inter_it != NULL; inter_it = inter_it->next) {
#line 899 "MainView.c"
			NetworkWidgetsPage* _tmp1_;
			NetworkWidgetsPage* inter = NULL;
#line 266 "../src/MainView.vala"
			_tmp1_ = _g_object_ref0 ((NetworkWidgetsPage*) inter_it->data);
#line 266 "../src/MainView.vala"
			inter = _tmp1_;
#line 906 "MainView.c"
			{
				NetworkWidgetsPage* _tmp2_;
				NMDeviceState _tmp3_;
				NMDeviceState _tmp4_;
#line 267 "../src/MainView.vala"
				_tmp2_ = inter;
#line 267 "../src/MainView.vala"
				_tmp3_ = network_widgets_page_get_state (_tmp2_);
#line 267 "../src/MainView.vala"
				_tmp4_ = _tmp3_;
#line 267 "../src/MainView.vala"
				if (_tmp4_ != NM_DEVICE_STATE_DISCONNECTED) {
#line 919 "MainView.c"
					NetworkWidgetsPage* _tmp5_;
					NMDeviceState _tmp6_;
					NMDeviceState _tmp7_;
#line 268 "../src/MainView.vala"
					_tmp5_ = inter;
#line 268 "../src/MainView.vala"
					_tmp6_ = network_widgets_page_get_state (_tmp5_);
#line 268 "../src/MainView.vala"
					_tmp7_ = _tmp6_;
#line 268 "../src/MainView.vala"
					next_state = _tmp7_;
#line 931 "MainView.c"
				}
#line 266 "../src/MainView.vala"
				_g_object_unref0 (inter);
#line 935 "MainView.c"
			}
		}
	}
#line 272 "../src/MainView.vala"
	network_main_view_set_state (self, next_state);
#line 941 "MainView.c"
}

static void
network_main_view_add_interface (NetworkMainView* self,
                                 NetworkWidgetsPage* page)
{
	NetworkWidgetsDeviceItem* item = NULL;
	GtkStack* _tmp6_;
	GtkStackPage* _tmp7_;
	GtkListBox* _tmp9_;
	NetworkWidgetsDeviceItem* _tmp10_;
#line 275 "../src/MainView.vala"
	g_return_if_fail (self != NULL);
#line 275 "../src/MainView.vala"
	g_return_if_fail (page != NULL);
#line 277 "../src/MainView.vala"
	if (NETWORK_WIDGETS_IS_HOTSPOT_INTERFACE (page)) {
#line 959 "MainView.c"
		NetworkWidgetsDeviceItem* _tmp0_ = NULL;
#line 278 "../src/MainView.vala"
		_tmp0_ = network_widgets_device_item_new_from_page (page, "network-wired");
#line 278 "../src/MainView.vala"
		network_widgets_device_item_set_item_type (_tmp0_, NETWORK_UTILS_ITEM_TYPE_VIRTUAL);
#line 278 "../src/MainView.vala"
		g_object_ref_sink (_tmp0_);
#line 278 "../src/MainView.vala"
		_g_object_unref0 (item);
#line 278 "../src/MainView.vala"
		item = _tmp0_;
#line 971 "MainView.c"
	} else {
		NMDevice* _tmp1_;
		NMDevice* _tmp2_;
		const gchar* _tmp3_;
#line 281 "../src/MainView.vala"
		_tmp1_ = network_widgets_page_get_device (page);
#line 281 "../src/MainView.vala"
		_tmp2_ = _tmp1_;
#line 281 "../src/MainView.vala"
		_tmp3_ = nm_device_get_iface (_tmp2_);
#line 281 "../src/MainView.vala"
		if (g_str_has_prefix (_tmp3_, "usb")) {
#line 984 "MainView.c"
			NetworkWidgetsDeviceItem* _tmp4_;
#line 282 "../src/MainView.vala"
			_tmp4_ = network_widgets_device_item_new_from_page (page, "drive-removable-media");
#line 282 "../src/MainView.vala"
			g_object_ref_sink (_tmp4_);
#line 282 "../src/MainView.vala"
			_g_object_unref0 (item);
#line 282 "../src/MainView.vala"
			item = _tmp4_;
#line 994 "MainView.c"
		} else {
			NetworkWidgetsDeviceItem* _tmp5_;
#line 284 "../src/MainView.vala"
			_tmp5_ = network_widgets_device_item_new_from_page (page, "network-wired");
#line 284 "../src/MainView.vala"
			g_object_ref_sink (_tmp5_);
#line 284 "../src/MainView.vala"
			_g_object_unref0 (item);
#line 284 "../src/MainView.vala"
			item = _tmp5_;
#line 1005 "MainView.c"
		}
	}
#line 287 "../src/MainView.vala"
	_tmp6_ = self->priv->content;
#line 287 "../src/MainView.vala"
	_tmp7_ = gtk_stack_get_page (_tmp6_, (GtkWidget*) page);
#line 287 "../src/MainView.vala"
	if (_tmp7_ == NULL) {
#line 1014 "MainView.c"
		GtkStack* _tmp8_;
#line 288 "../src/MainView.vala"
		_tmp8_ = self->priv->content;
#line 288 "../src/MainView.vala"
		gtk_stack_add_child (_tmp8_, (GtkWidget*) page);
#line 1020 "MainView.c"
	}
#line 291 "../src/MainView.vala"
	_tmp9_ = self->priv->device_list;
#line 291 "../src/MainView.vala"
	_tmp10_ = item;
#line 291 "../src/MainView.vala"
	gtk_list_box_append (_tmp9_, (GtkWidget*) _tmp10_);
#line 292 "../src/MainView.vala"
	network_main_view_update_networking_state (self);
#line 275 "../src/MainView.vala"
	_g_object_unref0 (item);
#line 1032 "MainView.c"
}

static void
network_main_view_remove_interface (NetworkMainView* self,
                                    NetworkWidgetsPage* widget_interface)
{
	GtkStack* _tmp0_;
	GtkWidget* _tmp1_;
#line 295 "../src/MainView.vala"
	g_return_if_fail (self != NULL);
#line 295 "../src/MainView.vala"
	g_return_if_fail (widget_interface != NULL);
#line 296 "../src/MainView.vala"
	_tmp0_ = self->priv->content;
#line 296 "../src/MainView.vala"
	_tmp1_ = gtk_stack_get_visible_child (_tmp0_);
#line 296 "../src/MainView.vala"
	if (_tmp1_ == G_TYPE_CHECK_INSTANCE_CAST (widget_interface, gtk_widget_get_type (), GtkWidget)) {
#line 1051 "MainView.c"
		GtkListBoxRow* row = NULL;
		GtkListBox* _tmp2_;
		GtkListBoxRow* _tmp3_;
		GtkListBoxRow* _tmp4_;
		gint index = 0;
		GtkListBox* _tmp5_;
		GtkListBoxRow* _tmp6_;
		gboolean _tmp7_ = FALSE;
		GtkListBoxRow* _tmp8_;
#line 297 "../src/MainView.vala"
		_tmp2_ = self->priv->device_list;
#line 297 "../src/MainView.vala"
		_tmp3_ = gtk_list_box_get_selected_row (_tmp2_);
#line 297 "../src/MainView.vala"
		_tmp4_ = _g_object_ref0 (_tmp3_);
#line 297 "../src/MainView.vala"
		row = _tmp4_;
#line 298 "../src/MainView.vala"
		_tmp5_ = self->priv->device_list;
#line 298 "../src/MainView.vala"
		_tmp6_ = gtk_list_box_get_selected_row (_tmp5_);
#line 298 "../src/MainView.vala"
		index = gtk_list_box_row_get_index (_tmp6_);
#line 299 "../src/MainView.vala"
		network_main_view_remove_iface_from_list (self, widget_interface);
#line 301 "../src/MainView.vala"
		_tmp8_ = row;
#line 301 "../src/MainView.vala"
		if (_tmp8_ != NULL) {
#line 1081 "MainView.c"
			GtkListBoxRow* _tmp9_;
#line 301 "../src/MainView.vala"
			_tmp9_ = row;
#line 301 "../src/MainView.vala"
			_tmp7_ = gtk_list_box_row_get_index (_tmp9_) >= 0;
#line 1087 "MainView.c"
		} else {
#line 301 "../src/MainView.vala"
			_tmp7_ = FALSE;
#line 1091 "MainView.c"
		}
#line 301 "../src/MainView.vala"
		if (_tmp7_) {
#line 1095 "MainView.c"
			GtkListBox* _tmp10_;
			GtkListBoxRow* _tmp11_;
#line 302 "../src/MainView.vala"
			_tmp10_ = self->priv->device_list;
#line 302 "../src/MainView.vala"
			_tmp11_ = gtk_list_box_get_row_at_index (_tmp10_, index);
#line 302 "../src/MainView.vala"
			g_signal_emit_by_name (_tmp11_, "activate");
#line 1104 "MainView.c"
		} else {
			GtkListBox* _tmp12_;
			GtkListBoxRow* _tmp13_;
#line 304 "../src/MainView.vala"
			_tmp12_ = self->priv->device_list;
#line 304 "../src/MainView.vala"
			_tmp13_ = gtk_list_box_get_row_at_index (_tmp12_, 0);
#line 304 "../src/MainView.vala"
			g_signal_emit_by_name (_tmp13_, "activate");
#line 1114 "MainView.c"
		}
#line 296 "../src/MainView.vala"
		_g_object_unref0 (row);
#line 1118 "MainView.c"
	} else {
#line 307 "../src/MainView.vala"
		network_main_view_remove_iface_from_list (self, widget_interface);
#line 1122 "MainView.c"
	}
#line 310 "../src/MainView.vala"
	g_signal_emit_by_name ((GtkWidget*) widget_interface, "destroy");
#line 1126 "MainView.c"
}

static void
network_main_view_remove_iface_from_list (NetworkMainView* self,
                                          NetworkWidgetsPage* iface)
{
	GtkWidget* child = NULL;
	GtkListBox* _tmp0_;
	GtkWidget* _tmp1_;
#line 313 "../src/MainView.vala"
	g_return_if_fail (self != NULL);
#line 313 "../src/MainView.vala"
	g_return_if_fail (iface != NULL);
#line 314 "../src/MainView.vala"
	_tmp0_ = self->priv->device_list;
#line 314 "../src/MainView.vala"
	_tmp1_ = gtk_widget_get_first_child ((GtkWidget*) _tmp0_);
#line 314 "../src/MainView.vala"
	child = _tmp1_;
#line 315 "../src/MainView.vala"
	while (TRUE) {
#line 1148 "MainView.c"
		GtkWidget* _tmp2_;
		gboolean _tmp3_ = FALSE;
		GtkWidget* _tmp4_;
		GtkWidget* _tmp10_;
		GtkWidget* _tmp11_;
#line 315 "../src/MainView.vala"
		_tmp2_ = child;
#line 315 "../src/MainView.vala"
		if (!(_tmp2_ != NULL)) {
#line 315 "../src/MainView.vala"
			break;
#line 1160 "MainView.c"
		}
#line 316 "../src/MainView.vala"
		_tmp4_ = child;
#line 316 "../src/MainView.vala"
		if (NETWORK_WIDGETS_IS_DEVICE_ITEM (_tmp4_)) {
#line 1166 "MainView.c"
			GtkWidget* _tmp5_;
			NetworkWidgetsPage* _tmp6_;
			NetworkWidgetsPage* _tmp7_;
#line 316 "../src/MainView.vala"
			_tmp5_ = child;
#line 316 "../src/MainView.vala"
			_tmp6_ = network_widgets_device_item_get_page (G_TYPE_CHECK_INSTANCE_CAST (_tmp5_, NETWORK_WIDGETS_TYPE_DEVICE_ITEM, NetworkWidgetsDeviceItem));
#line 316 "../src/MainView.vala"
			_tmp7_ = _tmp6_;
#line 316 "../src/MainView.vala"
			_tmp3_ = _tmp7_ == iface;
#line 1178 "MainView.c"
		} else {
#line 316 "../src/MainView.vala"
			_tmp3_ = FALSE;
#line 1182 "MainView.c"
		}
#line 316 "../src/MainView.vala"
		if (_tmp3_) {
#line 1186 "MainView.c"
			GtkListBox* _tmp8_;
			GtkWidget* _tmp9_;
#line 317 "../src/MainView.vala"
			_tmp8_ = self->priv->device_list;
#line 317 "../src/MainView.vala"
			_tmp9_ = child;
#line 317 "../src/MainView.vala"
			gtk_list_box_remove (_tmp8_, _tmp9_);
#line 318 "../src/MainView.vala"
			break;
#line 1197 "MainView.c"
		}
#line 321 "../src/MainView.vala"
		_tmp10_ = child;
#line 321 "../src/MainView.vala"
		_tmp11_ = gtk_widget_get_next_sibling (_tmp10_);
#line 321 "../src/MainView.vala"
		child = _tmp11_;
#line 1205 "MainView.c"
	}
}

static void
network_main_view_update_networking_state (NetworkMainView* self)
{
	NetworkNetworkManager* network_manager = NULL;
	NetworkNetworkManager* _tmp0_;
	NetworkNetworkManager* _tmp1_;
	NMClient* _tmp2_;
	NMClient* _tmp3_;
#line 325 "../src/MainView.vala"
	g_return_if_fail (self != NULL);
#line 326 "../src/MainView.vala"
	_tmp0_ = network_network_manager_get_default ();
#line 326 "../src/MainView.vala"
	network_manager = _tmp0_;
#line 327 "../src/MainView.vala"
	_tmp1_ = network_manager;
#line 327 "../src/MainView.vala"
	_tmp2_ = network_network_manager_get_client (_tmp1_);
#line 327 "../src/MainView.vala"
	_tmp3_ = _tmp2_;
#line 327 "../src/MainView.vala"
	if (nm_client_networking_get_enabled (_tmp3_)) {
#line 1231 "MainView.c"
		GtkListBox* _tmp4_;
		GtkWidget* child = NULL;
		GtkListBox* _tmp5_;
		GtkWidget* _tmp6_;
		GtkListBox* _tmp18_;
		GtkListBoxRow* _tmp19_;
#line 328 "../src/MainView.vala"
		_tmp4_ = self->priv->device_list;
#line 328 "../src/MainView.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp4_, TRUE);
#line 329 "../src/MainView.vala"
		_tmp5_ = self->priv->device_list;
#line 329 "../src/MainView.vala"
		_tmp6_ = gtk_widget_get_first_child ((GtkWidget*) _tmp5_);
#line 329 "../src/MainView.vala"
		child = _tmp6_;
#line 330 "../src/MainView.vala"
		while (TRUE) {
#line 1250 "MainView.c"
			GtkWidget* _tmp7_;
			gboolean _tmp8_ = FALSE;
			GtkWidget* _tmp9_;
			GtkWidget* _tmp16_;
			GtkWidget* _tmp17_;
#line 330 "../src/MainView.vala"
			_tmp7_ = child;
#line 330 "../src/MainView.vala"
			if (!(_tmp7_ != NULL)) {
#line 330 "../src/MainView.vala"
				break;
#line 1262 "MainView.c"
			}
#line 331 "../src/MainView.vala"
			_tmp9_ = child;
#line 331 "../src/MainView.vala"
			if (NETWORK_WIDGETS_IS_DEVICE_ITEM (_tmp9_)) {
#line 1268 "MainView.c"
				GtkWidget* _tmp10_;
				NetworkWidgetsPage* _tmp11_;
				NetworkWidgetsPage* _tmp12_;
				NMDeviceState _tmp13_;
				NMDeviceState _tmp14_;
#line 331 "../src/MainView.vala"
				_tmp10_ = child;
#line 331 "../src/MainView.vala"
				_tmp11_ = network_widgets_device_item_get_page (G_TYPE_CHECK_INSTANCE_CAST (_tmp10_, NETWORK_WIDGETS_TYPE_DEVICE_ITEM, NetworkWidgetsDeviceItem));
#line 331 "../src/MainView.vala"
				_tmp12_ = _tmp11_;
#line 331 "../src/MainView.vala"
				_tmp13_ = network_widgets_page_get_state (_tmp12_);
#line 331 "../src/MainView.vala"
				_tmp14_ = _tmp13_;
#line 331 "../src/MainView.vala"
				_tmp8_ = _tmp14_ == NM_DEVICE_STATE_ACTIVATED;
#line 1286 "MainView.c"
			} else {
#line 331 "../src/MainView.vala"
				_tmp8_ = FALSE;
#line 1290 "MainView.c"
			}
#line 331 "../src/MainView.vala"
			if (_tmp8_) {
#line 1294 "MainView.c"
				GtkWidget* _tmp15_;
#line 332 "../src/MainView.vala"
				_tmp15_ = child;
#line 332 "../src/MainView.vala"
				gtk_widget_activate (_tmp15_);
#line 333 "../src/MainView.vala"
				return;
#line 1302 "MainView.c"
			}
#line 335 "../src/MainView.vala"
			_tmp16_ = child;
#line 335 "../src/MainView.vala"
			_tmp17_ = gtk_widget_get_next_sibling (_tmp16_);
#line 335 "../src/MainView.vala"
			child = _tmp17_;
#line 1310 "MainView.c"
		}
#line 337 "../src/MainView.vala"
		_tmp18_ = self->priv->device_list;
#line 337 "../src/MainView.vala"
		_tmp19_ = gtk_list_box_get_row_at_index (_tmp18_, 0);
#line 337 "../src/MainView.vala"
		g_signal_emit_by_name (_tmp19_, "activate");
#line 1318 "MainView.c"
	} else {
		GtkListBox* _tmp20_;
		GtkListBox* _tmp21_;
		GtkStack* _tmp22_;
#line 339 "../src/MainView.vala"
		_tmp20_ = self->priv->device_list;
#line 339 "../src/MainView.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp20_, FALSE);
#line 340 "../src/MainView.vala"
		_g_object_unref0 (self->priv->current_device);
#line 340 "../src/MainView.vala"
		self->priv->current_device = NULL;
#line 341 "../src/MainView.vala"
		_tmp21_ = self->priv->device_list;
#line 341 "../src/MainView.vala"
		gtk_list_box_select_row (_tmp21_, NULL);
#line 342 "../src/MainView.vala"
		_tmp22_ = self->priv->content;
#line 342 "../src/MainView.vala"
		gtk_stack_set_visible_child_name (_tmp22_, "airplane-mode-info");
#line 1339 "MainView.c"
	}
}

static gint
network_main_view_sort_func (NetworkMainView* self,
                             GtkListBoxRow* row1,
                             GtkListBoxRow* row2)
{
	NetworkUtilsItemType _tmp0_;
	NetworkUtilsItemType _tmp1_;
	gint result;
#line 346 "../src/MainView.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 346 "../src/MainView.vala"
	g_return_val_if_fail (row1 != NULL, 0);
#line 346 "../src/MainView.vala"
	g_return_val_if_fail (row2 != NULL, 0);
#line 347 "../src/MainView.vala"
	_tmp0_ = network_widgets_device_item_get_item_type (G_TYPE_CHECK_INSTANCE_CAST (row1, NETWORK_WIDGETS_TYPE_DEVICE_ITEM, NetworkWidgetsDeviceItem));
#line 347 "../src/MainView.vala"
	_tmp1_ = _tmp0_;
#line 347 "../src/MainView.vala"
	if (_tmp1_ == NETWORK_UTILS_ITEM_TYPE_DEVICE) {
#line 348 "../src/MainView.vala"
		result = -1;
#line 348 "../src/MainView.vala"
		return result;
#line 1367 "MainView.c"
	} else {
		NetworkUtilsItemType _tmp2_;
		NetworkUtilsItemType _tmp3_;
#line 349 "../src/MainView.vala"
		_tmp2_ = network_widgets_device_item_get_item_type (G_TYPE_CHECK_INSTANCE_CAST (row1, NETWORK_WIDGETS_TYPE_DEVICE_ITEM, NetworkWidgetsDeviceItem));
#line 349 "../src/MainView.vala"
		_tmp3_ = _tmp2_;
#line 349 "../src/MainView.vala"
		if (_tmp3_ == NETWORK_UTILS_ITEM_TYPE_VIRTUAL) {
#line 350 "../src/MainView.vala"
			result = 1;
#line 350 "../src/MainView.vala"
			return result;
#line 1381 "MainView.c"
		} else {
#line 352 "../src/MainView.vala"
			result = 0;
#line 352 "../src/MainView.vala"
			return result;
#line 1387 "MainView.c"
		}
	}
}

static void
network_main_view_update_headers (NetworkMainView* self,
                                  GtkListBoxRow* row,
                                  GtkListBoxRow* before)
{
	NetworkWidgetsDeviceItem* row_item = NULL;
	NetworkWidgetsDeviceItem* before_item = NULL;
	NetworkWidgetsDeviceItem* _tmp0_;
	NetworkUtilsItemType _tmp1_;
	NetworkUtilsItemType _tmp2_;
#line 356 "../src/MainView.vala"
	g_return_if_fail (self != NULL);
#line 356 "../src/MainView.vala"
	g_return_if_fail (row != NULL);
#line 357 "../src/MainView.vala"
	row_item = G_TYPE_CHECK_INSTANCE_CAST (row, NETWORK_WIDGETS_TYPE_DEVICE_ITEM, NetworkWidgetsDeviceItem);
#line 358 "../src/MainView.vala"
	before_item = G_TYPE_CHECK_INSTANCE_CAST (before, NETWORK_WIDGETS_TYPE_DEVICE_ITEM, NetworkWidgetsDeviceItem);
#line 359 "../src/MainView.vala"
	_tmp0_ = row_item;
#line 359 "../src/MainView.vala"
	_tmp1_ = network_widgets_device_item_get_item_type (_tmp0_);
#line 359 "../src/MainView.vala"
	_tmp2_ = _tmp1_;
#line 359 "../src/MainView.vala"
	if (_tmp2_ == NETWORK_UTILS_ITEM_TYPE_VIRTUAL) {
#line 1418 "MainView.c"
		gboolean _tmp3_ = FALSE;
		NetworkWidgetsDeviceItem* _tmp4_;
		GraniteHeaderLabel* _tmp8_;
		GtkWidget* _tmp9_;
		GraniteHeaderLabel* _tmp11_;
#line 360 "../src/MainView.vala"
		_tmp4_ = before_item;
#line 360 "../src/MainView.vala"
		if (_tmp4_ != NULL) {
#line 1428 "MainView.c"
			NetworkWidgetsDeviceItem* _tmp5_;
			NetworkUtilsItemType _tmp6_;
			NetworkUtilsItemType _tmp7_;
#line 360 "../src/MainView.vala"
			_tmp5_ = before_item;
#line 360 "../src/MainView.vala"
			_tmp6_ = network_widgets_device_item_get_item_type (_tmp5_);
#line 360 "../src/MainView.vala"
			_tmp7_ = _tmp6_;
#line 360 "../src/MainView.vala"
			_tmp3_ = _tmp7_ == NETWORK_UTILS_ITEM_TYPE_VIRTUAL;
#line 1440 "MainView.c"
		} else {
#line 360 "../src/MainView.vala"
			_tmp3_ = FALSE;
#line 1444 "MainView.c"
		}
#line 360 "../src/MainView.vala"
		if (_tmp3_) {
#line 361 "../src/MainView.vala"
			gtk_list_box_row_set_header (row, NULL);
#line 362 "../src/MainView.vala"
			return;
#line 1452 "MainView.c"
		}
#line 365 "../src/MainView.vala"
		_tmp8_ = self->priv->virtual_header;
#line 365 "../src/MainView.vala"
		_tmp9_ = gtk_widget_get_parent ((GtkWidget*) _tmp8_);
#line 365 "../src/MainView.vala"
		if (_tmp9_ != NULL) {
#line 1460 "MainView.c"
			GraniteHeaderLabel* _tmp10_;
#line 366 "../src/MainView.vala"
			_tmp10_ = self->priv->virtual_header;
#line 366 "../src/MainView.vala"
			gtk_widget_unparent ((GtkWidget*) _tmp10_);
#line 1466 "MainView.c"
		}
#line 369 "../src/MainView.vala"
		_tmp11_ = self->priv->virtual_header;
#line 369 "../src/MainView.vala"
		gtk_list_box_row_set_header (row, (GtkWidget*) _tmp11_);
#line 1472 "MainView.c"
	} else {
		NetworkWidgetsDeviceItem* _tmp12_;
		NetworkUtilsItemType _tmp13_;
		NetworkUtilsItemType _tmp14_;
#line 370 "../src/MainView.vala"
		_tmp12_ = row_item;
#line 370 "../src/MainView.vala"
		_tmp13_ = network_widgets_device_item_get_item_type (_tmp12_);
#line 370 "../src/MainView.vala"
		_tmp14_ = _tmp13_;
#line 370 "../src/MainView.vala"
		if (_tmp14_ == NETWORK_UTILS_ITEM_TYPE_DEVICE) {
#line 1485 "MainView.c"
			gboolean _tmp15_ = FALSE;
			NetworkWidgetsDeviceItem* _tmp16_;
			GraniteHeaderLabel* _tmp20_;
			GtkWidget* _tmp21_;
			GraniteHeaderLabel* _tmp23_;
#line 371 "../src/MainView.vala"
			_tmp16_ = before_item;
#line 371 "../src/MainView.vala"
			if (_tmp16_ != NULL) {
#line 1495 "MainView.c"
				NetworkWidgetsDeviceItem* _tmp17_;
				NetworkUtilsItemType _tmp18_;
				NetworkUtilsItemType _tmp19_;
#line 371 "../src/MainView.vala"
				_tmp17_ = before_item;
#line 371 "../src/MainView.vala"
				_tmp18_ = network_widgets_device_item_get_item_type (_tmp17_);
#line 371 "../src/MainView.vala"
				_tmp19_ = _tmp18_;
#line 371 "../src/MainView.vala"
				_tmp15_ = _tmp19_ == NETWORK_UTILS_ITEM_TYPE_DEVICE;
#line 1507 "MainView.c"
			} else {
#line 371 "../src/MainView.vala"
				_tmp15_ = FALSE;
#line 1511 "MainView.c"
			}
#line 371 "../src/MainView.vala"
			if (_tmp15_) {
#line 372 "../src/MainView.vala"
				gtk_list_box_row_set_header (row, NULL);
#line 373 "../src/MainView.vala"
				return;
#line 1519 "MainView.c"
			}
#line 376 "../src/MainView.vala"
			_tmp20_ = self->priv->devices_header;
#line 376 "../src/MainView.vala"
			_tmp21_ = gtk_widget_get_parent ((GtkWidget*) _tmp20_);
#line 376 "../src/MainView.vala"
			if (_tmp21_ != NULL) {
#line 1527 "MainView.c"
				GraniteHeaderLabel* _tmp22_;
#line 377 "../src/MainView.vala"
				_tmp22_ = self->priv->devices_header;
#line 377 "../src/MainView.vala"
				gtk_widget_unparent ((GtkWidget*) _tmp22_);
#line 1533 "MainView.c"
			}
#line 380 "../src/MainView.vala"
			_tmp23_ = self->priv->devices_header;
#line 380 "../src/MainView.vala"
			gtk_list_box_row_set_header (row, (GtkWidget*) _tmp23_);
#line 1539 "MainView.c"
		} else {
#line 382 "../src/MainView.vala"
			gtk_list_box_row_set_header (row, NULL);
#line 1543 "MainView.c"
		}
	}
}

NetworkMainView*
network_main_view_construct (GType object_type)
{
	NetworkMainView * self = NULL;
#line 20 "../src/MainView.vala"
	self = (NetworkMainView*) g_object_new (object_type, NULL);
#line 20 "../src/MainView.vala"
	return self;
#line 1556 "MainView.c"
}

NetworkMainView*
network_main_view_new (void)
{
#line 20 "../src/MainView.vala"
	return network_main_view_construct (NETWORK_TYPE_MAIN_VIEW);
#line 1564 "MainView.c"
}

NMDeviceState
network_main_view_get_state (NetworkMainView* self)
{
	NMDeviceState result;
#line 23 "../src/MainView.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 23 "../src/MainView.vala"
	result = self->priv->_state;
#line 23 "../src/MainView.vala"
	return result;
#line 1577 "MainView.c"
}

static void
network_main_view_set_state (NetworkMainView* self,
                             NMDeviceState value)
{
	NMDeviceState old_value;
#line 23 "../src/MainView.vala"
	g_return_if_fail (self != NULL);
#line 23 "../src/MainView.vala"
	old_value = network_main_view_get_state (self);
#line 23 "../src/MainView.vala"
	if (old_value != value) {
#line 23 "../src/MainView.vala"
		self->priv->_state = value;
#line 23 "../src/MainView.vala"
		g_object_notify_by_pspec ((GObject *) self, network_main_view_properties[NETWORK_MAIN_VIEW_STATE_PROPERTY]);
#line 1595 "MainView.c"
	}
}

static NetworkMainViewSidebar*
network_main_view_sidebar_construct (GType object_type)
{
	NetworkMainViewSidebar * self = NULL;
#line 387 "../src/MainView.vala"
	self = (NetworkMainViewSidebar*) g_object_new (object_type, NULL);
#line 387 "../src/MainView.vala"
	return self;
#line 1607 "MainView.c"
}

static NetworkMainViewSidebar*
network_main_view_sidebar_new (void)
{
#line 387 "../src/MainView.vala"
	return network_main_view_sidebar_construct (NETWORK_MAIN_VIEW_TYPE_SIDEBAR);
#line 1615 "MainView.c"
}

static GObject *
network_main_view_sidebar_constructor (GType type,
                                       guint n_construct_properties,
                                       GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	NetworkMainViewSidebar * self;
#line 392 "../src/MainView.vala"
	parent_class = G_OBJECT_CLASS (network_main_view_sidebar_parent_class);
#line 392 "../src/MainView.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 392 "../src/MainView.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NETWORK_MAIN_VIEW_TYPE_SIDEBAR, NetworkMainViewSidebar);
#line 393 "../src/MainView.vala"
	gtk_widget_add_css_class ((GtkWidget*) self, GRANITE_STYLE_CLASS_SIDEBAR);
#line 392 "../src/MainView.vala"
	return obj;
#line 1636 "MainView.c"
}

static void
network_main_view_sidebar_base_init (NetworkMainViewSidebarClass * klass)
{
#line 389 "../src/MainView.vala"
	gtk_widget_class_set_css_name (GTK_WIDGET_CLASS (klass), "settingssidebar");
#line 1644 "MainView.c"
}

static void
network_main_view_sidebar_class_init (NetworkMainViewSidebarClass * klass,
                                      gpointer klass_data)
{
#line 387 "../src/MainView.vala"
	network_main_view_sidebar_parent_class = g_type_class_peek_parent (klass);
#line 387 "../src/MainView.vala"
	G_OBJECT_CLASS (klass)->constructor = network_main_view_sidebar_constructor;
#line 1655 "MainView.c"
}

static void
network_main_view_sidebar_instance_init (NetworkMainViewSidebar * self,
                                         gpointer klass)
{
}

static GType
network_main_view_sidebar_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (NetworkMainViewSidebarClass), (GBaseInitFunc) network_main_view_sidebar_base_init, (GBaseFinalizeFunc) NULL, (GClassInitFunc) network_main_view_sidebar_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NetworkMainViewSidebar), 0, (GInstanceInitFunc) network_main_view_sidebar_instance_init, NULL };
	GType network_main_view_sidebar_type_id;
	network_main_view_sidebar_type_id = g_type_register_static (gtk_box_get_type (), "NetworkMainViewSidebar", &g_define_type_info, 0);
	return network_main_view_sidebar_type_id;
}

static GType
network_main_view_sidebar_get_type (void)
{
	static volatile gsize network_main_view_sidebar_type_id__once = 0;
	if (g_once_init_enter (&network_main_view_sidebar_type_id__once)) {
		GType network_main_view_sidebar_type_id;
		network_main_view_sidebar_type_id = network_main_view_sidebar_get_type_once ();
		g_once_init_leave (&network_main_view_sidebar_type_id__once, network_main_view_sidebar_type_id);
	}
	return network_main_view_sidebar_type_id__once;
}

static Block2Data*
block2_data_ref (Block2Data* _data2_)
{
#line 32 "../src/MainView.vala"
	g_atomic_int_inc (&_data2_->_ref_count_);
#line 32 "../src/MainView.vala"
	return _data2_;
#line 1692 "MainView.c"
}

static void
block2_data_unref (void * _userdata_)
{
	Block2Data* _data2_;
	_data2_ = (Block2Data*) _userdata_;
#line 32 "../src/MainView.vala"
	if (g_atomic_int_dec_and_test (&_data2_->_ref_count_)) {
#line 1702 "MainView.c"
		NetworkMainView* self;
#line 32 "../src/MainView.vala"
		self = _data2_->self;
#line 32 "../src/MainView.vala"
		_g_object_unref0 (_data2_->airplane_switch);
#line 32 "../src/MainView.vala"
		_g_object_unref0 (self);
#line 32 "../src/MainView.vala"
		g_slice_free (Block2Data, _data2_);
#line 1712 "MainView.c"
	}
}

static gint
_network_main_view_sort_func_gtk_list_box_sort_func (GtkListBoxRow* row1,
                                                     GtkListBoxRow* row2,
                                                     gpointer self)
{
	gint result;
	result = network_main_view_sort_func ((NetworkMainView*) self, row1, row2);
#line 59 "../src/MainView.vala"
	return result;
#line 1725 "MainView.c"
}

static void
_network_main_view_update_headers_gtk_list_box_update_header_func (GtkListBoxRow* row,
                                                                   GtkListBoxRow* before,
                                                                   gpointer self)
{
#line 60 "../src/MainView.vala"
	network_main_view_update_headers ((NetworkMainView*) self, row, before);
#line 1735 "MainView.c"
}

static void
_network_main_view___lambda46_ (NetworkMainView* self,
                                GtkListBoxRow* row)
{
#line 122 "../src/MainView.vala"
	g_signal_emit_by_name (row, "activate");
#line 1744 "MainView.c"
}

static void
__network_main_view___lambda46__gtk_list_box_row_selected (GtkListBox* _sender,
                                                           GtkListBoxRow* row,
                                                           gpointer self)
{
#line 121 "../src/MainView.vala"
	_network_main_view___lambda46_ ((NetworkMainView*) self, row);
#line 1754 "MainView.c"
}

static void
_network_main_view___lambda47_ (NetworkMainView* self,
                                GtkListBoxRow* row)
{
	NetworkWidgetsPage* page = NULL;
	NetworkWidgetsPage* _tmp0_;
	NetworkWidgetsPage* _tmp1_;
	NetworkWidgetsPage* _tmp2_;
	GtkStack* _tmp3_;
	NetworkWidgetsPage* _tmp4_;
#line 125 "../src/MainView.vala"
	g_return_if_fail (row != NULL);
#line 126 "../src/MainView.vala"
	_tmp0_ = network_widgets_device_item_get_page (G_TYPE_CHECK_INSTANCE_CAST (row, NETWORK_WIDGETS_TYPE_DEVICE_ITEM, NetworkWidgetsDeviceItem));
#line 126 "../src/MainView.vala"
	_tmp1_ = _tmp0_;
#line 126 "../src/MainView.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 126 "../src/MainView.vala"
	page = _tmp2_;
#line 127 "../src/MainView.vala"
	_tmp3_ = self->priv->content;
#line 127 "../src/MainView.vala"
	_tmp4_ = page;
#line 127 "../src/MainView.vala"
	gtk_stack_set_visible_child (_tmp3_, (GtkWidget*) _tmp4_);
#line 125 "../src/MainView.vala"
	_g_object_unref0 (page);
#line 1785 "MainView.c"
}

static void
__network_main_view___lambda47__gtk_list_box_row_activated (GtkListBox* _sender,
                                                            GtkListBoxRow* row,
                                                            gpointer self)
{
#line 125 "../src/MainView.vala"
	_network_main_view___lambda47_ ((NetworkMainView*) self, row);
#line 1795 "MainView.c"
}

static void
_network_main_view_connection_added_cb_nm_client_connection_added (NMClient* _sender,
                                                                   NMRemoteConnection* connection,
                                                                   gpointer self)
{
#line 132 "../src/MainView.vala"
	network_main_view_connection_added_cb ((NetworkMainView*) self, connection);
#line 1805 "MainView.c"
}

static void
_network_main_view_connection_removed_cb_nm_client_connection_removed (NMClient* _sender,
                                                                       NMRemoteConnection* connection,
                                                                       gpointer self)
{
#line 133 "../src/MainView.vala"
	network_main_view_connection_removed_cb ((NetworkMainView*) self, connection);
#line 1815 "MainView.c"
}

static void
_network_main_view_device_added_cb_nm_client_device_added (NMClient* _sender,
                                                           NMDevice* device,
                                                           gpointer self)
{
#line 135 "../src/MainView.vala"
	network_main_view_device_added_cb ((NetworkMainView*) self, device);
#line 1825 "MainView.c"
}

static void
_network_main_view_device_removed_cb_nm_client_device_removed (NMClient* _sender,
                                                               NMDevice* device,
                                                               gpointer self)
{
#line 136 "../src/MainView.vala"
	network_main_view_device_removed_cb ((NetworkMainView*) self, device);
#line 1835 "MainView.c"
}

static void
_network_main_view___lambda48_ (NetworkMainView* self,
                                NMDevice* device)
{
#line 138 "../src/MainView.vala"
	g_return_if_fail (device != NULL);
#line 138 "../src/MainView.vala"
	network_main_view_device_added_cb (self, device);
#line 1846 "MainView.c"
}

static void
__network_main_view___lambda48__gfunc (gconstpointer data,
                                       gpointer self)
{
#line 138 "../src/MainView.vala"
	_network_main_view___lambda48_ ((NetworkMainView*) self, (NMDevice*) data);
#line 1855 "MainView.c"
}

static void
_network_main_view___lambda49_ (NetworkMainView* self,
                                NMRemoteConnection* connection)
{
#line 139 "../src/MainView.vala"
	g_return_if_fail (connection != NULL);
#line 139 "../src/MainView.vala"
	network_main_view_connection_added_cb (self, connection);
#line 1866 "MainView.c"
}

static void
__network_main_view___lambda49__gfunc (gconstpointer data,
                                       gpointer self)
{
#line 139 "../src/MainView.vala"
	_network_main_view___lambda49_ ((NetworkMainView*) self, (NMRemoteConnection*) data);
#line 1875 "MainView.c"
}

static void
_network_main_view_update_networking_state_g_object_notify (GObject* _sender,
                                                            GParamSpec* pspec,
                                                            gpointer self)
{
#line 142 "../src/MainView.vala"
	network_main_view_update_networking_state ((NetworkMainView*) self);
#line 1885 "MainView.c"
}

static GVariant*
_variant_new1 (gboolean value)
{
#line 145 "../src/MainView.vala"
	return g_variant_ref_sink (g_variant_new_boolean (value));
#line 1893 "MainView.c"
}

static void
__lambda51_ (Block2Data* _data2_,
             GObject* obj,
             GAsyncResult* res)
{
	NetworkMainView* self;
	GError* _inner_error0_ = NULL;
#line 149 "../src/MainView.vala"
	self = _data2_->self;
#line 149 "../src/MainView.vala"
	g_return_if_fail (res != NULL);
#line 1907 "MainView.c"
	{
		NMClient* _tmp0_;
		GVariant* _tmp1_;
		GVariant* _tmp2_;
#line 151 "../src/MainView.vala"
		_tmp0_ = _data2_->nm_client;
#line 151 "../src/MainView.vala"
		_tmp1_ = nm_client_dbus_call_finish (_tmp0_, res, &_inner_error0_);
#line 151 "../src/MainView.vala"
		_tmp2_ = _tmp1_;
#line 151 "../src/MainView.vala"
		_g_variant_unref0 (_tmp2_);
#line 151 "../src/MainView.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1922 "MainView.c"
			goto __catch0_g_error;
		}
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		GError* _tmp3_;
		const gchar* _tmp4_;
#line 150 "../src/MainView.vala"
		e = _inner_error0_;
#line 150 "../src/MainView.vala"
		_inner_error0_ = NULL;
#line 153 "../src/MainView.vala"
		_tmp3_ = e;
#line 153 "../src/MainView.vala"
		_tmp4_ = _tmp3_->message;
#line 153 "../src/MainView.vala"
		g_warning ("MainView.vala:153: %s", _tmp4_);
#line 150 "../src/MainView.vala"
		_g_error_free0 (e);
#line 1944 "MainView.c"
	}
	__finally0:
#line 150 "../src/MainView.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 150 "../src/MainView.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 150 "../src/MainView.vala"
		g_clear_error (&_inner_error0_);
#line 150 "../src/MainView.vala"
		return;
#line 1955 "MainView.c"
	}
}

static void
___lambda51__gasync_ready_callback (GObject* source_object,
                                    GAsyncResult* res,
                                    gpointer self)
{
#line 145 "../src/MainView.vala"
	__lambda51_ (self, source_object, res);
#line 145 "../src/MainView.vala"
	block2_data_unref (self);
#line 1968 "MainView.c"
}

static void
_network_main_view___lambda50_ (Block2Data* _data2_)
{
	NetworkMainView* self;
	NMClient* _tmp0_;
	GtkSwitch* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
	GVariant* _tmp4_;
	GVariant** _tmp5_;
	GVariant** _tmp6_;
	gint _tmp6__length1;
	GVariant* _tmp7_;
	GVariant* _tmp8_;
#line 144 "../src/MainView.vala"
	self = _data2_->self;
#line 145 "../src/MainView.vala"
	_tmp0_ = _data2_->nm_client;
#line 145 "../src/MainView.vala"
	_tmp1_ = _data2_->airplane_switch;
#line 145 "../src/MainView.vala"
	_tmp2_ = gtk_switch_get_active (_tmp1_);
#line 145 "../src/MainView.vala"
	_tmp3_ = _tmp2_;
#line 145 "../src/MainView.vala"
	_tmp4_ = _variant_new1 (!_tmp3_);
#line 145 "../src/MainView.vala"
	_tmp5_ = g_new0 (GVariant*, 1 + 1);
#line 145 "../src/MainView.vala"
	_tmp5_[0] = _tmp4_;
#line 145 "../src/MainView.vala"
	_tmp6_ = _tmp5_;
#line 145 "../src/MainView.vala"
	_tmp6__length1 = 1;
#line 145 "../src/MainView.vala"
	_tmp7_ = g_variant_new_tuple (_tmp6_, 1);
#line 145 "../src/MainView.vala"
	g_variant_ref_sink (_tmp7_);
#line 145 "../src/MainView.vala"
	_tmp8_ = _tmp7_;
#line 145 "../src/MainView.vala"
	nm_client_dbus_call (_tmp0_, NM_DBUS_PATH, NM_DBUS_INTERFACE, "Enable", _tmp8_, NULL, -1, NULL, ___lambda51__gasync_ready_callback, block2_data_ref (_data2_));
#line 145 "../src/MainView.vala"
	_g_variant_unref0 (_tmp8_);
#line 145 "../src/MainView.vala"
	_tmp6_ = (_vala_array_free (_tmp6_, _tmp6__length1, (GDestroyNotify) g_variant_unref), NULL);
#line 2017 "MainView.c"
}

static void
__network_main_view___lambda50__g_object_notify (GObject* _sender,
                                                 GParamSpec* pspec,
                                                 gpointer self)
{
#line 144 "../src/MainView.vala"
	_network_main_view___lambda50_ (self);
#line 2027 "MainView.c"
}

static GObject *
network_main_view_constructor (GType type,
                               guint n_construct_properties,
                               GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	NetworkMainView * self;
	Block2Data* _data2_;
	GraniteHeaderLabel* _tmp0_;
	GraniteHeaderLabel* _tmp1_;
	NetworkWidgetsProxyPage* proxy_page = NULL;
	NetworkWidgetsProxyPage* _tmp2_;
	NetworkWidgetsDeviceItem* proxy = NULL;
	NetworkWidgetsProxyPage* _tmp3_;
	NetworkWidgetsDeviceItem* _tmp4_ = NULL;
	NetworkVPNPage* _tmp5_;
	NetworkWidgetsDeviceItem* vpn = NULL;
	NetworkVPNPage* _tmp6_;
	NetworkWidgetsDeviceItem* _tmp7_ = NULL;
	AdwHeaderBar* headerbar = NULL;
	AdwHeaderBar* _tmp8_ = NULL;
	GtkListBox* _tmp9_ = NULL;
	GtkListBox* _tmp10_;
	GtkListBox* _tmp11_;
	GtkListBox* _tmp12_;
	NetworkWidgetsDeviceItem* _tmp13_;
	GtkListBox* _tmp14_;
	NetworkWidgetsDeviceItem* _tmp15_;
	GtkLabel* label = NULL;
	GtkLabel* _tmp16_;
	GtkSwitch* _tmp17_ = NULL;
	GtkActionBar* footer = NULL;
	GtkActionBar* _tmp18_;
	GtkActionBar* _tmp19_;
	GtkLabel* _tmp20_;
	GtkActionBar* _tmp21_;
	GtkSwitch* _tmp22_;
	GranitePlaceholder* airplane_mode = NULL;
	gchar* _tmp23_;
	gchar* _tmp24_;
	gchar* _tmp25_;
	GThemedIcon* _tmp26_;
	GranitePlaceholder* _tmp27_ = NULL;
	GranitePlaceholder* _tmp28_;
	GtkStack* _tmp29_ = NULL;
	GtkStack* _tmp30_;
	GranitePlaceholder* _tmp31_;
	GtkStack* _tmp32_;
	NetworkVPNPage* _tmp33_;
	GtkStack* _tmp34_;
	NetworkWidgetsDeviceItem* _tmp35_;
	NetworkWidgetsPage* _tmp36_;
	NetworkWidgetsPage* _tmp37_;
	GtkScrolledWindow* scrolled_window = NULL;
	GtkListBox* _tmp38_;
	GtkWidget* _tmp39_;
	GtkScrolledWindow* _tmp40_ = NULL;
	AdwToolbarView* toolbarview = NULL;
	GtkScrolledWindow* _tmp41_;
	GtkWidget* _tmp42_;
	AdwToolbarView* _tmp43_ = NULL;
	AdwToolbarView* _tmp44_;
	AdwHeaderBar* _tmp45_;
	AdwToolbarView* _tmp46_;
	GtkActionBar* _tmp47_;
	NetworkMainViewSidebar* sidebar = NULL;
	NetworkMainViewSidebar* _tmp48_;
	NetworkMainViewSidebar* _tmp49_;
	AdwToolbarView* _tmp50_;
	GtkPaned* paned = NULL;
	NetworkMainViewSidebar* _tmp51_;
	GtkWidget* _tmp52_;
	GtkStack* _tmp53_;
	GtkWidget* _tmp54_;
	GtkPaned* _tmp55_ = NULL;
	GSettingsSchema* sss = NULL;
	GSettingsSchemaSource* _tmp56_;
	GSettingsSchema* _tmp57_;
	gboolean _tmp58_ = FALSE;
	GSettingsSchema* _tmp59_;
	GtkPaned* _tmp64_;
	GtkListBox* _tmp65_;
	GtkListBox* _tmp66_;
	NetworkNetworkManager* network_manager = NULL;
	NetworkNetworkManager* _tmp67_;
	NetworkNetworkManager* _tmp68_;
	NMClient* _tmp69_;
	NMClient* _tmp70_;
	NMClient* _tmp71_;
	NMClient* _tmp72_;
	NMClient* _tmp73_;
	NMClient* _tmp74_;
	NMClient* _tmp75_;
	GPtrArray* _tmp76_;
	NMClient* _tmp77_;
	GPtrArray* _tmp78_;
	NMClient* _tmp79_;
	GtkSwitch* _tmp80_;
	gboolean _tmp81_ = FALSE;
	GtkSwitch* _tmp82_;
	gboolean _tmp83_;
	gboolean _tmp84_;
#line 32 "../src/MainView.vala"
	parent_class = G_OBJECT_CLASS (network_main_view_parent_class);
#line 32 "../src/MainView.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 32 "../src/MainView.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NETWORK_TYPE_MAIN_VIEW, NetworkMainView);
#line 32 "../src/MainView.vala"
	_data2_ = g_slice_new0 (Block2Data);
#line 32 "../src/MainView.vala"
	_data2_->_ref_count_ = 1;
#line 32 "../src/MainView.vala"
	_data2_->self = g_object_ref (self);
#line 33 "../src/MainView.vala"
	(self->network_interface == NULL) ? NULL : (self->network_interface = (_g_list_free__g_object_unref0_ (self->network_interface), NULL));
#line 33 "../src/MainView.vala"
	self->network_interface = NULL;
#line 35 "../src/MainView.vala"
	_tmp0_ = granite_header_label_new (_ ("Virtual"));
#line 35 "../src/MainView.vala"
	g_object_ref_sink (_tmp0_);
#line 35 "../src/MainView.vala"
	_g_object_unref0 (self->priv->virtual_header);
#line 35 "../src/MainView.vala"
	self->priv->virtual_header = _tmp0_;
#line 36 "../src/MainView.vala"
	_tmp1_ = granite_header_label_new (_ ("Devices"));
#line 36 "../src/MainView.vala"
	g_object_ref_sink (_tmp1_);
#line 36 "../src/MainView.vala"
	_g_object_unref0 (self->priv->devices_header);
#line 36 "../src/MainView.vala"
	self->priv->devices_header = _tmp1_;
#line 38 "../src/MainView.vala"
	_tmp2_ = network_widgets_proxy_page_new ();
#line 38 "../src/MainView.vala"
	g_object_ref_sink (_tmp2_);
#line 38 "../src/MainView.vala"
	proxy_page = _tmp2_;
#line 39 "../src/MainView.vala"
	_tmp3_ = proxy_page;
#line 39 "../src/MainView.vala"
	_tmp4_ = network_widgets_device_item_new_from_page ((NetworkWidgetsPage*) _tmp3_, "network-wired");
#line 39 "../src/MainView.vala"
	network_widgets_device_item_set_item_type (_tmp4_, NETWORK_UTILS_ITEM_TYPE_VIRTUAL);
#line 39 "../src/MainView.vala"
	g_object_ref_sink (_tmp4_);
#line 39 "../src/MainView.vala"
	proxy = _tmp4_;
#line 43 "../src/MainView.vala"
	_tmp5_ = network_vpn_page_new ();
#line 43 "../src/MainView.vala"
	g_object_ref_sink (_tmp5_);
#line 43 "../src/MainView.vala"
	_g_object_unref0 (self->priv->vpn_page);
#line 43 "../src/MainView.vala"
	self->priv->vpn_page = _tmp5_;
#line 44 "../src/MainView.vala"
	_tmp6_ = self->priv->vpn_page;
#line 44 "../src/MainView.vala"
	_tmp7_ = network_widgets_device_item_new_from_page ((NetworkWidgetsPage*) _tmp6_, "network-wired");
#line 44 "../src/MainView.vala"
	network_widgets_device_item_set_item_type (_tmp7_, NETWORK_UTILS_ITEM_TYPE_VIRTUAL);
#line 44 "../src/MainView.vala"
	g_object_ref_sink (_tmp7_);
#line 44 "../src/MainView.vala"
	vpn = _tmp7_;
#line 48 "../src/MainView.vala"
	_tmp8_ = (AdwHeaderBar*) adw_header_bar_new ();
#line 48 "../src/MainView.vala"
	adw_header_bar_set_show_end_title_buttons (_tmp8_, FALSE);
#line 48 "../src/MainView.vala"
	adw_header_bar_set_show_title (_tmp8_, FALSE);
#line 48 "../src/MainView.vala"
	g_object_ref_sink (_tmp8_);
#line 48 "../src/MainView.vala"
	headerbar = _tmp8_;
#line 53 "../src/MainView.vala"
	_tmp9_ = (GtkListBox*) gtk_list_box_new ();
#line 53 "../src/MainView.vala"
	gtk_list_box_set_activate_on_single_click (_tmp9_, TRUE);
#line 53 "../src/MainView.vala"
	gtk_list_box_set_selection_mode (_tmp9_, GTK_SELECTION_SINGLE);
#line 53 "../src/MainView.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp9_, TRUE);
#line 53 "../src/MainView.vala"
	gtk_widget_set_vexpand ((GtkWidget*) _tmp9_, TRUE);
#line 53 "../src/MainView.vala"
	g_object_ref_sink (_tmp9_);
#line 53 "../src/MainView.vala"
	_g_object_unref0 (self->priv->device_list);
#line 53 "../src/MainView.vala"
	self->priv->device_list = _tmp9_;
#line 59 "../src/MainView.vala"
	_tmp10_ = self->priv->device_list;
#line 59 "../src/MainView.vala"
	gtk_list_box_set_sort_func (_tmp10_, _network_main_view_sort_func_gtk_list_box_sort_func, g_object_ref (self), g_object_unref);
#line 60 "../src/MainView.vala"
	_tmp11_ = self->priv->device_list;
#line 60 "../src/MainView.vala"
	gtk_list_box_set_header_func (_tmp11_, _network_main_view_update_headers_gtk_list_box_update_header_func, g_object_ref (self), g_object_unref);
#line 61 "../src/MainView.vala"
	_tmp12_ = self->priv->device_list;
#line 61 "../src/MainView.vala"
	_tmp13_ = proxy;
#line 61 "../src/MainView.vala"
	gtk_list_box_append (_tmp12_, (GtkWidget*) _tmp13_);
#line 62 "../src/MainView.vala"
	_tmp14_ = self->priv->device_list;
#line 62 "../src/MainView.vala"
	_tmp15_ = vpn;
#line 62 "../src/MainView.vala"
	gtk_list_box_append (_tmp14_, (GtkWidget*) _tmp15_);
#line 64 "../src/MainView.vala"
	_tmp16_ = (GtkLabel*) gtk_label_new (_ ("Airplane Mode"));
#line 64 "../src/MainView.vala"
	g_object_ref_sink (_tmp16_);
#line 64 "../src/MainView.vala"
	label = _tmp16_;
#line 66 "../src/MainView.vala"
	_tmp17_ = (GtkSwitch*) gtk_switch_new ();
#line 66 "../src/MainView.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp17_, GTK_ALIGN_CENTER);
#line 66 "../src/MainView.vala"
	g_object_ref_sink (_tmp17_);
#line 66 "../src/MainView.vala"
	_data2_->airplane_switch = _tmp17_;
#line 70 "../src/MainView.vala"
	_tmp18_ = (GtkActionBar*) gtk_action_bar_new ();
#line 70 "../src/MainView.vala"
	g_object_ref_sink (_tmp18_);
#line 70 "../src/MainView.vala"
	footer = _tmp18_;
#line 71 "../src/MainView.vala"
	_tmp19_ = footer;
#line 71 "../src/MainView.vala"
	_tmp20_ = label;
#line 71 "../src/MainView.vala"
	gtk_action_bar_pack_start (_tmp19_, (GtkWidget*) _tmp20_);
#line 72 "../src/MainView.vala"
	_tmp21_ = footer;
#line 72 "../src/MainView.vala"
	_tmp22_ = _data2_->airplane_switch;
#line 72 "../src/MainView.vala"
	gtk_action_bar_pack_end (_tmp21_, (GtkWidget*) _tmp22_);
#line 74 "../src/MainView.vala"
	_tmp23_ = g_strconcat (_ ("While in Airplane Mode your device's Internet access and any wireless " \
"and ethernet connections, will be suspended.\n" \
"\n"), _ ("You will be unable to browse the web or use applications that require " \
"a network connection or Internet access.\n"), NULL);
#line 74 "../src/MainView.vala"
	_tmp24_ = _tmp23_;
#line 74 "../src/MainView.vala"
	_tmp25_ = g_strconcat (_tmp24_, _ ("Applications and other functions that do not require the Internet will" \
" be unaffected."), NULL);
#line 74 "../src/MainView.vala"
	_tmp26_ = (GThemedIcon*) g_themed_icon_new ("airplane-mode");
#line 74 "../src/MainView.vala"
	_tmp27_ = granite_placeholder_new (_ ("Airplane Mode Is Enabled"));
#line 74 "../src/MainView.vala"
	granite_placeholder_set_description (_tmp27_, _tmp25_);
#line 74 "../src/MainView.vala"
	_g_free0 (_tmp25_);
#line 74 "../src/MainView.vala"
	granite_placeholder_set_icon (_tmp27_, (GIcon*) _tmp26_);
#line 74 "../src/MainView.vala"
	_g_object_unref0 (_tmp26_);
#line 74 "../src/MainView.vala"
	g_object_ref_sink (_tmp27_);
#line 74 "../src/MainView.vala"
	_tmp28_ = _tmp27_;
#line 74 "../src/MainView.vala"
	_g_free0 (_tmp24_);
#line 74 "../src/MainView.vala"
	airplane_mode = _tmp28_;
#line 82 "../src/MainView.vala"
	_tmp29_ = (GtkStack*) gtk_stack_new ();
#line 82 "../src/MainView.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp29_, TRUE);
#line 82 "../src/MainView.vala"
	g_object_ref_sink (_tmp29_);
#line 82 "../src/MainView.vala"
	_g_object_unref0 (self->priv->content);
#line 82 "../src/MainView.vala"
	self->priv->content = _tmp29_;
#line 85 "../src/MainView.vala"
	_tmp30_ = self->priv->content;
#line 85 "../src/MainView.vala"
	_tmp31_ = airplane_mode;
#line 85 "../src/MainView.vala"
	gtk_stack_add_named (_tmp30_, (GtkWidget*) _tmp31_, "airplane-mode-info");
#line 86 "../src/MainView.vala"
	_tmp32_ = self->priv->content;
#line 86 "../src/MainView.vala"
	_tmp33_ = self->priv->vpn_page;
#line 86 "../src/MainView.vala"
	gtk_stack_add_child (_tmp32_, (GtkWidget*) _tmp33_);
#line 87 "../src/MainView.vala"
	_tmp34_ = self->priv->content;
#line 87 "../src/MainView.vala"
	_tmp35_ = proxy;
#line 87 "../src/MainView.vala"
	_tmp36_ = network_widgets_device_item_get_page (_tmp35_);
#line 87 "../src/MainView.vala"
	_tmp37_ = _tmp36_;
#line 87 "../src/MainView.vala"
	gtk_stack_add_child (_tmp34_, (GtkWidget*) _tmp37_);
#line 89 "../src/MainView.vala"
	_tmp38_ = self->priv->device_list;
#line 89 "../src/MainView.vala"
	_tmp39_ = _g_object_ref0 ((GtkWidget*) _tmp38_);
#line 89 "../src/MainView.vala"
	_tmp40_ = (GtkScrolledWindow*) gtk_scrolled_window_new ();
#line 89 "../src/MainView.vala"
	gtk_scrolled_window_set_child (_tmp40_, _tmp39_);
#line 89 "../src/MainView.vala"
	_g_object_unref0 (_tmp39_);
#line 89 "../src/MainView.vala"
	g_object_set (_tmp40_, "hscrollbar-policy", GTK_POLICY_NEVER, NULL);
#line 89 "../src/MainView.vala"
	g_object_ref_sink (_tmp40_);
#line 89 "../src/MainView.vala"
	scrolled_window = _tmp40_;
#line 94 "../src/MainView.vala"
	_tmp41_ = scrolled_window;
#line 94 "../src/MainView.vala"
	_tmp42_ = _g_object_ref0 ((GtkWidget*) _tmp41_);
#line 94 "../src/MainView.vala"
	_tmp43_ = (AdwToolbarView*) adw_toolbar_view_new ();
#line 94 "../src/MainView.vala"
	adw_toolbar_view_set_content (_tmp43_, _tmp42_);
#line 94 "../src/MainView.vala"
	_g_object_unref0 (_tmp42_);
#line 94 "../src/MainView.vala"
	adw_toolbar_view_set_top_bar_style (_tmp43_, ADW_TOOLBAR_FLAT);
#line 94 "../src/MainView.vala"
	adw_toolbar_view_set_bottom_bar_style (_tmp43_, ADW_TOOLBAR_RAISED);
#line 94 "../src/MainView.vala"
	g_object_ref_sink (_tmp43_);
#line 94 "../src/MainView.vala"
	toolbarview = _tmp43_;
#line 99 "../src/MainView.vala"
	_tmp44_ = toolbarview;
#line 99 "../src/MainView.vala"
	_tmp45_ = headerbar;
#line 99 "../src/MainView.vala"
	adw_toolbar_view_add_top_bar (_tmp44_, (GtkWidget*) _tmp45_);
#line 100 "../src/MainView.vala"
	_tmp46_ = toolbarview;
#line 100 "../src/MainView.vala"
	_tmp47_ = footer;
#line 100 "../src/MainView.vala"
	adw_toolbar_view_add_bottom_bar (_tmp46_, (GtkWidget*) _tmp47_);
#line 102 "../src/MainView.vala"
	_tmp48_ = network_main_view_sidebar_new ();
#line 102 "../src/MainView.vala"
	g_object_ref_sink (_tmp48_);
#line 102 "../src/MainView.vala"
	sidebar = _tmp48_;
#line 103 "../src/MainView.vala"
	_tmp49_ = sidebar;
#line 103 "../src/MainView.vala"
	_tmp50_ = toolbarview;
#line 103 "../src/MainView.vala"
	gtk_box_append ((GtkBox*) _tmp49_, (GtkWidget*) _tmp50_);
#line 105 "../src/MainView.vala"
	_tmp51_ = sidebar;
#line 105 "../src/MainView.vala"
	_tmp52_ = _g_object_ref0 ((GtkWidget*) _tmp51_);
#line 105 "../src/MainView.vala"
	_tmp53_ = self->priv->content;
#line 105 "../src/MainView.vala"
	_tmp54_ = _g_object_ref0 ((GtkWidget*) _tmp53_);
#line 105 "../src/MainView.vala"
	_tmp55_ = (GtkPaned*) gtk_paned_new (GTK_ORIENTATION_HORIZONTAL);
#line 105 "../src/MainView.vala"
	gtk_paned_set_start_child (_tmp55_, _tmp52_);
#line 105 "../src/MainView.vala"
	_g_object_unref0 (_tmp52_);
#line 105 "../src/MainView.vala"
	gtk_paned_set_end_child (_tmp55_, _tmp54_);
#line 105 "../src/MainView.vala"
	_g_object_unref0 (_tmp54_);
#line 105 "../src/MainView.vala"
	gtk_paned_set_resize_start_child (_tmp55_, FALSE);
#line 105 "../src/MainView.vala"
	gtk_paned_set_shrink_start_child (_tmp55_, FALSE);
#line 105 "../src/MainView.vala"
	gtk_paned_set_shrink_end_child (_tmp55_, FALSE);
#line 105 "../src/MainView.vala"
	g_object_ref_sink (_tmp55_);
#line 105 "../src/MainView.vala"
	paned = _tmp55_;
#line 113 "../src/MainView.vala"
	_tmp56_ = g_settings_schema_source_get_default ();
#line 113 "../src/MainView.vala"
	_tmp57_ = g_settings_schema_source_lookup (_tmp56_, "io.elementary.settings", TRUE);
#line 113 "../src/MainView.vala"
	sss = _tmp57_;
#line 114 "../src/MainView.vala"
	_tmp59_ = sss;
#line 114 "../src/MainView.vala"
	if (_tmp59_ != NULL) {
#line 2431 "MainView.c"
		GSettingsSchema* _tmp60_;
#line 114 "../src/MainView.vala"
		_tmp60_ = sss;
#line 114 "../src/MainView.vala"
		_tmp58_ = g_settings_schema_has_key (_tmp60_, "sidebar-position");
#line 2437 "MainView.c"
	} else {
#line 114 "../src/MainView.vala"
		_tmp58_ = FALSE;
#line 2441 "MainView.c"
	}
#line 114 "../src/MainView.vala"
	if (_tmp58_) {
#line 2445 "MainView.c"
		GSettings* settings = NULL;
		GSettings* _tmp61_;
		GSettings* _tmp62_;
		GtkPaned* _tmp63_;
#line 115 "../src/MainView.vala"
		_tmp61_ = g_settings_new ("io.elementary.settings");
#line 115 "../src/MainView.vala"
		settings = _tmp61_;
#line 116 "../src/MainView.vala"
		_tmp62_ = settings;
#line 116 "../src/MainView.vala"
		_tmp63_ = paned;
#line 116 "../src/MainView.vala"
		g_settings_bind (_tmp62_, "sidebar-position", (GObject*) _tmp63_, "position", G_SETTINGS_BIND_DEFAULT);
#line 114 "../src/MainView.vala"
		_g_object_unref0 (settings);
#line 2462 "MainView.c"
	}
#line 119 "../src/MainView.vala"
	_tmp64_ = paned;
#line 119 "../src/MainView.vala"
	gtk_box_append ((GtkBox*) self, (GtkWidget*) _tmp64_);
#line 121 "../src/MainView.vala"
	_tmp65_ = self->priv->device_list;
#line 121 "../src/MainView.vala"
	g_signal_connect_object (_tmp65_, "row-selected", (GCallback) __network_main_view___lambda46__gtk_list_box_row_selected, self, 0);
#line 125 "../src/MainView.vala"
	_tmp66_ = self->priv->device_list;
#line 125 "../src/MainView.vala"
	g_signal_connect_object (_tmp66_, "row-activated", (GCallback) __network_main_view___lambda47__gtk_list_box_row_activated, self, 0);
#line 130 "../src/MainView.vala"
	_tmp67_ = network_network_manager_get_default ();
#line 130 "../src/MainView.vala"
	network_manager = _tmp67_;
#line 131 "../src/MainView.vala"
	_tmp68_ = network_manager;
#line 131 "../src/MainView.vala"
	_tmp69_ = network_network_manager_get_client (_tmp68_);
#line 131 "../src/MainView.vala"
	_tmp70_ = _tmp69_;
#line 131 "../src/MainView.vala"
	_data2_->nm_client = _tmp70_;
#line 132 "../src/MainView.vala"
	_tmp71_ = _data2_->nm_client;
#line 132 "../src/MainView.vala"
	g_signal_connect_object (_tmp71_, "connection-added", (GCallback) _network_main_view_connection_added_cb_nm_client_connection_added, self, 0);
#line 133 "../src/MainView.vala"
	_tmp72_ = _data2_->nm_client;
#line 133 "../src/MainView.vala"
	g_signal_connect_object (_tmp72_, "connection-removed", (GCallback) _network_main_view_connection_removed_cb_nm_client_connection_removed, self, 0);
#line 135 "../src/MainView.vala"
	_tmp73_ = _data2_->nm_client;
#line 135 "../src/MainView.vala"
	g_signal_connect_object (_tmp73_, "device-added", (GCallback) _network_main_view_device_added_cb_nm_client_device_added, self, 0);
#line 136 "../src/MainView.vala"
	_tmp74_ = _data2_->nm_client;
#line 136 "../src/MainView.vala"
	g_signal_connect_object (_tmp74_, "device-removed", (GCallback) _network_main_view_device_removed_cb_nm_client_device_removed, self, 0);
#line 138 "../src/MainView.vala"
	_tmp75_ = _data2_->nm_client;
#line 138 "../src/MainView.vala"
	_tmp76_ = nm_client_get_devices (_tmp75_);
#line 138 "../src/MainView.vala"
	g_ptr_array_foreach (_tmp76_, __network_main_view___lambda48__gfunc, self);
#line 139 "../src/MainView.vala"
	_tmp77_ = _data2_->nm_client;
#line 139 "../src/MainView.vala"
	_tmp78_ = nm_client_get_connections (_tmp77_);
#line 139 "../src/MainView.vala"
	g_ptr_array_foreach (_tmp78_, __network_main_view___lambda49__gfunc, self);
#line 141 "../src/MainView.vala"
	network_main_view_update_networking_state (self);
#line 142 "../src/MainView.vala"
	_tmp79_ = _data2_->nm_client;
#line 142 "../src/MainView.vala"
	g_signal_connect_object ((GObject*) _tmp79_, "notify::networking-enabled", (GCallback) _network_main_view_update_networking_state_g_object_notify, self, 0);
#line 144 "../src/MainView.vala"
	_tmp80_ = _data2_->airplane_switch;
#line 144 "../src/MainView.vala"
	g_signal_connect_data ((GObject*) _tmp80_, "notify::active", (GCallback) __network_main_view___lambda50__g_object_notify, block2_data_ref (_data2_), (GClosureNotify) block2_data_unref, 0);
#line 159 "../src/MainView.vala"
	_tmp82_ = _data2_->airplane_switch;
#line 159 "../src/MainView.vala"
	_tmp83_ = gtk_switch_get_active (_tmp82_);
#line 159 "../src/MainView.vala"
	_tmp84_ = _tmp83_;
#line 159 "../src/MainView.vala"
	if (!_tmp84_) {
#line 2534 "MainView.c"
		NMClient* _tmp85_;
		gboolean _tmp86_;
		gboolean _tmp87_;
#line 159 "../src/MainView.vala"
		_tmp85_ = _data2_->nm_client;
#line 159 "../src/MainView.vala"
		g_object_get (_tmp85_, "networking-enabled", &_tmp86_, NULL);
#line 159 "../src/MainView.vala"
		_tmp87_ = _tmp86_;
#line 159 "../src/MainView.vala"
		_tmp81_ = !_tmp87_;
#line 2546 "MainView.c"
	} else {
#line 159 "../src/MainView.vala"
		_tmp81_ = FALSE;
#line 2550 "MainView.c"
	}
#line 159 "../src/MainView.vala"
	if (_tmp81_) {
#line 2554 "MainView.c"
		GtkSwitch* _tmp88_;
#line 160 "../src/MainView.vala"
		_tmp88_ = _data2_->airplane_switch;
#line 160 "../src/MainView.vala"
		g_signal_emit_by_name (_tmp88_, "activate");
#line 2560 "MainView.c"
	}
#line 32 "../src/MainView.vala"
	_g_settings_schema_unref0 (sss);
#line 32 "../src/MainView.vala"
	_g_object_unref0 (paned);
#line 32 "../src/MainView.vala"
	_g_object_unref0 (sidebar);
#line 32 "../src/MainView.vala"
	_g_object_unref0 (toolbarview);
#line 32 "../src/MainView.vala"
	_g_object_unref0 (scrolled_window);
#line 32 "../src/MainView.vala"
	_g_object_unref0 (airplane_mode);
#line 32 "../src/MainView.vala"
	_g_object_unref0 (footer);
#line 32 "../src/MainView.vala"
	_g_object_unref0 (label);
#line 32 "../src/MainView.vala"
	_g_object_unref0 (headerbar);
#line 32 "../src/MainView.vala"
	_g_object_unref0 (vpn);
#line 32 "../src/MainView.vala"
	_g_object_unref0 (proxy);
#line 32 "../src/MainView.vala"
	_g_object_unref0 (proxy_page);
#line 32 "../src/MainView.vala"
	block2_data_unref (_data2_);
#line 32 "../src/MainView.vala"
	_data2_ = NULL;
#line 32 "../src/MainView.vala"
	return obj;
#line 2592 "MainView.c"
}

static void
network_main_view_class_init (NetworkMainViewClass * klass,
                              gpointer klass_data)
{
#line 20 "../src/MainView.vala"
	network_main_view_parent_class = g_type_class_peek_parent (klass);
#line 20 "../src/MainView.vala"
	g_type_class_adjust_private_offset (klass, &NetworkMainView_private_offset);
#line 20 "../src/MainView.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_network_main_view_get_property;
#line 20 "../src/MainView.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_network_main_view_set_property;
#line 20 "../src/MainView.vala"
	G_OBJECT_CLASS (klass)->constructor = network_main_view_constructor;
#line 20 "../src/MainView.vala"
	G_OBJECT_CLASS (klass)->finalize = network_main_view_finalize;
#line 20 "../src/MainView.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NETWORK_MAIN_VIEW_STATE_PROPERTY, network_main_view_properties[NETWORK_MAIN_VIEW_STATE_PROPERTY] = g_param_spec_enum ("state", "state", "state", nm_device_state_get_type (), NM_DEVICE_STATE_PREPARE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 2613 "MainView.c"
}

static void
network_main_view_instance_init (NetworkMainView * self,
                                 gpointer klass)
{
#line 20 "../src/MainView.vala"
	self->priv = network_main_view_get_instance_private (self);
#line 23 "../src/MainView.vala"
	self->priv->_state = NM_DEVICE_STATE_PREPARE;
#line 29 "../src/MainView.vala"
	self->priv->current_device = NULL;
#line 2626 "MainView.c"
}

static void
network_main_view_finalize (GObject * obj)
{
	NetworkMainView * self;
#line 20 "../src/MainView.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NETWORK_TYPE_MAIN_VIEW, NetworkMainView);
#line 21 "../src/MainView.vala"
	(self->network_interface == NULL) ? NULL : (self->network_interface = (_g_list_free__g_object_unref0_ (self->network_interface), NULL));
#line 25 "../src/MainView.vala"
	_g_object_unref0 (self->priv->devices_header);
#line 26 "../src/MainView.vala"
	_g_object_unref0 (self->priv->virtual_header);
#line 27 "../src/MainView.vala"
	_g_object_unref0 (self->priv->device_list);
#line 28 "../src/MainView.vala"
	_g_object_unref0 (self->priv->content);
#line 29 "../src/MainView.vala"
	_g_object_unref0 (self->priv->current_device);
#line 30 "../src/MainView.vala"
	_g_object_unref0 (self->priv->vpn_page);
#line 20 "../src/MainView.vala"
	G_OBJECT_CLASS (network_main_view_parent_class)->finalize (obj);
#line 2651 "MainView.c"
}

static GType
network_main_view_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (NetworkMainViewClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) network_main_view_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NetworkMainView), 0, (GInstanceInitFunc) network_main_view_instance_init, NULL };
	GType network_main_view_type_id;
	network_main_view_type_id = g_type_register_static (gtk_box_get_type (), "NetworkMainView", &g_define_type_info, 0);
	NetworkMainView_private_offset = g_type_add_instance_private (network_main_view_type_id, sizeof (NetworkMainViewPrivate));
	return network_main_view_type_id;
}

GType
network_main_view_get_type (void)
{
	static volatile gsize network_main_view_type_id__once = 0;
	if (g_once_init_enter (&network_main_view_type_id__once)) {
		GType network_main_view_type_id;
		network_main_view_type_id = network_main_view_get_type_once ();
		g_once_init_leave (&network_main_view_type_id__once, network_main_view_type_id);
	}
	return network_main_view_type_id__once;
}

static void
_vala_network_main_view_get_property (GObject * object,
                                      guint property_id,
                                      GValue * value,
                                      GParamSpec * pspec)
{
	NetworkMainView * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NETWORK_TYPE_MAIN_VIEW, NetworkMainView);
#line 20 "../src/MainView.vala"
	switch (property_id) {
#line 20 "../src/MainView.vala"
		case NETWORK_MAIN_VIEW_STATE_PROPERTY:
#line 20 "../src/MainView.vala"
		g_value_set_enum (value, network_main_view_get_state (self));
#line 20 "../src/MainView.vala"
		break;
#line 2692 "MainView.c"
		default:
#line 20 "../src/MainView.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 20 "../src/MainView.vala"
		break;
#line 2698 "MainView.c"
	}
}

static void
_vala_network_main_view_set_property (GObject * object,
                                      guint property_id,
                                      const GValue * value,
                                      GParamSpec * pspec)
{
	NetworkMainView * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NETWORK_TYPE_MAIN_VIEW, NetworkMainView);
#line 20 "../src/MainView.vala"
	switch (property_id) {
#line 20 "../src/MainView.vala"
		case NETWORK_MAIN_VIEW_STATE_PROPERTY:
#line 20 "../src/MainView.vala"
		network_main_view_set_state (self, g_value_get_enum (value));
#line 20 "../src/MainView.vala"
		break;
#line 2718 "MainView.c"
		default:
#line 20 "../src/MainView.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 20 "../src/MainView.vala"
		break;
#line 2724 "MainView.c"
	}
}

static void
_vala_array_destroy (gpointer array,
                     gssize array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		gssize i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}

static void
_vala_array_free (gpointer array,
                  gssize array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}

