/* EthernetPage.c generated by valac 0.56.18, the Vala compiler
 * generated from EthernetPage.vala, do not modify */

/*-
 * Copyright (c) 2015-2020 elementary, Inc (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Adam Bieńkowski <donadigos159@gmail.com>
 */

#include "network.h"
#include <gtk/gtk.h>
#include <granite-7.h>
#include <glib.h>
#include <glib-object.h>
#include <NetworkManager.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <switchboard.h>
#include <glib/gi18n-lib.h>

#if !defined(VALA_STRICT_C)
#if !defined(__clang__) && defined(__GNUC__) && (__GNUC__ >= 14)
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#elif defined(__clang__) && (__clang_major__ >= 16)
#pragma clang diagnostic ignored "-Wincompatible-function-pointer-types"
#pragma clang diagnostic ignored "-Wincompatible-pointer-types"
#endif
#endif

enum  {
	NETWORK_WIDGETS_ETHER_INTERFACE_0_PROPERTY,
	NETWORK_WIDGETS_ETHER_INTERFACE_NUM_PROPERTIES
};
static GParamSpec* network_widgets_ether_interface_properties[NETWORK_WIDGETS_ETHER_INTERFACE_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
typedef struct _Block3Data Block3Data;

struct _NetworkWidgetsEtherInterfacePrivate {
	GtkStack* widgets_stack;
	GtkRevealer* top_revealer;
	GranitePlaceholder* no_cable;
};

struct _Block3Data {
	int _ref_count_;
	NetworkWidgetsEtherInterface* self;
	GtkButton* settings_button;
};

static gint NetworkWidgetsEtherInterface_private_offset;
static gpointer network_widgets_ether_interface_parent_class = NULL;

static void network_widgets_ether_interface_real_update_name (NetworkWidgetsPage* base,
                                                       gint count);
static void network_widgets_ether_interface_real_update (NetworkWidgetsPage* base);
static GObject * network_widgets_ether_interface_constructor (GType type,
                                                       guint n_construct_properties,
                                                       GObjectConstructParam * construct_properties);
static Block3Data* block3_data_ref (Block3Data* _data3_);
static void block3_data_unref (void * _userdata_);
static void _network_widgets_page_open_advanced_settings_gtk_button_clicked (GtkButton* _sender,
                                                                      gpointer self);
static void _network_widgets_ether_interface___lambda33_ (Block3Data* _data3_);
static void __network_widgets_ether_interface___lambda33__g_object_notify (GObject* _sender,
                                                                    GParamSpec* pspec,
                                                                    gpointer self);
static void network_widgets_ether_interface_finalize (GObject * obj);
static GType network_widgets_ether_interface_get_type_once (void);

static inline gpointer
network_widgets_ether_interface_get_instance_private (NetworkWidgetsEtherInterface* self)
{
	return G_STRUCT_MEMBER_P (self, NetworkWidgetsEtherInterface_private_offset);
}

NetworkWidgetsEtherInterface*
network_widgets_ether_interface_construct (GType object_type,
                                           NMDevice* device)
{
	NetworkWidgetsEtherInterface * self = NULL;
	GThemedIcon* _tmp0_;
	GThemedIcon* _tmp1_;
#line 26 "../src/Views/EthernetPage.vala"
	g_return_val_if_fail (device != NULL, NULL);
#line 27 "../src/Views/EthernetPage.vala"
	_tmp0_ = (GThemedIcon*) g_themed_icon_new ("network-wired");
#line 27 "../src/Views/EthernetPage.vala"
	_tmp1_ = _tmp0_;
#line 27 "../src/Views/EthernetPage.vala"
	self = (NetworkWidgetsEtherInterface*) g_object_new (object_type, "activatable", TRUE, "device", device, "icon", _tmp1_, NULL);
#line 27 "../src/Views/EthernetPage.vala"
	_g_object_unref0 (_tmp1_);
#line 26 "../src/Views/EthernetPage.vala"
	return self;
#line 111 "EthernetPage.c"
}

NetworkWidgetsEtherInterface*
network_widgets_ether_interface_new (NMDevice* device)
{
#line 26 "../src/Views/EthernetPage.vala"
	return network_widgets_ether_interface_construct (NETWORK_WIDGETS_TYPE_ETHER_INTERFACE, device);
#line 119 "EthernetPage.c"
}

static void
network_widgets_ether_interface_real_update_name (NetworkWidgetsPage* base,
                                                  gint count)
{
	NetworkWidgetsEtherInterface * self;
	gchar* name = NULL;
	NMDevice* _tmp0_;
	NMDevice* _tmp1_;
	const gchar* _tmp2_;
	gchar* _tmp3_;
	const gchar* _tmp4_;
#line 63 "../src/Views/EthernetPage.vala"
	self = (NetworkWidgetsEtherInterface*) base;
#line 64 "../src/Views/EthernetPage.vala"
	_tmp0_ = network_widgets_page_get_device ((NetworkWidgetsPage*) self);
#line 64 "../src/Views/EthernetPage.vala"
	_tmp1_ = _tmp0_;
#line 64 "../src/Views/EthernetPage.vala"
	_tmp2_ = nm_device_get_description (_tmp1_);
#line 64 "../src/Views/EthernetPage.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 64 "../src/Views/EthernetPage.vala"
	name = _tmp3_;
#line 67 "../src/Views/EthernetPage.vala"
	_tmp4_ = name;
#line 67 "../src/Views/EthernetPage.vala"
	if (g_str_has_prefix (_tmp4_, "veth")) {
#line 149 "EthernetPage.c"
		const gchar* _tmp5_;
		gchar* _tmp6_;
		gchar* _tmp7_;
#line 68 "../src/Views/EthernetPage.vala"
		_tmp5_ = name;
#line 68 "../src/Views/EthernetPage.vala"
		_tmp6_ = g_strdup_printf (_ ("Virtual network: %s"), _tmp5_);
#line 68 "../src/Views/EthernetPage.vala"
		_tmp7_ = _tmp6_;
#line 68 "../src/Views/EthernetPage.vala"
		switchboard_settings_page_set_title ((SwitchboardSettingsPage*) self, _tmp7_);
#line 68 "../src/Views/EthernetPage.vala"
		_g_free0 (_tmp7_);
#line 163 "EthernetPage.c"
	} else {
#line 70 "../src/Views/EthernetPage.vala"
		if (count <= 1) {
#line 71 "../src/Views/EthernetPage.vala"
			switchboard_settings_page_set_title ((SwitchboardSettingsPage*) self, _ ("Wired"));
#line 169 "EthernetPage.c"
		} else {
			const gchar* _tmp8_;
#line 73 "../src/Views/EthernetPage.vala"
			_tmp8_ = name;
#line 73 "../src/Views/EthernetPage.vala"
			switchboard_settings_page_set_title ((SwitchboardSettingsPage*) self, _tmp8_);
#line 176 "EthernetPage.c"
		}
	}
#line 63 "../src/Views/EthernetPage.vala"
	_g_free0 (name);
#line 181 "EthernetPage.c"
}

static void
network_widgets_ether_interface_real_update (NetworkWidgetsPage* base)
{
	NetworkWidgetsEtherInterface * self;
	NMDevice* _tmp0_;
	NMDevice* _tmp1_;
	NMDeviceState _tmp2_;
	NMDeviceState _tmp3_;
	NMDeviceState _tmp4_;
	NMDeviceState _tmp5_;
#line 78 "../src/Views/EthernetPage.vala"
	self = (NetworkWidgetsEtherInterface*) base;
#line 79 "../src/Views/EthernetPage.vala"
	NETWORK_WIDGETS_PAGE_CLASS (network_widgets_ether_interface_parent_class)->update (G_TYPE_CHECK_INSTANCE_CAST (self, NETWORK_WIDGETS_TYPE_PAGE, NetworkWidgetsPage));
#line 81 "../src/Views/EthernetPage.vala"
	_tmp0_ = network_widgets_page_get_device ((NetworkWidgetsPage*) self);
#line 81 "../src/Views/EthernetPage.vala"
	_tmp1_ = _tmp0_;
#line 81 "../src/Views/EthernetPage.vala"
	_tmp2_ = nm_device_get_state (_tmp1_);
#line 81 "../src/Views/EthernetPage.vala"
	_tmp3_ = _tmp2_;
#line 81 "../src/Views/EthernetPage.vala"
	network_widgets_page_set_state ((NetworkWidgetsPage*) self, _tmp3_);
#line 83 "../src/Views/EthernetPage.vala"
	_tmp4_ = network_widgets_page_get_state ((NetworkWidgetsPage*) self);
#line 83 "../src/Views/EthernetPage.vala"
	_tmp5_ = _tmp4_;
#line 83 "../src/Views/EthernetPage.vala"
	if (_tmp5_ == NM_DEVICE_STATE_UNAVAILABLE) {
#line 214 "EthernetPage.c"
		GtkStack* _tmp6_;
		GranitePlaceholder* _tmp7_;
#line 84 "../src/Views/EthernetPage.vala"
		_tmp6_ = self->priv->widgets_stack;
#line 84 "../src/Views/EthernetPage.vala"
		_tmp7_ = self->priv->no_cable;
#line 84 "../src/Views/EthernetPage.vala"
		gtk_stack_set_visible_child (_tmp6_, (GtkWidget*) _tmp7_);
#line 223 "EthernetPage.c"
	} else {
		GtkStack* _tmp8_;
		GtkRevealer* _tmp9_;
#line 86 "../src/Views/EthernetPage.vala"
		_tmp8_ = self->priv->widgets_stack;
#line 86 "../src/Views/EthernetPage.vala"
		_tmp9_ = self->priv->top_revealer;
#line 86 "../src/Views/EthernetPage.vala"
		gtk_stack_set_visible_child (_tmp8_, (GtkWidget*) _tmp9_);
#line 233 "EthernetPage.c"
	}
}

static Block3Data*
block3_data_ref (Block3Data* _data3_)
{
#line 34 "../src/Views/EthernetPage.vala"
	g_atomic_int_inc (&_data3_->_ref_count_);
#line 34 "../src/Views/EthernetPage.vala"
	return _data3_;
#line 244 "EthernetPage.c"
}

static void
block3_data_unref (void * _userdata_)
{
	Block3Data* _data3_;
	_data3_ = (Block3Data*) _userdata_;
#line 34 "../src/Views/EthernetPage.vala"
	if (g_atomic_int_dec_and_test (&_data3_->_ref_count_)) {
#line 254 "EthernetPage.c"
		NetworkWidgetsEtherInterface* self;
#line 34 "../src/Views/EthernetPage.vala"
		self = _data3_->self;
#line 34 "../src/Views/EthernetPage.vala"
		_g_object_unref0 (_data3_->settings_button);
#line 34 "../src/Views/EthernetPage.vala"
		_g_object_unref0 (self);
#line 34 "../src/Views/EthernetPage.vala"
		g_slice_free (Block3Data, _data3_);
#line 264 "EthernetPage.c"
	}
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 40 "../src/Views/EthernetPage.vala"
	return self ? g_object_ref (self) : NULL;
#line 273 "EthernetPage.c"
}

static void
_network_widgets_page_open_advanced_settings_gtk_button_clicked (GtkButton* _sender,
                                                                 gpointer self)
{
#line 53 "../src/Views/EthernetPage.vala"
	network_widgets_page_open_advanced_settings ((NetworkWidgetsPage*) self);
#line 282 "EthernetPage.c"
}

static void
_network_widgets_ether_interface___lambda33_ (Block3Data* _data3_)
{
	NetworkWidgetsEtherInterface* self;
	GtkButton* _tmp0_;
	const gchar* _tmp1_;
#line 56 "../src/Views/EthernetPage.vala"
	self = _data3_->self;
#line 57 "../src/Views/EthernetPage.vala"
	_tmp0_ = _data3_->settings_button;
#line 57 "../src/Views/EthernetPage.vala"
	_tmp1_ = ((NetworkWidgetsPage*) self)->uuid;
#line 57 "../src/Views/EthernetPage.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp0_, g_strcmp0 (_tmp1_, "") != 0);
#line 299 "EthernetPage.c"
}

static void
__network_widgets_ether_interface___lambda33__g_object_notify (GObject* _sender,
                                                               GParamSpec* pspec,
                                                               gpointer self)
{
#line 56 "../src/Views/EthernetPage.vala"
	_network_widgets_ether_interface___lambda33_ (self);
#line 309 "EthernetPage.c"
}

static GObject *
network_widgets_ether_interface_constructor (GType type,
                                             guint n_construct_properties,
                                             GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	NetworkWidgetsEtherInterface * self;
	Block3Data* _data3_;
	gchar* _tmp0_;
	GranitePlaceholder* _tmp1_ = NULL;
	NetworkWidgetsInfoBox* _tmp2_;
	GtkWidget* _tmp3_;
	GtkRevealer* _tmp4_ = NULL;
	GtkStack* _tmp5_;
	GtkStack* _tmp6_;
	GranitePlaceholder* _tmp7_;
	GtkStack* _tmp8_;
	GtkRevealer* _tmp9_;
	GtkStack* _tmp10_;
	GtkButton* _tmp11_;
	GtkButton* _tmp12_;
	GtkButton* _tmp13_;
	const gchar* _tmp14_;
	GtkSwitch* _tmp15_;
	GtkSwitch* _tmp16_;
	GtkRevealer* _tmp17_;
#line 34 "../src/Views/EthernetPage.vala"
	parent_class = G_OBJECT_CLASS (network_widgets_ether_interface_parent_class);
#line 34 "../src/Views/EthernetPage.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 34 "../src/Views/EthernetPage.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NETWORK_WIDGETS_TYPE_ETHER_INTERFACE, NetworkWidgetsEtherInterface);
#line 34 "../src/Views/EthernetPage.vala"
	_data3_ = g_slice_new0 (Block3Data);
#line 34 "../src/Views/EthernetPage.vala"
	_data3_->_ref_count_ = 1;
#line 34 "../src/Views/EthernetPage.vala"
	_data3_->self = g_object_ref (self);
#line 36 "../src/Views/EthernetPage.vala"
	_tmp0_ = g_strdup (_ ("A network cable is not plugged in or may be broken"));
#line 36 "../src/Views/EthernetPage.vala"
	_tmp1_ = granite_placeholder_new (_ ("This Wired Network is Unavailable"));
#line 36 "../src/Views/EthernetPage.vala"
	granite_placeholder_set_description (_tmp1_, _tmp0_);
#line 36 "../src/Views/EthernetPage.vala"
	_g_free0 (_tmp0_);
#line 36 "../src/Views/EthernetPage.vala"
	g_object_ref_sink (_tmp1_);
#line 36 "../src/Views/EthernetPage.vala"
	_g_object_unref0 (self->priv->no_cable);
#line 36 "../src/Views/EthernetPage.vala"
	self->priv->no_cable = _tmp1_;
#line 40 "../src/Views/EthernetPage.vala"
	_tmp2_ = ((NetworkWidgetsPage*) self)->info_box;
#line 40 "../src/Views/EthernetPage.vala"
	_tmp3_ = _g_object_ref0 ((GtkWidget*) _tmp2_);
#line 40 "../src/Views/EthernetPage.vala"
	_tmp4_ = (GtkRevealer*) gtk_revealer_new ();
#line 40 "../src/Views/EthernetPage.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp4_, GTK_ALIGN_START);
#line 40 "../src/Views/EthernetPage.vala"
	gtk_revealer_set_transition_type (_tmp4_, GTK_REVEALER_TRANSITION_TYPE_SLIDE_DOWN);
#line 40 "../src/Views/EthernetPage.vala"
	gtk_revealer_set_child (_tmp4_, _tmp3_);
#line 40 "../src/Views/EthernetPage.vala"
	_g_object_unref0 (_tmp3_);
#line 40 "../src/Views/EthernetPage.vala"
	g_object_ref_sink (_tmp4_);
#line 40 "../src/Views/EthernetPage.vala"
	_g_object_unref0 (self->priv->top_revealer);
#line 40 "../src/Views/EthernetPage.vala"
	self->priv->top_revealer = _tmp4_;
#line 46 "../src/Views/EthernetPage.vala"
	_tmp5_ = (GtkStack*) gtk_stack_new ();
#line 46 "../src/Views/EthernetPage.vala"
	g_object_ref_sink (_tmp5_);
#line 46 "../src/Views/EthernetPage.vala"
	_g_object_unref0 (self->priv->widgets_stack);
#line 46 "../src/Views/EthernetPage.vala"
	self->priv->widgets_stack = _tmp5_;
#line 47 "../src/Views/EthernetPage.vala"
	_tmp6_ = self->priv->widgets_stack;
#line 47 "../src/Views/EthernetPage.vala"
	_tmp7_ = self->priv->no_cable;
#line 47 "../src/Views/EthernetPage.vala"
	gtk_stack_add_child (_tmp6_, (GtkWidget*) _tmp7_);
#line 48 "../src/Views/EthernetPage.vala"
	_tmp8_ = self->priv->widgets_stack;
#line 48 "../src/Views/EthernetPage.vala"
	_tmp9_ = self->priv->top_revealer;
#line 48 "../src/Views/EthernetPage.vala"
	gtk_stack_add_child (_tmp8_, (GtkWidget*) _tmp9_);
#line 50 "../src/Views/EthernetPage.vala"
	_tmp10_ = self->priv->widgets_stack;
#line 50 "../src/Views/EthernetPage.vala"
	switchboard_settings_page_set_child ((SwitchboardSettingsPage*) self, (GtkWidget*) _tmp10_);
#line 52 "../src/Views/EthernetPage.vala"
	_tmp11_ = switchboard_settings_page_add_button ((SwitchboardSettingsPage*) self, _ ("Advanced Settings…"));
#line 52 "../src/Views/EthernetPage.vala"
	_data3_->settings_button = _tmp11_;
#line 53 "../src/Views/EthernetPage.vala"
	_tmp12_ = _data3_->settings_button;
#line 53 "../src/Views/EthernetPage.vala"
	g_signal_connect_object (_tmp12_, "clicked", (GCallback) _network_widgets_page_open_advanced_settings_gtk_button_clicked, (NetworkWidgetsPage*) self, 0);
#line 55 "../src/Views/EthernetPage.vala"
	_tmp13_ = _data3_->settings_button;
#line 55 "../src/Views/EthernetPage.vala"
	_tmp14_ = ((NetworkWidgetsPage*) self)->uuid;
#line 55 "../src/Views/EthernetPage.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp13_, g_strcmp0 (_tmp14_, "") != 0);
#line 56 "../src/Views/EthernetPage.vala"
	g_signal_connect_data ((GObject*) self, "notify::uuid", (GCallback) __network_widgets_ether_interface___lambda33__g_object_notify, block3_data_ref (_data3_), (GClosureNotify) block3_data_unref, 0);
#line 60 "../src/Views/EthernetPage.vala"
	_tmp15_ = switchboard_settings_page_get_status_switch ((SwitchboardSettingsPage*) self);
#line 60 "../src/Views/EthernetPage.vala"
	_tmp16_ = _tmp15_;
#line 60 "../src/Views/EthernetPage.vala"
	_tmp17_ = self->priv->top_revealer;
#line 60 "../src/Views/EthernetPage.vala"
	g_object_bind_property_with_closures ((GObject*) _tmp16_, "active", (GObject*) _tmp17_, "reveal-child", G_BINDING_SYNC_CREATE, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 34 "../src/Views/EthernetPage.vala"
	block3_data_unref (_data3_);
#line 34 "../src/Views/EthernetPage.vala"
	_data3_ = NULL;
#line 34 "../src/Views/EthernetPage.vala"
	return obj;
#line 439 "EthernetPage.c"
}

static void
network_widgets_ether_interface_class_init (NetworkWidgetsEtherInterfaceClass * klass,
                                            gpointer klass_data)
{
#line 21 "../src/Views/EthernetPage.vala"
	network_widgets_ether_interface_parent_class = g_type_class_peek_parent (klass);
#line 21 "../src/Views/EthernetPage.vala"
	g_type_class_adjust_private_offset (klass, &NetworkWidgetsEtherInterface_private_offset);
#line 21 "../src/Views/EthernetPage.vala"
	((NetworkWidgetsPageClass *) klass)->update_name = (void (*) (NetworkWidgetsPage*, gint)) network_widgets_ether_interface_real_update_name;
#line 21 "../src/Views/EthernetPage.vala"
	((NetworkWidgetsPageClass *) klass)->update = (void (*) (NetworkWidgetsPage*)) network_widgets_ether_interface_real_update;
#line 21 "../src/Views/EthernetPage.vala"
	G_OBJECT_CLASS (klass)->constructor = network_widgets_ether_interface_constructor;
#line 21 "../src/Views/EthernetPage.vala"
	G_OBJECT_CLASS (klass)->finalize = network_widgets_ether_interface_finalize;
#line 458 "EthernetPage.c"
}

static void
network_widgets_ether_interface_instance_init (NetworkWidgetsEtherInterface * self,
                                               gpointer klass)
{
#line 21 "../src/Views/EthernetPage.vala"
	self->priv = network_widgets_ether_interface_get_instance_private (self);
#line 467 "EthernetPage.c"
}

static void
network_widgets_ether_interface_finalize (GObject * obj)
{
	NetworkWidgetsEtherInterface * self;
#line 21 "../src/Views/EthernetPage.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NETWORK_WIDGETS_TYPE_ETHER_INTERFACE, NetworkWidgetsEtherInterface);
#line 22 "../src/Views/EthernetPage.vala"
	_g_object_unref0 (self->priv->widgets_stack);
#line 23 "../src/Views/EthernetPage.vala"
	_g_object_unref0 (self->priv->top_revealer);
#line 24 "../src/Views/EthernetPage.vala"
	_g_object_unref0 (self->priv->no_cable);
#line 21 "../src/Views/EthernetPage.vala"
	G_OBJECT_CLASS (network_widgets_ether_interface_parent_class)->finalize (obj);
#line 484 "EthernetPage.c"
}

static GType
network_widgets_ether_interface_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (NetworkWidgetsEtherInterfaceClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) network_widgets_ether_interface_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NetworkWidgetsEtherInterface), 0, (GInstanceInitFunc) network_widgets_ether_interface_instance_init, NULL };
	GType network_widgets_ether_interface_type_id;
	network_widgets_ether_interface_type_id = g_type_register_static (NETWORK_WIDGETS_TYPE_PAGE, "NetworkWidgetsEtherInterface", &g_define_type_info, 0);
	NetworkWidgetsEtherInterface_private_offset = g_type_add_instance_private (network_widgets_ether_interface_type_id, sizeof (NetworkWidgetsEtherInterfacePrivate));
	return network_widgets_ether_interface_type_id;
}

GType
network_widgets_ether_interface_get_type (void)
{
	static volatile gsize network_widgets_ether_interface_type_id__once = 0;
	if (g_once_init_enter (&network_widgets_ether_interface_type_id__once)) {
		GType network_widgets_ether_interface_type_id;
		network_widgets_ether_interface_type_id = network_widgets_ether_interface_get_type_once ();
		g_once_init_leave (&network_widgets_ether_interface_type_id__once, network_widgets_ether_interface_type_id);
	}
	return network_widgets_ether_interface_type_id__once;
}

