/* VPNPage.c generated by valac 0.56.18, the Vala compiler
 * generated from VPNPage.vala, do not modify */

/*-
 * Copyright (c) 2015-2019 elementary, Inc. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Adam Bieńkowski <donadigos159@gmail.com>
 */

#include "network.h"
#include <gee.h>
#include <glib-object.h>
#include <NetworkManager.h>
#include <gtk/gtk.h>
#include <glib.h>
#include <granite-7.h>
#include <glib/gi18n-lib.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <switchboard.h>

#if !defined(VALA_STRICT_C)
#if !defined(__clang__) && defined(__GNUC__) && (__GNUC__ >= 14)
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#elif defined(__clang__) && (__clang_major__ >= 16)
#pragma clang diagnostic ignored "-Wincompatible-function-pointer-types"
#pragma clang diagnostic ignored "-Wincompatible-pointer-types"
#endif
#endif

enum  {
	NETWORK_VPN_PAGE_0_PROPERTY,
	NETWORK_VPN_PAGE_NUM_PROPERTIES
};
static GParamSpec* network_vpn_page_properties[NETWORK_VPN_PAGE_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
typedef struct _Block6Data Block6Data;
typedef struct _Block7Data Block7Data;
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _Block8Data Block8Data;

struct _NetworkVPNPagePrivate {
	GeeList* active_connections;
	GtkListBox* vpn_list;
	guint timeout_id;
	NetworkVPNMenuItem* sel_row;
	GraniteToast* remove_vpn_toast;
};

struct _Block6Data {
	int _ref_count_;
	NetworkVPNPage* self;
	NetworkVPNMenuItem* item;
};

struct _Block7Data {
	int _ref_count_;
	NetworkVPNPage* self;
	NetworkNetworkManager* network_manager;
};

struct _Block8Data {
	int _ref_count_;
	NetworkVPNPage* self;
	NetworkNetworkManager* network_manager;
};

static gint NetworkVPNPage_private_offset;
static gpointer network_vpn_page_parent_class = NULL;

static void network_vpn_page_real_update (NetworkWidgetsPage* base);
static void network_vpn_page_update_active_connections (NetworkVPNPage* self);
static NetworkVPNMenuItem* network_vpn_page_get_item_by_uuid (NetworkVPNPage* self,
                                                       const gchar* uuid);
static void network_vpn_page_real_update_switch (NetworkWidgetsPage* base);
static void network_vpn_page_real_control_switch_activated (NetworkWidgetsPage* base);
static Block6Data* block6_data_ref (Block6Data* _data6_);
static void block6_data_unref (void * _userdata_);
static void __lambda14_ (Block6Data* _data6_);
static gboolean __lambda15_ (Block6Data* _data6_);
static void network_vpn_page_delete_connection (NetworkVPNPage* self,
                                         NetworkVPNMenuItem* item);
static gboolean ___lambda15__gsource_func (gpointer self);
static void ___lambda14__network_vpn_menu_item_remove_request (NetworkVPNMenuItem* _sender,
                                                        gpointer self);
static void __lambda13_ (NetworkVPNPage* self,
                  NMActiveConnection* ac);
static void _network_widgets_page_update_nm_vpn_connection_vpn_state_changed (NMVpnConnection* _sender,
                                                                       guint object,
                                                                       guint p0,
                                                                       gpointer self);
static void _network_widgets_page_update_nm_active_connection_state_changed (NMActiveConnection* _sender,
                                                                      guint state,
                                                                      guint reason,
                                                                      gpointer self);
static void ___lambda13__gfunc (gconstpointer data,
                         gpointer self);
static void network_vpn_page_connect_vpn_cb (NetworkVPNPage* self,
                                      NetworkVPNMenuItem* item);
static Block7Data* block7_data_ref (Block7Data* _data7_);
static void block7_data_unref (void * _userdata_);
static void __lambda16_ (Block7Data* _data7_,
                  GObject* obj,
                  GAsyncResult* res);
static void ___lambda16__gasync_ready_callback (GObject* source_object,
                                         GAsyncResult* res,
                                         gpointer self);
static void network_vpn_page_disconnect_vpn_cb (NetworkVPNPage* self,
                                         NetworkVPNMenuItem* item);
static Block8Data* block8_data_ref (Block8Data* _data8_);
static void block8_data_unref (void * _userdata_);
static void _____lambda17_ (Block8Data* _data8_,
                     GObject* obj,
                     GAsyncResult* res);
static void ______lambda17__gasync_ready_callback (GObject* source_object,
                                            GAsyncResult* res,
                                            gpointer self);
static void network_vpn_page_try_connection_editor (NetworkVPNPage* self,
                                             const gchar* args);
static void _gtk_window_destroy_gtk_dialog_response (GtkDialog* _sender,
                                              gint response_id,
                                              gpointer self);
static gint network_vpn_page_compare_rows (NetworkVPNMenuItem* row1,
                                    NetworkVPNMenuItem* row2,
                                    NetworkVPNPage* self);
static GObject * network_vpn_page_constructor (GType type,
                                        guint n_construct_properties,
                                        GObjectConstructParam * construct_properties);
static void _network_vpn_page___lambda18_ (NetworkVPNPage* self);
static void __network_vpn_page___lambda18__gtk_button_clicked (GtkButton* _sender,
                                                        gpointer self);
static void _network_vpn_page___lambda19_ (NetworkVPNPage* self);
static void __network_vpn_page___lambda19__granite_toast_default_action (GraniteToast* _sender,
                                                                  gpointer self);
static void _network_vpn_page___lambda20_ (NetworkVPNPage* self,
                                    GtkListBoxRow* row);
static void __network_vpn_page___lambda20__gtk_list_box_row_activated (GtkListBox* _sender,
                                                                GtkListBoxRow* row,
                                                                gpointer self);
static void _network_vpn_page_update_active_connections_g_object_notify (GObject* _sender,
                                                                  GParamSpec* pspec,
                                                                  gpointer self);
static void network_vpn_page_finalize (GObject * obj);
static GType network_vpn_page_get_type_once (void);

static inline gpointer
network_vpn_page_get_instance_private (NetworkVPNPage* self)
{
	return G_STRUCT_MEMBER_P (self, NetworkVPNPage_private_offset);
}

NetworkVPNPage*
network_vpn_page_construct (GType object_type)
{
	NetworkVPNPage * self = NULL;
	GThemedIcon* _tmp0_;
	GThemedIcon* _tmp1_;
#line 29 "../src/Views/VPNPage.vala"
	_tmp0_ = (GThemedIcon*) g_themed_icon_new ("network-vpn");
#line 29 "../src/Views/VPNPage.vala"
	_tmp1_ = _tmp0_;
#line 29 "../src/Views/VPNPage.vala"
	self = (NetworkVPNPage*) g_object_new (object_type, "title", _ ("VPN"), "description", _ ("A Virtual Private Network can hide network traffic on public networks " \
"or from your internet service provider. It can't protect passwords fro" \
"m attackers or prevent websites from identifying you."), "icon", _tmp1_, NULL);
#line 29 "../src/Views/VPNPage.vala"
	_g_object_unref0 (_tmp1_);
#line 28 "../src/Views/VPNPage.vala"
	return self;
#line 184 "VPNPage.c"
}

NetworkVPNPage*
network_vpn_page_new (void)
{
#line 28 "../src/Views/VPNPage.vala"
	return network_vpn_page_construct (NETWORK_TYPE_VPN_PAGE);
#line 192 "VPNPage.c"
}

static void
network_vpn_page_real_update (NetworkWidgetsPage* base)
{
	NetworkVPNPage * self;
	NetworkVPNMenuItem* item = NULL;
	NMDeviceState _tmp24_;
	NMDeviceState _tmp25_;
	NMDeviceState _tmp26_;
	NMDeviceState _tmp27_;
	gchar* _tmp28_;
	gchar* _tmp29_;
#line 115 "../src/Views/VPNPage.vala"
	self = (NetworkVPNPage*) base;
#line 116 "../src/Views/VPNPage.vala"
	network_vpn_page_update_active_connections (self);
#line 118 "../src/Views/VPNPage.vala"
	item = NULL;
#line 212 "VPNPage.c"
	{
		GeeList* _ac_list = NULL;
		GeeList* _tmp0_;
		gint _ac_size = 0;
		GeeList* _tmp1_;
		gint _tmp2_;
		gint _tmp3_;
		gint _ac_index = 0;
#line 119 "../src/Views/VPNPage.vala"
		_tmp0_ = self->priv->active_connections;
#line 119 "../src/Views/VPNPage.vala"
		_ac_list = _tmp0_;
#line 119 "../src/Views/VPNPage.vala"
		_tmp1_ = _ac_list;
#line 119 "../src/Views/VPNPage.vala"
		_tmp2_ = gee_collection_get_size ((GeeCollection*) _tmp1_);
#line 119 "../src/Views/VPNPage.vala"
		_tmp3_ = _tmp2_;
#line 119 "../src/Views/VPNPage.vala"
		_ac_size = _tmp3_;
#line 119 "../src/Views/VPNPage.vala"
		_ac_index = -1;
#line 119 "../src/Views/VPNPage.vala"
		while (TRUE) {
#line 237 "VPNPage.c"
			gint _tmp4_;
			gint _tmp5_;
			NMActiveConnection* ac = NULL;
			GeeList* _tmp6_;
			gpointer _tmp7_;
			NMActiveConnection* _tmp8_;
			NetworkVPNMenuItem* _tmp20_;
#line 119 "../src/Views/VPNPage.vala"
			_ac_index = _ac_index + 1;
#line 119 "../src/Views/VPNPage.vala"
			_tmp4_ = _ac_index;
#line 119 "../src/Views/VPNPage.vala"
			_tmp5_ = _ac_size;
#line 119 "../src/Views/VPNPage.vala"
			if (!(_tmp4_ < _tmp5_)) {
#line 119 "../src/Views/VPNPage.vala"
				break;
#line 255 "VPNPage.c"
			}
#line 119 "../src/Views/VPNPage.vala"
			_tmp6_ = _ac_list;
#line 119 "../src/Views/VPNPage.vala"
			_tmp7_ = gee_list_get (_tmp6_, _ac_index);
#line 119 "../src/Views/VPNPage.vala"
			ac = (NMActiveConnection*) _tmp7_;
#line 120 "../src/Views/VPNPage.vala"
			_tmp8_ = ac;
#line 120 "../src/Views/VPNPage.vala"
			if (_tmp8_ != NULL) {
#line 267 "VPNPage.c"
				const gchar* connection_type = NULL;
				NMActiveConnection* _tmp9_;
				const gchar* _tmp10_;
				const gchar* _tmp11_;
				NMActiveConnection* _tmp17_;
				const gchar* _tmp18_;
				NetworkVPNMenuItem* _tmp19_;
#line 121 "../src/Views/VPNPage.vala"
				_tmp9_ = ac;
#line 121 "../src/Views/VPNPage.vala"
				_tmp10_ = nm_active_connection_get_connection_type (_tmp9_);
#line 121 "../src/Views/VPNPage.vala"
				connection_type = _tmp10_;
#line 122 "../src/Views/VPNPage.vala"
				_tmp11_ = connection_type;
#line 122 "../src/Views/VPNPage.vala"
				if (g_strcmp0 (_tmp11_, NM_SETTING_VPN_SETTING_NAME) == 0) {
#line 285 "VPNPage.c"
					NMActiveConnection* _tmp12_;
					NMVpnConnectionState _tmp13_;
					NMVpnConnectionState _tmp14_;
#line 123 "../src/Views/VPNPage.vala"
					_tmp12_ = ac;
#line 123 "../src/Views/VPNPage.vala"
					_tmp13_ = nm_vpn_connection_get_vpn_state (G_TYPE_CHECK_INSTANCE_CAST (_tmp12_, nm_vpn_connection_get_type (), NMVpnConnection));
#line 123 "../src/Views/VPNPage.vala"
					_tmp14_ = _tmp13_;
#line 123 "../src/Views/VPNPage.vala"
					switch (_tmp14_) {
#line 123 "../src/Views/VPNPage.vala"
						case NM_VPN_CONNECTION_STATE_UNKNOWN:
#line 123 "../src/Views/VPNPage.vala"
						case NM_VPN_CONNECTION_STATE_DISCONNECTED:
#line 301 "VPNPage.c"
						{
#line 126 "../src/Views/VPNPage.vala"
							network_widgets_page_set_state ((NetworkWidgetsPage*) self, NM_DEVICE_STATE_DISCONNECTED);
#line 127 "../src/Views/VPNPage.vala"
							break;
#line 307 "VPNPage.c"
						}
#line 123 "../src/Views/VPNPage.vala"
						case NM_VPN_CONNECTION_STATE_PREPARE:
#line 123 "../src/Views/VPNPage.vala"
						case NM_VPN_CONNECTION_STATE_NEED_AUTH:
#line 123 "../src/Views/VPNPage.vala"
						case NM_VPN_CONNECTION_STATE_IP_CONFIG_GET:
#line 123 "../src/Views/VPNPage.vala"
						case NM_VPN_CONNECTION_STATE_CONNECT:
#line 317 "VPNPage.c"
						{
#line 132 "../src/Views/VPNPage.vala"
							network_widgets_page_set_state ((NetworkWidgetsPage*) self, NM_DEVICE_STATE_PREPARE);
#line 133 "../src/Views/VPNPage.vala"
							break;
#line 323 "VPNPage.c"
						}
#line 123 "../src/Views/VPNPage.vala"
						case NM_VPN_CONNECTION_STATE_FAILED:
#line 327 "VPNPage.c"
						{
#line 135 "../src/Views/VPNPage.vala"
							network_widgets_page_set_state ((NetworkWidgetsPage*) self, NM_DEVICE_STATE_FAILED);
#line 136 "../src/Views/VPNPage.vala"
							break;
#line 333 "VPNPage.c"
						}
#line 123 "../src/Views/VPNPage.vala"
						case NM_VPN_CONNECTION_STATE_ACTIVATED:
#line 337 "VPNPage.c"
						{
#line 138 "../src/Views/VPNPage.vala"
							network_widgets_page_set_state ((NetworkWidgetsPage*) self, NM_DEVICE_STATE_ACTIVATED);
#line 139 "../src/Views/VPNPage.vala"
							break;
#line 343 "VPNPage.c"
						}
						default:
#line 123 "../src/Views/VPNPage.vala"
						break;
#line 348 "VPNPage.c"
					}
				} else {
					const gchar* _tmp15_;
#line 141 "../src/Views/VPNPage.vala"
					_tmp15_ = connection_type;
#line 141 "../src/Views/VPNPage.vala"
					if (g_strcmp0 (_tmp15_, NM_SETTING_WIREGUARD_SETTING_NAME) == 0) {
#line 356 "VPNPage.c"
						NMActiveConnection* _tmp16_;
#line 142 "../src/Views/VPNPage.vala"
						_tmp16_ = ac;
#line 142 "../src/Views/VPNPage.vala"
						switch (nm_active_connection_get_state (_tmp16_)) {
#line 142 "../src/Views/VPNPage.vala"
							case NM_ACTIVE_CONNECTION_STATE_UNKNOWN:
#line 142 "../src/Views/VPNPage.vala"
							case NM_ACTIVE_CONNECTION_STATE_DEACTIVATED:
#line 142 "../src/Views/VPNPage.vala"
							case NM_ACTIVE_CONNECTION_STATE_DEACTIVATING:
#line 368 "VPNPage.c"
							{
#line 146 "../src/Views/VPNPage.vala"
								network_widgets_page_set_state ((NetworkWidgetsPage*) self, NM_DEVICE_STATE_DISCONNECTED);
#line 147 "../src/Views/VPNPage.vala"
								break;
#line 374 "VPNPage.c"
							}
#line 142 "../src/Views/VPNPage.vala"
							case NM_ACTIVE_CONNECTION_STATE_ACTIVATING:
#line 378 "VPNPage.c"
							{
#line 149 "../src/Views/VPNPage.vala"
								network_widgets_page_set_state ((NetworkWidgetsPage*) self, NM_DEVICE_STATE_PREPARE);
#line 150 "../src/Views/VPNPage.vala"
								break;
#line 384 "VPNPage.c"
							}
#line 142 "../src/Views/VPNPage.vala"
							case NM_ACTIVE_CONNECTION_STATE_ACTIVATED:
#line 388 "VPNPage.c"
							{
#line 152 "../src/Views/VPNPage.vala"
								network_widgets_page_set_state ((NetworkWidgetsPage*) self, NM_DEVICE_STATE_ACTIVATED);
#line 153 "../src/Views/VPNPage.vala"
								break;
#line 394 "VPNPage.c"
							}
							default:
#line 142 "../src/Views/VPNPage.vala"
							break;
#line 399 "VPNPage.c"
						}
					}
				}
#line 157 "../src/Views/VPNPage.vala"
				_tmp17_ = ac;
#line 157 "../src/Views/VPNPage.vala"
				_tmp18_ = nm_active_connection_get_uuid (_tmp17_);
#line 157 "../src/Views/VPNPage.vala"
				_tmp19_ = network_vpn_page_get_item_by_uuid (self, _tmp18_);
#line 157 "../src/Views/VPNPage.vala"
				_g_object_unref0 (item);
#line 157 "../src/Views/VPNPage.vala"
				item = _tmp19_;
#line 413 "VPNPage.c"
			} else {
#line 159 "../src/Views/VPNPage.vala"
				network_widgets_page_set_state ((NetworkWidgetsPage*) self, NM_DEVICE_STATE_DISCONNECTED);
#line 417 "VPNPage.c"
			}
#line 162 "../src/Views/VPNPage.vala"
			_tmp20_ = item;
#line 162 "../src/Views/VPNPage.vala"
			if (_tmp20_ != NULL) {
#line 423 "VPNPage.c"
				NetworkVPNMenuItem* _tmp21_;
				NMDeviceState _tmp22_;
				NMDeviceState _tmp23_;
#line 163 "../src/Views/VPNPage.vala"
				_tmp21_ = item;
#line 163 "../src/Views/VPNPage.vala"
				_tmp22_ = network_widgets_page_get_state ((NetworkWidgetsPage*) self);
#line 163 "../src/Views/VPNPage.vala"
				_tmp23_ = _tmp22_;
#line 163 "../src/Views/VPNPage.vala"
				network_vpn_menu_item_set_state (_tmp21_, _tmp23_);
#line 435 "VPNPage.c"
			}
#line 119 "../src/Views/VPNPage.vala"
			_g_object_unref0 (ac);
#line 439 "VPNPage.c"
		}
	}
#line 167 "../src/Views/VPNPage.vala"
	_tmp24_ = network_widgets_page_get_state ((NetworkWidgetsPage*) self);
#line 167 "../src/Views/VPNPage.vala"
	_tmp25_ = _tmp24_;
#line 167 "../src/Views/VPNPage.vala"
	switch (_tmp25_) {
#line 167 "../src/Views/VPNPage.vala"
		case NM_DEVICE_STATE_ACTIVATED:
#line 450 "VPNPage.c"
		{
#line 169 "../src/Views/VPNPage.vala"
			switchboard_settings_page_set_status_type ((SwitchboardSettingsPage*) self, SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_SUCCESS);
#line 170 "../src/Views/VPNPage.vala"
			break;
#line 456 "VPNPage.c"
		}
#line 167 "../src/Views/VPNPage.vala"
		case NM_DEVICE_STATE_DISCONNECTED:
#line 460 "VPNPage.c"
		{
#line 172 "../src/Views/VPNPage.vala"
			switchboard_settings_page_set_status_type ((SwitchboardSettingsPage*) self, SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_OFFLINE);
#line 173 "../src/Views/VPNPage.vala"
			break;
#line 466 "VPNPage.c"
		}
#line 167 "../src/Views/VPNPage.vala"
		case NM_DEVICE_STATE_FAILED:
#line 470 "VPNPage.c"
		{
#line 175 "../src/Views/VPNPage.vala"
			switchboard_settings_page_set_status_type ((SwitchboardSettingsPage*) self, SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_ERROR);
#line 176 "../src/Views/VPNPage.vala"
			break;
#line 476 "VPNPage.c"
		}
		default:
		{
#line 178 "../src/Views/VPNPage.vala"
			switchboard_settings_page_set_status_type ((SwitchboardSettingsPage*) self, SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_WARNING);
#line 179 "../src/Views/VPNPage.vala"
			break;
#line 484 "VPNPage.c"
		}
	}
#line 182 "../src/Views/VPNPage.vala"
	_tmp26_ = network_widgets_page_get_state ((NetworkWidgetsPage*) self);
#line 182 "../src/Views/VPNPage.vala"
	_tmp27_ = _tmp26_;
#line 182 "../src/Views/VPNPage.vala"
	_tmp28_ = network_utils_state_to_string (_tmp27_);
#line 182 "../src/Views/VPNPage.vala"
	_tmp29_ = _tmp28_;
#line 182 "../src/Views/VPNPage.vala"
	switchboard_settings_page_set_status ((SwitchboardSettingsPage*) self, _tmp29_);
#line 182 "../src/Views/VPNPage.vala"
	_g_free0 (_tmp29_);
#line 115 "../src/Views/VPNPage.vala"
	_g_object_unref0 (item);
#line 501 "VPNPage.c"
}

static void
network_vpn_page_real_update_switch (NetworkWidgetsPage* base)
{
	NetworkVPNPage * self;
#line 185 "../src/Views/VPNPage.vala"
	self = (NetworkVPNPage*) base;
#line 510 "VPNPage.c"
}

static void
network_vpn_page_real_control_switch_activated (NetworkWidgetsPage* base)
{
	NetworkVPNPage * self;
#line 189 "../src/Views/VPNPage.vala"
	self = (NetworkVPNPage*) base;
#line 519 "VPNPage.c"
}

static Block6Data*
block6_data_ref (Block6Data* _data6_)
{
#line 193 "../src/Views/VPNPage.vala"
	g_atomic_int_inc (&_data6_->_ref_count_);
#line 193 "../src/Views/VPNPage.vala"
	return _data6_;
#line 529 "VPNPage.c"
}

static void
block6_data_unref (void * _userdata_)
{
	Block6Data* _data6_;
	_data6_ = (Block6Data*) _userdata_;
#line 193 "../src/Views/VPNPage.vala"
	if (g_atomic_int_dec_and_test (&_data6_->_ref_count_)) {
#line 539 "VPNPage.c"
		NetworkVPNPage* self;
#line 193 "../src/Views/VPNPage.vala"
		self = _data6_->self;
#line 193 "../src/Views/VPNPage.vala"
		_g_object_unref0 (_data6_->item);
#line 193 "../src/Views/VPNPage.vala"
		_g_object_unref0 (self);
#line 193 "../src/Views/VPNPage.vala"
		g_slice_free (Block6Data, _data6_);
#line 549 "VPNPage.c"
	}
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 196 "../src/Views/VPNPage.vala"
	return self ? g_object_ref (self) : NULL;
#line 558 "VPNPage.c"
}

static gboolean
__lambda15_ (Block6Data* _data6_)
{
	NetworkVPNPage* self;
	gboolean result;
#line 198 "../src/Views/VPNPage.vala"
	self = _data6_->self;
#line 199 "../src/Views/VPNPage.vala"
	self->priv->timeout_id = (guint) 0;
#line 200 "../src/Views/VPNPage.vala"
	network_vpn_page_delete_connection (self, _data6_->item);
#line 201 "../src/Views/VPNPage.vala"
	result = G_SOURCE_REMOVE;
#line 201 "../src/Views/VPNPage.vala"
	return result;
#line 576 "VPNPage.c"
}

static gboolean
___lambda15__gsource_func (gpointer self)
{
	gboolean result;
	result = __lambda15_ (self);
#line 198 "../src/Views/VPNPage.vala"
	return result;
#line 586 "VPNPage.c"
}

static void
__lambda14_ (Block6Data* _data6_)
{
	NetworkVPNPage* self;
	NetworkVPNMenuItem* _tmp0_;
	GraniteToast* _tmp1_;
#line 195 "../src/Views/VPNPage.vala"
	self = _data6_->self;
#line 196 "../src/Views/VPNPage.vala"
	_tmp0_ = _g_object_ref0 (_data6_->item);
#line 196 "../src/Views/VPNPage.vala"
	_g_object_unref0 (self->priv->sel_row);
#line 196 "../src/Views/VPNPage.vala"
	self->priv->sel_row = _tmp0_;
#line 197 "../src/Views/VPNPage.vala"
	_tmp1_ = self->priv->remove_vpn_toast;
#line 197 "../src/Views/VPNPage.vala"
	granite_toast_send_notification (_tmp1_);
#line 198 "../src/Views/VPNPage.vala"
	self->priv->timeout_id = g_timeout_add_full (G_PRIORITY_DEFAULT, (guint) 3600, ___lambda15__gsource_func, block6_data_ref (_data6_), block6_data_unref);
#line 609 "VPNPage.c"
}

static void
___lambda14__network_vpn_menu_item_remove_request (NetworkVPNMenuItem* _sender,
                                                   gpointer self)
{
#line 195 "../src/Views/VPNPage.vala"
	__lambda14_ (self);
#line 618 "VPNPage.c"
}

void
network_vpn_page_add_connection (NetworkVPNPage* self,
                                 NMRemoteConnection* connection)
{
	Block6Data* _data6_;
	NetworkVPNMenuItem* _tmp0_;
	GtkListBox* _tmp1_;
#line 193 "../src/Views/VPNPage.vala"
	g_return_if_fail (self != NULL);
#line 193 "../src/Views/VPNPage.vala"
	g_return_if_fail (connection != NULL);
#line 193 "../src/Views/VPNPage.vala"
	_data6_ = g_slice_new0 (Block6Data);
#line 193 "../src/Views/VPNPage.vala"
	_data6_->_ref_count_ = 1;
#line 193 "../src/Views/VPNPage.vala"
	_data6_->self = g_object_ref (self);
#line 194 "../src/Views/VPNPage.vala"
	_tmp0_ = network_vpn_menu_item_new (connection);
#line 194 "../src/Views/VPNPage.vala"
	g_object_ref_sink (_tmp0_);
#line 194 "../src/Views/VPNPage.vala"
	_data6_->item = _tmp0_;
#line 195 "../src/Views/VPNPage.vala"
	g_signal_connect_data (_data6_->item, "remove-request", (GCallback) ___lambda14__network_vpn_menu_item_remove_request, block6_data_ref (_data6_), (GClosureNotify) block6_data_unref, 0);
#line 205 "../src/Views/VPNPage.vala"
	_tmp1_ = self->priv->vpn_list;
#line 205 "../src/Views/VPNPage.vala"
	gtk_list_box_append (_tmp1_, (GtkWidget*) _data6_->item);
#line 206 "../src/Views/VPNPage.vala"
	network_widgets_page_update ((NetworkWidgetsPage*) self);
#line 193 "../src/Views/VPNPage.vala"
	block6_data_unref (_data6_);
#line 193 "../src/Views/VPNPage.vala"
	_data6_ = NULL;
#line 656 "VPNPage.c"
}

void
network_vpn_page_remove_connection (NetworkVPNPage* self,
                                    NMRemoteConnection* connection)
{
	NetworkVPNMenuItem* item = NULL;
	const gchar* _tmp0_;
	NetworkVPNMenuItem* _tmp1_;
#line 209 "../src/Views/VPNPage.vala"
	g_return_if_fail (self != NULL);
#line 209 "../src/Views/VPNPage.vala"
	g_return_if_fail (connection != NULL);
#line 210 "../src/Views/VPNPage.vala"
	_tmp0_ = nm_connection_get_uuid ((NMConnection*) connection);
#line 210 "../src/Views/VPNPage.vala"
	_tmp1_ = network_vpn_page_get_item_by_uuid (self, _tmp0_);
#line 210 "../src/Views/VPNPage.vala"
	item = _tmp1_;
#line 211 "../src/Views/VPNPage.vala"
	g_signal_emit_by_name ((GtkWidget*) item, "destroy");
#line 209 "../src/Views/VPNPage.vala"
	_g_object_unref0 (item);
#line 680 "VPNPage.c"
}

static NetworkVPNMenuItem*
network_vpn_page_get_item_by_uuid (NetworkVPNPage* self,
                                   const gchar* uuid)
{
	NetworkVPNMenuItem* item = NULL;
	GtkWidget* child = NULL;
	GtkListBox* _tmp0_;
	GtkWidget* _tmp1_;
	NetworkVPNMenuItem* result;
#line 214 "../src/Views/VPNPage.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 214 "../src/Views/VPNPage.vala"
	g_return_val_if_fail (uuid != NULL, NULL);
#line 215 "../src/Views/VPNPage.vala"
	item = NULL;
#line 217 "../src/Views/VPNPage.vala"
	_tmp0_ = self->priv->vpn_list;
#line 217 "../src/Views/VPNPage.vala"
	_tmp1_ = gtk_widget_get_first_child ((GtkWidget*) _tmp0_);
#line 217 "../src/Views/VPNPage.vala"
	child = _tmp1_;
#line 218 "../src/Views/VPNPage.vala"
	while (TRUE) {
#line 706 "VPNPage.c"
		gboolean _tmp2_ = FALSE;
		GtkWidget* _tmp3_;
		GtkWidget* _tmp5_;
		GtkWidget* _tmp18_;
		GtkWidget* _tmp19_;
#line 218 "../src/Views/VPNPage.vala"
		_tmp3_ = child;
#line 218 "../src/Views/VPNPage.vala"
		if (_tmp3_ != NULL) {
#line 716 "VPNPage.c"
			NetworkVPNMenuItem* _tmp4_;
#line 218 "../src/Views/VPNPage.vala"
			_tmp4_ = item;
#line 218 "../src/Views/VPNPage.vala"
			_tmp2_ = _tmp4_ == NULL;
#line 722 "VPNPage.c"
		} else {
#line 218 "../src/Views/VPNPage.vala"
			_tmp2_ = FALSE;
#line 726 "VPNPage.c"
		}
#line 218 "../src/Views/VPNPage.vala"
		if (!_tmp2_) {
#line 218 "../src/Views/VPNPage.vala"
			break;
#line 732 "VPNPage.c"
		}
#line 219 "../src/Views/VPNPage.vala"
		_tmp5_ = child;
#line 219 "../src/Views/VPNPage.vala"
		if (NETWORK_IS_VPN_MENU_ITEM (_tmp5_)) {
#line 738 "VPNPage.c"
			NetworkVPNMenuItem* _item = NULL;
			GtkWidget* _tmp6_;
			NetworkVPNMenuItem* _tmp7_;
			gboolean _tmp8_ = FALSE;
			NetworkVPNMenuItem* _tmp9_;
			NMRemoteConnection* _tmp10_;
			NMRemoteConnection* _tmp11_;
#line 220 "../src/Views/VPNPage.vala"
			_tmp6_ = child;
#line 220 "../src/Views/VPNPage.vala"
			_tmp7_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp6_, NETWORK_TYPE_VPN_MENU_ITEM, NetworkVPNMenuItem));
#line 220 "../src/Views/VPNPage.vala"
			_item = _tmp7_;
#line 221 "../src/Views/VPNPage.vala"
			_tmp9_ = _item;
#line 221 "../src/Views/VPNPage.vala"
			_tmp10_ = network_vpn_menu_item_get_connection (_tmp9_);
#line 221 "../src/Views/VPNPage.vala"
			_tmp11_ = _tmp10_;
#line 221 "../src/Views/VPNPage.vala"
			if (_tmp11_ != NULL) {
#line 760 "VPNPage.c"
				NetworkVPNMenuItem* _tmp12_;
				NMRemoteConnection* _tmp13_;
				NMRemoteConnection* _tmp14_;
				const gchar* _tmp15_;
#line 221 "../src/Views/VPNPage.vala"
				_tmp12_ = _item;
#line 221 "../src/Views/VPNPage.vala"
				_tmp13_ = network_vpn_menu_item_get_connection (_tmp12_);
#line 221 "../src/Views/VPNPage.vala"
				_tmp14_ = _tmp13_;
#line 221 "../src/Views/VPNPage.vala"
				_tmp15_ = nm_connection_get_uuid ((NMConnection*) _tmp14_);
#line 221 "../src/Views/VPNPage.vala"
				_tmp8_ = g_strcmp0 (_tmp15_, uuid) == 0;
#line 775 "VPNPage.c"
			} else {
#line 221 "../src/Views/VPNPage.vala"
				_tmp8_ = FALSE;
#line 779 "VPNPage.c"
			}
#line 221 "../src/Views/VPNPage.vala"
			if (_tmp8_) {
#line 783 "VPNPage.c"
				GtkWidget* _tmp16_;
				NetworkVPNMenuItem* _tmp17_;
#line 222 "../src/Views/VPNPage.vala"
				_tmp16_ = child;
#line 222 "../src/Views/VPNPage.vala"
				_tmp17_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp16_, NETWORK_TYPE_VPN_MENU_ITEM, NetworkVPNMenuItem));
#line 222 "../src/Views/VPNPage.vala"
				_g_object_unref0 (item);
#line 222 "../src/Views/VPNPage.vala"
				item = _tmp17_;
#line 794 "VPNPage.c"
			}
#line 219 "../src/Views/VPNPage.vala"
			_g_object_unref0 (_item);
#line 798 "VPNPage.c"
		}
#line 226 "../src/Views/VPNPage.vala"
		_tmp18_ = child;
#line 226 "../src/Views/VPNPage.vala"
		_tmp19_ = gtk_widget_get_next_sibling (_tmp18_);
#line 226 "../src/Views/VPNPage.vala"
		child = _tmp19_;
#line 806 "VPNPage.c"
	}
#line 229 "../src/Views/VPNPage.vala"
	result = item;
#line 229 "../src/Views/VPNPage.vala"
	return result;
#line 812 "VPNPage.c"
}

static void
_network_widgets_page_update_nm_vpn_connection_vpn_state_changed (NMVpnConnection* _sender,
                                                                  guint object,
                                                                  guint p0,
                                                                  gpointer self)
{
#line 246 "../src/Views/VPNPage.vala"
	network_widgets_page_update ((NetworkWidgetsPage*) self);
#line 823 "VPNPage.c"
}

static void
_network_widgets_page_update_nm_active_connection_state_changed (NMActiveConnection* _sender,
                                                                 guint state,
                                                                 guint reason,
                                                                 gpointer self)
{
#line 249 "../src/Views/VPNPage.vala"
	network_widgets_page_update ((NetworkWidgetsPage*) self);
#line 834 "VPNPage.c"
}

static void
__lambda13_ (NetworkVPNPage* self,
             NMActiveConnection* ac)
{
	const gchar* connection_type = NULL;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
	GeeList* _tmp8_;
#line 235 "../src/Views/VPNPage.vala"
	g_return_if_fail (ac != NULL);
#line 236 "../src/Views/VPNPage.vala"
	_tmp0_ = nm_active_connection_get_connection_type (ac);
#line 236 "../src/Views/VPNPage.vala"
	connection_type = _tmp0_;
#line 240 "../src/Views/VPNPage.vala"
	_tmp1_ = connection_type;
#line 240 "../src/Views/VPNPage.vala"
	if (g_strcmp0 (_tmp1_, NM_SETTING_VPN_SETTING_NAME) == 0) {
#line 855 "VPNPage.c"
		NMVpnConnection* _connection = NULL;
		NMVpnConnection* _tmp2_;
		NMVpnConnection* _tmp3_;
		guint _tmp4_;
		NMVpnConnection* _tmp5_;
#line 245 "../src/Views/VPNPage.vala"
		_tmp2_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (ac, nm_vpn_connection_get_type (), NMVpnConnection));
#line 245 "../src/Views/VPNPage.vala"
		_connection = _tmp2_;
#line 246 "../src/Views/VPNPage.vala"
		_tmp3_ = _connection;
#line 246 "../src/Views/VPNPage.vala"
		g_signal_parse_name ("vpn-state-changed", nm_vpn_connection_get_type (), &_tmp4_, NULL, FALSE);
#line 246 "../src/Views/VPNPage.vala"
		g_signal_handlers_disconnect_matched (_tmp3_, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp4_, 0, NULL, (GCallback) _network_widgets_page_update_nm_vpn_connection_vpn_state_changed, (NetworkWidgetsPage*) self);
#line 247 "../src/Views/VPNPage.vala"
		_tmp5_ = _connection;
#line 247 "../src/Views/VPNPage.vala"
		g_signal_connect_object (_tmp5_, "vpn-state-changed", (GCallback) _network_widgets_page_update_nm_vpn_connection_vpn_state_changed, (NetworkWidgetsPage*) self, 0);
#line 240 "../src/Views/VPNPage.vala"
		_g_object_unref0 (_connection);
#line 877 "VPNPage.c"
	} else {
		const gchar* _tmp6_;
#line 248 "../src/Views/VPNPage.vala"
		_tmp6_ = connection_type;
#line 248 "../src/Views/VPNPage.vala"
		if (g_strcmp0 (_tmp6_, NM_SETTING_WIREGUARD_SETTING_NAME) == 0) {
#line 884 "VPNPage.c"
			guint _tmp7_;
#line 249 "../src/Views/VPNPage.vala"
			g_signal_parse_name ("state-changed", nm_active_connection_get_type (), &_tmp7_, NULL, FALSE);
#line 249 "../src/Views/VPNPage.vala"
			g_signal_handlers_disconnect_matched (ac, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp7_, 0, NULL, (GCallback) _network_widgets_page_update_nm_active_connection_state_changed, (NetworkWidgetsPage*) self);
#line 250 "../src/Views/VPNPage.vala"
			g_signal_connect_object (ac, "state-changed", (GCallback) _network_widgets_page_update_nm_active_connection_state_changed, (NetworkWidgetsPage*) self, 0);
#line 892 "VPNPage.c"
		} else {
#line 254 "../src/Views/VPNPage.vala"
			return;
#line 896 "VPNPage.c"
		}
	}
#line 257 "../src/Views/VPNPage.vala"
	_tmp8_ = self->priv->active_connections;
#line 257 "../src/Views/VPNPage.vala"
	gee_collection_add ((GeeCollection*) _tmp8_, ac);
#line 903 "VPNPage.c"
}

static void
___lambda13__gfunc (gconstpointer data,
                    gpointer self)
{
#line 235 "../src/Views/VPNPage.vala"
	__lambda13_ ((NetworkVPNPage*) self, (NMActiveConnection*) data);
#line 912 "VPNPage.c"
}

static void
network_vpn_page_update_active_connections (NetworkVPNPage* self)
{
	GeeList* _tmp0_;
	NetworkNetworkManager* network_manager = NULL;
	NetworkNetworkManager* _tmp1_;
	NMClient* _tmp2_;
	NMClient* _tmp3_;
	GPtrArray* _tmp4_;
#line 232 "../src/Views/VPNPage.vala"
	g_return_if_fail (self != NULL);
#line 233 "../src/Views/VPNPage.vala"
	_tmp0_ = self->priv->active_connections;
#line 233 "../src/Views/VPNPage.vala"
	gee_collection_clear ((GeeCollection*) _tmp0_);
#line 234 "../src/Views/VPNPage.vala"
	_tmp1_ = network_network_manager_get_default ();
#line 234 "../src/Views/VPNPage.vala"
	network_manager = _tmp1_;
#line 235 "../src/Views/VPNPage.vala"
	_tmp2_ = network_network_manager_get_client (network_manager);
#line 235 "../src/Views/VPNPage.vala"
	_tmp3_ = _tmp2_;
#line 235 "../src/Views/VPNPage.vala"
	_tmp4_ = nm_client_get_active_connections (_tmp3_);
#line 235 "../src/Views/VPNPage.vala"
	g_ptr_array_foreach (_tmp4_, ___lambda13__gfunc, self);
#line 942 "VPNPage.c"
}

static Block7Data*
block7_data_ref (Block7Data* _data7_)
{
#line 261 "../src/Views/VPNPage.vala"
	g_atomic_int_inc (&_data7_->_ref_count_);
#line 261 "../src/Views/VPNPage.vala"
	return _data7_;
#line 952 "VPNPage.c"
}

static void
block7_data_unref (void * _userdata_)
{
	Block7Data* _data7_;
	_data7_ = (Block7Data*) _userdata_;
#line 261 "../src/Views/VPNPage.vala"
	if (g_atomic_int_dec_and_test (&_data7_->_ref_count_)) {
#line 962 "VPNPage.c"
		NetworkVPNPage* self;
#line 261 "../src/Views/VPNPage.vala"
		self = _data7_->self;
#line 261 "../src/Views/VPNPage.vala"
		_g_object_unref0 (self);
#line 261 "../src/Views/VPNPage.vala"
		g_slice_free (Block7Data, _data7_);
#line 970 "VPNPage.c"
	}
}

static void
__lambda16_ (Block7Data* _data7_,
             GObject* obj,
             GAsyncResult* res)
{
	NetworkVPNPage* self;
	GError* _inner_error0_ = NULL;
#line 265 "../src/Views/VPNPage.vala"
	self = _data7_->self;
#line 265 "../src/Views/VPNPage.vala"
	g_return_if_fail (res != NULL);
#line 985 "VPNPage.c"
	{
		NMClient* _tmp0_;
		NMClient* _tmp1_;
		NMActiveConnection* _tmp2_;
		NMActiveConnection* _tmp3_;
#line 267 "../src/Views/VPNPage.vala"
		_tmp0_ = network_network_manager_get_client (_data7_->network_manager);
#line 267 "../src/Views/VPNPage.vala"
		_tmp1_ = _tmp0_;
#line 267 "../src/Views/VPNPage.vala"
		_tmp2_ = nm_client_activate_connection_finish (_tmp1_, res, &_inner_error0_);
#line 267 "../src/Views/VPNPage.vala"
		_tmp3_ = _tmp2_;
#line 267 "../src/Views/VPNPage.vala"
		_g_object_unref0 (_tmp3_);
#line 267 "../src/Views/VPNPage.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1003 "VPNPage.c"
			goto __catch0_g_error;
		}
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		GError* _tmp4_;
		const gchar* _tmp5_;
#line 266 "../src/Views/VPNPage.vala"
		e = _inner_error0_;
#line 266 "../src/Views/VPNPage.vala"
		_inner_error0_ = NULL;
#line 269 "../src/Views/VPNPage.vala"
		_tmp4_ = e;
#line 269 "../src/Views/VPNPage.vala"
		_tmp5_ = _tmp4_->message;
#line 269 "../src/Views/VPNPage.vala"
		g_warning ("VPNPage.vala:269: %s", _tmp5_);
#line 266 "../src/Views/VPNPage.vala"
		_g_error_free0 (e);
#line 1025 "VPNPage.c"
	}
	__finally0:
#line 266 "../src/Views/VPNPage.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 266 "../src/Views/VPNPage.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 266 "../src/Views/VPNPage.vala"
		g_clear_error (&_inner_error0_);
#line 266 "../src/Views/VPNPage.vala"
		return;
#line 1036 "VPNPage.c"
	}
#line 271 "../src/Views/VPNPage.vala"
	network_widgets_page_update ((NetworkWidgetsPage*) self);
#line 1040 "VPNPage.c"
}

static void
___lambda16__gasync_ready_callback (GObject* source_object,
                                    GAsyncResult* res,
                                    gpointer self)
{
#line 263 "../src/Views/VPNPage.vala"
	__lambda16_ (self, source_object, res);
#line 263 "../src/Views/VPNPage.vala"
	block7_data_unref (self);
#line 1052 "VPNPage.c"
}

static void
network_vpn_page_connect_vpn_cb (NetworkVPNPage* self,
                                 NetworkVPNMenuItem* item)
{
	Block7Data* _data7_;
	NetworkNetworkManager* _tmp0_;
	NMClient* _tmp1_;
	NMClient* _tmp2_;
	NMRemoteConnection* _tmp3_;
	NMRemoteConnection* _tmp4_;
#line 261 "../src/Views/VPNPage.vala"
	g_return_if_fail (self != NULL);
#line 261 "../src/Views/VPNPage.vala"
	g_return_if_fail (item != NULL);
#line 261 "../src/Views/VPNPage.vala"
	_data7_ = g_slice_new0 (Block7Data);
#line 261 "../src/Views/VPNPage.vala"
	_data7_->_ref_count_ = 1;
#line 261 "../src/Views/VPNPage.vala"
	_data7_->self = g_object_ref (self);
#line 262 "../src/Views/VPNPage.vala"
	_tmp0_ = network_network_manager_get_default ();
#line 262 "../src/Views/VPNPage.vala"
	_data7_->network_manager = _tmp0_;
#line 263 "../src/Views/VPNPage.vala"
	_tmp1_ = network_network_manager_get_client (_data7_->network_manager);
#line 263 "../src/Views/VPNPage.vala"
	_tmp2_ = _tmp1_;
#line 263 "../src/Views/VPNPage.vala"
	_tmp3_ = network_vpn_menu_item_get_connection (item);
#line 263 "../src/Views/VPNPage.vala"
	_tmp4_ = _tmp3_;
#line 263 "../src/Views/VPNPage.vala"
	nm_client_activate_connection_async (_tmp2_, (NMConnection*) _tmp4_, NULL, NULL, NULL, ___lambda16__gasync_ready_callback, block7_data_ref (_data7_));
#line 261 "../src/Views/VPNPage.vala"
	block7_data_unref (_data7_);
#line 261 "../src/Views/VPNPage.vala"
	_data7_ = NULL;
#line 1093 "VPNPage.c"
}

static Block8Data*
block8_data_ref (Block8Data* _data8_)
{
#line 276 "../src/Views/VPNPage.vala"
	g_atomic_int_inc (&_data8_->_ref_count_);
#line 276 "../src/Views/VPNPage.vala"
	return _data8_;
#line 1103 "VPNPage.c"
}

static void
block8_data_unref (void * _userdata_)
{
	Block8Data* _data8_;
	_data8_ = (Block8Data*) _userdata_;
#line 276 "../src/Views/VPNPage.vala"
	if (g_atomic_int_dec_and_test (&_data8_->_ref_count_)) {
#line 1113 "VPNPage.c"
		NetworkVPNPage* self;
#line 276 "../src/Views/VPNPage.vala"
		self = _data8_->self;
#line 276 "../src/Views/VPNPage.vala"
		_g_object_unref0 (self);
#line 276 "../src/Views/VPNPage.vala"
		g_slice_free (Block8Data, _data8_);
#line 1121 "VPNPage.c"
	}
}

static void
_____lambda17_ (Block8Data* _data8_,
                GObject* obj,
                GAsyncResult* res)
{
	NetworkVPNPage* self;
	GError* _inner_error0_ = NULL;
#line 281 "../src/Views/VPNPage.vala"
	self = _data8_->self;
#line 281 "../src/Views/VPNPage.vala"
	g_return_if_fail (res != NULL);
#line 1136 "VPNPage.c"
	{
		NetworkNetworkManager* _tmp0_;
		NMClient* _tmp1_;
		NMClient* _tmp2_;
#line 283 "../src/Views/VPNPage.vala"
		_tmp0_ = _data8_->network_manager;
#line 283 "../src/Views/VPNPage.vala"
		_tmp1_ = network_network_manager_get_client (_tmp0_);
#line 283 "../src/Views/VPNPage.vala"
		_tmp2_ = _tmp1_;
#line 283 "../src/Views/VPNPage.vala"
		nm_client_deactivate_connection_finish (_tmp2_, res, &_inner_error0_);
#line 283 "../src/Views/VPNPage.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1151 "VPNPage.c"
			goto __catch0_g_error;
		}
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		GError* _tmp3_;
		const gchar* _tmp4_;
#line 282 "../src/Views/VPNPage.vala"
		e = _inner_error0_;
#line 282 "../src/Views/VPNPage.vala"
		_inner_error0_ = NULL;
#line 285 "../src/Views/VPNPage.vala"
		_tmp3_ = e;
#line 285 "../src/Views/VPNPage.vala"
		_tmp4_ = _tmp3_->message;
#line 285 "../src/Views/VPNPage.vala"
		g_warning ("VPNPage.vala:285: %s", _tmp4_);
#line 282 "../src/Views/VPNPage.vala"
		_g_error_free0 (e);
#line 1173 "VPNPage.c"
	}
	__finally0:
#line 282 "../src/Views/VPNPage.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 282 "../src/Views/VPNPage.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 282 "../src/Views/VPNPage.vala"
		g_clear_error (&_inner_error0_);
#line 282 "../src/Views/VPNPage.vala"
		return;
#line 1184 "VPNPage.c"
	}
#line 287 "../src/Views/VPNPage.vala"
	network_widgets_page_update ((NetworkWidgetsPage*) self);
#line 1188 "VPNPage.c"
}

static void
______lambda17__gasync_ready_callback (GObject* source_object,
                                       GAsyncResult* res,
                                       gpointer self)
{
#line 281 "../src/Views/VPNPage.vala"
	_____lambda17_ (self, source_object, res);
#line 281 "../src/Views/VPNPage.vala"
	block8_data_unref (self);
#line 1200 "VPNPage.c"
}

static void
network_vpn_page_disconnect_vpn_cb (NetworkVPNPage* self,
                                    NetworkVPNMenuItem* item)
{
	Block8Data* _data8_;
	NetworkNetworkManager* _tmp0_;
#line 276 "../src/Views/VPNPage.vala"
	g_return_if_fail (self != NULL);
#line 276 "../src/Views/VPNPage.vala"
	g_return_if_fail (item != NULL);
#line 276 "../src/Views/VPNPage.vala"
	_data8_ = g_slice_new0 (Block8Data);
#line 276 "../src/Views/VPNPage.vala"
	_data8_->_ref_count_ = 1;
#line 276 "../src/Views/VPNPage.vala"
	_data8_->self = g_object_ref (self);
#line 277 "../src/Views/VPNPage.vala"
	network_vpn_page_update_active_connections (self);
#line 278 "../src/Views/VPNPage.vala"
	_tmp0_ = network_network_manager_get_default ();
#line 278 "../src/Views/VPNPage.vala"
	_data8_->network_manager = _tmp0_;
#line 1225 "VPNPage.c"
	{
		GeeList* _ac_list = NULL;
		GeeList* _tmp1_;
		gint _ac_size = 0;
		GeeList* _tmp2_;
		gint _tmp3_;
		gint _tmp4_;
		gint _ac_index = 0;
#line 279 "../src/Views/VPNPage.vala"
		_tmp1_ = self->priv->active_connections;
#line 279 "../src/Views/VPNPage.vala"
		_ac_list = _tmp1_;
#line 279 "../src/Views/VPNPage.vala"
		_tmp2_ = _ac_list;
#line 279 "../src/Views/VPNPage.vala"
		_tmp3_ = gee_collection_get_size ((GeeCollection*) _tmp2_);
#line 279 "../src/Views/VPNPage.vala"
		_tmp4_ = _tmp3_;
#line 279 "../src/Views/VPNPage.vala"
		_ac_size = _tmp4_;
#line 279 "../src/Views/VPNPage.vala"
		_ac_index = -1;
#line 279 "../src/Views/VPNPage.vala"
		while (TRUE) {
#line 1250 "VPNPage.c"
			gint _tmp5_;
			gint _tmp6_;
			NMActiveConnection* ac = NULL;
			GeeList* _tmp7_;
			gpointer _tmp8_;
			NMActiveConnection* _tmp9_;
			NMRemoteConnection* _tmp10_;
			NMRemoteConnection* _tmp11_;
			NMRemoteConnection* _tmp12_;
#line 279 "../src/Views/VPNPage.vala"
			_ac_index = _ac_index + 1;
#line 279 "../src/Views/VPNPage.vala"
			_tmp5_ = _ac_index;
#line 279 "../src/Views/VPNPage.vala"
			_tmp6_ = _ac_size;
#line 279 "../src/Views/VPNPage.vala"
			if (!(_tmp5_ < _tmp6_)) {
#line 279 "../src/Views/VPNPage.vala"
				break;
#line 1270 "VPNPage.c"
			}
#line 279 "../src/Views/VPNPage.vala"
			_tmp7_ = _ac_list;
#line 279 "../src/Views/VPNPage.vala"
			_tmp8_ = gee_list_get (_tmp7_, _ac_index);
#line 279 "../src/Views/VPNPage.vala"
			ac = (NMActiveConnection*) _tmp8_;
#line 280 "../src/Views/VPNPage.vala"
			_tmp9_ = ac;
#line 280 "../src/Views/VPNPage.vala"
			_tmp10_ = nm_active_connection_get_connection (_tmp9_);
#line 280 "../src/Views/VPNPage.vala"
			_tmp11_ = network_vpn_menu_item_get_connection (item);
#line 280 "../src/Views/VPNPage.vala"
			_tmp12_ = _tmp11_;
#line 280 "../src/Views/VPNPage.vala"
			if (_tmp10_ == _tmp12_) {
#line 1288 "VPNPage.c"
				NetworkNetworkManager* _tmp13_;
				NMClient* _tmp14_;
				NMClient* _tmp15_;
				NMActiveConnection* _tmp16_;
#line 281 "../src/Views/VPNPage.vala"
				_tmp13_ = _data8_->network_manager;
#line 281 "../src/Views/VPNPage.vala"
				_tmp14_ = network_network_manager_get_client (_tmp13_);
#line 281 "../src/Views/VPNPage.vala"
				_tmp15_ = _tmp14_;
#line 281 "../src/Views/VPNPage.vala"
				_tmp16_ = ac;
#line 281 "../src/Views/VPNPage.vala"
				nm_client_deactivate_connection_async (_tmp15_, _tmp16_, NULL, ______lambda17__gasync_ready_callback, block8_data_ref (_data8_));
#line 289 "../src/Views/VPNPage.vala"
				_g_object_unref0 (ac);
#line 289 "../src/Views/VPNPage.vala"
				break;
#line 1307 "VPNPage.c"
			}
#line 279 "../src/Views/VPNPage.vala"
			_g_object_unref0 (ac);
#line 1311 "VPNPage.c"
		}
	}
#line 276 "../src/Views/VPNPage.vala"
	block8_data_unref (_data8_);
#line 276 "../src/Views/VPNPage.vala"
	_data8_ = NULL;
#line 1318 "VPNPage.c"
}

static void
_gtk_window_destroy_gtk_dialog_response (GtkDialog* _sender,
                                         gint response_id,
                                         gpointer self)
{
#line 315 "../src/Views/VPNPage.vala"
	gtk_window_destroy ((GtkWindow*) self);
#line 1328 "VPNPage.c"
}

static void
network_vpn_page_try_connection_editor (NetworkVPNPage* self,
                                        const gchar* args)
{
	GError* _inner_error0_ = NULL;
#line 294 "../src/Views/VPNPage.vala"
	g_return_if_fail (self != NULL);
#line 294 "../src/Views/VPNPage.vala"
	g_return_if_fail (args != NULL);
#line 1340 "VPNPage.c"
	{
		GAppInfo* appinfo = NULL;
		gchar* _tmp0_;
		gchar* _tmp1_;
		GAppInfo* _tmp2_;
		GAppInfo* _tmp3_;
		GAppInfo* _tmp4_;
#line 296 "../src/Views/VPNPage.vala"
		_tmp0_ = g_strdup_printf ("nm-connection-editor %s", args);
#line 296 "../src/Views/VPNPage.vala"
		_tmp1_ = _tmp0_;
#line 296 "../src/Views/VPNPage.vala"
		_tmp2_ = g_app_info_create_from_commandline (_tmp1_, NULL, G_APP_INFO_CREATE_NONE, &_inner_error0_);
#line 296 "../src/Views/VPNPage.vala"
		_tmp3_ = _tmp2_;
#line 296 "../src/Views/VPNPage.vala"
		_g_free0 (_tmp1_);
#line 296 "../src/Views/VPNPage.vala"
		appinfo = _tmp3_;
#line 296 "../src/Views/VPNPage.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1362 "VPNPage.c"
			goto __catch0_g_error;
		}
#line 301 "../src/Views/VPNPage.vala"
		_tmp4_ = appinfo;
#line 301 "../src/Views/VPNPage.vala"
		g_app_info_launch (_tmp4_, NULL, NULL, &_inner_error0_);
#line 301 "../src/Views/VPNPage.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 301 "../src/Views/VPNPage.vala"
			_g_object_unref0 (appinfo);
#line 1373 "VPNPage.c"
			goto __catch0_g_error;
		}
#line 295 "../src/Views/VPNPage.vala"
		_g_object_unref0 (appinfo);
#line 1378 "VPNPage.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* _error_ = NULL;
		GraniteMessageDialog* dialog = NULL;
		GThemedIcon* _tmp5_;
		GThemedIcon* _tmp6_;
		GThemedIcon* _tmp7_;
		GtkRoot* _tmp8_;
		GtkWindow* _tmp9_;
		GraniteMessageDialog* _tmp10_ = NULL;
		GraniteMessageDialog* _tmp11_;
		GraniteMessageDialog* _tmp12_;
		GError* _tmp13_;
		const gchar* _tmp14_;
		GraniteMessageDialog* _tmp15_;
		GraniteMessageDialog* _tmp16_;
		GraniteMessageDialog* _tmp17_;
#line 295 "../src/Views/VPNPage.vala"
		_error_ = _inner_error0_;
#line 295 "../src/Views/VPNPage.vala"
		_inner_error0_ = NULL;
#line 303 "../src/Views/VPNPage.vala"
		_tmp5_ = (GThemedIcon*) g_themed_icon_new ("network-vpn");
#line 303 "../src/Views/VPNPage.vala"
		_tmp6_ = _tmp5_;
#line 303 "../src/Views/VPNPage.vala"
		_tmp7_ = (GThemedIcon*) g_themed_icon_new ("dialog-error");
#line 303 "../src/Views/VPNPage.vala"
		_tmp8_ = gtk_widget_get_root ((GtkWidget*) self);
#line 303 "../src/Views/VPNPage.vala"
		_tmp9_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp8_, gtk_window_get_type (), GtkWindow));
#line 303 "../src/Views/VPNPage.vala"
		_tmp10_ = granite_message_dialog_new (_ ("Failed to run Connection Editor"), _ ("The program \"nm-connection-editor\" may not be installed."), (GIcon*) _tmp6_, GTK_BUTTONS_CLOSE);
#line 303 "../src/Views/VPNPage.vala"
		granite_message_dialog_set_badge_icon (_tmp10_, (GIcon*) _tmp7_);
#line 303 "../src/Views/VPNPage.vala"
		_g_object_unref0 (_tmp7_);
#line 303 "../src/Views/VPNPage.vala"
		gtk_window_set_modal ((GtkWindow*) _tmp10_, TRUE);
#line 303 "../src/Views/VPNPage.vala"
		gtk_window_set_transient_for ((GtkWindow*) _tmp10_, _tmp9_);
#line 303 "../src/Views/VPNPage.vala"
		_g_object_unref0 (_tmp9_);
#line 303 "../src/Views/VPNPage.vala"
		g_object_ref_sink (_tmp10_);
#line 303 "../src/Views/VPNPage.vala"
		_tmp11_ = _tmp10_;
#line 303 "../src/Views/VPNPage.vala"
		_g_object_unref0 (_tmp6_);
#line 303 "../src/Views/VPNPage.vala"
		dialog = _tmp11_;
#line 313 "../src/Views/VPNPage.vala"
		_tmp12_ = dialog;
#line 313 "../src/Views/VPNPage.vala"
		_tmp13_ = _error_;
#line 313 "../src/Views/VPNPage.vala"
		_tmp14_ = _tmp13_->message;
#line 313 "../src/Views/VPNPage.vala"
		granite_message_dialog_show_error_details (_tmp12_, _tmp14_);
#line 314 "../src/Views/VPNPage.vala"
		_tmp15_ = dialog;
#line 314 "../src/Views/VPNPage.vala"
		gtk_window_present ((GtkWindow*) _tmp15_);
#line 315 "../src/Views/VPNPage.vala"
		_tmp16_ = dialog;
#line 315 "../src/Views/VPNPage.vala"
		_tmp17_ = dialog;
#line 315 "../src/Views/VPNPage.vala"
		g_signal_connect_object ((GtkDialog*) _tmp16_, "response", (GCallback) _gtk_window_destroy_gtk_dialog_response, (GtkWindow*) _tmp17_, 0);
#line 295 "../src/Views/VPNPage.vala"
		_g_object_unref0 (dialog);
#line 295 "../src/Views/VPNPage.vala"
		_g_error_free0 (_error_);
#line 1454 "VPNPage.c"
	}
	__finally0:
#line 295 "../src/Views/VPNPage.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 295 "../src/Views/VPNPage.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 295 "../src/Views/VPNPage.vala"
		g_clear_error (&_inner_error0_);
#line 295 "../src/Views/VPNPage.vala"
		return;
#line 1465 "VPNPage.c"
	}
}

static void
network_vpn_page_delete_connection (NetworkVPNPage* self,
                                    NetworkVPNMenuItem* item)
{
	gboolean _tmp0_ = FALSE;
	NetworkVPNMenuItem* _tmp1_;
	GError* _inner_error0_ = NULL;
#line 319 "../src/Views/VPNPage.vala"
	g_return_if_fail (self != NULL);
#line 319 "../src/Views/VPNPage.vala"
	g_return_if_fail (item != NULL);
#line 320 "../src/Views/VPNPage.vala"
	_tmp1_ = self->priv->sel_row;
#line 320 "../src/Views/VPNPage.vala"
	if (_tmp1_ != NULL) {
#line 1484 "VPNPage.c"
		NetworkVPNMenuItem* _tmp2_;
#line 320 "../src/Views/VPNPage.vala"
		_tmp2_ = self->priv->sel_row;
#line 320 "../src/Views/VPNPage.vala"
		_tmp0_ = _tmp2_ == item;
#line 1490 "VPNPage.c"
	} else {
#line 320 "../src/Views/VPNPage.vala"
		_tmp0_ = FALSE;
#line 1494 "VPNPage.c"
	}
#line 320 "../src/Views/VPNPage.vala"
	if (_tmp0_) {
#line 1498 "VPNPage.c"
		{
			NMRemoteConnection* _tmp3_;
			NMRemoteConnection* _tmp4_;
#line 322 "../src/Views/VPNPage.vala"
			_tmp3_ = network_vpn_menu_item_get_connection (item);
#line 322 "../src/Views/VPNPage.vala"
			_tmp4_ = _tmp3_;
#line 322 "../src/Views/VPNPage.vala"
			nm_remote_connection_delete (_tmp4_, NULL, &_inner_error0_);
#line 322 "../src/Views/VPNPage.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1510 "VPNPage.c"
				goto __catch0_g_error;
			}
		}
		goto __finally0;
		__catch0_g_error:
		{
			GError* e = NULL;
			GError* _tmp5_;
			const gchar* _tmp6_;
			GraniteMessageDialog* dialog = NULL;
			GThemedIcon* _tmp7_;
			GThemedIcon* _tmp8_;
			GThemedIcon* _tmp9_;
			GtkRoot* _tmp10_;
			GtkWindow* _tmp11_;
			GraniteMessageDialog* _tmp12_ = NULL;
			GraniteMessageDialog* _tmp13_;
			GraniteMessageDialog* _tmp14_;
			GError* _tmp15_;
			const gchar* _tmp16_;
			GraniteMessageDialog* _tmp17_;
			GraniteMessageDialog* _tmp18_;
			GraniteMessageDialog* _tmp19_;
#line 321 "../src/Views/VPNPage.vala"
			e = _inner_error0_;
#line 321 "../src/Views/VPNPage.vala"
			_inner_error0_ = NULL;
#line 324 "../src/Views/VPNPage.vala"
			_tmp5_ = e;
#line 324 "../src/Views/VPNPage.vala"
			_tmp6_ = _tmp5_->message;
#line 324 "../src/Views/VPNPage.vala"
			g_warning ("VPNPage.vala:324: %s", _tmp6_);
#line 325 "../src/Views/VPNPage.vala"
			_tmp7_ = (GThemedIcon*) g_themed_icon_new ("network-vpn");
#line 325 "../src/Views/VPNPage.vala"
			_tmp8_ = _tmp7_;
#line 325 "../src/Views/VPNPage.vala"
			_tmp9_ = (GThemedIcon*) g_themed_icon_new ("dialog-error");
#line 325 "../src/Views/VPNPage.vala"
			_tmp10_ = gtk_widget_get_root ((GtkWidget*) self);
#line 325 "../src/Views/VPNPage.vala"
			_tmp11_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp10_, gtk_window_get_type (), GtkWindow));
#line 325 "../src/Views/VPNPage.vala"
			_tmp12_ = granite_message_dialog_new (_ ("Failed to remove VPN connection"), "", (GIcon*) _tmp8_, GTK_BUTTONS_CLOSE);
#line 325 "../src/Views/VPNPage.vala"
			granite_message_dialog_set_badge_icon (_tmp12_, (GIcon*) _tmp9_);
#line 325 "../src/Views/VPNPage.vala"
			_g_object_unref0 (_tmp9_);
#line 325 "../src/Views/VPNPage.vala"
			gtk_window_set_modal ((GtkWindow*) _tmp12_, TRUE);
#line 325 "../src/Views/VPNPage.vala"
			gtk_window_set_transient_for ((GtkWindow*) _tmp12_, _tmp11_);
#line 325 "../src/Views/VPNPage.vala"
			_g_object_unref0 (_tmp11_);
#line 325 "../src/Views/VPNPage.vala"
			g_object_ref_sink (_tmp12_);
#line 325 "../src/Views/VPNPage.vala"
			_tmp13_ = _tmp12_;
#line 325 "../src/Views/VPNPage.vala"
			_g_object_unref0 (_tmp8_);
#line 325 "../src/Views/VPNPage.vala"
			dialog = _tmp13_;
#line 335 "../src/Views/VPNPage.vala"
			_tmp14_ = dialog;
#line 335 "../src/Views/VPNPage.vala"
			_tmp15_ = e;
#line 335 "../src/Views/VPNPage.vala"
			_tmp16_ = _tmp15_->message;
#line 335 "../src/Views/VPNPage.vala"
			granite_message_dialog_show_error_details (_tmp14_, _tmp16_);
#line 336 "../src/Views/VPNPage.vala"
			_tmp17_ = dialog;
#line 336 "../src/Views/VPNPage.vala"
			gtk_window_present ((GtkWindow*) _tmp17_);
#line 337 "../src/Views/VPNPage.vala"
			_tmp18_ = dialog;
#line 337 "../src/Views/VPNPage.vala"
			_tmp19_ = dialog;
#line 337 "../src/Views/VPNPage.vala"
			g_signal_connect_object ((GtkDialog*) _tmp18_, "response", (GCallback) _gtk_window_destroy_gtk_dialog_response, (GtkWindow*) _tmp19_, 0);
#line 321 "../src/Views/VPNPage.vala"
			_g_object_unref0 (dialog);
#line 321 "../src/Views/VPNPage.vala"
			_g_error_free0 (e);
#line 1596 "VPNPage.c"
		}
		__finally0:
#line 321 "../src/Views/VPNPage.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 321 "../src/Views/VPNPage.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 321 "../src/Views/VPNPage.vala"
			g_clear_error (&_inner_error0_);
#line 321 "../src/Views/VPNPage.vala"
			return;
#line 1607 "VPNPage.c"
		}
	} else {
		NetworkVPNMenuItem* _tmp20_;
#line 340 "../src/Views/VPNPage.vala"
		g_warning ("VPNPage.vala:340: Row selection changed between operations. Cancelling" \
" removal of VPN.");
#line 341 "../src/Views/VPNPage.vala"
		g_source_remove (self->priv->timeout_id);
#line 342 "../src/Views/VPNPage.vala"
		self->priv->timeout_id = (guint) 0;
#line 343 "../src/Views/VPNPage.vala"
		_tmp20_ = self->priv->sel_row;
#line 343 "../src/Views/VPNPage.vala"
		gtk_widget_show ((GtkWidget*) _tmp20_);
#line 1621 "VPNPage.c"
	}
}

static gint
network_vpn_page_compare_rows (NetworkVPNMenuItem* row1,
                               NetworkVPNMenuItem* row2,
                               NetworkVPNPage* self)
{
	NMSettingConnection* vpn_menu_item1 = NULL;
	NMRemoteConnection* _tmp0_;
	NMRemoteConnection* _tmp1_;
	NMSettingConnection* _tmp2_;
	NMSettingConnection* vpn_menu_item2 = NULL;
	NMRemoteConnection* _tmp3_;
	NMRemoteConnection* _tmp4_;
	NMSettingConnection* _tmp5_;
	gboolean _tmp6_ = FALSE;
	NMSettingConnection* _tmp7_;
	gint result;
#line 348 "../src/Views/VPNPage.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 348 "../src/Views/VPNPage.vala"
	g_return_val_if_fail (row1 != NULL, 0);
#line 348 "../src/Views/VPNPage.vala"
	g_return_val_if_fail (row2 != NULL, 0);
#line 349 "../src/Views/VPNPage.vala"
	_tmp0_ = network_vpn_menu_item_get_connection (row1);
#line 349 "../src/Views/VPNPage.vala"
	_tmp1_ = _tmp0_;
#line 349 "../src/Views/VPNPage.vala"
	_tmp2_ = nm_connection_get_setting_connection ((NMConnection*) _tmp1_);
#line 349 "../src/Views/VPNPage.vala"
	vpn_menu_item1 = _tmp2_;
#line 350 "../src/Views/VPNPage.vala"
	_tmp3_ = network_vpn_menu_item_get_connection (row2);
#line 350 "../src/Views/VPNPage.vala"
	_tmp4_ = _tmp3_;
#line 350 "../src/Views/VPNPage.vala"
	_tmp5_ = nm_connection_get_setting_connection ((NMConnection*) _tmp4_);
#line 350 "../src/Views/VPNPage.vala"
	vpn_menu_item2 = _tmp5_;
#line 352 "../src/Views/VPNPage.vala"
	_tmp7_ = vpn_menu_item1;
#line 352 "../src/Views/VPNPage.vala"
	if (_tmp7_ != NULL) {
#line 1667 "VPNPage.c"
		NMSettingConnection* _tmp8_;
#line 352 "../src/Views/VPNPage.vala"
		_tmp8_ = vpn_menu_item2;
#line 352 "../src/Views/VPNPage.vala"
		_tmp6_ = _tmp8_ != NULL;
#line 1673 "VPNPage.c"
	} else {
#line 352 "../src/Views/VPNPage.vala"
		_tmp6_ = FALSE;
#line 1677 "VPNPage.c"
	}
#line 352 "../src/Views/VPNPage.vala"
	if (_tmp6_) {
#line 1681 "VPNPage.c"
		NMSettingConnection* _tmp9_;
		NMSettingConnection* _tmp10_;
#line 353 "../src/Views/VPNPage.vala"
		_tmp9_ = vpn_menu_item1;
#line 353 "../src/Views/VPNPage.vala"
		_tmp10_ = vpn_menu_item2;
#line 353 "../src/Views/VPNPage.vala"
		if (nm_setting_connection_get_timestamp (_tmp9_) > nm_setting_connection_get_timestamp (_tmp10_)) {
#line 354 "../src/Views/VPNPage.vala"
			result = -1;
#line 354 "../src/Views/VPNPage.vala"
			return result;
#line 1694 "VPNPage.c"
		}
	}
#line 358 "../src/Views/VPNPage.vala"
	result = 1;
#line 358 "../src/Views/VPNPage.vala"
	return result;
#line 1701 "VPNPage.c"
}

static void
_network_vpn_page___lambda18_ (NetworkVPNPage* self)
{
#line 91 "../src/Views/VPNPage.vala"
	network_vpn_page_try_connection_editor (self, "--create --type=vpn");
#line 1709 "VPNPage.c"
}

static void
__network_vpn_page___lambda18__gtk_button_clicked (GtkButton* _sender,
                                                   gpointer self)
{
#line 90 "../src/Views/VPNPage.vala"
	_network_vpn_page___lambda18_ ((NetworkVPNPage*) self);
#line 1718 "VPNPage.c"
}

static void
_network_vpn_page___lambda19_ (NetworkVPNPage* self)
{
	NetworkVPNMenuItem* _tmp0_;
#line 95 "../src/Views/VPNPage.vala"
	g_source_remove (self->priv->timeout_id);
#line 96 "../src/Views/VPNPage.vala"
	self->priv->timeout_id = (guint) 0;
#line 97 "../src/Views/VPNPage.vala"
	_tmp0_ = self->priv->sel_row;
#line 97 "../src/Views/VPNPage.vala"
	gtk_widget_show ((GtkWidget*) _tmp0_);
#line 1733 "VPNPage.c"
}

static void
__network_vpn_page___lambda19__granite_toast_default_action (GraniteToast* _sender,
                                                             gpointer self)
{
#line 94 "../src/Views/VPNPage.vala"
	_network_vpn_page___lambda19_ ((NetworkVPNPage*) self);
#line 1742 "VPNPage.c"
}

static void
_network_vpn_page___lambda20_ (NetworkVPNPage* self,
                               GtkListBoxRow* row)
{
	NMDeviceState _tmp0_;
	NMDeviceState _tmp1_;
#line 100 "../src/Views/VPNPage.vala"
	g_return_if_fail (row != NULL);
#line 101 "../src/Views/VPNPage.vala"
	_tmp0_ = network_vpn_menu_item_get_state (G_TYPE_CHECK_INSTANCE_CAST (row, NETWORK_TYPE_VPN_MENU_ITEM, NetworkVPNMenuItem));
#line 101 "../src/Views/VPNPage.vala"
	_tmp1_ = _tmp0_;
#line 101 "../src/Views/VPNPage.vala"
	if (_tmp1_ == NM_DEVICE_STATE_ACTIVATED) {
#line 102 "../src/Views/VPNPage.vala"
		network_vpn_page_disconnect_vpn_cb (self, G_TYPE_CHECK_INSTANCE_CAST (row, NETWORK_TYPE_VPN_MENU_ITEM, NetworkVPNMenuItem));
#line 1761 "VPNPage.c"
	} else {
#line 104 "../src/Views/VPNPage.vala"
		network_vpn_page_connect_vpn_cb (self, G_TYPE_CHECK_INSTANCE_CAST (row, NETWORK_TYPE_VPN_MENU_ITEM, NetworkVPNMenuItem));
#line 1765 "VPNPage.c"
	}
}

static void
__network_vpn_page___lambda20__gtk_list_box_row_activated (GtkListBox* _sender,
                                                           GtkListBoxRow* row,
                                                           gpointer self)
{
#line 100 "../src/Views/VPNPage.vala"
	_network_vpn_page___lambda20_ ((NetworkVPNPage*) self, row);
#line 1776 "VPNPage.c"
}

static void
_network_vpn_page_update_active_connections_g_object_notify (GObject* _sender,
                                                             GParamSpec* pspec,
                                                             gpointer self)
{
#line 112 "../src/Views/VPNPage.vala"
	network_vpn_page_update_active_connections ((NetworkVPNPage*) self);
#line 1786 "VPNPage.c"
}

static GObject *
network_vpn_page_constructor (GType type,
                              guint n_construct_properties,
                              GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	NetworkVPNPage * self;
	GraniteToast* _tmp0_;
	GraniteToast* _tmp1_;
	GranitePlaceholder* placeholder = NULL;
	gchar* _tmp2_;
	GranitePlaceholder* _tmp3_ = NULL;
	GtkListBox* _tmp4_ = NULL;
	GtkListBox* _tmp5_;
	GranitePlaceholder* _tmp6_;
	GtkListBox* _tmp7_;
	GtkListBox* _tmp8_;
	GtkLabel* add_button_label = NULL;
	GtkLabel* _tmp9_;
	GtkBox* add_button_box = NULL;
	GtkBox* _tmp10_;
	GtkBox* _tmp11_;
	GtkImage* _tmp12_;
	GtkImage* _tmp13_;
	GtkBox* _tmp14_;
	GtkLabel* _tmp15_;
	GtkButton* add_button = NULL;
	GtkBox* _tmp16_;
	GtkWidget* _tmp17_;
	GtkButton* _tmp18_ = NULL;
	GtkLabel* _tmp19_;
	GtkButton* _tmp20_;
	GtkActionBar* actionbar = NULL;
	GtkActionBar* _tmp21_;
	GtkActionBar* _tmp22_;
	GtkActionBar* _tmp23_;
	GtkButton* _tmp24_;
	GtkScrolledWindow* scrolled = NULL;
	GtkListBox* _tmp25_;
	GtkWidget* _tmp26_;
	GtkScrolledWindow* _tmp27_ = NULL;
	GtkBox* vpn_box = NULL;
	GtkBox* _tmp28_;
	GtkBox* _tmp29_;
	GtkScrolledWindow* _tmp30_;
	GtkBox* _tmp31_;
	GtkActionBar* _tmp32_;
	GtkFrame* frame = NULL;
	GtkBox* _tmp33_;
	GtkWidget* _tmp34_;
	GtkFrame* _tmp35_ = NULL;
	GtkOverlay* main_overlay = NULL;
	GtkFrame* _tmp36_;
	GtkWidget* _tmp37_;
	GtkOverlay* _tmp38_ = NULL;
	GtkOverlay* _tmp39_;
	GraniteToast* _tmp40_;
	GtkOverlay* _tmp41_;
	GtkButton* _tmp42_;
	GraniteToast* _tmp43_;
	GtkListBox* _tmp44_;
	GeeArrayList* _tmp45_;
	NetworkNetworkManager* network_manager = NULL;
	NetworkNetworkManager* _tmp46_;
	NetworkNetworkManager* _tmp47_;
	NMClient* _tmp48_;
	NMClient* _tmp49_;
#line 36 "../src/Views/VPNPage.vala"
	parent_class = G_OBJECT_CLASS (network_vpn_page_parent_class);
#line 36 "../src/Views/VPNPage.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 36 "../src/Views/VPNPage.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NETWORK_TYPE_VPN_PAGE, NetworkVPNPage);
#line 37 "../src/Views/VPNPage.vala"
	_tmp0_ = granite_toast_new (_ ("VPN removed"));
#line 37 "../src/Views/VPNPage.vala"
	g_object_ref_sink (_tmp0_);
#line 37 "../src/Views/VPNPage.vala"
	_g_object_unref0 (self->priv->remove_vpn_toast);
#line 37 "../src/Views/VPNPage.vala"
	self->priv->remove_vpn_toast = _tmp0_;
#line 38 "../src/Views/VPNPage.vala"
	_tmp1_ = self->priv->remove_vpn_toast;
#line 38 "../src/Views/VPNPage.vala"
	granite_toast_set_default_action (_tmp1_, _ ("Undo"));
#line 40 "../src/Views/VPNPage.vala"
	_tmp2_ = g_strdup (_ ("Add a new VPN connection to begin."));
#line 40 "../src/Views/VPNPage.vala"
	_tmp3_ = granite_placeholder_new (_ ("No VPN Connections"));
#line 40 "../src/Views/VPNPage.vala"
	granite_placeholder_set_description (_tmp3_, _tmp2_);
#line 40 "../src/Views/VPNPage.vala"
	_g_free0 (_tmp2_);
#line 40 "../src/Views/VPNPage.vala"
	g_object_ref_sink (_tmp3_);
#line 40 "../src/Views/VPNPage.vala"
	placeholder = _tmp3_;
#line 44 "../src/Views/VPNPage.vala"
	_tmp4_ = (GtkListBox*) gtk_list_box_new ();
#line 44 "../src/Views/VPNPage.vala"
	gtk_list_box_set_activate_on_single_click (_tmp4_, FALSE);
#line 44 "../src/Views/VPNPage.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp4_, TRUE);
#line 44 "../src/Views/VPNPage.vala"
	gtk_widget_set_vexpand ((GtkWidget*) _tmp4_, TRUE);
#line 44 "../src/Views/VPNPage.vala"
	gtk_list_box_set_selection_mode (_tmp4_, GTK_SELECTION_BROWSE);
#line 44 "../src/Views/VPNPage.vala"
	g_object_ref_sink (_tmp4_);
#line 44 "../src/Views/VPNPage.vala"
	_g_object_unref0 (self->priv->vpn_list);
#line 44 "../src/Views/VPNPage.vala"
	self->priv->vpn_list = _tmp4_;
#line 50 "../src/Views/VPNPage.vala"
	_tmp5_ = self->priv->vpn_list;
#line 50 "../src/Views/VPNPage.vala"
	_tmp6_ = placeholder;
#line 50 "../src/Views/VPNPage.vala"
	gtk_list_box_set_placeholder (_tmp5_, (GtkWidget*) _tmp6_);
#line 51 "../src/Views/VPNPage.vala"
	_tmp7_ = self->priv->vpn_list;
#line 51 "../src/Views/VPNPage.vala"
	gtk_list_box_set_sort_func (_tmp7_, (GtkListBoxSortFunc) network_vpn_page_compare_rows, g_object_ref (self), g_object_unref);
#line 52 "../src/Views/VPNPage.vala"
	_tmp8_ = self->priv->vpn_list;
#line 52 "../src/Views/VPNPage.vala"
	gtk_widget_add_css_class ((GtkWidget*) _tmp8_, GRANITE_STYLE_CLASS_RICH_LIST);
#line 54 "../src/Views/VPNPage.vala"
	_tmp9_ = (GtkLabel*) gtk_label_new (_ ("Add Connection…"));
#line 54 "../src/Views/VPNPage.vala"
	g_object_ref_sink (_tmp9_);
#line 54 "../src/Views/VPNPage.vala"
	add_button_label = _tmp9_;
#line 56 "../src/Views/VPNPage.vala"
	_tmp10_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_HORIZONTAL, 0);
#line 56 "../src/Views/VPNPage.vala"
	g_object_ref_sink (_tmp10_);
#line 56 "../src/Views/VPNPage.vala"
	add_button_box = _tmp10_;
#line 57 "../src/Views/VPNPage.vala"
	_tmp11_ = add_button_box;
#line 57 "../src/Views/VPNPage.vala"
	_tmp12_ = (GtkImage*) gtk_image_new_from_icon_name ("list-add-symbolic");
#line 57 "../src/Views/VPNPage.vala"
	g_object_ref_sink (_tmp12_);
#line 57 "../src/Views/VPNPage.vala"
	_tmp13_ = _tmp12_;
#line 57 "../src/Views/VPNPage.vala"
	gtk_box_append (_tmp11_, (GtkWidget*) _tmp13_);
#line 57 "../src/Views/VPNPage.vala"
	_g_object_unref0 (_tmp13_);
#line 58 "../src/Views/VPNPage.vala"
	_tmp14_ = add_button_box;
#line 58 "../src/Views/VPNPage.vala"
	_tmp15_ = add_button_label;
#line 58 "../src/Views/VPNPage.vala"
	gtk_box_append (_tmp14_, (GtkWidget*) _tmp15_);
#line 60 "../src/Views/VPNPage.vala"
	_tmp16_ = add_button_box;
#line 60 "../src/Views/VPNPage.vala"
	_tmp17_ = _g_object_ref0 ((GtkWidget*) _tmp16_);
#line 60 "../src/Views/VPNPage.vala"
	_tmp18_ = (GtkButton*) gtk_button_new ();
#line 60 "../src/Views/VPNPage.vala"
	gtk_button_set_child (_tmp18_, _tmp17_);
#line 60 "../src/Views/VPNPage.vala"
	_g_object_unref0 (_tmp17_);
#line 60 "../src/Views/VPNPage.vala"
	gtk_button_set_has_frame (_tmp18_, FALSE);
#line 60 "../src/Views/VPNPage.vala"
	g_object_ref_sink (_tmp18_);
#line 60 "../src/Views/VPNPage.vala"
	add_button = _tmp18_;
#line 64 "../src/Views/VPNPage.vala"
	_tmp19_ = add_button_label;
#line 64 "../src/Views/VPNPage.vala"
	_tmp20_ = add_button;
#line 64 "../src/Views/VPNPage.vala"
	gtk_label_set_mnemonic_widget (_tmp19_, (GtkWidget*) _tmp20_);
#line 66 "../src/Views/VPNPage.vala"
	_tmp21_ = (GtkActionBar*) gtk_action_bar_new ();
#line 66 "../src/Views/VPNPage.vala"
	g_object_ref_sink (_tmp21_);
#line 66 "../src/Views/VPNPage.vala"
	actionbar = _tmp21_;
#line 67 "../src/Views/VPNPage.vala"
	_tmp22_ = actionbar;
#line 67 "../src/Views/VPNPage.vala"
	gtk_widget_add_css_class ((GtkWidget*) _tmp22_, GRANITE_STYLE_CLASS_FLAT);
#line 68 "../src/Views/VPNPage.vala"
	_tmp23_ = actionbar;
#line 68 "../src/Views/VPNPage.vala"
	_tmp24_ = add_button;
#line 68 "../src/Views/VPNPage.vala"
	gtk_action_bar_pack_start (_tmp23_, (GtkWidget*) _tmp24_);
#line 70 "../src/Views/VPNPage.vala"
	_tmp25_ = self->priv->vpn_list;
#line 70 "../src/Views/VPNPage.vala"
	_tmp26_ = _g_object_ref0 ((GtkWidget*) _tmp25_);
#line 70 "../src/Views/VPNPage.vala"
	_tmp27_ = (GtkScrolledWindow*) gtk_scrolled_window_new ();
#line 70 "../src/Views/VPNPage.vala"
	gtk_scrolled_window_set_child (_tmp27_, _tmp26_);
#line 70 "../src/Views/VPNPage.vala"
	_g_object_unref0 (_tmp26_);
#line 70 "../src/Views/VPNPage.vala"
	g_object_ref_sink (_tmp27_);
#line 70 "../src/Views/VPNPage.vala"
	scrolled = _tmp27_;
#line 74 "../src/Views/VPNPage.vala"
	_tmp28_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 0);
#line 74 "../src/Views/VPNPage.vala"
	g_object_ref_sink (_tmp28_);
#line 74 "../src/Views/VPNPage.vala"
	vpn_box = _tmp28_;
#line 75 "../src/Views/VPNPage.vala"
	_tmp29_ = vpn_box;
#line 75 "../src/Views/VPNPage.vala"
	_tmp30_ = scrolled;
#line 75 "../src/Views/VPNPage.vala"
	gtk_box_append (_tmp29_, (GtkWidget*) _tmp30_);
#line 76 "../src/Views/VPNPage.vala"
	_tmp31_ = vpn_box;
#line 76 "../src/Views/VPNPage.vala"
	_tmp32_ = actionbar;
#line 76 "../src/Views/VPNPage.vala"
	gtk_box_append (_tmp31_, (GtkWidget*) _tmp32_);
#line 78 "../src/Views/VPNPage.vala"
	_tmp33_ = vpn_box;
#line 78 "../src/Views/VPNPage.vala"
	_tmp34_ = _g_object_ref0 ((GtkWidget*) _tmp33_);
#line 78 "../src/Views/VPNPage.vala"
	_tmp35_ = (GtkFrame*) gtk_frame_new (NULL);
#line 78 "../src/Views/VPNPage.vala"
	gtk_frame_set_child (_tmp35_, _tmp34_);
#line 78 "../src/Views/VPNPage.vala"
	_g_object_unref0 (_tmp34_);
#line 78 "../src/Views/VPNPage.vala"
	gtk_widget_set_vexpand ((GtkWidget*) _tmp35_, TRUE);
#line 78 "../src/Views/VPNPage.vala"
	g_object_ref_sink (_tmp35_);
#line 78 "../src/Views/VPNPage.vala"
	frame = _tmp35_;
#line 83 "../src/Views/VPNPage.vala"
	_tmp36_ = frame;
#line 83 "../src/Views/VPNPage.vala"
	_tmp37_ = _g_object_ref0 ((GtkWidget*) _tmp36_);
#line 83 "../src/Views/VPNPage.vala"
	_tmp38_ = (GtkOverlay*) gtk_overlay_new ();
#line 83 "../src/Views/VPNPage.vala"
	gtk_overlay_set_child (_tmp38_, _tmp37_);
#line 83 "../src/Views/VPNPage.vala"
	_g_object_unref0 (_tmp37_);
#line 83 "../src/Views/VPNPage.vala"
	g_object_ref_sink (_tmp38_);
#line 83 "../src/Views/VPNPage.vala"
	main_overlay = _tmp38_;
#line 86 "../src/Views/VPNPage.vala"
	_tmp39_ = main_overlay;
#line 86 "../src/Views/VPNPage.vala"
	_tmp40_ = self->priv->remove_vpn_toast;
#line 86 "../src/Views/VPNPage.vala"
	gtk_overlay_add_overlay (_tmp39_, (GtkWidget*) _tmp40_);
#line 88 "../src/Views/VPNPage.vala"
	_tmp41_ = main_overlay;
#line 88 "../src/Views/VPNPage.vala"
	switchboard_settings_page_set_child ((SwitchboardSettingsPage*) self, (GtkWidget*) _tmp41_);
#line 90 "../src/Views/VPNPage.vala"
	_tmp42_ = add_button;
#line 90 "../src/Views/VPNPage.vala"
	g_signal_connect_object (_tmp42_, "clicked", (GCallback) __network_vpn_page___lambda18__gtk_button_clicked, self, 0);
#line 94 "../src/Views/VPNPage.vala"
	_tmp43_ = self->priv->remove_vpn_toast;
#line 94 "../src/Views/VPNPage.vala"
	g_signal_connect_object (_tmp43_, "default-action", (GCallback) __network_vpn_page___lambda19__granite_toast_default_action, self, 0);
#line 100 "../src/Views/VPNPage.vala"
	_tmp44_ = self->priv->vpn_list;
#line 100 "../src/Views/VPNPage.vala"
	g_signal_connect_object (_tmp44_, "row-activated", (GCallback) __network_vpn_page___lambda20__gtk_list_box_row_activated, self, 0);
#line 108 "../src/Views/VPNPage.vala"
	_tmp45_ = gee_array_list_new (nm_active_connection_get_type (), (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 108 "../src/Views/VPNPage.vala"
	_g_object_unref0 (self->priv->active_connections);
#line 108 "../src/Views/VPNPage.vala"
	self->priv->active_connections = (GeeList*) _tmp45_;
#line 110 "../src/Views/VPNPage.vala"
	network_widgets_page_update ((NetworkWidgetsPage*) self);
#line 111 "../src/Views/VPNPage.vala"
	_tmp46_ = network_network_manager_get_default ();
#line 111 "../src/Views/VPNPage.vala"
	network_manager = _tmp46_;
#line 112 "../src/Views/VPNPage.vala"
	_tmp47_ = network_manager;
#line 112 "../src/Views/VPNPage.vala"
	_tmp48_ = network_network_manager_get_client (_tmp47_);
#line 112 "../src/Views/VPNPage.vala"
	_tmp49_ = _tmp48_;
#line 112 "../src/Views/VPNPage.vala"
	g_signal_connect_object ((GObject*) _tmp49_, "notify::active-connections", (GCallback) _network_vpn_page_update_active_connections_g_object_notify, self, 0);
#line 36 "../src/Views/VPNPage.vala"
	_g_object_unref0 (main_overlay);
#line 36 "../src/Views/VPNPage.vala"
	_g_object_unref0 (frame);
#line 36 "../src/Views/VPNPage.vala"
	_g_object_unref0 (vpn_box);
#line 36 "../src/Views/VPNPage.vala"
	_g_object_unref0 (scrolled);
#line 36 "../src/Views/VPNPage.vala"
	_g_object_unref0 (actionbar);
#line 36 "../src/Views/VPNPage.vala"
	_g_object_unref0 (add_button);
#line 36 "../src/Views/VPNPage.vala"
	_g_object_unref0 (add_button_box);
#line 36 "../src/Views/VPNPage.vala"
	_g_object_unref0 (add_button_label);
#line 36 "../src/Views/VPNPage.vala"
	_g_object_unref0 (placeholder);
#line 36 "../src/Views/VPNPage.vala"
	return obj;
#line 2109 "VPNPage.c"
}

static void
network_vpn_page_class_init (NetworkVPNPageClass * klass,
                             gpointer klass_data)
{
#line 20 "../src/Views/VPNPage.vala"
	network_vpn_page_parent_class = g_type_class_peek_parent (klass);
#line 20 "../src/Views/VPNPage.vala"
	g_type_class_adjust_private_offset (klass, &NetworkVPNPage_private_offset);
#line 20 "../src/Views/VPNPage.vala"
	((NetworkWidgetsPageClass *) klass)->update = (void (*) (NetworkWidgetsPage*)) network_vpn_page_real_update;
#line 20 "../src/Views/VPNPage.vala"
	((NetworkWidgetsPageClass *) klass)->update_switch = (void (*) (NetworkWidgetsPage*)) network_vpn_page_real_update_switch;
#line 20 "../src/Views/VPNPage.vala"
	((NetworkWidgetsPageClass *) klass)->control_switch_activated = (void (*) (NetworkWidgetsPage*)) network_vpn_page_real_control_switch_activated;
#line 20 "../src/Views/VPNPage.vala"
	G_OBJECT_CLASS (klass)->constructor = network_vpn_page_constructor;
#line 20 "../src/Views/VPNPage.vala"
	G_OBJECT_CLASS (klass)->finalize = network_vpn_page_finalize;
#line 2130 "VPNPage.c"
}

static void
network_vpn_page_instance_init (NetworkVPNPage * self,
                                gpointer klass)
{
#line 20 "../src/Views/VPNPage.vala"
	self->priv = network_vpn_page_get_instance_private (self);
#line 24 "../src/Views/VPNPage.vala"
	self->priv->timeout_id = (guint) 0;
#line 2141 "VPNPage.c"
}

static void
network_vpn_page_finalize (GObject * obj)
{
	NetworkVPNPage * self;
#line 20 "../src/Views/VPNPage.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NETWORK_TYPE_VPN_PAGE, NetworkVPNPage);
#line 21 "../src/Views/VPNPage.vala"
	_g_object_unref0 (self->priv->active_connections);
#line 23 "../src/Views/VPNPage.vala"
	_g_object_unref0 (self->priv->vpn_list);
#line 25 "../src/Views/VPNPage.vala"
	_g_object_unref0 (self->priv->sel_row);
#line 26 "../src/Views/VPNPage.vala"
	_g_object_unref0 (self->priv->remove_vpn_toast);
#line 20 "../src/Views/VPNPage.vala"
	G_OBJECT_CLASS (network_vpn_page_parent_class)->finalize (obj);
#line 2160 "VPNPage.c"
}

static GType
network_vpn_page_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (NetworkVPNPageClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) network_vpn_page_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NetworkVPNPage), 0, (GInstanceInitFunc) network_vpn_page_instance_init, NULL };
	GType network_vpn_page_type_id;
	network_vpn_page_type_id = g_type_register_static (NETWORK_WIDGETS_TYPE_PAGE, "NetworkVPNPage", &g_define_type_info, 0);
	NetworkVPNPage_private_offset = g_type_add_instance_private (network_vpn_page_type_id, sizeof (NetworkVPNPagePrivate));
	return network_vpn_page_type_id;
}

GType
network_vpn_page_get_type (void)
{
	static volatile gsize network_vpn_page_type_id__once = 0;
	if (g_once_init_enter (&network_vpn_page_type_id__once)) {
		GType network_vpn_page_type_id;
		network_vpn_page_type_id = network_vpn_page_get_type_once ();
		g_once_init_leave (&network_vpn_page_type_id__once, network_vpn_page_type_id);
	}
	return network_vpn_page_type_id__once;
}

