/* WifiPage.c generated by valac 0.56.18, the Vala compiler
 * generated from WifiPage.vala, do not modify */

/*
 * SPDX-License-Identifier: LGPL-2.1-or-later
 * SPDX-FileCopyrightText: 2015-2024 elementary, Inc. (https://elementary.io)
 * Authored by: Adam Bieńkowski <donadigos159@gmail.com>
 */

#include "network.h"
#include <NetworkManager.h>
#include <gtk/gtk.h>
#include <glib.h>
#include <glib-object.h>
#include <switchboard.h>
#include <glib/gi18n-lib.h>
#include <stdlib.h>
#include <string.h>
#include <granite-7.h>
#include <gio/gio.h>
#include <nma-wifi-dialog.h>
#include <pango/pango.h>

#if !defined(VALA_STRICT_C)
#if !defined(__clang__) && defined(__GNUC__) && (__GNUC__ >= 14)
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#elif defined(__clang__) && (__clang_major__ >= 16)
#pragma clang diagnostic ignored "-Wincompatible-function-pointer-types"
#pragma clang diagnostic ignored "-Wincompatible-pointer-types"
#endif
#endif

enum  {
	NETWORK_WIFI_INTERFACE_0_PROPERTY,
	NETWORK_WIFI_INTERFACE_NUM_PROPERTIES
};
static GParamSpec* network_wifi_interface_properties[NETWORK_WIFI_INTERFACE_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _rf_kill_device_unref0(var) ((var == NULL) ? NULL : (var = (rf_kill_device_unref (var), NULL)))
typedef struct _Block9Data Block9Data;
typedef struct _Block10Data Block10Data;
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_ptr_array_unref0(var) ((var == NULL) ? NULL : (var = (g_ptr_array_unref (var), NULL)))
typedef struct _Block11Data Block11Data;
#define _g_bytes_unref0(var) ((var == NULL) ? NULL : (var = (g_bytes_unref (var), NULL)))
typedef struct _Block12Data Block12Data;
typedef struct _Block13Data Block13Data;
typedef struct _NetworkWifiInterfaceConnectToNetworkData NetworkWifiInterfaceConnectToNetworkData;

struct _NetworkWifiInterfacePrivate {
	RFKillManager* rfkill;
	NMAccessPoint* active_ap;
	GtkListBox* wifi_list;
	NetworkWifiMenuItem* _active_wifi_item;
	GtkStack* placeholder;
	gboolean locked;
	gboolean software_locked;
	gboolean hardware_locked;
	guint timeout_scan;
};

struct _Block9Data {
	int _ref_count_;
	NetworkWifiInterface* self;
	GraniteMessageDialog* settings_dialog;
};

struct _Block10Data {
	int _ref_count_;
	NetworkWifiInterface* self;
	NMClient* client;
};

struct _Block11Data {
	int _ref_count_;
	Block10Data * _data10_;
	NMAWifiDialog* wifi_dialog;
};

struct _Block12Data {
	int _ref_count_;
	NetworkWifiInterface* self;
	NMAWifiDialog* hidden_dialog;
};

struct _Block13Data {
	int _ref_count_;
	NetworkWifiInterface* self;
	NMConnection* fuzzy;
	NMConnection* dialog_connection;
	gpointer _async_data_;
};

struct _NetworkWifiInterfaceConnectToNetworkData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	NetworkWifiInterface* self;
	NMAWifiDialog* wifi_dialog;
	Block13Data* _data13_;
	NMDevice* dialog_device;
	NMAccessPoint* dialog_ap;
	NMDevice* _tmp0_;
	NMAccessPoint* _tmp1_;
	NMConnection* _tmp2_;
	NetworkNetworkManager* network_manager;
	NetworkNetworkManager* _tmp3_;
	NMClient* client;
	NetworkNetworkManager* _tmp4_;
	NMClient* _tmp5_;
	NMClient* _tmp6_;
	NMClient* _tmp7_;
	GPtrArray* _tmp8_;
	gchar* path;
	NMAccessPoint* _tmp9_;
	NMAccessPoint* _tmp10_;
	const gchar* _tmp11_;
	gchar* _tmp12_;
	NMConnection* _tmp13_;
	NMClient* _tmp14_;
	NMConnection* _tmp15_;
	NMDeviceWifi* _tmp16_;
	const gchar* _tmp17_;
	NMActiveConnection* _tmp18_;
	NMActiveConnection* _tmp19_;
	GError* _error_;
	GError* _tmp20_;
	const gchar* _tmp21_;
	gchar* mode;
	NMSettingWireless* setting_wireless;
	NMConnection* _tmp22_;
	NMSettingWireless* _tmp23_;
	NMSettingWireless* _tmp24_;
	NMSettingWireless* _tmp25_;
	const gchar* _tmp26_;
	gchar* _tmp27_;
	const gchar* _tmp28_;
	NMSettingConnection* connection_setting;
	NMConnection* _tmp29_;
	NMSettingConnection* _tmp30_;
	NMSettingConnection* _tmp31_;
	NMSettingConnection* _tmp32_;
	NMSettingConnection* _tmp33_;
	NMConnection* _tmp34_;
	NMSettingConnection* _tmp35_;
	NMSetting* _tmp36_;
	NMClient* _tmp37_;
	NMConnection* _tmp38_;
	NMDevice* _tmp39_;
	const gchar* _tmp40_;
	NMActiveConnection* _tmp41_;
	NMActiveConnection* _tmp42_;
	GError* _vala1__error_;
	GError* _tmp43_;
	const gchar* _tmp44_;
	GError* _inner_error0_;
};

static gint NetworkWifiInterface_private_offset;
static gpointer network_wifi_interface_parent_class = NULL;

static void network_wifi_interface_real_update_name (NetworkWidgetsPage* base,
                                              gint count);
static void network_wifi_interface_access_point_added_cb (NetworkWifiInterface* self,
                                                   GObject* ap_);
static void network_wifi_interface_wifi_activate_cb (NetworkWifiInterface* self,
                                              NetworkWifiMenuItem* row);
static void _network_wifi_interface_wifi_activate_cb_network_wifi_menu_item_user_action (NetworkWifiMenuItem* _sender,
                                                                                  gpointer self);
static void network_wifi_interface_update_active_ap (NetworkWifiInterface* self);
static NetworkWifiMenuItem* network_wifi_interface_get_active_wifi_item (NetworkWifiInterface* self);
static void network_wifi_interface_set_active_wifi_item (NetworkWifiInterface* self,
                                                  NetworkWifiMenuItem* value);
static void network_wifi_interface_access_point_removed_cb (NetworkWifiInterface* self,
                                                     GObject* ap_);
static void network_wifi_interface_real_update (NetworkWidgetsPage* base);
static void network_wifi_interface_cancel_scan (NetworkWifiInterface* self);
static void network_wifi_interface_set_scan_placeholder (NetworkWifiInterface* self);
static void _rf_kill_device_unref0_ (gpointer var);
static inline void _g_list_free__rf_kill_device_unref0_ (GList* self);
static Block9Data* block9_data_ref (Block9Data* _data9_);
static void block9_data_unref (void * _userdata_);
static void _gtk_window_present_network_wifi_menu_item_settings_request (NetworkWifiMenuItem* _sender,
                                                                  gpointer self);
static void ____lambda28_ (Block9Data* _data9_,
                    gint response);
static void _____lambda28__gtk_dialog_response (GtkDialog* _sender,
                                         gint response_id,
                                         gpointer self);
static void network_wifi_interface_real_update_status (NetworkWidgetsPage* base);
static void network_wifi_interface_real_update_switch (NetworkWidgetsPage* base);
static void network_wifi_interface_real_control_switch_activated (NetworkWidgetsPage* base);
static Block10Data* block10_data_ref (Block10Data* _data10_);
static void block10_data_unref (void * _userdata_);
static NMConnection* network_wifi_interface_get_valid_connection (NetworkWifiInterface* self,
                                                           NMAccessPoint* ap,
                                                           GPtrArray* ap_connections);
static Block11Data* block11_data_ref (Block11Data* _data11_);
static void block11_data_unref (void * _userdata_);
static void ___lambda23_ (Block11Data* _data11_,
                   gint response);
static void network_wifi_interface_connect_to_network (NetworkWifiInterface* self,
                                                NMAWifiDialog* wifi_dialog,
                                                GAsyncReadyCallback _callback_,
                                                gpointer _user_data_);
static void network_wifi_interface_connect_to_network_finish (NetworkWifiInterface* self,
                                                       GAsyncResult* _res_);
static void ____lambda23__gtk_dialog_response (GtkDialog* _sender,
                                        gint response_id,
                                        gpointer self);
static void ___lambda25_ (Block10Data* _data10_,
                   GObject* obj,
                   GAsyncResult* res);
static void ____lambda25__gasync_ready_callback (GObject* source_object,
                                          GAsyncResult* res,
                                          gpointer self);
static gboolean __lambda26_ (NetworkWifiInterface* self);
static gboolean ___lambda26__gsource_func (gpointer self);
static void network_wifi_interface_connect_to_hidden (NetworkWifiInterface* self);
static Block12Data* block12_data_ref (Block12Data* _data12_);
static void block12_data_unref (void * _userdata_);
static void __lambda29_ (Block12Data* _data12_,
                  gint response);
static void ___lambda29__gtk_dialog_response (GtkDialog* _sender,
                                       gint response_id,
                                       gpointer self);
static void network_wifi_interface_connect_to_network_data_free (gpointer _data);
static gboolean network_wifi_interface_connect_to_network_co (NetworkWifiInterfaceConnectToNetworkData* _data_);
static Block13Data* block13_data_ref (Block13Data* _data13_);
static void block13_data_unref (void * _userdata_);
static void __lambda24_ (Block13Data* _data13_,
                  NMRemoteConnection* possible);
static void ___lambda24__gfunc (gconstpointer data,
                         gpointer self);
static void network_wifi_interface_connect_to_network_ready (GObject* source_object,
                                                      GAsyncResult* _res_,
                                                      gpointer _user_data_);
static gboolean ___lambda27_ (NetworkWifiInterface* self);
static gboolean ____lambda27__gsource_func (gpointer self);
static gint network_wifi_interface_sort_func (NetworkWifiInterface* self,
                                       GtkListBoxRow* r1,
                                       GtkListBoxRow* r2);
static GObject * network_wifi_interface_constructor (GType type,
                                              guint n_construct_properties,
                                              GObjectConstructParam * construct_properties);
static gint _network_wifi_interface_sort_func_gtk_list_box_sort_func (GtkListBoxRow* row1,
                                                               GtkListBoxRow* row2,
                                                               gpointer self);
static void _network_widgets_page_edit_connections_gtk_button_clicked (GtkButton* _sender,
                                                                gpointer self);
static void _network_wifi_interface_connect_to_hidden_gtk_button_clicked (GtkButton* _sender,
                                                                   gpointer self);
static void _network_widgets_page_update_rf_kill_manager_device_added (RFKillManager* _sender,
                                                                RFKillDevice* device,
                                                                gpointer self);
static void _network_widgets_page_update_rf_kill_manager_device_changed (RFKillManager* _sender,
                                                                  RFKillDevice* device,
                                                                  gpointer self);
static void _network_widgets_page_update_rf_kill_manager_device_deleted (RFKillManager* _sender,
                                                                  RFKillDevice* device,
                                                                  gpointer self);
static void _network_widgets_page_update_g_object_notify (GObject* _sender,
                                                   GParamSpec* pspec,
                                                   gpointer self);
static void _network_wifi_interface_access_point_added_cb_nm_device_wifi_access_point_added (NMDeviceWifi* _sender,
                                                                                      GObject* ap,
                                                                                      gpointer self);
static void _network_wifi_interface_access_point_removed_cb_nm_device_wifi_access_point_removed (NMDeviceWifi* _sender,
                                                                                          GObject* ap,
                                                                                          gpointer self);
static void _network_widgets_page_update_nm_device_state_changed (NMDevice* _sender,
                                                           guint new_state,
                                                           guint old_state,
                                                           guint reason,
                                                           gpointer self);
static void _network_wifi_interface_access_point_added_cb_gfunc (gconstpointer data,
                                                          gpointer self);
static void network_wifi_interface_finalize (GObject * obj);
static GType network_wifi_interface_get_type_once (void);
static void _vala_network_wifi_interface_get_property (GObject * object,
                                                guint property_id,
                                                GValue * value,
                                                GParamSpec * pspec);
static void _vala_network_wifi_interface_set_property (GObject * object,
                                                guint property_id,
                                                const GValue * value,
                                                GParamSpec * pspec);

static inline gpointer
network_wifi_interface_get_instance_private (NetworkWifiInterface* self)
{
	return G_STRUCT_MEMBER_P (self, NetworkWifiInterface_private_offset);
}

NetworkWifiInterface*
network_wifi_interface_construct (GType object_type,
                                  NMDevice* device)
{
	NetworkWifiInterface * self = NULL;
#line 30 "../src/Views/WifiPage.vala"
	g_return_val_if_fail (device != NULL, NULL);
#line 31 "../src/Views/WifiPage.vala"
	self = (NetworkWifiInterface*) g_object_new (object_type, "activatable", TRUE, "device", device, NULL);
#line 30 "../src/Views/WifiPage.vala"
	return self;
#line 309 "WifiPage.c"
}

NetworkWifiInterface*
network_wifi_interface_new (NMDevice* device)
{
#line 30 "../src/Views/WifiPage.vala"
	return network_wifi_interface_construct (NETWORK_TYPE_WIFI_INTERFACE, device);
#line 317 "WifiPage.c"
}

static void
network_wifi_interface_real_update_name (NetworkWidgetsPage* base,
                                         gint count)
{
	NetworkWifiInterface * self;
#line 152 "../src/Views/WifiPage.vala"
	self = (NetworkWifiInterface*) base;
#line 153 "../src/Views/WifiPage.vala"
	if (count <= 1) {
#line 154 "../src/Views/WifiPage.vala"
		switchboard_settings_page_set_title ((SwitchboardSettingsPage*) self, _ ("Wireless"));
#line 331 "WifiPage.c"
	} else {
		NMDevice* _tmp0_;
		NMDevice* _tmp1_;
		const gchar* _tmp2_;
#line 156 "../src/Views/WifiPage.vala"
		_tmp0_ = network_widgets_page_get_device ((NetworkWidgetsPage*) self);
#line 156 "../src/Views/WifiPage.vala"
		_tmp1_ = _tmp0_;
#line 156 "../src/Views/WifiPage.vala"
		_tmp2_ = nm_device_get_description (_tmp1_);
#line 156 "../src/Views/WifiPage.vala"
		switchboard_settings_page_set_title ((SwitchboardSettingsPage*) self, _tmp2_);
#line 344 "WifiPage.c"
	}
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 161 "../src/Views/WifiPage.vala"
	return self ? g_object_ref (self) : NULL;
#line 353 "WifiPage.c"
}

static void
_network_wifi_interface_wifi_activate_cb_network_wifi_menu_item_user_action (NetworkWifiMenuItem* _sender,
                                                                             gpointer self)
{
#line 183 "../src/Views/WifiPage.vala"
	network_wifi_interface_wifi_activate_cb ((NetworkWifiInterface*) self, _sender);
#line 362 "WifiPage.c"
}

static void
network_wifi_interface_access_point_added_cb (NetworkWifiInterface* self,
                                              GObject* ap_)
{
	NMAccessPoint* ap = NULL;
	NMAccessPoint* _tmp0_;
	gboolean found = FALSE;
	NMAccessPoint* _tmp1_;
	GBytes* _tmp2_;
	GBytes* _tmp3_;
	gboolean _tmp20_ = FALSE;
#line 160 "../src/Views/WifiPage.vala"
	g_return_if_fail (self != NULL);
#line 160 "../src/Views/WifiPage.vala"
	g_return_if_fail (ap_ != NULL);
#line 161 "../src/Views/WifiPage.vala"
	_tmp0_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (ap_, nm_access_point_get_type (), NMAccessPoint));
#line 161 "../src/Views/WifiPage.vala"
	ap = _tmp0_;
#line 163 "../src/Views/WifiPage.vala"
	found = FALSE;
#line 165 "../src/Views/WifiPage.vala"
	_tmp1_ = ap;
#line 165 "../src/Views/WifiPage.vala"
	_tmp2_ = nm_access_point_get_ssid (_tmp1_);
#line 165 "../src/Views/WifiPage.vala"
	_tmp3_ = _tmp2_;
#line 165 "../src/Views/WifiPage.vala"
	if (_tmp3_ != NULL) {
#line 394 "WifiPage.c"
		GtkWidget* child = NULL;
		GtkListBox* _tmp4_;
		GtkWidget* _tmp5_;
#line 166 "../src/Views/WifiPage.vala"
		_tmp4_ = self->priv->wifi_list;
#line 166 "../src/Views/WifiPage.vala"
		_tmp5_ = gtk_widget_get_first_child ((GtkWidget*) _tmp4_);
#line 166 "../src/Views/WifiPage.vala"
		child = _tmp5_;
#line 167 "../src/Views/WifiPage.vala"
		while (TRUE) {
#line 406 "WifiPage.c"
			GtkWidget* _tmp6_;
			GtkWidget* _tmp7_;
			GtkWidget* _tmp18_;
			GtkWidget* _tmp19_;
#line 167 "../src/Views/WifiPage.vala"
			_tmp6_ = child;
#line 167 "../src/Views/WifiPage.vala"
			if (!(_tmp6_ != NULL)) {
#line 167 "../src/Views/WifiPage.vala"
				break;
#line 417 "WifiPage.c"
			}
#line 168 "../src/Views/WifiPage.vala"
			_tmp7_ = child;
#line 168 "../src/Views/WifiPage.vala"
			if (NETWORK_IS_WIFI_MENU_ITEM (_tmp7_)) {
#line 423 "WifiPage.c"
				NetworkWifiMenuItem* menu_item = NULL;
				GtkWidget* _tmp8_;
				NetworkWifiMenuItem* _tmp9_;
				NMAccessPoint* _tmp10_;
				GBytes* _tmp11_;
				GBytes* _tmp12_;
				NetworkWifiMenuItem* _tmp13_;
				GBytes* _tmp14_;
				GBytes* _tmp15_;
#line 169 "../src/Views/WifiPage.vala"
				_tmp8_ = child;
#line 169 "../src/Views/WifiPage.vala"
				_tmp9_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp8_, NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItem));
#line 169 "../src/Views/WifiPage.vala"
				menu_item = _tmp9_;
#line 170 "../src/Views/WifiPage.vala"
				_tmp10_ = ap;
#line 170 "../src/Views/WifiPage.vala"
				_tmp11_ = nm_access_point_get_ssid (_tmp10_);
#line 170 "../src/Views/WifiPage.vala"
				_tmp12_ = _tmp11_;
#line 170 "../src/Views/WifiPage.vala"
				_tmp13_ = menu_item;
#line 170 "../src/Views/WifiPage.vala"
				_tmp14_ = network_wifi_menu_item_get_ssid (_tmp13_);
#line 170 "../src/Views/WifiPage.vala"
				_tmp15_ = _tmp14_;
#line 170 "../src/Views/WifiPage.vala"
				if (g_bytes_compare (_tmp12_, _tmp15_) == 0) {
#line 453 "WifiPage.c"
					NetworkWifiMenuItem* _tmp16_;
					NMAccessPoint* _tmp17_;
#line 171 "../src/Views/WifiPage.vala"
					found = TRUE;
#line 172 "../src/Views/WifiPage.vala"
					_tmp16_ = menu_item;
#line 172 "../src/Views/WifiPage.vala"
					_tmp17_ = ap;
#line 172 "../src/Views/WifiPage.vala"
					network_wifi_menu_item_add_ap (_tmp16_, _tmp17_);
#line 173 "../src/Views/WifiPage.vala"
					_g_object_unref0 (menu_item);
#line 173 "../src/Views/WifiPage.vala"
					break;
#line 468 "WifiPage.c"
				}
#line 168 "../src/Views/WifiPage.vala"
				_g_object_unref0 (menu_item);
#line 472 "WifiPage.c"
			}
#line 176 "../src/Views/WifiPage.vala"
			_tmp18_ = child;
#line 176 "../src/Views/WifiPage.vala"
			_tmp19_ = gtk_widget_get_next_sibling (_tmp18_);
#line 176 "../src/Views/WifiPage.vala"
			child = _tmp19_;
#line 480 "WifiPage.c"
		}
	}
#line 181 "../src/Views/WifiPage.vala"
	if (!found) {
#line 485 "WifiPage.c"
		NMAccessPoint* _tmp21_;
		GBytes* _tmp22_;
		GBytes* _tmp23_;
#line 181 "../src/Views/WifiPage.vala"
		_tmp21_ = ap;
#line 181 "../src/Views/WifiPage.vala"
		_tmp22_ = nm_access_point_get_ssid (_tmp21_);
#line 181 "../src/Views/WifiPage.vala"
		_tmp23_ = _tmp22_;
#line 181 "../src/Views/WifiPage.vala"
		_tmp20_ = _tmp23_ != NULL;
#line 497 "WifiPage.c"
	} else {
#line 181 "../src/Views/WifiPage.vala"
		_tmp20_ = FALSE;
#line 501 "WifiPage.c"
	}
#line 181 "../src/Views/WifiPage.vala"
	if (_tmp20_) {
#line 505 "WifiPage.c"
		NetworkWifiMenuItem* item = NULL;
		NMAccessPoint* _tmp24_;
		NetworkWifiMenuItem* _tmp25_;
		NetworkWifiMenuItem* _tmp26_;
		GtkListBox* _tmp27_;
		NetworkWifiMenuItem* _tmp28_;
#line 182 "../src/Views/WifiPage.vala"
		_tmp24_ = ap;
#line 182 "../src/Views/WifiPage.vala"
		_tmp25_ = network_wifi_menu_item_new (_tmp24_);
#line 182 "../src/Views/WifiPage.vala"
		g_object_ref_sink (_tmp25_);
#line 182 "../src/Views/WifiPage.vala"
		item = _tmp25_;
#line 183 "../src/Views/WifiPage.vala"
		_tmp26_ = item;
#line 183 "../src/Views/WifiPage.vala"
		g_signal_connect_object (_tmp26_, "user-action", (GCallback) _network_wifi_interface_wifi_activate_cb_network_wifi_menu_item_user_action, self, 0);
#line 185 "../src/Views/WifiPage.vala"
		_tmp27_ = self->priv->wifi_list;
#line 185 "../src/Views/WifiPage.vala"
		_tmp28_ = item;
#line 185 "../src/Views/WifiPage.vala"
		gtk_list_box_append (_tmp27_, (GtkWidget*) _tmp28_);
#line 187 "../src/Views/WifiPage.vala"
		network_widgets_page_update ((NetworkWidgetsPage*) self);
#line 181 "../src/Views/WifiPage.vala"
		_g_object_unref0 (item);
#line 534 "WifiPage.c"
	}
#line 160 "../src/Views/WifiPage.vala"
	_g_object_unref0 (ap);
#line 538 "WifiPage.c"
}

static void
network_wifi_interface_update_active_ap (NetworkWifiInterface* self)
{
	NMDeviceWifi* _tmp0_;
	NMAccessPoint* _tmp1_;
	NMAccessPoint* _tmp2_;
	NetworkWifiMenuItem* _tmp3_;
	NMAccessPoint* _tmp8_;
#line 191 "../src/Views/WifiPage.vala"
	g_return_if_fail (self != NULL);
#line 192 "../src/Views/WifiPage.vala"
	g_debug ("WifiPage.vala:192: Update active AP");
#line 194 "../src/Views/WifiPage.vala"
	_tmp0_ = self->wifi_device;
#line 194 "../src/Views/WifiPage.vala"
	_tmp1_ = nm_device_wifi_get_active_access_point (_tmp0_);
#line 194 "../src/Views/WifiPage.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 194 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->priv->active_ap);
#line 194 "../src/Views/WifiPage.vala"
	self->priv->active_ap = _tmp2_;
#line 196 "../src/Views/WifiPage.vala"
	_tmp3_ = self->priv->_active_wifi_item;
#line 196 "../src/Views/WifiPage.vala"
	if (_tmp3_ != NULL) {
#line 567 "WifiPage.c"
		NetworkWifiMenuItem* _tmp4_;
		NMDeviceState _tmp5_;
		NMDeviceState _tmp6_;
#line 197 "../src/Views/WifiPage.vala"
		_tmp4_ = self->priv->_active_wifi_item;
#line 197 "../src/Views/WifiPage.vala"
		_tmp5_ = network_wifi_menu_item_get_state (_tmp4_);
#line 197 "../src/Views/WifiPage.vala"
		_tmp6_ = _tmp5_;
#line 197 "../src/Views/WifiPage.vala"
		if (_tmp6_ == NM_DEVICE_STATE_PREPARE) {
#line 579 "WifiPage.c"
			NetworkWifiMenuItem* _tmp7_;
#line 198 "../src/Views/WifiPage.vala"
			_tmp7_ = self->priv->_active_wifi_item;
#line 198 "../src/Views/WifiPage.vala"
			network_wifi_menu_item_set_state (_tmp7_, NM_DEVICE_STATE_DISCONNECTED);
#line 585 "WifiPage.c"
		}
#line 200 "../src/Views/WifiPage.vala"
		network_wifi_interface_set_active_wifi_item (self, NULL);
#line 589 "WifiPage.c"
	}
#line 203 "../src/Views/WifiPage.vala"
	_tmp8_ = self->priv->active_ap;
#line 203 "../src/Views/WifiPage.vala"
	if (_tmp8_ == NULL) {
#line 204 "../src/Views/WifiPage.vala"
		g_debug ("WifiPage.vala:204: No active AP");
#line 597 "WifiPage.c"
	} else {
		NMAccessPoint* _tmp9_;
		GBytes* _tmp10_;
		gsize _tmp11_ = 0;
		guint8* _tmp12_;
		gchar* _tmp13_;
		gchar* _tmp14_;
		gboolean found = FALSE;
		GtkWidget* child = NULL;
		GtkListBox* _tmp15_;
		GtkWidget* _tmp16_;
#line 206 "../src/Views/WifiPage.vala"
		_tmp9_ = self->priv->active_ap;
#line 206 "../src/Views/WifiPage.vala"
		_tmp10_ = nm_access_point_get_ssid (_tmp9_);
#line 206 "../src/Views/WifiPage.vala"
		_tmp12_ = g_bytes_get_data (_tmp10_, &_tmp11_);
#line 206 "../src/Views/WifiPage.vala"
		_tmp13_ = nm_utils_ssid_to_utf8 (_tmp12_, (gsize) _tmp11_);
#line 206 "../src/Views/WifiPage.vala"
		_tmp14_ = _tmp13_;
#line 206 "../src/Views/WifiPage.vala"
		g_debug ("WifiPage.vala:206: Active ap: %s", _tmp14_);
#line 206 "../src/Views/WifiPage.vala"
		_g_free0 (_tmp14_);
#line 208 "../src/Views/WifiPage.vala"
		found = FALSE;
#line 209 "../src/Views/WifiPage.vala"
		_tmp15_ = self->priv->wifi_list;
#line 209 "../src/Views/WifiPage.vala"
		_tmp16_ = gtk_widget_get_first_child ((GtkWidget*) _tmp15_);
#line 209 "../src/Views/WifiPage.vala"
		child = _tmp16_;
#line 210 "../src/Views/WifiPage.vala"
		while (TRUE) {
#line 633 "WifiPage.c"
			gboolean _tmp17_ = FALSE;
			GtkWidget* _tmp18_;
			GtkWidget* _tmp19_;
			GtkWidget* _tmp33_;
			GtkWidget* _tmp34_;
#line 210 "../src/Views/WifiPage.vala"
			_tmp18_ = child;
#line 210 "../src/Views/WifiPage.vala"
			if (_tmp18_ != NULL) {
#line 210 "../src/Views/WifiPage.vala"
				_tmp17_ = !found;
#line 645 "WifiPage.c"
			} else {
#line 210 "../src/Views/WifiPage.vala"
				_tmp17_ = FALSE;
#line 649 "WifiPage.c"
			}
#line 210 "../src/Views/WifiPage.vala"
			if (!_tmp17_) {
#line 210 "../src/Views/WifiPage.vala"
				break;
#line 655 "WifiPage.c"
			}
#line 211 "../src/Views/WifiPage.vala"
			_tmp19_ = child;
#line 211 "../src/Views/WifiPage.vala"
			if (NETWORK_IS_WIFI_MENU_ITEM (_tmp19_)) {
#line 661 "WifiPage.c"
				NetworkWifiMenuItem* menu_item = NULL;
				GtkWidget* _tmp20_;
				NetworkWifiMenuItem* _tmp21_;
				NMAccessPoint* _tmp22_;
				GBytes* _tmp23_;
				GBytes* _tmp24_;
				NetworkWifiMenuItem* _tmp25_;
				GBytes* _tmp26_;
				GBytes* _tmp27_;
#line 212 "../src/Views/WifiPage.vala"
				_tmp20_ = child;
#line 212 "../src/Views/WifiPage.vala"
				_tmp21_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp20_, NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItem));
#line 212 "../src/Views/WifiPage.vala"
				menu_item = _tmp21_;
#line 214 "../src/Views/WifiPage.vala"
				_tmp22_ = self->priv->active_ap;
#line 214 "../src/Views/WifiPage.vala"
				_tmp23_ = nm_access_point_get_ssid (_tmp22_);
#line 214 "../src/Views/WifiPage.vala"
				_tmp24_ = _tmp23_;
#line 214 "../src/Views/WifiPage.vala"
				_tmp25_ = menu_item;
#line 214 "../src/Views/WifiPage.vala"
				_tmp26_ = network_wifi_menu_item_get_ssid (_tmp25_);
#line 214 "../src/Views/WifiPage.vala"
				_tmp27_ = _tmp26_;
#line 214 "../src/Views/WifiPage.vala"
				if (g_bytes_compare (_tmp24_, _tmp27_) == 0) {
#line 691 "WifiPage.c"
					NetworkWifiMenuItem* _tmp28_;
					NetworkWifiMenuItem* _tmp29_;
					NetworkWifiMenuItem* _tmp30_;
					NMDeviceState _tmp31_;
					NMDeviceState _tmp32_;
#line 215 "../src/Views/WifiPage.vala"
					found = TRUE;
#line 216 "../src/Views/WifiPage.vala"
					_tmp28_ = menu_item;
#line 216 "../src/Views/WifiPage.vala"
					network_wifi_menu_item_set_active (_tmp28_, TRUE);
#line 217 "../src/Views/WifiPage.vala"
					_tmp29_ = menu_item;
#line 217 "../src/Views/WifiPage.vala"
					network_wifi_interface_set_active_wifi_item (self, _tmp29_);
#line 218 "../src/Views/WifiPage.vala"
					_tmp30_ = self->priv->_active_wifi_item;
#line 218 "../src/Views/WifiPage.vala"
					_tmp31_ = network_widgets_page_get_state ((NetworkWidgetsPage*) self);
#line 218 "../src/Views/WifiPage.vala"
					_tmp32_ = _tmp31_;
#line 218 "../src/Views/WifiPage.vala"
					network_wifi_menu_item_set_state (_tmp30_, _tmp32_);
#line 715 "WifiPage.c"
				}
#line 211 "../src/Views/WifiPage.vala"
				_g_object_unref0 (menu_item);
#line 719 "WifiPage.c"
			}
#line 222 "../src/Views/WifiPage.vala"
			_tmp33_ = child;
#line 222 "../src/Views/WifiPage.vala"
			_tmp34_ = gtk_widget_get_next_sibling (_tmp33_);
#line 222 "../src/Views/WifiPage.vala"
			child = _tmp34_;
#line 727 "WifiPage.c"
		}
#line 226 "../src/Views/WifiPage.vala"
		if (!found) {
#line 227 "../src/Views/WifiPage.vala"
			g_debug ("WifiPage.vala:227: Active AP not added");
#line 733 "WifiPage.c"
		}
	}
}

static void
network_wifi_interface_access_point_removed_cb (NetworkWifiInterface* self,
                                                GObject* ap_)
{
	NMAccessPoint* ap = NULL;
	NMAccessPoint* _tmp0_;
	NetworkWifiMenuItem* found_item = NULL;
	GtkWidget* child = NULL;
	GtkListBox* _tmp1_;
	GtkWidget* _tmp2_;
	NetworkWifiMenuItem* _tmp19_;
#line 232 "../src/Views/WifiPage.vala"
	g_return_if_fail (self != NULL);
#line 232 "../src/Views/WifiPage.vala"
	g_return_if_fail (ap_ != NULL);
#line 233 "../src/Views/WifiPage.vala"
	_tmp0_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (ap_, nm_access_point_get_type (), NMAccessPoint));
#line 233 "../src/Views/WifiPage.vala"
	ap = _tmp0_;
#line 235 "../src/Views/WifiPage.vala"
	found_item = NULL;
#line 236 "../src/Views/WifiPage.vala"
	_tmp1_ = self->priv->wifi_list;
#line 236 "../src/Views/WifiPage.vala"
	_tmp2_ = gtk_widget_get_first_child ((GtkWidget*) _tmp1_);
#line 236 "../src/Views/WifiPage.vala"
	child = _tmp2_;
#line 237 "../src/Views/WifiPage.vala"
	while (TRUE) {
#line 767 "WifiPage.c"
		gboolean _tmp3_ = FALSE;
		GtkWidget* _tmp4_;
		GtkWidget* _tmp6_;
		GtkWidget* _tmp17_;
		GtkWidget* _tmp18_;
#line 237 "../src/Views/WifiPage.vala"
		_tmp4_ = child;
#line 237 "../src/Views/WifiPage.vala"
		if (_tmp4_ != NULL) {
#line 777 "WifiPage.c"
			NetworkWifiMenuItem* _tmp5_;
#line 237 "../src/Views/WifiPage.vala"
			_tmp5_ = found_item;
#line 237 "../src/Views/WifiPage.vala"
			_tmp3_ = _tmp5_ == NULL;
#line 783 "WifiPage.c"
		} else {
#line 237 "../src/Views/WifiPage.vala"
			_tmp3_ = FALSE;
#line 787 "WifiPage.c"
		}
#line 237 "../src/Views/WifiPage.vala"
		if (!_tmp3_) {
#line 237 "../src/Views/WifiPage.vala"
			break;
#line 793 "WifiPage.c"
		}
#line 238 "../src/Views/WifiPage.vala"
		_tmp6_ = child;
#line 238 "../src/Views/WifiPage.vala"
		if (NETWORK_IS_WIFI_MENU_ITEM (_tmp6_)) {
#line 799 "WifiPage.c"
			NetworkWifiMenuItem* menu_item = NULL;
			GtkWidget* _tmp7_;
			NetworkWifiMenuItem* _tmp8_;
			NMAccessPoint* _tmp9_;
			GBytes* _tmp10_;
			GBytes* _tmp11_;
			NetworkWifiMenuItem* _tmp12_;
			GBytes* _tmp13_;
			GBytes* _tmp14_;
#line 239 "../src/Views/WifiPage.vala"
			_tmp7_ = child;
#line 239 "../src/Views/WifiPage.vala"
			_tmp8_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp7_, NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItem));
#line 239 "../src/Views/WifiPage.vala"
			menu_item = _tmp8_;
#line 241 "../src/Views/WifiPage.vala"
			_tmp9_ = ap;
#line 241 "../src/Views/WifiPage.vala"
			_tmp10_ = nm_access_point_get_ssid (_tmp9_);
#line 241 "../src/Views/WifiPage.vala"
			_tmp11_ = _tmp10_;
#line 241 "../src/Views/WifiPage.vala"
			_tmp12_ = menu_item;
#line 241 "../src/Views/WifiPage.vala"
			_tmp13_ = network_wifi_menu_item_get_ssid (_tmp12_);
#line 241 "../src/Views/WifiPage.vala"
			_tmp14_ = _tmp13_;
#line 241 "../src/Views/WifiPage.vala"
			if (g_bytes_compare (_tmp11_, _tmp14_) == 0) {
#line 829 "WifiPage.c"
				NetworkWifiMenuItem* _tmp15_;
				NetworkWifiMenuItem* _tmp16_;
#line 242 "../src/Views/WifiPage.vala"
				_tmp15_ = menu_item;
#line 242 "../src/Views/WifiPage.vala"
				_tmp16_ = _g_object_ref0 (_tmp15_);
#line 242 "../src/Views/WifiPage.vala"
				_g_object_unref0 (found_item);
#line 242 "../src/Views/WifiPage.vala"
				found_item = _tmp16_;
#line 840 "WifiPage.c"
			}
#line 238 "../src/Views/WifiPage.vala"
			_g_object_unref0 (menu_item);
#line 844 "WifiPage.c"
		}
#line 246 "../src/Views/WifiPage.vala"
		_tmp17_ = child;
#line 246 "../src/Views/WifiPage.vala"
		_tmp18_ = gtk_widget_get_next_sibling (_tmp17_);
#line 246 "../src/Views/WifiPage.vala"
		child = _tmp18_;
#line 852 "WifiPage.c"
	}
#line 249 "../src/Views/WifiPage.vala"
	_tmp19_ = found_item;
#line 249 "../src/Views/WifiPage.vala"
	if (_tmp19_ == NULL) {
#line 250 "../src/Views/WifiPage.vala"
		g_critical ("WifiPage.vala:250: Couldn't remove an access point which has not been " \
"added.");
#line 860 "WifiPage.c"
	} else {
		NetworkWifiMenuItem* _tmp20_;
		NMAccessPoint* _tmp21_;
#line 252 "../src/Views/WifiPage.vala"
		_tmp20_ = found_item;
#line 252 "../src/Views/WifiPage.vala"
		_tmp21_ = ap;
#line 252 "../src/Views/WifiPage.vala"
		if (!network_wifi_menu_item_remove_ap (_tmp20_, _tmp21_)) {
#line 870 "WifiPage.c"
			NetworkWifiMenuItem* _tmp22_;
#line 253 "../src/Views/WifiPage.vala"
			_tmp22_ = found_item;
#line 253 "../src/Views/WifiPage.vala"
			g_signal_emit_by_name ((GtkWidget*) _tmp22_, "destroy");
#line 876 "WifiPage.c"
		}
	}
#line 257 "../src/Views/WifiPage.vala"
	network_widgets_page_update ((NetworkWidgetsPage*) self);
#line 232 "../src/Views/WifiPage.vala"
	_g_object_unref0 (found_item);
#line 232 "../src/Views/WifiPage.vala"
	_g_object_unref0 (ap);
#line 885 "WifiPage.c"
}

static gpointer
_rf_kill_device_ref0 (gpointer self)
{
#line 300 "../src/Views/WifiPage.vala"
	return self ? rf_kill_device_ref (self) : NULL;
#line 893 "WifiPage.c"
}

static void
_rf_kill_device_unref0_ (gpointer var)
{
#line 300 "../src/Views/WifiPage.vala"
	(var == NULL) ? NULL : (var = (rf_kill_device_unref (var), NULL));
#line 901 "WifiPage.c"
}

static inline void
_g_list_free__rf_kill_device_unref0_ (GList* self)
{
#line 300 "../src/Views/WifiPage.vala"
	g_list_free_full (self, (GDestroyNotify) _rf_kill_device_unref0_);
#line 909 "WifiPage.c"
}

static Block9Data*
block9_data_ref (Block9Data* _data9_)
{
#line 333 "../src/Views/WifiPage.vala"
	g_atomic_int_inc (&_data9_->_ref_count_);
#line 333 "../src/Views/WifiPage.vala"
	return _data9_;
#line 919 "WifiPage.c"
}

static void
block9_data_unref (void * _userdata_)
{
	Block9Data* _data9_;
	_data9_ = (Block9Data*) _userdata_;
#line 333 "../src/Views/WifiPage.vala"
	if (g_atomic_int_dec_and_test (&_data9_->_ref_count_)) {
#line 929 "WifiPage.c"
		NetworkWifiInterface* self;
#line 333 "../src/Views/WifiPage.vala"
		self = _data9_->self;
#line 333 "../src/Views/WifiPage.vala"
		_g_object_unref0 (_data9_->settings_dialog);
#line 333 "../src/Views/WifiPage.vala"
		_g_object_unref0 (self);
#line 333 "../src/Views/WifiPage.vala"
		g_slice_free (Block9Data, _data9_);
#line 939 "WifiPage.c"
	}
}

static void
_gtk_window_present_network_wifi_menu_item_settings_request (NetworkWifiMenuItem* _sender,
                                                             gpointer self)
{
#line 376 "../src/Views/WifiPage.vala"
	gtk_window_present ((GtkWindow*) self);
#line 949 "WifiPage.c"
}

static void
____lambda28_ (Block9Data* _data9_,
               gint response)
{
	NetworkWifiInterface* self;
	GraniteMessageDialog* _tmp0_;
#line 378 "../src/Views/WifiPage.vala"
	self = _data9_->self;
#line 379 "../src/Views/WifiPage.vala"
	if (response == 0) {
#line 380 "../src/Views/WifiPage.vala"
		network_widgets_page_open_advanced_settings ((NetworkWidgetsPage*) self);
#line 964 "WifiPage.c"
	}
#line 383 "../src/Views/WifiPage.vala"
	_tmp0_ = _data9_->settings_dialog;
#line 383 "../src/Views/WifiPage.vala"
	gtk_widget_hide ((GtkWidget*) _tmp0_);
#line 970 "WifiPage.c"
}

static void
_____lambda28__gtk_dialog_response (GtkDialog* _sender,
                                    gint response_id,
                                    gpointer self)
{
#line 378 "../src/Views/WifiPage.vala"
	____lambda28_ (self, response_id);
#line 980 "WifiPage.c"
}

static void
network_wifi_interface_real_update (NetworkWidgetsPage* base)
{
	NetworkWifiInterface * self;
	gboolean sensitive = FALSE;
	NMDevice* _tmp0_;
	NMDevice* _tmp1_;
	GtkButton* _tmp2_;
	NetworkWifiMenuItem* old_active = NULL;
	NetworkWifiMenuItem* _tmp6_;
	NetworkWifiMenuItem* _tmp7_;
	NMDeviceWifi* _tmp8_;
	NMDeviceWifi* _tmp9_;
	NMDeviceState _tmp10_;
	NMDeviceState _tmp11_;
	NMDeviceWifi* _tmp17_;
	NMDeviceState _tmp18_;
	NMDeviceState _tmp19_;
	NMDeviceState _tmp20_;
	NMDeviceState _tmp21_;
	GEnumValue* _tmp22_;
	RFKillManager* _tmp23_;
	GList* _tmp24_;
	gboolean _tmp35_ = FALSE;
	gboolean is_hotspot = FALSE;
	NMDeviceWifi* _tmp36_;
	NMAccessPoint* active_access_point = NULL;
	NMDeviceWifi* _tmp37_;
	NMAccessPoint* _tmp38_;
	NMAccessPoint* _tmp39_;
	gboolean _tmp40_ = FALSE;
	NMAccessPoint* _tmp41_;
	GtkRevealer* _tmp42_;
	gboolean _tmp47_ = FALSE;
	NMAccessPoint* _tmp48_;
#line 260 "../src/Views/WifiPage.vala"
	self = (NetworkWifiInterface*) base;
#line 261 "../src/Views/WifiPage.vala"
	_tmp0_ = network_widgets_page_get_device ((NetworkWidgetsPage*) self);
#line 261 "../src/Views/WifiPage.vala"
	_tmp1_ = _tmp0_;
#line 261 "../src/Views/WifiPage.vala"
	sensitive = nm_device_get_state (_tmp1_) == NM_DEVICE_STATE_ACTIVATED;
#line 262 "../src/Views/WifiPage.vala"
	_tmp2_ = self->hidden_btn;
#line 262 "../src/Views/WifiPage.vala"
	if (_tmp2_ != NULL) {
#line 1030 "WifiPage.c"
		GtkButton* _tmp3_;
		NMDeviceState _tmp4_;
		NMDeviceState _tmp5_;
#line 263 "../src/Views/WifiPage.vala"
		_tmp3_ = self->hidden_btn;
#line 263 "../src/Views/WifiPage.vala"
		_tmp4_ = network_widgets_page_get_state ((NetworkWidgetsPage*) self);
#line 263 "../src/Views/WifiPage.vala"
		_tmp5_ = _tmp4_;
#line 263 "../src/Views/WifiPage.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp3_, _tmp5_ != NM_DEVICE_STATE_UNAVAILABLE);
#line 1042 "WifiPage.c"
	}
#line 266 "../src/Views/WifiPage.vala"
	_tmp6_ = self->priv->_active_wifi_item;
#line 266 "../src/Views/WifiPage.vala"
	_tmp7_ = _g_object_ref0 (_tmp6_);
#line 266 "../src/Views/WifiPage.vala"
	old_active = _tmp7_;
#line 268 "../src/Views/WifiPage.vala"
	_tmp8_ = self->wifi_device;
#line 268 "../src/Views/WifiPage.vala"
	if (network_utils_get_device_is_hotspot (_tmp8_)) {
#line 269 "../src/Views/WifiPage.vala"
		network_widgets_page_set_state ((NetworkWidgetsPage*) self, NM_DEVICE_STATE_DISCONNECTED);
#line 270 "../src/Views/WifiPage.vala"
		_g_object_unref0 (old_active);
#line 270 "../src/Views/WifiPage.vala"
		return;
#line 1060 "WifiPage.c"
	}
#line 273 "../src/Views/WifiPage.vala"
	_tmp9_ = self->wifi_device;
#line 273 "../src/Views/WifiPage.vala"
	_tmp10_ = nm_device_get_state ((NMDevice*) _tmp9_);
#line 273 "../src/Views/WifiPage.vala"
	_tmp11_ = _tmp10_;
#line 273 "../src/Views/WifiPage.vala"
	switch (_tmp11_) {
#line 273 "../src/Views/WifiPage.vala"
		case NM_DEVICE_STATE_UNKNOWN:
#line 273 "../src/Views/WifiPage.vala"
		case NM_DEVICE_STATE_UNMANAGED:
#line 273 "../src/Views/WifiPage.vala"
		case NM_DEVICE_STATE_FAILED:
#line 1076 "WifiPage.c"
		{
			NetworkWifiMenuItem* _tmp12_;
#line 277 "../src/Views/WifiPage.vala"
			_tmp12_ = self->priv->_active_wifi_item;
#line 277 "../src/Views/WifiPage.vala"
			if (_tmp12_ != NULL) {
#line 1083 "WifiPage.c"
				NetworkWifiMenuItem* _tmp13_;
				NMDeviceState _tmp14_;
				NMDeviceState _tmp15_;
#line 278 "../src/Views/WifiPage.vala"
				_tmp13_ = self->priv->_active_wifi_item;
#line 278 "../src/Views/WifiPage.vala"
				_tmp14_ = network_widgets_page_get_state ((NetworkWidgetsPage*) self);
#line 278 "../src/Views/WifiPage.vala"
				_tmp15_ = _tmp14_;
#line 278 "../src/Views/WifiPage.vala"
				network_wifi_menu_item_set_state (_tmp13_, _tmp15_);
#line 1095 "WifiPage.c"
			}
#line 280 "../src/Views/WifiPage.vala"
			network_wifi_interface_cancel_scan (self);
#line 281 "../src/Views/WifiPage.vala"
			break;
#line 1101 "WifiPage.c"
		}
#line 273 "../src/Views/WifiPage.vala"
		case NM_DEVICE_STATE_DEACTIVATING:
#line 273 "../src/Views/WifiPage.vala"
		case NM_DEVICE_STATE_UNAVAILABLE:
#line 1107 "WifiPage.c"
		{
			GtkStack* _tmp16_;
#line 285 "../src/Views/WifiPage.vala"
			network_wifi_interface_cancel_scan (self);
#line 286 "../src/Views/WifiPage.vala"
			_tmp16_ = self->priv->placeholder;
#line 286 "../src/Views/WifiPage.vala"
			gtk_stack_set_visible_child_name (_tmp16_, "wireless-off");
#line 287 "../src/Views/WifiPage.vala"
			break;
#line 1118 "WifiPage.c"
		}
		default:
		{
#line 289 "../src/Views/WifiPage.vala"
			network_wifi_interface_set_scan_placeholder (self);
#line 290 "../src/Views/WifiPage.vala"
			break;
#line 1126 "WifiPage.c"
		}
	}
#line 293 "../src/Views/WifiPage.vala"
	_tmp17_ = self->wifi_device;
#line 293 "../src/Views/WifiPage.vala"
	_tmp18_ = nm_device_get_state ((NMDevice*) _tmp17_);
#line 293 "../src/Views/WifiPage.vala"
	_tmp19_ = _tmp18_;
#line 293 "../src/Views/WifiPage.vala"
	network_widgets_page_set_state ((NetworkWidgetsPage*) self, _tmp19_);
#line 295 "../src/Views/WifiPage.vala"
	_tmp20_ = network_widgets_page_get_state ((NetworkWidgetsPage*) self);
#line 295 "../src/Views/WifiPage.vala"
	_tmp21_ = _tmp20_;
#line 295 "../src/Views/WifiPage.vala"
	_tmp22_ = g_enum_get_value (g_type_class_ref (nm_device_state_get_type ()), _tmp21_);
#line 295 "../src/Views/WifiPage.vala"
	g_debug ("WifiPage.vala:295: New network state: %s", (_tmp22_ != NULL) ? _tmp22_->value_name : NULL);
#line 298 "../src/Views/WifiPage.vala"
	self->priv->software_locked = FALSE;
#line 299 "../src/Views/WifiPage.vala"
	self->priv->hardware_locked = FALSE;
#line 300 "../src/Views/WifiPage.vala"
	_tmp23_ = self->priv->rfkill;
#line 300 "../src/Views/WifiPage.vala"
	_tmp24_ = rf_kill_manager_get_devices (_tmp23_);
#line 1153 "WifiPage.c"
	{
		GList* device_collection = NULL;
		GList* device_it = NULL;
#line 300 "../src/Views/WifiPage.vala"
		device_collection = _tmp24_;
#line 300 "../src/Views/WifiPage.vala"
		for (device_it = device_collection; device_it != NULL; device_it = device_it->next) {
#line 1161 "WifiPage.c"
			RFKillDevice* _tmp25_;
			RFKillDevice* device = NULL;
#line 300 "../src/Views/WifiPage.vala"
			_tmp25_ = _rf_kill_device_ref0 ((RFKillDevice*) device_it->data);
#line 300 "../src/Views/WifiPage.vala"
			device = _tmp25_;
#line 1168 "WifiPage.c"
			{
				RFKillDevice* _tmp26_;
				RFKillDeviceType _tmp27_;
				RFKillDeviceType _tmp28_;
				RFKillDevice* _tmp29_;
				gboolean _tmp30_;
				gboolean _tmp31_;
				RFKillDevice* _tmp32_;
				gboolean _tmp33_;
				gboolean _tmp34_;
#line 301 "../src/Views/WifiPage.vala"
				_tmp26_ = device;
#line 301 "../src/Views/WifiPage.vala"
				_tmp27_ = rf_kill_device_get_device_type (_tmp26_);
#line 301 "../src/Views/WifiPage.vala"
				_tmp28_ = _tmp27_;
#line 301 "../src/Views/WifiPage.vala"
				if (_tmp28_ != RF_KILL_DEVICE_TYPE_WLAN) {
#line 302 "../src/Views/WifiPage.vala"
					_rf_kill_device_unref0 (device);
#line 302 "../src/Views/WifiPage.vala"
					continue;
#line 1191 "WifiPage.c"
				}
#line 304 "../src/Views/WifiPage.vala"
				_tmp29_ = device;
#line 304 "../src/Views/WifiPage.vala"
				_tmp30_ = rf_kill_device_get_software_lock (_tmp29_);
#line 304 "../src/Views/WifiPage.vala"
				_tmp31_ = _tmp30_;
#line 304 "../src/Views/WifiPage.vala"
				if (_tmp31_) {
#line 305 "../src/Views/WifiPage.vala"
					self->priv->software_locked = TRUE;
#line 1203 "WifiPage.c"
				}
#line 306 "../src/Views/WifiPage.vala"
				_tmp32_ = device;
#line 306 "../src/Views/WifiPage.vala"
				_tmp33_ = rf_kill_device_get_hardware_lock (_tmp32_);
#line 306 "../src/Views/WifiPage.vala"
				_tmp34_ = _tmp33_;
#line 306 "../src/Views/WifiPage.vala"
				if (_tmp34_) {
#line 307 "../src/Views/WifiPage.vala"
					self->priv->hardware_locked = TRUE;
#line 1215 "WifiPage.c"
				}
#line 300 "../src/Views/WifiPage.vala"
				_rf_kill_device_unref0 (device);
#line 1219 "WifiPage.c"
			}
		}
#line 300 "../src/Views/WifiPage.vala"
		(device_collection == NULL) ? NULL : (device_collection = (_g_list_free__rf_kill_device_unref0_ (device_collection), NULL));
#line 1224 "WifiPage.c"
	}
#line 310 "../src/Views/WifiPage.vala"
	if (self->priv->hardware_locked) {
#line 310 "../src/Views/WifiPage.vala"
		_tmp35_ = TRUE;
#line 1230 "WifiPage.c"
	} else {
#line 310 "../src/Views/WifiPage.vala"
		_tmp35_ = self->priv->software_locked;
#line 1234 "WifiPage.c"
	}
#line 310 "../src/Views/WifiPage.vala"
	self->priv->locked = _tmp35_;
#line 312 "../src/Views/WifiPage.vala"
	network_wifi_interface_update_active_ap (self);
#line 314 "../src/Views/WifiPage.vala"
	NETWORK_WIDGETS_PAGE_CLASS (network_wifi_interface_parent_class)->update (G_TYPE_CHECK_INSTANCE_CAST (self, NETWORK_WIDGETS_TYPE_PAGE, NetworkWidgetsPage));
#line 316 "../src/Views/WifiPage.vala"
	_tmp36_ = self->wifi_device;
#line 316 "../src/Views/WifiPage.vala"
	is_hotspot = network_utils_get_device_is_hotspot (_tmp36_);
#line 318 "../src/Views/WifiPage.vala"
	_tmp37_ = self->wifi_device;
#line 318 "../src/Views/WifiPage.vala"
	_tmp38_ = nm_device_wifi_get_active_access_point (_tmp37_);
#line 318 "../src/Views/WifiPage.vala"
	_tmp39_ = _tmp38_;
#line 318 "../src/Views/WifiPage.vala"
	active_access_point = _tmp39_;
#line 319 "../src/Views/WifiPage.vala"
	_tmp41_ = active_access_point;
#line 319 "../src/Views/WifiPage.vala"
	if (_tmp41_ != NULL) {
#line 319 "../src/Views/WifiPage.vala"
		_tmp40_ = !is_hotspot;
#line 1260 "WifiPage.c"
	} else {
#line 319 "../src/Views/WifiPage.vala"
		_tmp40_ = FALSE;
#line 1264 "WifiPage.c"
	}
#line 319 "../src/Views/WifiPage.vala"
	_tmp42_ = self->top_revealer;
#line 319 "../src/Views/WifiPage.vala"
	gtk_revealer_set_reveal_child (_tmp42_, _tmp40_);
#line 321 "../src/Views/WifiPage.vala"
	if (is_hotspot) {
#line 1272 "WifiPage.c"
		GtkStack* _tmp43_;
		GtkBox* _tmp44_;
#line 322 "../src/Views/WifiPage.vala"
		_tmp43_ = self->list_stack;
#line 322 "../src/Views/WifiPage.vala"
		_tmp44_ = self->hotspot_mode_alert;
#line 322 "../src/Views/WifiPage.vala"
		gtk_stack_set_visible_child (_tmp43_, (GtkWidget*) _tmp44_);
#line 1281 "WifiPage.c"
	} else {
		GtkStack* _tmp45_;
		GtkScrolledWindow* _tmp46_;
#line 324 "../src/Views/WifiPage.vala"
		_tmp45_ = self->list_stack;
#line 324 "../src/Views/WifiPage.vala"
		_tmp46_ = self->scrolled;
#line 324 "../src/Views/WifiPage.vala"
		gtk_stack_set_visible_child (_tmp45_, (GtkWidget*) _tmp46_);
#line 1291 "WifiPage.c"
	}
#line 327 "../src/Views/WifiPage.vala"
	_tmp48_ = active_access_point;
#line 327 "../src/Views/WifiPage.vala"
	if (_tmp48_ == NULL) {
#line 1297 "WifiPage.c"
		NetworkWifiMenuItem* _tmp49_;
#line 327 "../src/Views/WifiPage.vala"
		_tmp49_ = old_active;
#line 327 "../src/Views/WifiPage.vala"
		_tmp47_ = _tmp49_ != NULL;
#line 1303 "WifiPage.c"
	} else {
#line 327 "../src/Views/WifiPage.vala"
		_tmp47_ = FALSE;
#line 1307 "WifiPage.c"
	}
#line 327 "../src/Views/WifiPage.vala"
	if (_tmp47_) {
#line 1311 "WifiPage.c"
		NetworkWifiMenuItem* _tmp50_;
		gboolean _tmp51_ = FALSE;
		GtkFrame* _tmp52_;
#line 328 "../src/Views/WifiPage.vala"
		_tmp50_ = old_active;
#line 328 "../src/Views/WifiPage.vala"
		gtk_widget_set_visible ((GtkWidget*) _tmp50_, TRUE);
#line 330 "../src/Views/WifiPage.vala"
		_tmp52_ = self->connected_frame;
#line 330 "../src/Views/WifiPage.vala"
		if (_tmp52_ != NULL) {
#line 1323 "WifiPage.c"
			GtkFrame* _tmp53_;
			GtkWidget* _tmp54_;
#line 330 "../src/Views/WifiPage.vala"
			_tmp53_ = self->connected_frame;
#line 330 "../src/Views/WifiPage.vala"
			_tmp54_ = gtk_frame_get_child (_tmp53_);
#line 330 "../src/Views/WifiPage.vala"
			_tmp51_ = _tmp54_ != NULL;
#line 1332 "WifiPage.c"
		} else {
#line 330 "../src/Views/WifiPage.vala"
			_tmp51_ = FALSE;
#line 1336 "WifiPage.c"
		}
#line 330 "../src/Views/WifiPage.vala"
		if (_tmp51_) {
#line 1340 "WifiPage.c"
			GtkFrame* _tmp55_;
			GtkWidget* _tmp56_;
#line 331 "../src/Views/WifiPage.vala"
			_tmp55_ = self->connected_frame;
#line 331 "../src/Views/WifiPage.vala"
			_tmp56_ = gtk_frame_get_child (_tmp55_);
#line 331 "../src/Views/WifiPage.vala"
			g_signal_emit_by_name (_tmp56_, "destroy");
#line 1349 "WifiPage.c"
		}
	} else {
		gboolean _tmp57_ = FALSE;
		NMAccessPoint* _tmp58_;
#line 333 "../src/Views/WifiPage.vala"
		_tmp58_ = active_access_point;
#line 333 "../src/Views/WifiPage.vala"
		if (_tmp58_ != NULL) {
#line 1358 "WifiPage.c"
			NetworkWifiMenuItem* _tmp59_;
			NetworkWifiMenuItem* _tmp60_;
#line 333 "../src/Views/WifiPage.vala"
			_tmp59_ = self->priv->_active_wifi_item;
#line 333 "../src/Views/WifiPage.vala"
			_tmp60_ = old_active;
#line 333 "../src/Views/WifiPage.vala"
			_tmp57_ = _tmp59_ != _tmp60_;
#line 1367 "WifiPage.c"
		} else {
#line 333 "../src/Views/WifiPage.vala"
			_tmp57_ = FALSE;
#line 1371 "WifiPage.c"
		}
#line 333 "../src/Views/WifiPage.vala"
		if (_tmp57_) {
#line 1375 "WifiPage.c"
			Block9Data* _data9_;
			NetworkWifiMenuItem* _tmp61_;
			NetworkWifiMenuItem* _tmp69_;
			NetworkWifiMenuItem* top_item = NULL;
			NMAccessPoint* _tmp70_;
			NetworkWifiMenuItem* _tmp71_ = NULL;
			GtkListBox* connected_listbox = NULL;
			GtkListBox* _tmp72_ = NULL;
			GtkListBox* _tmp73_;
			GtkListBox* _tmp74_;
			NetworkWifiMenuItem* _tmp75_;
			GtkListBox* _tmp76_;
			GtkWidget* _tmp77_;
			GtkFrame* _tmp78_;
			GtkListBox* _tmp79_;
			NetworkWifiMenuItem* _tmp80_;
			GtkLabel* _tmp81_;
			GtkLabel* _tmp82_;
			const gchar* _tmp83_;
			const gchar* _tmp84_;
			NetworkWifiMenuItem* _tmp85_;
			GtkLabel* _tmp86_;
			GtkLabel* _tmp87_;
			const gchar* _tmp88_;
			const gchar* _tmp89_;
			NetworkWifiMenuItem* _tmp90_;
			GtkImage* _tmp91_;
			GtkImage* _tmp92_;
			gchar* _tmp93_;
			gchar* _tmp94_;
			gchar* _tmp95_;
			GApplication* _tmp96_;
			GtkWindow* _tmp97_;
			GtkWindow* _tmp98_;
			GtkWindow* _tmp99_;
			GraniteMessageDialog* _tmp100_ = NULL;
			GraniteMessageDialog* _tmp101_;
			GraniteMessageDialog* _tmp102_;
			GraniteMessageDialog* _tmp103_;
			GraniteMessageDialog* _tmp104_;
			GtkBox* _tmp105_;
			GtkBox* _tmp106_;
			NetworkWidgetsInfoBox* _tmp107_;
			NetworkWifiMenuItem* _tmp108_;
			NetworkWifiMenuItem* _tmp109_;
			GraniteMessageDialog* _tmp110_;
			GraniteMessageDialog* _tmp111_;
#line 333 "../src/Views/WifiPage.vala"
			_data9_ = g_slice_new0 (Block9Data);
#line 333 "../src/Views/WifiPage.vala"
			_data9_->_ref_count_ = 1;
#line 333 "../src/Views/WifiPage.vala"
			_data9_->self = g_object_ref (self);
#line 335 "../src/Views/WifiPage.vala"
			_tmp61_ = old_active;
#line 335 "../src/Views/WifiPage.vala"
			if (_tmp61_ != NULL) {
#line 1433 "WifiPage.c"
				NetworkWifiMenuItem* _tmp62_;
				gboolean _tmp63_ = FALSE;
				GtkFrame* _tmp64_;
#line 336 "../src/Views/WifiPage.vala"
				_tmp62_ = old_active;
#line 336 "../src/Views/WifiPage.vala"
				gtk_widget_set_visible ((GtkWidget*) _tmp62_, TRUE);
#line 338 "../src/Views/WifiPage.vala"
				_tmp64_ = self->connected_frame;
#line 338 "../src/Views/WifiPage.vala"
				if (_tmp64_ != NULL) {
#line 1445 "WifiPage.c"
					GtkFrame* _tmp65_;
					GtkWidget* _tmp66_;
#line 338 "../src/Views/WifiPage.vala"
					_tmp65_ = self->connected_frame;
#line 338 "../src/Views/WifiPage.vala"
					_tmp66_ = gtk_frame_get_child (_tmp65_);
#line 338 "../src/Views/WifiPage.vala"
					_tmp63_ = _tmp66_ != NULL;
#line 1454 "WifiPage.c"
				} else {
#line 338 "../src/Views/WifiPage.vala"
					_tmp63_ = FALSE;
#line 1458 "WifiPage.c"
				}
#line 338 "../src/Views/WifiPage.vala"
				if (_tmp63_) {
#line 1462 "WifiPage.c"
					GtkFrame* _tmp67_;
					GtkWidget* _tmp68_;
#line 339 "../src/Views/WifiPage.vala"
					_tmp67_ = self->connected_frame;
#line 339 "../src/Views/WifiPage.vala"
					_tmp68_ = gtk_frame_get_child (_tmp67_);
#line 339 "../src/Views/WifiPage.vala"
					g_signal_emit_by_name (_tmp68_, "destroy");
#line 1471 "WifiPage.c"
				}
			}
#line 343 "../src/Views/WifiPage.vala"
			_tmp69_ = self->priv->_active_wifi_item;
#line 343 "../src/Views/WifiPage.vala"
			gtk_widget_set_visible ((GtkWidget*) _tmp69_, FALSE);
#line 345 "../src/Views/WifiPage.vala"
			_tmp70_ = active_access_point;
#line 345 "../src/Views/WifiPage.vala"
			_tmp71_ = network_wifi_menu_item_new (_tmp70_);
#line 345 "../src/Views/WifiPage.vala"
			network_wifi_menu_item_set_state (_tmp71_, NM_DEVICE_STATE_ACTIVATED);
#line 345 "../src/Views/WifiPage.vala"
			g_object_ref_sink (_tmp71_);
#line 345 "../src/Views/WifiPage.vala"
			top_item = _tmp71_;
#line 352 "../src/Views/WifiPage.vala"
			_tmp72_ = (GtkListBox*) gtk_list_box_new ();
#line 352 "../src/Views/WifiPage.vala"
			gtk_list_box_set_selection_mode (_tmp72_, GTK_SELECTION_NONE);
#line 352 "../src/Views/WifiPage.vala"
			g_object_ref_sink (_tmp72_);
#line 352 "../src/Views/WifiPage.vala"
			connected_listbox = _tmp72_;
#line 355 "../src/Views/WifiPage.vala"
			_tmp73_ = connected_listbox;
#line 355 "../src/Views/WifiPage.vala"
			gtk_widget_add_css_class ((GtkWidget*) _tmp73_, GRANITE_STYLE_CLASS_RICH_LIST);
#line 356 "../src/Views/WifiPage.vala"
			_tmp74_ = connected_listbox;
#line 356 "../src/Views/WifiPage.vala"
			_tmp75_ = top_item;
#line 356 "../src/Views/WifiPage.vala"
			gtk_list_box_append (_tmp74_, (GtkWidget*) _tmp75_);
#line 357 "../src/Views/WifiPage.vala"
			_tmp76_ = connected_listbox;
#line 357 "../src/Views/WifiPage.vala"
			_tmp77_ = gtk_widget_get_first_child ((GtkWidget*) _tmp76_);
#line 357 "../src/Views/WifiPage.vala"
			gtk_widget_set_focusable (_tmp77_, FALSE);
#line 359 "../src/Views/WifiPage.vala"
			_tmp78_ = self->connected_frame;
#line 359 "../src/Views/WifiPage.vala"
			_tmp79_ = connected_listbox;
#line 359 "../src/Views/WifiPage.vala"
			gtk_frame_set_child (_tmp78_, (GtkWidget*) _tmp79_);
#line 361 "../src/Views/WifiPage.vala"
			_tmp80_ = top_item;
#line 361 "../src/Views/WifiPage.vala"
			_tmp81_ = network_wifi_menu_item_get_ssid_label (_tmp80_);
#line 361 "../src/Views/WifiPage.vala"
			_tmp82_ = _tmp81_;
#line 361 "../src/Views/WifiPage.vala"
			_tmp83_ = gtk_label_get_label (_tmp82_);
#line 361 "../src/Views/WifiPage.vala"
			_tmp84_ = _tmp83_;
#line 361 "../src/Views/WifiPage.vala"
			_tmp85_ = top_item;
#line 361 "../src/Views/WifiPage.vala"
			_tmp86_ = network_wifi_menu_item_get_status_label (_tmp85_);
#line 361 "../src/Views/WifiPage.vala"
			_tmp87_ = _tmp86_;
#line 361 "../src/Views/WifiPage.vala"
			_tmp88_ = gtk_label_get_label (_tmp87_);
#line 361 "../src/Views/WifiPage.vala"
			_tmp89_ = _tmp88_;
#line 361 "../src/Views/WifiPage.vala"
			_tmp90_ = top_item;
#line 361 "../src/Views/WifiPage.vala"
			_tmp91_ = network_wifi_menu_item_get_img_strength (_tmp90_);
#line 361 "../src/Views/WifiPage.vala"
			_tmp92_ = _tmp91_;
#line 361 "../src/Views/WifiPage.vala"
			g_object_get (_tmp92_, "icon-name", &_tmp93_, NULL);
#line 361 "../src/Views/WifiPage.vala"
			_tmp94_ = _tmp93_;
#line 361 "../src/Views/WifiPage.vala"
			_tmp95_ = _tmp94_;
#line 361 "../src/Views/WifiPage.vala"
			_tmp96_ = g_application_get_default ();
#line 361 "../src/Views/WifiPage.vala"
			_tmp97_ = gtk_application_get_active_window (G_TYPE_CHECK_INSTANCE_CAST (_tmp96_, gtk_application_get_type (), GtkApplication));
#line 361 "../src/Views/WifiPage.vala"
			_tmp98_ = _tmp97_;
#line 361 "../src/Views/WifiPage.vala"
			_tmp99_ = _g_object_ref0 (_tmp98_);
#line 361 "../src/Views/WifiPage.vala"
			_tmp100_ = granite_message_dialog_new_with_image_from_icon_name (_tmp84_, _tmp89_, _tmp95_, GTK_BUTTONS_NONE);
#line 361 "../src/Views/WifiPage.vala"
			gtk_window_set_modal ((GtkWindow*) _tmp100_, TRUE);
#line 361 "../src/Views/WifiPage.vala"
			gtk_window_set_transient_for ((GtkWindow*) _tmp100_, _tmp99_);
#line 361 "../src/Views/WifiPage.vala"
			_g_object_unref0 (_tmp99_);
#line 361 "../src/Views/WifiPage.vala"
			g_object_ref_sink (_tmp100_);
#line 361 "../src/Views/WifiPage.vala"
			_tmp101_ = _tmp100_;
#line 361 "../src/Views/WifiPage.vala"
			_g_free0 (_tmp95_);
#line 361 "../src/Views/WifiPage.vala"
			_data9_->settings_dialog = _tmp101_;
#line 371 "../src/Views/WifiPage.vala"
			_tmp102_ = _data9_->settings_dialog;
#line 371 "../src/Views/WifiPage.vala"
			granite_dialog_add_button ((GraniteDialog*) _tmp102_, _ ("Advanced…"), 0);
#line 372 "../src/Views/WifiPage.vala"
			_tmp103_ = _data9_->settings_dialog;
#line 372 "../src/Views/WifiPage.vala"
			granite_dialog_add_button ((GraniteDialog*) _tmp103_, _ ("Close"), (gint) GTK_RESPONSE_CLOSE);
#line 373 "../src/Views/WifiPage.vala"
			_tmp104_ = _data9_->settings_dialog;
#line 373 "../src/Views/WifiPage.vala"
			_tmp105_ = granite_message_dialog_get_custom_bin (_tmp104_);
#line 373 "../src/Views/WifiPage.vala"
			_tmp106_ = _tmp105_;
#line 373 "../src/Views/WifiPage.vala"
			_tmp107_ = ((NetworkWidgetsPage*) self)->info_box;
#line 373 "../src/Views/WifiPage.vala"
			gtk_box_append (_tmp106_, (GtkWidget*) _tmp107_);
#line 375 "../src/Views/WifiPage.vala"
			_tmp108_ = top_item;
#line 375 "../src/Views/WifiPage.vala"
			g_signal_connect_object (_tmp108_, "user-action", (GCallback) _network_wifi_interface_wifi_activate_cb_network_wifi_menu_item_user_action, self, 0);
#line 376 "../src/Views/WifiPage.vala"
			_tmp109_ = top_item;
#line 376 "../src/Views/WifiPage.vala"
			_tmp110_ = _data9_->settings_dialog;
#line 376 "../src/Views/WifiPage.vala"
			g_signal_connect_object (_tmp109_, "settings-request", (GCallback) _gtk_window_present_network_wifi_menu_item_settings_request, (GtkWindow*) _tmp110_, 0);
#line 378 "../src/Views/WifiPage.vala"
			_tmp111_ = _data9_->settings_dialog;
#line 378 "../src/Views/WifiPage.vala"
			g_signal_connect_data ((GtkDialog*) _tmp111_, "response", (GCallback) _____lambda28__gtk_dialog_response, block9_data_ref (_data9_), (GClosureNotify) block9_data_unref, 0);
#line 333 "../src/Views/WifiPage.vala"
			_g_object_unref0 (connected_listbox);
#line 333 "../src/Views/WifiPage.vala"
			_g_object_unref0 (top_item);
#line 333 "../src/Views/WifiPage.vala"
			block9_data_unref (_data9_);
#line 333 "../src/Views/WifiPage.vala"
			_data9_ = NULL;
#line 1614 "WifiPage.c"
		}
	}
#line 260 "../src/Views/WifiPage.vala"
	_g_object_unref0 (old_active);
#line 1619 "WifiPage.c"
}

static void
network_wifi_interface_real_update_status (NetworkWidgetsPage* base)
{
	NetworkWifiInterface * self;
	NMDevice* _tmp0_;
	NMDevice* _tmp1_;
	NMDeviceState _tmp2_;
	NMDeviceState _tmp3_;
	NMDevice* _tmp4_;
	NMDevice* _tmp5_;
	NMDeviceState _tmp6_;
	NMDeviceState _tmp7_;
#line 388 "../src/Views/WifiPage.vala"
	self = (NetworkWifiInterface*) base;
#line 389 "../src/Views/WifiPage.vala"
	_tmp0_ = network_widgets_page_get_device ((NetworkWidgetsPage*) self);
#line 389 "../src/Views/WifiPage.vala"
	_tmp1_ = _tmp0_;
#line 389 "../src/Views/WifiPage.vala"
	_tmp2_ = nm_device_get_state (_tmp1_);
#line 389 "../src/Views/WifiPage.vala"
	_tmp3_ = _tmp2_;
#line 389 "../src/Views/WifiPage.vala"
	switch (_tmp3_) {
#line 389 "../src/Views/WifiPage.vala"
		case NM_DEVICE_STATE_ACTIVATED:
#line 1648 "WifiPage.c"
		{
#line 391 "../src/Views/WifiPage.vala"
			switchboard_settings_page_set_status_type ((SwitchboardSettingsPage*) self, SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_SUCCESS);
#line 392 "../src/Views/WifiPage.vala"
			break;
#line 1654 "WifiPage.c"
		}
#line 389 "../src/Views/WifiPage.vala"
		case NM_DEVICE_STATE_DISCONNECTED:
#line 1658 "WifiPage.c"
		{
#line 394 "../src/Views/WifiPage.vala"
			switchboard_settings_page_set_status_type ((SwitchboardSettingsPage*) self, SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_OFFLINE);
#line 395 "../src/Views/WifiPage.vala"
			break;
#line 1664 "WifiPage.c"
		}
#line 389 "../src/Views/WifiPage.vala"
		case NM_DEVICE_STATE_FAILED:
#line 1668 "WifiPage.c"
		{
#line 397 "../src/Views/WifiPage.vala"
			switchboard_settings_page_set_status_type ((SwitchboardSettingsPage*) self, SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_ERROR);
#line 398 "../src/Views/WifiPage.vala"
			break;
#line 1674 "WifiPage.c"
		}
		default:
		{
#line 400 "../src/Views/WifiPage.vala"
			switchboard_settings_page_set_status_type ((SwitchboardSettingsPage*) self, SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_WARNING);
#line 401 "../src/Views/WifiPage.vala"
			break;
#line 1682 "WifiPage.c"
		}
	}
#line 404 "../src/Views/WifiPage.vala"
	_tmp4_ = network_widgets_page_get_device ((NetworkWidgetsPage*) self);
#line 404 "../src/Views/WifiPage.vala"
	_tmp5_ = _tmp4_;
#line 404 "../src/Views/WifiPage.vala"
	_tmp6_ = nm_device_get_state (_tmp5_);
#line 404 "../src/Views/WifiPage.vala"
	_tmp7_ = _tmp6_;
#line 404 "../src/Views/WifiPage.vala"
	switch (_tmp7_) {
#line 404 "../src/Views/WifiPage.vala"
		case NM_DEVICE_STATE_UNAVAILABLE:
#line 1697 "WifiPage.c"
		{
#line 406 "../src/Views/WifiPage.vala"
			switchboard_settings_page_set_status ((SwitchboardSettingsPage*) self, _ ("Disabled"));
#line 407 "../src/Views/WifiPage.vala"
			break;
#line 1703 "WifiPage.c"
		}
#line 404 "../src/Views/WifiPage.vala"
		case NM_DEVICE_STATE_ACTIVATED:
#line 1707 "WifiPage.c"
		{
			NMDevice* _tmp8_;
			NMDevice* _tmp9_;
			NMAccessPoint* _tmp10_;
			NMAccessPoint* _tmp11_;
			GBytes* _tmp12_;
			gsize _tmp13_ = 0;
			guint8* _tmp14_;
			gchar* _tmp15_;
			gchar* _tmp16_;
#line 409 "../src/Views/WifiPage.vala"
			_tmp8_ = network_widgets_page_get_device ((NetworkWidgetsPage*) self);
#line 409 "../src/Views/WifiPage.vala"
			_tmp9_ = _tmp8_;
#line 409 "../src/Views/WifiPage.vala"
			_tmp10_ = nm_device_wifi_get_active_access_point (G_TYPE_CHECK_INSTANCE_CAST (_tmp9_, nm_device_wifi_get_type (), NMDeviceWifi));
#line 409 "../src/Views/WifiPage.vala"
			_tmp11_ = _tmp10_;
#line 409 "../src/Views/WifiPage.vala"
			_tmp12_ = nm_access_point_get_ssid (_tmp11_);
#line 409 "../src/Views/WifiPage.vala"
			_tmp14_ = g_bytes_get_data (_tmp12_, &_tmp13_);
#line 409 "../src/Views/WifiPage.vala"
			_tmp15_ = nm_utils_ssid_to_utf8 (_tmp14_, (gsize) _tmp13_);
#line 409 "../src/Views/WifiPage.vala"
			_tmp16_ = _tmp15_;
#line 409 "../src/Views/WifiPage.vala"
			switchboard_settings_page_set_status ((SwitchboardSettingsPage*) self, _tmp16_);
#line 409 "../src/Views/WifiPage.vala"
			_g_free0 (_tmp16_);
#line 412 "../src/Views/WifiPage.vala"
			break;
#line 1740 "WifiPage.c"
		}
		default:
		{
			NMDevice* _tmp17_;
			NMDevice* _tmp18_;
			NMDeviceState _tmp19_;
			NMDeviceState _tmp20_;
			gchar* _tmp21_;
			gchar* _tmp22_;
#line 414 "../src/Views/WifiPage.vala"
			_tmp17_ = network_widgets_page_get_device ((NetworkWidgetsPage*) self);
#line 414 "../src/Views/WifiPage.vala"
			_tmp18_ = _tmp17_;
#line 414 "../src/Views/WifiPage.vala"
			_tmp19_ = nm_device_get_state (_tmp18_);
#line 414 "../src/Views/WifiPage.vala"
			_tmp20_ = _tmp19_;
#line 414 "../src/Views/WifiPage.vala"
			_tmp21_ = network_utils_state_to_string (_tmp20_);
#line 414 "../src/Views/WifiPage.vala"
			_tmp22_ = _tmp21_;
#line 414 "../src/Views/WifiPage.vala"
			switchboard_settings_page_set_status ((SwitchboardSettingsPage*) self, _tmp22_);
#line 414 "../src/Views/WifiPage.vala"
			_g_free0 (_tmp22_);
#line 415 "../src/Views/WifiPage.vala"
			break;
#line 1768 "WifiPage.c"
		}
	}
}

static void
network_wifi_interface_real_update_switch (NetworkWidgetsPage* base)
{
	NetworkWifiInterface * self;
	GtkSwitch* _tmp0_;
	GtkSwitch* _tmp1_;
#line 419 "../src/Views/WifiPage.vala"
	self = (NetworkWifiInterface*) base;
#line 420 "../src/Views/WifiPage.vala"
	_tmp0_ = switchboard_settings_page_get_status_switch ((SwitchboardSettingsPage*) self);
#line 420 "../src/Views/WifiPage.vala"
	_tmp1_ = _tmp0_;
#line 420 "../src/Views/WifiPage.vala"
	gtk_switch_set_active (_tmp1_, !self->priv->software_locked);
#line 1787 "WifiPage.c"
}

static void
network_wifi_interface_real_control_switch_activated (NetworkWidgetsPage* base)
{
	NetworkWifiInterface * self;
	gboolean active = FALSE;
	GtkSwitch* _tmp0_;
	GtkSwitch* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
#line 423 "../src/Views/WifiPage.vala"
	self = (NetworkWifiInterface*) base;
#line 424 "../src/Views/WifiPage.vala"
	_tmp0_ = switchboard_settings_page_get_status_switch ((SwitchboardSettingsPage*) self);
#line 424 "../src/Views/WifiPage.vala"
	_tmp1_ = _tmp0_;
#line 424 "../src/Views/WifiPage.vala"
	_tmp2_ = gtk_switch_get_active (_tmp1_);
#line 424 "../src/Views/WifiPage.vala"
	_tmp3_ = _tmp2_;
#line 424 "../src/Views/WifiPage.vala"
	active = _tmp3_;
#line 425 "../src/Views/WifiPage.vala"
	if (active == self->priv->software_locked) {
#line 1813 "WifiPage.c"
		RFKillManager* _tmp4_;
		NetworkNetworkManager* network_manager = NULL;
		NetworkNetworkManager* _tmp5_;
		NetworkNetworkManager* _tmp6_;
		NMClient* _tmp7_;
		NMClient* _tmp8_;
#line 426 "../src/Views/WifiPage.vala"
		_tmp4_ = self->priv->rfkill;
#line 426 "../src/Views/WifiPage.vala"
		rf_kill_manager_set_software_lock (_tmp4_, RF_KILL_DEVICE_TYPE_WLAN, !active);
#line 427 "../src/Views/WifiPage.vala"
		_tmp5_ = network_network_manager_get_default ();
#line 427 "../src/Views/WifiPage.vala"
		network_manager = _tmp5_;
#line 428 "../src/Views/WifiPage.vala"
		_tmp6_ = network_manager;
#line 428 "../src/Views/WifiPage.vala"
		_tmp7_ = network_network_manager_get_client (_tmp6_);
#line 428 "../src/Views/WifiPage.vala"
		_tmp8_ = _tmp7_;
#line 428 "../src/Views/WifiPage.vala"
		nm_client_wireless_set_enabled (_tmp8_, active);
#line 1836 "WifiPage.c"
	}
}

static Block10Data*
block10_data_ref (Block10Data* _data10_)
{
#line 432 "../src/Views/WifiPage.vala"
	g_atomic_int_inc (&_data10_->_ref_count_);
#line 432 "../src/Views/WifiPage.vala"
	return _data10_;
#line 1847 "WifiPage.c"
}

static void
block10_data_unref (void * _userdata_)
{
	Block10Data* _data10_;
	_data10_ = (Block10Data*) _userdata_;
#line 432 "../src/Views/WifiPage.vala"
	if (g_atomic_int_dec_and_test (&_data10_->_ref_count_)) {
#line 1857 "WifiPage.c"
		NetworkWifiInterface* self;
#line 432 "../src/Views/WifiPage.vala"
		self = _data10_->self;
#line 432 "../src/Views/WifiPage.vala"
		_g_object_unref0 (self);
#line 432 "../src/Views/WifiPage.vala"
		g_slice_free (Block10Data, _data10_);
#line 1865 "WifiPage.c"
	}
}

static gpointer
_g_ptr_array_ref0 (gpointer self)
{
#line 451 "../src/Views/WifiPage.vala"
	return self ? g_ptr_array_ref (self) : NULL;
#line 1874 "WifiPage.c"
}

static Block11Data*
block11_data_ref (Block11Data* _data11_)
{
#line 463 "../src/Views/WifiPage.vala"
	g_atomic_int_inc (&_data11_->_ref_count_);
#line 463 "../src/Views/WifiPage.vala"
	return _data11_;
#line 1884 "WifiPage.c"
}

static void
block11_data_unref (void * _userdata_)
{
	Block11Data* _data11_;
	_data11_ = (Block11Data*) _userdata_;
#line 463 "../src/Views/WifiPage.vala"
	if (g_atomic_int_dec_and_test (&_data11_->_ref_count_)) {
#line 1894 "WifiPage.c"
		NetworkWifiInterface* self;
#line 463 "../src/Views/WifiPage.vala"
		self = _data11_->_data10_->self;
#line 463 "../src/Views/WifiPage.vala"
		_g_object_unref0 (_data11_->wifi_dialog);
#line 463 "../src/Views/WifiPage.vala"
		block10_data_unref (_data11_->_data10_);
#line 463 "../src/Views/WifiPage.vala"
		_data11_->_data10_ = NULL;
#line 463 "../src/Views/WifiPage.vala"
		g_slice_free (Block11Data, _data11_);
#line 1906 "WifiPage.c"
	}
}

static void
___lambda23_ (Block11Data* _data11_,
              gint response)
{
	Block10Data* _data10_;
	NetworkWifiInterface* self;
	NMAWifiDialog* _tmp1_;
#line 507 "../src/Views/WifiPage.vala"
	_data10_ = _data11_->_data10_;
#line 507 "../src/Views/WifiPage.vala"
	self = _data10_->self;
#line 508 "../src/Views/WifiPage.vala"
	if (response == ((gint) GTK_RESPONSE_OK)) {
#line 1923 "WifiPage.c"
		NMAWifiDialog* _tmp0_;
#line 509 "../src/Views/WifiPage.vala"
		_tmp0_ = _data11_->wifi_dialog;
#line 509 "../src/Views/WifiPage.vala"
		network_wifi_interface_connect_to_network (self, _tmp0_, NULL, NULL);
#line 1929 "WifiPage.c"
	}
#line 511 "../src/Views/WifiPage.vala"
	_tmp1_ = _data11_->wifi_dialog;
#line 511 "../src/Views/WifiPage.vala"
	gtk_window_destroy ((GtkWindow*) _tmp1_);
#line 1935 "WifiPage.c"
}

static void
____lambda23__gtk_dialog_response (GtkDialog* _sender,
                                   gint response_id,
                                   gpointer self)
{
#line 507 "../src/Views/WifiPage.vala"
	___lambda23_ (self, response_id);
#line 1945 "WifiPage.c"
}

static gpointer
_g_bytes_ref0 (gpointer self)
{
#line 524 "../src/Views/WifiPage.vala"
	return self ? g_bytes_ref (self) : NULL;
#line 1953 "WifiPage.c"
}

static void
___lambda25_ (Block10Data* _data10_,
              GObject* obj,
              GAsyncResult* res)
{
	NetworkWifiInterface* self;
	GError* _inner_error0_ = NULL;
#line 535 "../src/Views/WifiPage.vala"
	self = _data10_->self;
#line 535 "../src/Views/WifiPage.vala"
	g_return_if_fail (res != NULL);
#line 1967 "WifiPage.c"
	{
		NMClient* _tmp0_;
		NMActiveConnection* _tmp1_;
		NMActiveConnection* _tmp2_;
#line 537 "../src/Views/WifiPage.vala"
		_tmp0_ = _data10_->client;
#line 537 "../src/Views/WifiPage.vala"
		_tmp1_ = nm_client_add_and_activate_connection_finish (_tmp0_, res, &_inner_error0_);
#line 537 "../src/Views/WifiPage.vala"
		_tmp2_ = _tmp1_;
#line 537 "../src/Views/WifiPage.vala"
		_g_object_unref0 (_tmp2_);
#line 537 "../src/Views/WifiPage.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1982 "WifiPage.c"
			goto __catch0_g_error;
		}
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* _error_ = NULL;
		GError* _tmp3_;
		const gchar* _tmp4_;
#line 536 "../src/Views/WifiPage.vala"
		_error_ = _inner_error0_;
#line 536 "../src/Views/WifiPage.vala"
		_inner_error0_ = NULL;
#line 539 "../src/Views/WifiPage.vala"
		_tmp3_ = _error_;
#line 539 "../src/Views/WifiPage.vala"
		_tmp4_ = _tmp3_->message;
#line 539 "../src/Views/WifiPage.vala"
		g_warning ("WifiPage.vala:539: %s", _tmp4_);
#line 536 "../src/Views/WifiPage.vala"
		_g_error_free0 (_error_);
#line 2004 "WifiPage.c"
	}
	__finally0:
#line 536 "../src/Views/WifiPage.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 536 "../src/Views/WifiPage.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 536 "../src/Views/WifiPage.vala"
		g_clear_error (&_inner_error0_);
#line 536 "../src/Views/WifiPage.vala"
		return;
#line 2015 "WifiPage.c"
	}
}

static void
____lambda25__gasync_ready_callback (GObject* source_object,
                                     GAsyncResult* res,
                                     gpointer self)
{
#line 530 "../src/Views/WifiPage.vala"
	___lambda25_ (self, source_object, res);
#line 530 "../src/Views/WifiPage.vala"
	block10_data_unref (self);
#line 2028 "WifiPage.c"
}

static gboolean
__lambda26_ (NetworkWifiInterface* self)
{
	gboolean result;
#line 548 "../src/Views/WifiPage.vala"
	network_widgets_page_update ((NetworkWidgetsPage*) self);
#line 548 "../src/Views/WifiPage.vala"
	result = FALSE;
#line 548 "../src/Views/WifiPage.vala"
	return result;
#line 2041 "WifiPage.c"
}

static gboolean
___lambda26__gsource_func (gpointer self)
{
	gboolean result;
	result = __lambda26_ ((NetworkWifiInterface*) self);
#line 548 "../src/Views/WifiPage.vala"
	return result;
#line 2051 "WifiPage.c"
}

static void
network_wifi_interface_wifi_activate_cb (NetworkWifiInterface* self,
                                         NetworkWifiMenuItem* row)
{
	Block10Data* _data10_;
	NMDevice* _tmp0_;
	NMDevice* _tmp1_;
	NMDeviceWifi* _tmp2_;
	NMAccessPoint* _tmp3_;
	NMAccessPoint* _tmp4_;
	NMAccessPoint* _tmp5_;
	NetworkNetworkManager* network_manager = NULL;
	NetworkNetworkManager* _tmp10_;
	NetworkNetworkManager* _tmp11_;
	NMClient* _tmp12_;
	NMClient* _tmp13_;
	GPtrArray* connections = NULL;
	NMClient* _tmp14_;
	GPtrArray* _tmp15_;
	GPtrArray* _tmp16_;
	GPtrArray* device_connections = NULL;
	NMDeviceWifi* _tmp17_;
	GPtrArray* _tmp18_;
	GPtrArray* _tmp19_;
	GPtrArray* ap_connections = NULL;
	NMAccessPoint* _tmp20_;
	NMAccessPoint* _tmp21_;
	GPtrArray* _tmp22_;
	GPtrArray* _tmp23_;
	NMConnection* valid_connection = NULL;
	NMAccessPoint* _tmp24_;
	NMAccessPoint* _tmp25_;
	GPtrArray* _tmp26_;
	NMConnection* _tmp27_;
	NMConnection* _tmp28_;
	NMConnection* connection = NULL;
	NMConnection* _tmp35_;
	gboolean _tmp36_;
	gboolean _tmp37_;
	GError* _inner_error0_ = NULL;
#line 432 "../src/Views/WifiPage.vala"
	g_return_if_fail (self != NULL);
#line 432 "../src/Views/WifiPage.vala"
	g_return_if_fail (row != NULL);
#line 432 "../src/Views/WifiPage.vala"
	_data10_ = g_slice_new0 (Block10Data);
#line 432 "../src/Views/WifiPage.vala"
	_data10_->_ref_count_ = 1;
#line 432 "../src/Views/WifiPage.vala"
	_data10_->self = g_object_ref (self);
#line 433 "../src/Views/WifiPage.vala"
	_tmp0_ = network_widgets_page_get_device ((NetworkWidgetsPage*) self);
#line 433 "../src/Views/WifiPage.vala"
	_tmp1_ = _tmp0_;
#line 433 "../src/Views/WifiPage.vala"
	if (_tmp1_ == NULL) {
#line 434 "../src/Views/WifiPage.vala"
		block10_data_unref (_data10_);
#line 434 "../src/Views/WifiPage.vala"
		_data10_ = NULL;
#line 434 "../src/Views/WifiPage.vala"
		return;
#line 2116 "WifiPage.c"
	}
#line 438 "../src/Views/WifiPage.vala"
	_tmp2_ = self->wifi_device;
#line 438 "../src/Views/WifiPage.vala"
	_tmp3_ = nm_device_wifi_get_active_access_point (_tmp2_);
#line 438 "../src/Views/WifiPage.vala"
	_tmp4_ = network_wifi_menu_item_get_ap (row);
#line 438 "../src/Views/WifiPage.vala"
	_tmp5_ = _tmp4_;
#line 438 "../src/Views/WifiPage.vala"
	if (_tmp3_ == _tmp5_) {
#line 2128 "WifiPage.c"
		{
			NMDevice* _tmp6_;
			NMDevice* _tmp7_;
#line 440 "../src/Views/WifiPage.vala"
			_tmp6_ = network_widgets_page_get_device ((NetworkWidgetsPage*) self);
#line 440 "../src/Views/WifiPage.vala"
			_tmp7_ = _tmp6_;
#line 440 "../src/Views/WifiPage.vala"
			nm_device_disconnect (_tmp7_, NULL, &_inner_error0_);
#line 440 "../src/Views/WifiPage.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 2140 "WifiPage.c"
				goto __catch0_g_error;
			}
		}
		goto __finally0;
		__catch0_g_error:
		{
			GError* e = NULL;
			GError* _tmp8_;
			const gchar* _tmp9_;
#line 439 "../src/Views/WifiPage.vala"
			e = _inner_error0_;
#line 439 "../src/Views/WifiPage.vala"
			_inner_error0_ = NULL;
#line 442 "../src/Views/WifiPage.vala"
			_tmp8_ = e;
#line 442 "../src/Views/WifiPage.vala"
			_tmp9_ = _tmp8_->message;
#line 442 "../src/Views/WifiPage.vala"
			g_warning ("WifiPage.vala:442: %s", _tmp9_);
#line 439 "../src/Views/WifiPage.vala"
			_g_error_free0 (e);
#line 2162 "WifiPage.c"
		}
		__finally0:
#line 439 "../src/Views/WifiPage.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 439 "../src/Views/WifiPage.vala"
			block10_data_unref (_data10_);
#line 439 "../src/Views/WifiPage.vala"
			_data10_ = NULL;
#line 439 "../src/Views/WifiPage.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 439 "../src/Views/WifiPage.vala"
			g_clear_error (&_inner_error0_);
#line 439 "../src/Views/WifiPage.vala"
			return;
#line 2177 "WifiPage.c"
		}
#line 444 "../src/Views/WifiPage.vala"
		block10_data_unref (_data10_);
#line 444 "../src/Views/WifiPage.vala"
		_data10_ = NULL;
#line 444 "../src/Views/WifiPage.vala"
		return;
#line 2185 "WifiPage.c"
	}
#line 447 "../src/Views/WifiPage.vala"
	_tmp10_ = network_network_manager_get_default ();
#line 447 "../src/Views/WifiPage.vala"
	network_manager = _tmp10_;
#line 448 "../src/Views/WifiPage.vala"
	_tmp11_ = network_manager;
#line 448 "../src/Views/WifiPage.vala"
	_tmp12_ = network_network_manager_get_client (_tmp11_);
#line 448 "../src/Views/WifiPage.vala"
	_tmp13_ = _tmp12_;
#line 448 "../src/Views/WifiPage.vala"
	_data10_->client = _tmp13_;
#line 451 "../src/Views/WifiPage.vala"
	_tmp14_ = _data10_->client;
#line 451 "../src/Views/WifiPage.vala"
	_tmp15_ = nm_client_get_connections (_tmp14_);
#line 451 "../src/Views/WifiPage.vala"
	_tmp16_ = _g_ptr_array_ref0 (_tmp15_);
#line 451 "../src/Views/WifiPage.vala"
	connections = _tmp16_;
#line 452 "../src/Views/WifiPage.vala"
	_tmp17_ = self->wifi_device;
#line 452 "../src/Views/WifiPage.vala"
	_tmp18_ = connections;
#line 452 "../src/Views/WifiPage.vala"
	_tmp19_ = nm_device_filter_connections ((NMDevice*) _tmp17_, _tmp18_);
#line 452 "../src/Views/WifiPage.vala"
	device_connections = _tmp19_;
#line 453 "../src/Views/WifiPage.vala"
	_tmp20_ = network_wifi_menu_item_get_ap (row);
#line 453 "../src/Views/WifiPage.vala"
	_tmp21_ = _tmp20_;
#line 453 "../src/Views/WifiPage.vala"
	_tmp22_ = device_connections;
#line 453 "../src/Views/WifiPage.vala"
	_tmp23_ = nm_access_point_filter_connections (_tmp21_, _tmp22_);
#line 453 "../src/Views/WifiPage.vala"
	ap_connections = _tmp23_;
#line 455 "../src/Views/WifiPage.vala"
	_tmp24_ = network_wifi_menu_item_get_ap (row);
#line 455 "../src/Views/WifiPage.vala"
	_tmp25_ = _tmp24_;
#line 455 "../src/Views/WifiPage.vala"
	_tmp26_ = ap_connections;
#line 455 "../src/Views/WifiPage.vala"
	_tmp27_ = network_wifi_interface_get_valid_connection (self, _tmp25_, _tmp26_);
#line 455 "../src/Views/WifiPage.vala"
	valid_connection = _tmp27_;
#line 456 "../src/Views/WifiPage.vala"
	_tmp28_ = valid_connection;
#line 456 "../src/Views/WifiPage.vala"
	if (_tmp28_ != NULL) {
#line 2239 "WifiPage.c"
		NMClient* _tmp29_;
		NMConnection* _tmp30_;
		NMDeviceWifi* _tmp31_;
		NMAccessPoint* _tmp32_;
		NMAccessPoint* _tmp33_;
		const gchar* _tmp34_;
#line 457 "../src/Views/WifiPage.vala"
		_tmp29_ = _data10_->client;
#line 457 "../src/Views/WifiPage.vala"
		_tmp30_ = valid_connection;
#line 457 "../src/Views/WifiPage.vala"
		_tmp31_ = self->wifi_device;
#line 457 "../src/Views/WifiPage.vala"
		_tmp32_ = network_wifi_menu_item_get_ap (row);
#line 457 "../src/Views/WifiPage.vala"
		_tmp33_ = _tmp32_;
#line 457 "../src/Views/WifiPage.vala"
		_tmp34_ = nm_object_get_path ((NMObject*) _tmp33_);
#line 457 "../src/Views/WifiPage.vala"
		nm_client_activate_connection_async (_tmp29_, _tmp30_, (NMDevice*) _tmp31_, _tmp34_, NULL, NULL, NULL);
#line 458 "../src/Views/WifiPage.vala"
		_g_object_unref0 (valid_connection);
#line 458 "../src/Views/WifiPage.vala"
		_g_ptr_array_unref0 (ap_connections);
#line 458 "../src/Views/WifiPage.vala"
		_g_ptr_array_unref0 (device_connections);
#line 458 "../src/Views/WifiPage.vala"
		_g_ptr_array_unref0 (connections);
#line 458 "../src/Views/WifiPage.vala"
		block10_data_unref (_data10_);
#line 458 "../src/Views/WifiPage.vala"
		_data10_ = NULL;
#line 458 "../src/Views/WifiPage.vala"
		return;
#line 2274 "WifiPage.c"
	}
#line 461 "../src/Views/WifiPage.vala"
	_tmp35_ = nm_simple_connection_new ();
#line 461 "../src/Views/WifiPage.vala"
	connection = _tmp35_;
#line 463 "../src/Views/WifiPage.vala"
	_tmp36_ = network_wifi_menu_item_get_is_secured (row);
#line 463 "../src/Views/WifiPage.vala"
	_tmp37_ = _tmp36_;
#line 463 "../src/Views/WifiPage.vala"
	if (_tmp37_) {
#line 2286 "WifiPage.c"
		Block11Data* _data11_;
		NMSettingConnection* s_con = NULL;
		gchar* _tmp38_;
		NMSettingConnection* _tmp39_ = NULL;
		NMConnection* _tmp40_;
		NMSettingConnection* _tmp41_;
		NMSetting* _tmp42_;
		gboolean _tmp43_ = FALSE;
		NMAccessPoint* _tmp44_;
		NMAccessPoint* _tmp45_;
		NMSettingWireless* s_wifi = NULL;
		NMSettingWireless* _tmp53_;
		NMSettingWireless* _tmp54_;
		NMAccessPoint* _tmp55_;
		NMAccessPoint* _tmp56_;
		GBytes* _tmp57_;
		NMConnection* _tmp58_;
		NMSettingWireless* _tmp59_;
		NMSetting* _tmp60_;
		gboolean _tmp61_ = FALSE;
		NMAccessPoint* _tmp62_;
		NMAccessPoint* _tmp63_;
		NMClient* _tmp77_;
		NMConnection* _tmp78_;
		NMDeviceWifi* _tmp79_;
		NMAccessPoint* _tmp80_;
		NMAccessPoint* _tmp81_;
		GtkRoot* _tmp82_;
		GtkWindow* _tmp83_;
		NMAWifiDialog* _tmp84_ = NULL;
		NMAWifiDialog* _tmp85_;
		NMAWifiDialog* _tmp86_;
#line 463 "../src/Views/WifiPage.vala"
		_data11_ = g_slice_new0 (Block11Data);
#line 463 "../src/Views/WifiPage.vala"
		_data11_->_ref_count_ = 1;
#line 463 "../src/Views/WifiPage.vala"
		_data11_->_data10_ = block10_data_ref (_data10_);
#line 464 "../src/Views/WifiPage.vala"
		_tmp38_ = nm_utils_uuid_generate ();
#line 464 "../src/Views/WifiPage.vala"
		_tmp39_ = (NMSettingConnection*) nm_setting_connection_new ();
#line 464 "../src/Views/WifiPage.vala"
		g_object_set (_tmp39_, "uuid", _tmp38_, NULL);
#line 464 "../src/Views/WifiPage.vala"
		_g_free0 (_tmp38_);
#line 464 "../src/Views/WifiPage.vala"
		s_con = _tmp39_;
#line 467 "../src/Views/WifiPage.vala"
		_tmp40_ = connection;
#line 467 "../src/Views/WifiPage.vala"
		_tmp41_ = s_con;
#line 467 "../src/Views/WifiPage.vala"
		_tmp42_ = _g_object_ref0 ((NMSetting*) _tmp41_);
#line 467 "../src/Views/WifiPage.vala"
		nm_connection_add_setting (_tmp40_, _tmp42_);
#line 469 "../src/Views/WifiPage.vala"
		_tmp44_ = network_wifi_menu_item_get_ap (row);
#line 469 "../src/Views/WifiPage.vala"
		_tmp45_ = _tmp44_;
#line 469 "../src/Views/WifiPage.vala"
		if ((nm_access_point_get_rsn_flags (_tmp45_) & NM_802_11_AP_SEC_KEY_MGMT_SAE) == NM_802_11_AP_SEC_KEY_MGMT_SAE) {
#line 469 "../src/Views/WifiPage.vala"
			_tmp43_ = TRUE;
#line 2351 "WifiPage.c"
		} else {
			NMAccessPoint* _tmp46_;
			NMAccessPoint* _tmp47_;
#line 470 "../src/Views/WifiPage.vala"
			_tmp46_ = network_wifi_menu_item_get_ap (row);
#line 470 "../src/Views/WifiPage.vala"
			_tmp47_ = _tmp46_;
#line 470 "../src/Views/WifiPage.vala"
			_tmp43_ = (nm_access_point_get_wpa_flags (_tmp47_) & NM_802_11_AP_SEC_KEY_MGMT_SAE) == NM_802_11_AP_SEC_KEY_MGMT_SAE;
#line 2361 "WifiPage.c"
		}
#line 469 "../src/Views/WifiPage.vala"
		if (_tmp43_) {
#line 2365 "WifiPage.c"
			NMSettingWirelessSecurity* s_wsec = NULL;
			NMSettingWirelessSecurity* _tmp48_;
			NMSettingWirelessSecurity* _tmp49_;
			NMConnection* _tmp50_;
			NMSettingWirelessSecurity* _tmp51_;
			NMSetting* _tmp52_;
#line 471 "../src/Views/WifiPage.vala"
			_tmp48_ = (NMSettingWirelessSecurity*) nm_setting_wireless_security_new ();
#line 471 "../src/Views/WifiPage.vala"
			s_wsec = _tmp48_;
#line 472 "../src/Views/WifiPage.vala"
			_tmp49_ = s_wsec;
#line 472 "../src/Views/WifiPage.vala"
			g_object_set (_tmp49_, "key-mgmt", "sae", NULL);
#line 473 "../src/Views/WifiPage.vala"
			_tmp50_ = connection;
#line 473 "../src/Views/WifiPage.vala"
			_tmp51_ = s_wsec;
#line 473 "../src/Views/WifiPage.vala"
			_tmp52_ = _g_object_ref0 ((NMSetting*) _tmp51_);
#line 473 "../src/Views/WifiPage.vala"
			nm_connection_add_setting (_tmp50_, _tmp52_);
#line 469 "../src/Views/WifiPage.vala"
			_g_object_unref0 (s_wsec);
#line 2390 "WifiPage.c"
		}
#line 476 "../src/Views/WifiPage.vala"
		_tmp53_ = (NMSettingWireless*) nm_setting_wireless_new ();
#line 476 "../src/Views/WifiPage.vala"
		s_wifi = _tmp53_;
#line 477 "../src/Views/WifiPage.vala"
		_tmp54_ = s_wifi;
#line 477 "../src/Views/WifiPage.vala"
		_tmp55_ = network_wifi_menu_item_get_ap (row);
#line 477 "../src/Views/WifiPage.vala"
		_tmp56_ = _tmp55_;
#line 477 "../src/Views/WifiPage.vala"
		_tmp57_ = nm_access_point_get_ssid (_tmp56_);
#line 477 "../src/Views/WifiPage.vala"
		g_object_set (_tmp54_, "ssid", _tmp57_, NULL);
#line 478 "../src/Views/WifiPage.vala"
		_tmp58_ = connection;
#line 478 "../src/Views/WifiPage.vala"
		_tmp59_ = s_wifi;
#line 478 "../src/Views/WifiPage.vala"
		_tmp60_ = _g_object_ref0 ((NMSetting*) _tmp59_);
#line 478 "../src/Views/WifiPage.vala"
		nm_connection_add_setting (_tmp58_, _tmp60_);
#line 483 "../src/Views/WifiPage.vala"
		_tmp62_ = network_wifi_menu_item_get_ap (row);
#line 483 "../src/Views/WifiPage.vala"
		_tmp63_ = _tmp62_;
#line 483 "../src/Views/WifiPage.vala"
		if ((nm_access_point_get_rsn_flags (_tmp63_) & NM_802_11_AP_SEC_KEY_MGMT_802_1X) == NM_802_11_AP_SEC_KEY_MGMT_802_1X) {
#line 483 "../src/Views/WifiPage.vala"
			_tmp61_ = TRUE;
#line 2422 "WifiPage.c"
		} else {
			NMAccessPoint* _tmp64_;
			NMAccessPoint* _tmp65_;
#line 484 "../src/Views/WifiPage.vala"
			_tmp64_ = network_wifi_menu_item_get_ap (row);
#line 484 "../src/Views/WifiPage.vala"
			_tmp65_ = _tmp64_;
#line 484 "../src/Views/WifiPage.vala"
			_tmp61_ = (nm_access_point_get_wpa_flags (_tmp65_) & NM_802_11_AP_SEC_KEY_MGMT_802_1X) == NM_802_11_AP_SEC_KEY_MGMT_802_1X;
#line 2432 "WifiPage.c"
		}
#line 483 "../src/Views/WifiPage.vala"
		if (_tmp61_) {
#line 2436 "WifiPage.c"
			NMSettingWirelessSecurity* s_wsec = NULL;
			gchar* _tmp66_;
			NMSettingWirelessSecurity* _tmp67_ = NULL;
			NMConnection* _tmp68_;
			NMSettingWirelessSecurity* _tmp69_;
			NMSetting* _tmp70_;
			NMSetting8021x* s_8021x = NULL;
			NMSetting8021x* _tmp71_;
			NMSetting8021x* _tmp72_;
			NMSetting8021x* _tmp73_;
			NMConnection* _tmp74_;
			NMSetting8021x* _tmp75_;
			NMSetting* _tmp76_;
#line 486 "../src/Views/WifiPage.vala"
			_tmp66_ = g_strdup ("wpa-eap");
#line 486 "../src/Views/WifiPage.vala"
			_tmp67_ = (NMSettingWirelessSecurity*) nm_setting_wireless_security_new ();
#line 486 "../src/Views/WifiPage.vala"
			g_object_set (_tmp67_, "key-mgmt", _tmp66_, NULL);
#line 486 "../src/Views/WifiPage.vala"
			_g_free0 (_tmp66_);
#line 486 "../src/Views/WifiPage.vala"
			s_wsec = _tmp67_;
#line 489 "../src/Views/WifiPage.vala"
			_tmp68_ = connection;
#line 489 "../src/Views/WifiPage.vala"
			_tmp69_ = s_wsec;
#line 489 "../src/Views/WifiPage.vala"
			_tmp70_ = _g_object_ref0 ((NMSetting*) _tmp69_);
#line 489 "../src/Views/WifiPage.vala"
			nm_connection_add_setting (_tmp68_, _tmp70_);
#line 491 "../src/Views/WifiPage.vala"
			_tmp71_ = (NMSetting8021x*) nm_setting_802_1x_new ();
#line 491 "../src/Views/WifiPage.vala"
			s_8021x = _tmp71_;
#line 492 "../src/Views/WifiPage.vala"
			_tmp72_ = s_8021x;
#line 492 "../src/Views/WifiPage.vala"
			nm_setting_802_1x_add_eap_method (_tmp72_, "ttls");
#line 493 "../src/Views/WifiPage.vala"
			_tmp73_ = s_8021x;
#line 493 "../src/Views/WifiPage.vala"
			g_object_set (_tmp73_, "phase2-auth", "mschapv2", NULL);
#line 494 "../src/Views/WifiPage.vala"
			_tmp74_ = connection;
#line 494 "../src/Views/WifiPage.vala"
			_tmp75_ = s_8021x;
#line 494 "../src/Views/WifiPage.vala"
			_tmp76_ = _g_object_ref0 ((NMSetting*) _tmp75_);
#line 494 "../src/Views/WifiPage.vala"
			nm_connection_add_setting (_tmp74_, _tmp76_);
#line 483 "../src/Views/WifiPage.vala"
			_g_object_unref0 (s_8021x);
#line 483 "../src/Views/WifiPage.vala"
			_g_object_unref0 (s_wsec);
#line 2492 "WifiPage.c"
		}
#line 500 "../src/Views/WifiPage.vala"
		_tmp77_ = _data10_->client;
#line 500 "../src/Views/WifiPage.vala"
		_tmp78_ = connection;
#line 500 "../src/Views/WifiPage.vala"
		_tmp79_ = self->wifi_device;
#line 500 "../src/Views/WifiPage.vala"
		_tmp80_ = network_wifi_menu_item_get_ap (row);
#line 500 "../src/Views/WifiPage.vala"
		_tmp81_ = _tmp80_;
#line 500 "../src/Views/WifiPage.vala"
		_tmp82_ = gtk_widget_get_root ((GtkWidget*) self);
#line 500 "../src/Views/WifiPage.vala"
		_tmp83_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp82_, gtk_window_get_type (), GtkWindow));
#line 500 "../src/Views/WifiPage.vala"
		_tmp84_ = (NMAWifiDialog*) nma_wifi_dialog_new (_tmp77_, _tmp78_, (NMDevice*) _tmp79_, _tmp81_, FALSE);
#line 500 "../src/Views/WifiPage.vala"
		gtk_window_set_deletable ((GtkWindow*) _tmp84_, FALSE);
#line 500 "../src/Views/WifiPage.vala"
		gtk_window_set_modal ((GtkWindow*) _tmp84_, TRUE);
#line 500 "../src/Views/WifiPage.vala"
		gtk_window_set_transient_for ((GtkWindow*) _tmp84_, _tmp83_);
#line 500 "../src/Views/WifiPage.vala"
		_g_object_unref0 (_tmp83_);
#line 500 "../src/Views/WifiPage.vala"
		g_object_ref_sink (_tmp84_);
#line 500 "../src/Views/WifiPage.vala"
		_data11_->wifi_dialog = _tmp84_;
#line 505 "../src/Views/WifiPage.vala"
		_tmp85_ = _data11_->wifi_dialog;
#line 505 "../src/Views/WifiPage.vala"
		gtk_window_present ((GtkWindow*) _tmp85_);
#line 507 "../src/Views/WifiPage.vala"
		_tmp86_ = _data11_->wifi_dialog;
#line 507 "../src/Views/WifiPage.vala"
		g_signal_connect_data ((GtkDialog*) _tmp86_, "response", (GCallback) ____lambda23__gtk_dialog_response, block11_data_ref (_data11_), (GClosureNotify) block11_data_unref, 0);
#line 463 "../src/Views/WifiPage.vala"
		_g_object_unref0 (s_wifi);
#line 463 "../src/Views/WifiPage.vala"
		_g_object_unref0 (s_con);
#line 463 "../src/Views/WifiPage.vala"
		block11_data_unref (_data11_);
#line 463 "../src/Views/WifiPage.vala"
		_data11_ = NULL;
#line 2538 "WifiPage.c"
	} else {
		gboolean _tmp87_ = FALSE;
		NMAccessPoint* _tmp88_;
		NMAccessPoint* _tmp89_;
		NMClient* _tmp110_;
		NMConnection* _tmp111_;
		NMDeviceWifi* _tmp112_;
		NMAccessPoint* _tmp113_;
		NMAccessPoint* _tmp114_;
		const gchar* _tmp115_;
#line 514 "../src/Views/WifiPage.vala"
		_tmp88_ = network_wifi_menu_item_get_ap (row);
#line 514 "../src/Views/WifiPage.vala"
		_tmp89_ = _tmp88_;
#line 514 "../src/Views/WifiPage.vala"
		if ((nm_access_point_get_rsn_flags (_tmp89_) & NM_802_11_AP_SEC_KEY_MGMT_OWE) == NM_802_11_AP_SEC_KEY_MGMT_OWE) {
#line 514 "../src/Views/WifiPage.vala"
			_tmp87_ = TRUE;
#line 2557 "WifiPage.c"
		} else {
			NMAccessPoint* _tmp90_;
			NMAccessPoint* _tmp91_;
#line 515 "../src/Views/WifiPage.vala"
			_tmp90_ = network_wifi_menu_item_get_ap (row);
#line 515 "../src/Views/WifiPage.vala"
			_tmp91_ = _tmp90_;
#line 515 "../src/Views/WifiPage.vala"
			_tmp87_ = (nm_access_point_get_wpa_flags (_tmp91_) & NM_802_11_AP_SEC_KEY_MGMT_OWE) == NM_802_11_AP_SEC_KEY_MGMT_OWE;
#line 2567 "WifiPage.c"
		}
#line 514 "../src/Views/WifiPage.vala"
		if (_tmp87_) {
#line 2571 "WifiPage.c"
			NMSettingConnection* s_con = NULL;
			gchar* _tmp92_;
			NMSettingConnection* _tmp93_ = NULL;
			NMConnection* _tmp94_;
			NMSettingConnection* _tmp95_;
			NMSetting* _tmp96_;
			NMSettingWirelessSecurity* s_wsec = NULL;
			gchar* _tmp97_;
			NMSettingWirelessSecurity* _tmp98_ = NULL;
			NMConnection* _tmp99_;
			NMSettingWirelessSecurity* _tmp100_;
			NMSetting* _tmp101_;
			NMSettingWireless* s_wifi = NULL;
			NMAccessPoint* _tmp102_;
			NMAccessPoint* _tmp103_;
			GBytes* _tmp104_;
			GBytes* _tmp105_;
			NMSettingWireless* _tmp106_ = NULL;
			NMConnection* _tmp107_;
			NMSettingWireless* _tmp108_;
			NMSetting* _tmp109_;
#line 516 "../src/Views/WifiPage.vala"
			_tmp92_ = nm_utils_uuid_generate ();
#line 516 "../src/Views/WifiPage.vala"
			_tmp93_ = (NMSettingConnection*) nm_setting_connection_new ();
#line 516 "../src/Views/WifiPage.vala"
			g_object_set (_tmp93_, "uuid", _tmp92_, NULL);
#line 516 "../src/Views/WifiPage.vala"
			_g_free0 (_tmp92_);
#line 516 "../src/Views/WifiPage.vala"
			s_con = _tmp93_;
#line 519 "../src/Views/WifiPage.vala"
			_tmp94_ = connection;
#line 519 "../src/Views/WifiPage.vala"
			_tmp95_ = s_con;
#line 519 "../src/Views/WifiPage.vala"
			_tmp96_ = _g_object_ref0 ((NMSetting*) _tmp95_);
#line 519 "../src/Views/WifiPage.vala"
			nm_connection_add_setting (_tmp94_, _tmp96_);
#line 520 "../src/Views/WifiPage.vala"
			_tmp97_ = g_strdup ("owe");
#line 520 "../src/Views/WifiPage.vala"
			_tmp98_ = (NMSettingWirelessSecurity*) nm_setting_wireless_security_new ();
#line 520 "../src/Views/WifiPage.vala"
			g_object_set (_tmp98_, "key-mgmt", _tmp97_, NULL);
#line 520 "../src/Views/WifiPage.vala"
			_g_free0 (_tmp97_);
#line 520 "../src/Views/WifiPage.vala"
			s_wsec = _tmp98_;
#line 523 "../src/Views/WifiPage.vala"
			_tmp99_ = connection;
#line 523 "../src/Views/WifiPage.vala"
			_tmp100_ = s_wsec;
#line 523 "../src/Views/WifiPage.vala"
			_tmp101_ = _g_object_ref0 ((NMSetting*) _tmp100_);
#line 523 "../src/Views/WifiPage.vala"
			nm_connection_add_setting (_tmp99_, _tmp101_);
#line 524 "../src/Views/WifiPage.vala"
			_tmp102_ = network_wifi_menu_item_get_ap (row);
#line 524 "../src/Views/WifiPage.vala"
			_tmp103_ = _tmp102_;
#line 524 "../src/Views/WifiPage.vala"
			_tmp104_ = nm_access_point_get_ssid (_tmp103_);
#line 524 "../src/Views/WifiPage.vala"
			_tmp105_ = _g_bytes_ref0 (_tmp104_);
#line 524 "../src/Views/WifiPage.vala"
			_tmp106_ = (NMSettingWireless*) nm_setting_wireless_new ();
#line 524 "../src/Views/WifiPage.vala"
			g_object_set (_tmp106_, "ssid", _tmp105_, NULL);
#line 524 "../src/Views/WifiPage.vala"
			_g_bytes_unref0 (_tmp105_);
#line 524 "../src/Views/WifiPage.vala"
			s_wifi = _tmp106_;
#line 527 "../src/Views/WifiPage.vala"
			_tmp107_ = connection;
#line 527 "../src/Views/WifiPage.vala"
			_tmp108_ = s_wifi;
#line 527 "../src/Views/WifiPage.vala"
			_tmp109_ = _g_object_ref0 ((NMSetting*) _tmp108_);
#line 527 "../src/Views/WifiPage.vala"
			nm_connection_add_setting (_tmp107_, _tmp109_);
#line 514 "../src/Views/WifiPage.vala"
			_g_object_unref0 (s_wifi);
#line 514 "../src/Views/WifiPage.vala"
			_g_object_unref0 (s_wsec);
#line 514 "../src/Views/WifiPage.vala"
			_g_object_unref0 (s_con);
#line 2659 "WifiPage.c"
		}
#line 530 "../src/Views/WifiPage.vala"
		_tmp110_ = _data10_->client;
#line 530 "../src/Views/WifiPage.vala"
		_tmp111_ = connection;
#line 530 "../src/Views/WifiPage.vala"
		_tmp112_ = self->wifi_device;
#line 530 "../src/Views/WifiPage.vala"
		_tmp113_ = network_wifi_menu_item_get_ap (row);
#line 530 "../src/Views/WifiPage.vala"
		_tmp114_ = _tmp113_;
#line 530 "../src/Views/WifiPage.vala"
		_tmp115_ = nm_object_get_path ((NMObject*) _tmp114_);
#line 530 "../src/Views/WifiPage.vala"
		nm_client_add_and_activate_connection_async (_tmp110_, _tmp111_, (NMDevice*) _tmp112_, _tmp115_, NULL, ____lambda25__gasync_ready_callback, block10_data_ref (_data10_));
#line 2675 "WifiPage.c"
	}
#line 548 "../src/Views/WifiPage.vala"
	g_idle_add_full (G_PRIORITY_DEFAULT_IDLE, ___lambda26__gsource_func, g_object_ref (self), g_object_unref);
#line 432 "../src/Views/WifiPage.vala"
	_g_object_unref0 (connection);
#line 432 "../src/Views/WifiPage.vala"
	_g_object_unref0 (valid_connection);
#line 432 "../src/Views/WifiPage.vala"
	_g_ptr_array_unref0 (ap_connections);
#line 432 "../src/Views/WifiPage.vala"
	_g_ptr_array_unref0 (device_connections);
#line 432 "../src/Views/WifiPage.vala"
	_g_ptr_array_unref0 (connections);
#line 432 "../src/Views/WifiPage.vala"
	block10_data_unref (_data10_);
#line 432 "../src/Views/WifiPage.vala"
	_data10_ = NULL;
#line 2693 "WifiPage.c"
}

static gint
vala_g_ptr_array_get_length (GPtrArray* self)
{
	gint result;
#line 5954 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, 0);
#line 5955 "glib-2.0.vapi"
	result = (gint) self->len;
#line 5955 "glib-2.0.vapi"
	return result;
#line 2706 "WifiPage.c"
}

static NMConnection*
network_wifi_interface_get_valid_connection (NetworkWifiInterface* self,
                                             NMAccessPoint* ap,
                                             GPtrArray* ap_connections)
{
	NMConnection* result;
#line 551 "../src/Views/WifiPage.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 551 "../src/Views/WifiPage.vala"
	g_return_val_if_fail (ap != NULL, NULL);
#line 551 "../src/Views/WifiPage.vala"
	g_return_val_if_fail (ap_connections != NULL, NULL);
#line 2721 "WifiPage.c"
	{
		gint i = 0;
#line 552 "../src/Views/WifiPage.vala"
		i = 0;
#line 2726 "WifiPage.c"
		{
			gboolean _tmp0_ = FALSE;
#line 552 "../src/Views/WifiPage.vala"
			_tmp0_ = TRUE;
#line 552 "../src/Views/WifiPage.vala"
			while (TRUE) {
#line 2733 "WifiPage.c"
				gint _tmp2_;
				gint _tmp3_;
				NMConnection* connection = NULL;
				gconstpointer _tmp4_;
				NMConnection* _tmp5_;
#line 552 "../src/Views/WifiPage.vala"
				if (!_tmp0_) {
#line 2741 "WifiPage.c"
					gint _tmp1_;
#line 552 "../src/Views/WifiPage.vala"
					_tmp1_ = i;
#line 552 "../src/Views/WifiPage.vala"
					i = _tmp1_ + 1;
#line 2747 "WifiPage.c"
				}
#line 552 "../src/Views/WifiPage.vala"
				_tmp0_ = FALSE;
#line 552 "../src/Views/WifiPage.vala"
				_tmp2_ = vala_g_ptr_array_get_length (ap_connections);
#line 552 "../src/Views/WifiPage.vala"
				_tmp3_ = _tmp2_;
#line 552 "../src/Views/WifiPage.vala"
				if (!(i < _tmp3_)) {
#line 552 "../src/Views/WifiPage.vala"
					break;
#line 2759 "WifiPage.c"
				}
#line 553 "../src/Views/WifiPage.vala"
				_tmp4_ = g_ptr_array_index (ap_connections, (guint) i);
#line 553 "../src/Views/WifiPage.vala"
				connection = (NMConnection*) _tmp4_;
#line 554 "../src/Views/WifiPage.vala"
				_tmp5_ = connection;
#line 554 "../src/Views/WifiPage.vala"
				if (nm_access_point_connection_valid (ap, _tmp5_)) {
#line 2769 "WifiPage.c"
					NMConnection* _tmp6_;
					NMConnection* _tmp7_;
#line 555 "../src/Views/WifiPage.vala"
					_tmp6_ = connection;
#line 555 "../src/Views/WifiPage.vala"
					_tmp7_ = _g_object_ref0 (_tmp6_);
#line 555 "../src/Views/WifiPage.vala"
					result = _tmp7_;
#line 555 "../src/Views/WifiPage.vala"
					return result;
#line 2780 "WifiPage.c"
				}
			}
		}
	}
#line 559 "../src/Views/WifiPage.vala"
	result = NULL;
#line 559 "../src/Views/WifiPage.vala"
	return result;
#line 2789 "WifiPage.c"
}

static Block12Data*
block12_data_ref (Block12Data* _data12_)
{
#line 562 "../src/Views/WifiPage.vala"
	g_atomic_int_inc (&_data12_->_ref_count_);
#line 562 "../src/Views/WifiPage.vala"
	return _data12_;
#line 2799 "WifiPage.c"
}

static void
block12_data_unref (void * _userdata_)
{
	Block12Data* _data12_;
	_data12_ = (Block12Data*) _userdata_;
#line 562 "../src/Views/WifiPage.vala"
	if (g_atomic_int_dec_and_test (&_data12_->_ref_count_)) {
#line 2809 "WifiPage.c"
		NetworkWifiInterface* self;
#line 562 "../src/Views/WifiPage.vala"
		self = _data12_->self;
#line 562 "../src/Views/WifiPage.vala"
		_g_object_unref0 (_data12_->hidden_dialog);
#line 562 "../src/Views/WifiPage.vala"
		_g_object_unref0 (self);
#line 562 "../src/Views/WifiPage.vala"
		g_slice_free (Block12Data, _data12_);
#line 2819 "WifiPage.c"
	}
}

static void
__lambda29_ (Block12Data* _data12_,
             gint response)
{
	NetworkWifiInterface* self;
#line 572 "../src/Views/WifiPage.vala"
	self = _data12_->self;
#line 573 "../src/Views/WifiPage.vala"
	if (response == ((gint) GTK_RESPONSE_OK)) {
#line 574 "../src/Views/WifiPage.vala"
		network_wifi_interface_connect_to_network (self, _data12_->hidden_dialog, NULL, NULL);
#line 2834 "WifiPage.c"
	}
#line 576 "../src/Views/WifiPage.vala"
	gtk_window_destroy ((GtkWindow*) _data12_->hidden_dialog);
#line 2838 "WifiPage.c"
}

static void
___lambda29__gtk_dialog_response (GtkDialog* _sender,
                                  gint response_id,
                                  gpointer self)
{
#line 572 "../src/Views/WifiPage.vala"
	__lambda29_ (self, response_id);
#line 2848 "WifiPage.c"
}

static void
network_wifi_interface_connect_to_hidden (NetworkWifiInterface* self)
{
	Block12Data* _data12_;
	NetworkNetworkManager* network_manager = NULL;
	NetworkNetworkManager* _tmp0_;
	NMClient* _tmp1_;
	NMClient* _tmp2_;
	GtkRoot* _tmp3_;
	GtkWindow* _tmp4_;
	NMAWifiDialog* _tmp5_ = NULL;
#line 562 "../src/Views/WifiPage.vala"
	g_return_if_fail (self != NULL);
#line 562 "../src/Views/WifiPage.vala"
	_data12_ = g_slice_new0 (Block12Data);
#line 562 "../src/Views/WifiPage.vala"
	_data12_->_ref_count_ = 1;
#line 562 "../src/Views/WifiPage.vala"
	_data12_->self = g_object_ref (self);
#line 563 "../src/Views/WifiPage.vala"
	_tmp0_ = network_network_manager_get_default ();
#line 563 "../src/Views/WifiPage.vala"
	network_manager = _tmp0_;
#line 565 "../src/Views/WifiPage.vala"
	_tmp1_ = network_network_manager_get_client (network_manager);
#line 565 "../src/Views/WifiPage.vala"
	_tmp2_ = _tmp1_;
#line 565 "../src/Views/WifiPage.vala"
	_tmp3_ = gtk_widget_get_root ((GtkWidget*) self);
#line 565 "../src/Views/WifiPage.vala"
	_tmp4_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, gtk_window_get_type (), GtkWindow));
#line 565 "../src/Views/WifiPage.vala"
	_tmp5_ = (NMAWifiDialog*) nma_wifi_dialog_new_for_other (_tmp2_);
#line 565 "../src/Views/WifiPage.vala"
	gtk_window_set_deletable ((GtkWindow*) _tmp5_, FALSE);
#line 565 "../src/Views/WifiPage.vala"
	gtk_window_set_modal ((GtkWindow*) _tmp5_, TRUE);
#line 565 "../src/Views/WifiPage.vala"
	gtk_window_set_transient_for ((GtkWindow*) _tmp5_, _tmp4_);
#line 565 "../src/Views/WifiPage.vala"
	_g_object_unref0 (_tmp4_);
#line 565 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp5_);
#line 565 "../src/Views/WifiPage.vala"
	_data12_->hidden_dialog = _tmp5_;
#line 570 "../src/Views/WifiPage.vala"
	gtk_window_present ((GtkWindow*) _data12_->hidden_dialog);
#line 572 "../src/Views/WifiPage.vala"
	g_signal_connect_data ((GtkDialog*) _data12_->hidden_dialog, "response", (GCallback) ___lambda29__gtk_dialog_response, block12_data_ref (_data12_), (GClosureNotify) block12_data_unref, 0);
#line 562 "../src/Views/WifiPage.vala"
	block12_data_unref (_data12_);
#line 562 "../src/Views/WifiPage.vala"
	_data12_ = NULL;
#line 2904 "WifiPage.c"
}

static void
network_wifi_interface_connect_to_network_data_free (gpointer _data)
{
	NetworkWifiInterfaceConnectToNetworkData* _data_;
	_data_ = _data;
#line 7 "../src/Views/WifiPage.vala"
	_g_object_unref0 (_data_->wifi_dialog);
#line 7 "../src/Views/WifiPage.vala"
	_g_object_unref0 (_data_->self);
#line 7 "../src/Views/WifiPage.vala"
	g_slice_free (NetworkWifiInterfaceConnectToNetworkData, _data_);
#line 2918 "WifiPage.c"
}

static void
network_wifi_interface_connect_to_network (NetworkWifiInterface* self,
                                           NMAWifiDialog* wifi_dialog,
                                           GAsyncReadyCallback _callback_,
                                           gpointer _user_data_)
{
	NetworkWifiInterfaceConnectToNetworkData* _data_;
	NetworkWifiInterface* _tmp0_;
	NMAWifiDialog* _tmp1_;
#line 7 "../src/Views/WifiPage.vala"
	g_return_if_fail (self != NULL);
#line 7 "../src/Views/WifiPage.vala"
	g_return_if_fail (wifi_dialog != NULL);
#line 7 "../src/Views/WifiPage.vala"
	_data_ = g_slice_new0 (NetworkWifiInterfaceConnectToNetworkData);
#line 7 "../src/Views/WifiPage.vala"
	_data_->_async_result = g_task_new (G_OBJECT (self), NULL, _callback_, _user_data_);
#line 7 "../src/Views/WifiPage.vala"
	g_task_set_task_data (_data_->_async_result, _data_, network_wifi_interface_connect_to_network_data_free);
#line 7 "../src/Views/WifiPage.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 7 "../src/Views/WifiPage.vala"
	_data_->self = _tmp0_;
#line 7 "../src/Views/WifiPage.vala"
	_tmp1_ = _g_object_ref0 (wifi_dialog);
#line 7 "../src/Views/WifiPage.vala"
	_g_object_unref0 (_data_->wifi_dialog);
#line 7 "../src/Views/WifiPage.vala"
	_data_->wifi_dialog = _tmp1_;
#line 7 "../src/Views/WifiPage.vala"
	network_wifi_interface_connect_to_network_co (_data_);
#line 2952 "WifiPage.c"
}

static void
network_wifi_interface_connect_to_network_finish (NetworkWifiInterface* self,
                                                  GAsyncResult* _res_)
{
	NetworkWifiInterfaceConnectToNetworkData* _data_;
#line 7 "../src/Views/WifiPage.vala"
	_data_ = g_task_propagate_pointer (G_TASK (_res_), NULL);
#line 2962 "WifiPage.c"
}

static Block13Data*
block13_data_ref (Block13Data* _data13_)
{
#line 580 "../src/Views/WifiPage.vala"
	g_atomic_int_inc (&_data13_->_ref_count_);
#line 580 "../src/Views/WifiPage.vala"
	return _data13_;
#line 2972 "WifiPage.c"
}

static void
block13_data_unref (void * _userdata_)
{
	Block13Data* _data13_;
	_data13_ = (Block13Data*) _userdata_;
#line 580 "../src/Views/WifiPage.vala"
	if (g_atomic_int_dec_and_test (&_data13_->_ref_count_)) {
#line 2982 "WifiPage.c"
		NetworkWifiInterface* self;
#line 580 "../src/Views/WifiPage.vala"
		self = _data13_->self;
#line 580 "../src/Views/WifiPage.vala"
		_g_object_unref0 (_data13_->dialog_connection);
#line 580 "../src/Views/WifiPage.vala"
		_g_object_unref0 (_data13_->fuzzy);
#line 580 "../src/Views/WifiPage.vala"
		_g_object_unref0 (self);
#line 580 "../src/Views/WifiPage.vala"
		g_slice_free (Block13Data, _data13_);
#line 2994 "WifiPage.c"
	}
}

static void
__lambda24_ (Block13Data* _data13_,
             NMRemoteConnection* possible)
{
	NetworkWifiInterface* self;
	NMConnection* _tmp0_;
#line 588 "../src/Views/WifiPage.vala"
	self = _data13_->self;
#line 588 "../src/Views/WifiPage.vala"
	g_return_if_fail (possible != NULL);
#line 589 "../src/Views/WifiPage.vala"
	_tmp0_ = _data13_->dialog_connection;
#line 589 "../src/Views/WifiPage.vala"
	if (nm_connection_compare (_tmp0_, (NMConnection*) possible, NM_SETTING_COMPARE_FLAG_FUZZY | NM_SETTING_COMPARE_FLAG_IGNORE_ID)) {
#line 3012 "WifiPage.c"
		NMConnection* _tmp1_;
#line 590 "../src/Views/WifiPage.vala"
		_tmp1_ = _g_object_ref0 ((NMConnection*) possible);
#line 590 "../src/Views/WifiPage.vala"
		_g_object_unref0 (_data13_->fuzzy);
#line 590 "../src/Views/WifiPage.vala"
		_data13_->fuzzy = _tmp1_;
#line 3020 "WifiPage.c"
	}
}

static void
___lambda24__gfunc (gconstpointer data,
                    gpointer self)
{
#line 588 "../src/Views/WifiPage.vala"
	__lambda24_ (self, (NMRemoteConnection*) data);
#line 3030 "WifiPage.c"
}

static void
network_wifi_interface_connect_to_network_ready (GObject* source_object,
                                                 GAsyncResult* _res_,
                                                 gpointer _user_data_)
{
	NetworkWifiInterfaceConnectToNetworkData* _data_;
#line 601 "../src/Views/WifiPage.vala"
	_data_ = _user_data_;
#line 601 "../src/Views/WifiPage.vala"
	_data_->_source_object_ = source_object;
#line 601 "../src/Views/WifiPage.vala"
	_data_->_res_ = _res_;
#line 601 "../src/Views/WifiPage.vala"
	network_wifi_interface_connect_to_network_co (_data_);
#line 3047 "WifiPage.c"
}

static gboolean
network_wifi_interface_connect_to_network_co (NetworkWifiInterfaceConnectToNetworkData* _data_)
{
#line 580 "../src/Views/WifiPage.vala"
	switch (_data_->_state_) {
#line 580 "../src/Views/WifiPage.vala"
		case 0:
#line 3057 "WifiPage.c"
		goto _state_0;
#line 580 "../src/Views/WifiPage.vala"
		case 1:
#line 3061 "WifiPage.c"
		goto _state_1;
#line 580 "../src/Views/WifiPage.vala"
		case 2:
#line 3065 "WifiPage.c"
		goto _state_2;
		default:
#line 580 "../src/Views/WifiPage.vala"
		g_assert_not_reached ();
#line 3070 "WifiPage.c"
	}
	_state_0:
#line 580 "../src/Views/WifiPage.vala"
	_data_->_data13_ = g_slice_new0 (Block13Data);
#line 580 "../src/Views/WifiPage.vala"
	_data_->_data13_->_ref_count_ = 1;
#line 580 "../src/Views/WifiPage.vala"
	_data_->_data13_->self = g_object_ref (_data_->self);
#line 580 "../src/Views/WifiPage.vala"
	_data_->_data13_->_async_data_ = _data_;
#line 581 "../src/Views/WifiPage.vala"
	_data_->_data13_->fuzzy = NULL;
#line 583 "../src/Views/WifiPage.vala"
	_data_->dialog_ap = NULL;
#line 584 "../src/Views/WifiPage.vala"
	_data_->_tmp0_ = NULL;
#line 584 "../src/Views/WifiPage.vala"
	_data_->_tmp1_ = NULL;
#line 584 "../src/Views/WifiPage.vala"
	_data_->_tmp2_ = nma_wifi_dialog_get_connection (_data_->wifi_dialog, &_data_->_tmp0_, &_data_->_tmp1_);
#line 584 "../src/Views/WifiPage.vala"
	_g_object_unref0 (_data_->dialog_device);
#line 584 "../src/Views/WifiPage.vala"
	_data_->dialog_device = _data_->_tmp0_;
#line 584 "../src/Views/WifiPage.vala"
	_g_object_unref0 (_data_->dialog_ap);
#line 584 "../src/Views/WifiPage.vala"
	_data_->dialog_ap = _data_->_tmp1_;
#line 584 "../src/Views/WifiPage.vala"
	_data_->_data13_->dialog_connection = _data_->_tmp2_;
#line 586 "../src/Views/WifiPage.vala"
	_data_->_tmp3_ = network_network_manager_get_default ();
#line 586 "../src/Views/WifiPage.vala"
	_data_->network_manager = _data_->_tmp3_;
#line 587 "../src/Views/WifiPage.vala"
	_data_->_tmp4_ = _data_->network_manager;
#line 587 "../src/Views/WifiPage.vala"
	_data_->_tmp5_ = network_network_manager_get_client (_data_->_tmp4_);
#line 587 "../src/Views/WifiPage.vala"
	_data_->_tmp6_ = _data_->_tmp5_;
#line 587 "../src/Views/WifiPage.vala"
	_data_->client = _data_->_tmp6_;
#line 588 "../src/Views/WifiPage.vala"
	_data_->_tmp7_ = _data_->client;
#line 588 "../src/Views/WifiPage.vala"
	_data_->_tmp8_ = nm_client_get_connections (_data_->_tmp7_);
#line 588 "../src/Views/WifiPage.vala"
	g_ptr_array_foreach (_data_->_tmp8_, ___lambda24__gfunc, _data_->_data13_);
#line 594 "../src/Views/WifiPage.vala"
	_data_->path = NULL;
#line 595 "../src/Views/WifiPage.vala"
	_data_->_tmp9_ = _data_->dialog_ap;
#line 595 "../src/Views/WifiPage.vala"
	if (_data_->_tmp9_ != NULL) {
#line 596 "../src/Views/WifiPage.vala"
		_data_->_tmp10_ = _data_->dialog_ap;
#line 596 "../src/Views/WifiPage.vala"
		_data_->_tmp11_ = nm_object_get_path ((NMObject*) _data_->_tmp10_);
#line 596 "../src/Views/WifiPage.vala"
		_data_->_tmp12_ = g_strdup (_data_->_tmp11_);
#line 596 "../src/Views/WifiPage.vala"
		_g_free0 (_data_->path);
#line 596 "../src/Views/WifiPage.vala"
		_data_->path = _data_->_tmp12_;
#line 3135 "WifiPage.c"
	}
#line 599 "../src/Views/WifiPage.vala"
	_data_->_tmp13_ = _data_->_data13_->fuzzy;
#line 599 "../src/Views/WifiPage.vala"
	if (_data_->_tmp13_ != NULL) {
#line 3141 "WifiPage.c"
		{
#line 601 "../src/Views/WifiPage.vala"
			_data_->_tmp14_ = _data_->client;
#line 601 "../src/Views/WifiPage.vala"
			_data_->_tmp15_ = _data_->_data13_->fuzzy;
#line 601 "../src/Views/WifiPage.vala"
			_data_->_tmp16_ = _data_->self->wifi_device;
#line 601 "../src/Views/WifiPage.vala"
			_data_->_tmp17_ = _data_->path;
#line 601 "../src/Views/WifiPage.vala"
			_data_->_state_ = 1;
#line 601 "../src/Views/WifiPage.vala"
			nm_client_activate_connection_async (_data_->_tmp14_, _data_->_tmp15_, (NMDevice*) _data_->_tmp16_, _data_->_tmp17_, NULL, network_wifi_interface_connect_to_network_ready, _data_);
#line 601 "../src/Views/WifiPage.vala"
			return FALSE;
#line 3157 "WifiPage.c"
			_state_1:
#line 601 "../src/Views/WifiPage.vala"
			_data_->_tmp18_ = nm_client_activate_connection_finish (_data_->_tmp14_, _data_->_res_, &_data_->_inner_error0_);
#line 601 "../src/Views/WifiPage.vala"
			_data_->_tmp19_ = _data_->_tmp18_;
#line 601 "../src/Views/WifiPage.vala"
			_g_object_unref0 (_data_->_tmp19_);
#line 601 "../src/Views/WifiPage.vala"
			if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 3167 "WifiPage.c"
				goto __catch0_g_error;
			}
		}
		goto __finally0;
		__catch0_g_error:
		{
#line 600 "../src/Views/WifiPage.vala"
			_data_->_error_ = _data_->_inner_error0_;
#line 600 "../src/Views/WifiPage.vala"
			_data_->_inner_error0_ = NULL;
#line 603 "../src/Views/WifiPage.vala"
			_data_->_tmp20_ = _data_->_error_;
#line 603 "../src/Views/WifiPage.vala"
			_data_->_tmp21_ = _data_->_tmp20_->message;
#line 603 "../src/Views/WifiPage.vala"
			g_critical ("WifiPage.vala:603: %s", _data_->_tmp21_);
#line 600 "../src/Views/WifiPage.vala"
			_g_error_free0 (_data_->_error_);
#line 3186 "WifiPage.c"
		}
		__finally0:
#line 600 "../src/Views/WifiPage.vala"
		if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 600 "../src/Views/WifiPage.vala"
			_g_free0 (_data_->path);
#line 600 "../src/Views/WifiPage.vala"
			_g_object_unref0 (_data_->dialog_ap);
#line 600 "../src/Views/WifiPage.vala"
			_g_object_unref0 (_data_->dialog_device);
#line 600 "../src/Views/WifiPage.vala"
			block13_data_unref (_data_->_data13_);
#line 600 "../src/Views/WifiPage.vala"
			_data_->_data13_ = NULL;
#line 600 "../src/Views/WifiPage.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error0_->message, g_quark_to_string (_data_->_inner_error0_->domain), _data_->_inner_error0_->code);
#line 600 "../src/Views/WifiPage.vala"
			g_clear_error (&_data_->_inner_error0_);
#line 600 "../src/Views/WifiPage.vala"
			g_object_unref (_data_->_async_result);
#line 600 "../src/Views/WifiPage.vala"
			return FALSE;
#line 3209 "WifiPage.c"
		}
	} else {
#line 606 "../src/Views/WifiPage.vala"
		_data_->mode = NULL;
#line 607 "../src/Views/WifiPage.vala"
		_data_->_tmp22_ = _data_->_data13_->dialog_connection;
#line 607 "../src/Views/WifiPage.vala"
		_data_->_tmp23_ = nm_connection_get_setting_wireless (_data_->_tmp22_);
#line 607 "../src/Views/WifiPage.vala"
		_data_->setting_wireless = _data_->_tmp23_;
#line 608 "../src/Views/WifiPage.vala"
		_data_->_tmp24_ = _data_->setting_wireless;
#line 608 "../src/Views/WifiPage.vala"
		if (_data_->_tmp24_ != NULL) {
#line 609 "../src/Views/WifiPage.vala"
			_data_->_tmp25_ = _data_->setting_wireless;
#line 609 "../src/Views/WifiPage.vala"
			_data_->_tmp26_ = nm_setting_wireless_get_mode (_data_->_tmp25_);
#line 609 "../src/Views/WifiPage.vala"
			_data_->_tmp27_ = g_strdup (_data_->_tmp26_);
#line 609 "../src/Views/WifiPage.vala"
			_g_free0 (_data_->mode);
#line 609 "../src/Views/WifiPage.vala"
			_data_->mode = _data_->_tmp27_;
#line 3234 "WifiPage.c"
		}
#line 612 "../src/Views/WifiPage.vala"
		_data_->_tmp28_ = _data_->mode;
#line 612 "../src/Views/WifiPage.vala"
		if (g_strcmp0 (_data_->_tmp28_, "adhoc") == 0) {
#line 613 "../src/Views/WifiPage.vala"
			_data_->_tmp29_ = _data_->_data13_->dialog_connection;
#line 613 "../src/Views/WifiPage.vala"
			_data_->_tmp30_ = nm_connection_get_setting_connection (_data_->_tmp29_);
#line 613 "../src/Views/WifiPage.vala"
			_data_->_tmp31_ = _g_object_ref0 (_data_->_tmp30_);
#line 613 "../src/Views/WifiPage.vala"
			_data_->connection_setting = _data_->_tmp31_;
#line 614 "../src/Views/WifiPage.vala"
			_data_->_tmp32_ = _data_->connection_setting;
#line 614 "../src/Views/WifiPage.vala"
			if (_data_->_tmp32_ == NULL) {
#line 615 "../src/Views/WifiPage.vala"
				_data_->_tmp33_ = (NMSettingConnection*) nm_setting_connection_new ();
#line 615 "../src/Views/WifiPage.vala"
				_g_object_unref0 (_data_->connection_setting);
#line 615 "../src/Views/WifiPage.vala"
				_data_->connection_setting = _data_->_tmp33_;
#line 3258 "WifiPage.c"
			}
#line 618 "../src/Views/WifiPage.vala"
			_data_->_tmp34_ = _data_->_data13_->dialog_connection;
#line 618 "../src/Views/WifiPage.vala"
			_data_->_tmp35_ = _data_->connection_setting;
#line 618 "../src/Views/WifiPage.vala"
			_data_->_tmp36_ = _g_object_ref0 ((NMSetting*) _data_->_tmp35_);
#line 618 "../src/Views/WifiPage.vala"
			nm_connection_add_setting (_data_->_tmp34_, _data_->_tmp36_);
#line 612 "../src/Views/WifiPage.vala"
			_g_object_unref0 (_data_->connection_setting);
#line 3270 "WifiPage.c"
		}
		{
#line 622 "../src/Views/WifiPage.vala"
			_data_->_tmp37_ = _data_->client;
#line 622 "../src/Views/WifiPage.vala"
			_data_->_tmp38_ = _data_->_data13_->dialog_connection;
#line 622 "../src/Views/WifiPage.vala"
			_data_->_tmp39_ = _data_->dialog_device;
#line 622 "../src/Views/WifiPage.vala"
			_data_->_tmp40_ = _data_->path;
#line 622 "../src/Views/WifiPage.vala"
			_data_->_state_ = 2;
#line 622 "../src/Views/WifiPage.vala"
			nm_client_add_and_activate_connection_async (_data_->_tmp37_, _data_->_tmp38_, _data_->_tmp39_, _data_->_tmp40_, NULL, network_wifi_interface_connect_to_network_ready, _data_);
#line 622 "../src/Views/WifiPage.vala"
			return FALSE;
#line 3287 "WifiPage.c"
			_state_2:
#line 622 "../src/Views/WifiPage.vala"
			_data_->_tmp41_ = nm_client_add_and_activate_connection_finish (_data_->_tmp37_, _data_->_res_, &_data_->_inner_error0_);
#line 622 "../src/Views/WifiPage.vala"
			_data_->_tmp42_ = _data_->_tmp41_;
#line 622 "../src/Views/WifiPage.vala"
			_g_object_unref0 (_data_->_tmp42_);
#line 622 "../src/Views/WifiPage.vala"
			if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 3297 "WifiPage.c"
				goto __catch1_g_error;
			}
		}
		goto __finally1;
		__catch1_g_error:
		{
#line 621 "../src/Views/WifiPage.vala"
			_data_->_vala1__error_ = _data_->_inner_error0_;
#line 621 "../src/Views/WifiPage.vala"
			_data_->_inner_error0_ = NULL;
#line 624 "../src/Views/WifiPage.vala"
			_data_->_tmp43_ = _data_->_vala1__error_;
#line 624 "../src/Views/WifiPage.vala"
			_data_->_tmp44_ = _data_->_tmp43_->message;
#line 624 "../src/Views/WifiPage.vala"
			g_critical ("WifiPage.vala:624: %s", _data_->_tmp44_);
#line 621 "../src/Views/WifiPage.vala"
			_g_error_free0 (_data_->_vala1__error_);
#line 3316 "WifiPage.c"
		}
		__finally1:
#line 621 "../src/Views/WifiPage.vala"
		if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 621 "../src/Views/WifiPage.vala"
			_g_free0 (_data_->mode);
#line 621 "../src/Views/WifiPage.vala"
			_g_free0 (_data_->path);
#line 621 "../src/Views/WifiPage.vala"
			_g_object_unref0 (_data_->dialog_ap);
#line 621 "../src/Views/WifiPage.vala"
			_g_object_unref0 (_data_->dialog_device);
#line 621 "../src/Views/WifiPage.vala"
			block13_data_unref (_data_->_data13_);
#line 621 "../src/Views/WifiPage.vala"
			_data_->_data13_ = NULL;
#line 621 "../src/Views/WifiPage.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error0_->message, g_quark_to_string (_data_->_inner_error0_->domain), _data_->_inner_error0_->code);
#line 621 "../src/Views/WifiPage.vala"
			g_clear_error (&_data_->_inner_error0_);
#line 621 "../src/Views/WifiPage.vala"
			g_object_unref (_data_->_async_result);
#line 621 "../src/Views/WifiPage.vala"
			return FALSE;
#line 3341 "WifiPage.c"
		}
#line 599 "../src/Views/WifiPage.vala"
		_g_free0 (_data_->mode);
#line 3345 "WifiPage.c"
	}
#line 580 "../src/Views/WifiPage.vala"
	_g_free0 (_data_->path);
#line 580 "../src/Views/WifiPage.vala"
	_g_object_unref0 (_data_->dialog_ap);
#line 580 "../src/Views/WifiPage.vala"
	_g_object_unref0 (_data_->dialog_device);
#line 580 "../src/Views/WifiPage.vala"
	block13_data_unref (_data_->_data13_);
#line 580 "../src/Views/WifiPage.vala"
	_data_->_data13_ = NULL;
#line 580 "../src/Views/WifiPage.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 580 "../src/Views/WifiPage.vala"
	if (_data_->_state_ != 0) {
#line 580 "../src/Views/WifiPage.vala"
		while (!g_task_get_completed (_data_->_async_result)) {
#line 580 "../src/Views/WifiPage.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 3365 "WifiPage.c"
		}
	}
#line 580 "../src/Views/WifiPage.vala"
	g_object_unref (_data_->_async_result);
#line 580 "../src/Views/WifiPage.vala"
	return FALSE;
#line 3372 "WifiPage.c"
}

static void
network_wifi_interface_cancel_scan (NetworkWifiInterface* self)
{
#line 629 "../src/Views/WifiPage.vala"
	g_return_if_fail (self != NULL);
#line 630 "../src/Views/WifiPage.vala"
	if (self->priv->timeout_scan > ((guint) 0)) {
#line 631 "../src/Views/WifiPage.vala"
		g_source_remove (self->priv->timeout_scan);
#line 632 "../src/Views/WifiPage.vala"
		self->priv->timeout_scan = (guint) 0;
#line 3386 "WifiPage.c"
	}
}

static gboolean
___lambda27_ (NetworkWifiInterface* self)
{
	NMDeviceWifi* _tmp0_;
	GtkStack* _tmp1_;
	gboolean result;
#line 643 "../src/Views/WifiPage.vala"
	_tmp0_ = self->wifi_device;
#line 643 "../src/Views/WifiPage.vala"
	if (network_utils_get_device_is_hotspot (_tmp0_)) {
#line 644 "../src/Views/WifiPage.vala"
		result = FALSE;
#line 644 "../src/Views/WifiPage.vala"
		return result;
#line 3404 "WifiPage.c"
	}
#line 647 "../src/Views/WifiPage.vala"
	self->priv->timeout_scan = (guint) 0;
#line 648 "../src/Views/WifiPage.vala"
	_tmp1_ = self->priv->placeholder;
#line 648 "../src/Views/WifiPage.vala"
	gtk_stack_set_visible_child_name (_tmp1_, "no-aps");
#line 649 "../src/Views/WifiPage.vala"
	result = FALSE;
#line 649 "../src/Views/WifiPage.vala"
	return result;
#line 3416 "WifiPage.c"
}

static gboolean
____lambda27__gsource_func (gpointer self)
{
	gboolean result;
	result = ___lambda27_ ((NetworkWifiInterface*) self);
#line 642 "../src/Views/WifiPage.vala"
	return result;
#line 3426 "WifiPage.c"
}

static void
network_wifi_interface_set_scan_placeholder (NetworkWifiInterface* self)
{
	NMDeviceState _tmp0_;
	NMDeviceState _tmp1_;
#line 636 "../src/Views/WifiPage.vala"
	g_return_if_fail (self != NULL);
#line 638 "../src/Views/WifiPage.vala"
	_tmp0_ = network_widgets_page_get_state ((NetworkWidgetsPage*) self);
#line 638 "../src/Views/WifiPage.vala"
	_tmp1_ = _tmp0_;
#line 638 "../src/Views/WifiPage.vala"
	if (_tmp1_ == NM_DEVICE_STATE_DISCONNECTED) {
#line 3442 "WifiPage.c"
		GtkStack* _tmp2_;
		NMDeviceWifi* _tmp3_;
#line 639 "../src/Views/WifiPage.vala"
		_tmp2_ = self->priv->placeholder;
#line 639 "../src/Views/WifiPage.vala"
		gtk_stack_set_visible_child_name (_tmp2_, "scanning");
#line 640 "../src/Views/WifiPage.vala"
		network_wifi_interface_cancel_scan (self);
#line 641 "../src/Views/WifiPage.vala"
		_tmp3_ = self->wifi_device;
#line 641 "../src/Views/WifiPage.vala"
		nm_device_wifi_request_scan_async (_tmp3_, NULL, NULL, NULL);
#line 642 "../src/Views/WifiPage.vala"
		self->priv->timeout_scan = g_timeout_add_full (G_PRIORITY_DEFAULT, (guint) 5000, ____lambda27__gsource_func, g_object_ref (self), g_object_unref);
#line 3457 "WifiPage.c"
	}
}

static gint
network_wifi_interface_sort_func (NetworkWifiInterface* self,
                                  GtkListBoxRow* r1,
                                  GtkListBoxRow* r2)
{
	gboolean _tmp0_ = FALSE;
	NMAccessPoint* _tmp1_;
	NMAccessPoint* _tmp2_;
	guint8 _tmp3_;
	guint8 _tmp4_;
	NMAccessPoint* _tmp5_;
	NMAccessPoint* _tmp6_;
	guint8 _tmp7_;
	guint8 _tmp8_;
	gint result;
#line 654 "../src/Views/WifiPage.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 654 "../src/Views/WifiPage.vala"
	g_return_val_if_fail (r1 != NULL, 0);
#line 654 "../src/Views/WifiPage.vala"
	g_return_val_if_fail (r2 != NULL, 0);
#line 655 "../src/Views/WifiPage.vala"
	if (r1 == NULL) {
#line 655 "../src/Views/WifiPage.vala"
		_tmp0_ = TRUE;
#line 3486 "WifiPage.c"
	} else {
#line 655 "../src/Views/WifiPage.vala"
		_tmp0_ = r2 == NULL;
#line 3490 "WifiPage.c"
	}
#line 655 "../src/Views/WifiPage.vala"
	if (_tmp0_) {
#line 656 "../src/Views/WifiPage.vala"
		result = 0;
#line 656 "../src/Views/WifiPage.vala"
		return result;
#line 3498 "WifiPage.c"
	}
#line 659 "../src/Views/WifiPage.vala"
	_tmp1_ = network_wifi_menu_item_get_ap (G_TYPE_CHECK_INSTANCE_CAST (r2, NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItem));
#line 659 "../src/Views/WifiPage.vala"
	_tmp2_ = _tmp1_;
#line 659 "../src/Views/WifiPage.vala"
	_tmp3_ = nm_access_point_get_strength (_tmp2_);
#line 659 "../src/Views/WifiPage.vala"
	_tmp4_ = _tmp3_;
#line 659 "../src/Views/WifiPage.vala"
	_tmp5_ = network_wifi_menu_item_get_ap (G_TYPE_CHECK_INSTANCE_CAST (r1, NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItem));
#line 659 "../src/Views/WifiPage.vala"
	_tmp6_ = _tmp5_;
#line 659 "../src/Views/WifiPage.vala"
	_tmp7_ = nm_access_point_get_strength (_tmp6_);
#line 659 "../src/Views/WifiPage.vala"
	_tmp8_ = _tmp7_;
#line 659 "../src/Views/WifiPage.vala"
	result = (gint) (_tmp4_ - _tmp8_);
#line 659 "../src/Views/WifiPage.vala"
	return result;
#line 3520 "WifiPage.c"
}

static NetworkWifiMenuItem*
network_wifi_interface_get_active_wifi_item (NetworkWifiInterface* self)
{
	NetworkWifiMenuItem* result;
	NetworkWifiMenuItem* _tmp0_;
#line 14 "../src/Views/WifiPage.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 14 "../src/Views/WifiPage.vala"
	_tmp0_ = self->priv->_active_wifi_item;
#line 14 "../src/Views/WifiPage.vala"
	result = _tmp0_;
#line 14 "../src/Views/WifiPage.vala"
	return result;
#line 3536 "WifiPage.c"
}

static void
network_wifi_interface_set_active_wifi_item (NetworkWifiInterface* self,
                                             NetworkWifiMenuItem* value)
{
	NetworkWifiMenuItem* _tmp0_;
#line 14 "../src/Views/WifiPage.vala"
	g_return_if_fail (self != NULL);
#line 14 "../src/Views/WifiPage.vala"
	_tmp0_ = _g_object_ref0 (value);
#line 14 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->priv->_active_wifi_item);
#line 14 "../src/Views/WifiPage.vala"
	self->priv->_active_wifi_item = _tmp0_;
#line 3552 "WifiPage.c"
}

static gint
_network_wifi_interface_sort_func_gtk_list_box_sort_func (GtkListBoxRow* row1,
                                                          GtkListBoxRow* row2,
                                                          gpointer self)
{
	gint result;
	result = network_wifi_interface_sort_func ((NetworkWifiInterface*) self, row1, row2);
#line 49 "../src/Views/WifiPage.vala"
	return result;
#line 3564 "WifiPage.c"
}

static void
_network_widgets_page_edit_connections_gtk_button_clicked (GtkButton* _sender,
                                                           gpointer self)
{
#line 82 "../src/Views/WifiPage.vala"
	network_widgets_page_edit_connections ((NetworkWidgetsPage*) self);
#line 3573 "WifiPage.c"
}

static void
_network_wifi_interface_connect_to_hidden_gtk_button_clicked (GtkButton* _sender,
                                                              gpointer self)
{
#line 85 "../src/Views/WifiPage.vala"
	network_wifi_interface_connect_to_hidden ((NetworkWifiInterface*) self);
#line 3582 "WifiPage.c"
}

static void
_network_widgets_page_update_rf_kill_manager_device_added (RFKillManager* _sender,
                                                           RFKillDevice* device,
                                                           gpointer self)
{
#line 129 "../src/Views/WifiPage.vala"
	network_widgets_page_update ((NetworkWidgetsPage*) self);
#line 3592 "WifiPage.c"
}

static void
_network_widgets_page_update_rf_kill_manager_device_changed (RFKillManager* _sender,
                                                             RFKillDevice* device,
                                                             gpointer self)
{
#line 130 "../src/Views/WifiPage.vala"
	network_widgets_page_update ((NetworkWidgetsPage*) self);
#line 3602 "WifiPage.c"
}

static void
_network_widgets_page_update_rf_kill_manager_device_deleted (RFKillManager* _sender,
                                                             RFKillDevice* device,
                                                             gpointer self)
{
#line 131 "../src/Views/WifiPage.vala"
	network_widgets_page_update ((NetworkWidgetsPage*) self);
#line 3612 "WifiPage.c"
}

static void
_network_widgets_page_update_g_object_notify (GObject* _sender,
                                              GParamSpec* pspec,
                                              gpointer self)
{
#line 133 "../src/Views/WifiPage.vala"
	network_widgets_page_update ((NetworkWidgetsPage*) self);
#line 3622 "WifiPage.c"
}

static void
_network_wifi_interface_access_point_added_cb_nm_device_wifi_access_point_added (NMDeviceWifi* _sender,
                                                                                 GObject* ap,
                                                                                 gpointer self)
{
#line 134 "../src/Views/WifiPage.vala"
	network_wifi_interface_access_point_added_cb ((NetworkWifiInterface*) self, ap);
#line 3632 "WifiPage.c"
}

static void
_network_wifi_interface_access_point_removed_cb_nm_device_wifi_access_point_removed (NMDeviceWifi* _sender,
                                                                                     GObject* ap,
                                                                                     gpointer self)
{
#line 135 "../src/Views/WifiPage.vala"
	network_wifi_interface_access_point_removed_cb ((NetworkWifiInterface*) self, ap);
#line 3642 "WifiPage.c"
}

static void
_network_widgets_page_update_nm_device_state_changed (NMDevice* _sender,
                                                      guint new_state,
                                                      guint old_state,
                                                      guint reason,
                                                      gpointer self)
{
#line 136 "../src/Views/WifiPage.vala"
	network_widgets_page_update ((NetworkWidgetsPage*) self);
#line 3654 "WifiPage.c"
}

static void
_network_wifi_interface_access_point_added_cb_gfunc (gconstpointer data,
                                                     gpointer self)
{
#line 140 "../src/Views/WifiPage.vala"
	network_wifi_interface_access_point_added_cb ((NetworkWifiInterface*) self, (GObject*) data);
#line 3663 "WifiPage.c"
}

static GObject *
network_wifi_interface_constructor (GType type,
                                    guint n_construct_properties,
                                    GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	NetworkWifiInterface * self;
	GThemedIcon* _tmp0_;
	GThemedIcon* _tmp1_;
	GtkStack* _tmp2_ = NULL;
	GtkListBox* _tmp3_ = NULL;
	GtkListBox* _tmp4_;
	GtkListBox* _tmp5_;
	GtkStack* _tmp6_;
	GtkListBox* _tmp7_;
	GranitePlaceholder* hotspot_mode_alert = NULL;
	gchar* _tmp8_;
	GranitePlaceholder* _tmp9_ = NULL;
	GtkListBox* _tmp10_;
	GtkWidget* _tmp11_;
	GtkScrolledWindow* _tmp12_ = NULL;
	GtkStack* _tmp13_;
	GtkStack* _tmp14_;
	GranitePlaceholder* _tmp15_;
	GtkStack* _tmp16_;
	GtkScrolledWindow* _tmp17_;
	GtkStack* _tmp18_;
	GtkScrolledWindow* _tmp19_;
	GtkFrame* main_frame = NULL;
	GtkStack* _tmp20_;
	GtkWidget* _tmp21_;
	GtkFrame* _tmp22_ = NULL;
	GtkFrame* _tmp23_;
	GtkFrame* _tmp24_ = NULL;
	GtkFrame* _tmp25_;
	GtkWidget* _tmp26_;
	GtkRevealer* _tmp27_ = NULL;
	GtkButton* settings_button = NULL;
	GtkButton* _tmp28_;
	GtkButton* _tmp29_;
	GtkButton* _tmp30_;
	GtkButton* _tmp31_;
	NMDevice* _tmp32_;
	NMDevice* _tmp33_;
	NMDeviceWifi* _tmp34_;
	GranitePlaceholder* no_aps_alert = NULL;
	gchar* _tmp35_;
	GranitePlaceholder* _tmp36_ = NULL;
	GranitePlaceholder* wireless_off_alert = NULL;
	gchar* _tmp37_;
	GranitePlaceholder* _tmp38_ = NULL;
	GtkSpinner* spinner = NULL;
	GtkSpinner* _tmp39_ = NULL;
	GtkSpinner* _tmp40_;
	GtkLabel* scanning = NULL;
	GtkLabel* _tmp41_ = NULL;
	GtkLabel* _tmp42_;
	GtkBox* scanning_box = NULL;
	GtkBox* _tmp43_ = NULL;
	GtkBox* _tmp44_;
	GtkLabel* _tmp45_;
	GtkBox* _tmp46_;
	GtkSpinner* _tmp47_;
	GtkStack* _tmp48_;
	GranitePlaceholder* _tmp49_;
	GtkStack* _tmp50_;
	GranitePlaceholder* _tmp51_;
	GtkStack* _tmp52_;
	GtkBox* _tmp53_;
	GtkStack* _tmp54_;
	RFKillManager* _tmp55_;
	RFKillManager* _tmp56_;
	RFKillManager* _tmp57_;
	RFKillManager* _tmp58_;
	RFKillManager* _tmp59_;
	NMDeviceWifi* _tmp60_;
	NMDeviceWifi* _tmp61_;
	NMDeviceWifi* _tmp62_;
	NMDeviceWifi* _tmp63_;
	GPtrArray* aps = NULL;
	NMDeviceWifi* _tmp64_;
	GPtrArray* _tmp65_;
	GPtrArray* _tmp66_;
	gboolean _tmp67_ = FALSE;
	GPtrArray* _tmp68_;
	GtkBox* content_box = NULL;
	GtkBox* _tmp73_;
	GtkBox* _tmp74_;
	GtkRevealer* _tmp75_;
	GtkBox* _tmp76_;
	GtkFrame* _tmp77_;
	GtkBox* _tmp78_;
#line 37 "../src/Views/WifiPage.vala"
	parent_class = G_OBJECT_CLASS (network_wifi_interface_parent_class);
#line 37 "../src/Views/WifiPage.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 37 "../src/Views/WifiPage.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NETWORK_TYPE_WIFI_INTERFACE, NetworkWifiInterface);
#line 38 "../src/Views/WifiPage.vala"
	_tmp0_ = (GThemedIcon*) g_themed_icon_new ("network-wireless");
#line 38 "../src/Views/WifiPage.vala"
	_tmp1_ = _tmp0_;
#line 38 "../src/Views/WifiPage.vala"
	switchboard_settings_page_set_icon ((SwitchboardSettingsPage*) self, (GIcon*) _tmp1_);
#line 38 "../src/Views/WifiPage.vala"
	_g_object_unref0 (_tmp1_);
#line 40 "../src/Views/WifiPage.vala"
	_tmp2_ = (GtkStack*) gtk_stack_new ();
#line 40 "../src/Views/WifiPage.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp2_, TRUE);
#line 40 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp2_);
#line 40 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->priv->placeholder);
#line 40 "../src/Views/WifiPage.vala"
	self->priv->placeholder = _tmp2_;
#line 44 "../src/Views/WifiPage.vala"
	_tmp3_ = (GtkListBox*) gtk_list_box_new ();
#line 44 "../src/Views/WifiPage.vala"
	gtk_list_box_set_activate_on_single_click (_tmp3_, FALSE);
#line 44 "../src/Views/WifiPage.vala"
	gtk_list_box_set_selection_mode (_tmp3_, GTK_SELECTION_SINGLE);
#line 44 "../src/Views/WifiPage.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp3_, TRUE);
#line 44 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp3_);
#line 44 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->priv->wifi_list);
#line 44 "../src/Views/WifiPage.vala"
	self->priv->wifi_list = _tmp3_;
#line 49 "../src/Views/WifiPage.vala"
	_tmp4_ = self->priv->wifi_list;
#line 49 "../src/Views/WifiPage.vala"
	gtk_list_box_set_sort_func (_tmp4_, _network_wifi_interface_sort_func_gtk_list_box_sort_func, g_object_ref (self), g_object_unref);
#line 50 "../src/Views/WifiPage.vala"
	_tmp5_ = self->priv->wifi_list;
#line 50 "../src/Views/WifiPage.vala"
	_tmp6_ = self->priv->placeholder;
#line 50 "../src/Views/WifiPage.vala"
	gtk_list_box_set_placeholder (_tmp5_, (GtkWidget*) _tmp6_);
#line 51 "../src/Views/WifiPage.vala"
	_tmp7_ = self->priv->wifi_list;
#line 51 "../src/Views/WifiPage.vala"
	gtk_widget_add_css_class ((GtkWidget*) _tmp7_, GRANITE_STYLE_CLASS_RICH_LIST);
#line 53 "../src/Views/WifiPage.vala"
	_tmp8_ = g_strdup (_ ("Turn off the Hotspot Mode to connect to other Access Points."));
#line 53 "../src/Views/WifiPage.vala"
	_tmp9_ = granite_placeholder_new (_ ("This device is in Hotspot Mode"));
#line 53 "../src/Views/WifiPage.vala"
	granite_placeholder_set_description (_tmp9_, _tmp8_);
#line 53 "../src/Views/WifiPage.vala"
	_g_free0 (_tmp8_);
#line 53 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp9_);
#line 53 "../src/Views/WifiPage.vala"
	hotspot_mode_alert = _tmp9_;
#line 57 "../src/Views/WifiPage.vala"
	_tmp10_ = self->priv->wifi_list;
#line 57 "../src/Views/WifiPage.vala"
	_tmp11_ = _g_object_ref0 ((GtkWidget*) _tmp10_);
#line 57 "../src/Views/WifiPage.vala"
	_tmp12_ = (GtkScrolledWindow*) gtk_scrolled_window_new ();
#line 57 "../src/Views/WifiPage.vala"
	gtk_scrolled_window_set_child (_tmp12_, _tmp11_);
#line 57 "../src/Views/WifiPage.vala"
	_g_object_unref0 (_tmp11_);
#line 57 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp12_);
#line 57 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->scrolled);
#line 57 "../src/Views/WifiPage.vala"
	self->scrolled = _tmp12_;
#line 61 "../src/Views/WifiPage.vala"
	_tmp13_ = (GtkStack*) gtk_stack_new ();
#line 61 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp13_);
#line 61 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->list_stack);
#line 61 "../src/Views/WifiPage.vala"
	self->list_stack = _tmp13_;
#line 62 "../src/Views/WifiPage.vala"
	_tmp14_ = self->list_stack;
#line 62 "../src/Views/WifiPage.vala"
	_tmp15_ = hotspot_mode_alert;
#line 62 "../src/Views/WifiPage.vala"
	gtk_stack_add_child (_tmp14_, (GtkWidget*) _tmp15_);
#line 63 "../src/Views/WifiPage.vala"
	_tmp16_ = self->list_stack;
#line 63 "../src/Views/WifiPage.vala"
	_tmp17_ = self->scrolled;
#line 63 "../src/Views/WifiPage.vala"
	gtk_stack_add_child (_tmp16_, (GtkWidget*) _tmp17_);
#line 64 "../src/Views/WifiPage.vala"
	_tmp18_ = self->list_stack;
#line 64 "../src/Views/WifiPage.vala"
	_tmp19_ = self->scrolled;
#line 64 "../src/Views/WifiPage.vala"
	gtk_stack_set_visible_child (_tmp18_, (GtkWidget*) _tmp19_);
#line 66 "../src/Views/WifiPage.vala"
	_tmp20_ = self->list_stack;
#line 66 "../src/Views/WifiPage.vala"
	_tmp21_ = _g_object_ref0 ((GtkWidget*) _tmp20_);
#line 66 "../src/Views/WifiPage.vala"
	_tmp22_ = (GtkFrame*) gtk_frame_new (NULL);
#line 66 "../src/Views/WifiPage.vala"
	gtk_frame_set_child (_tmp22_, _tmp21_);
#line 66 "../src/Views/WifiPage.vala"
	_g_object_unref0 (_tmp21_);
#line 66 "../src/Views/WifiPage.vala"
	gtk_widget_set_vexpand ((GtkWidget*) _tmp22_, TRUE);
#line 66 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp22_);
#line 66 "../src/Views/WifiPage.vala"
	main_frame = _tmp22_;
#line 70 "../src/Views/WifiPage.vala"
	_tmp23_ = main_frame;
#line 70 "../src/Views/WifiPage.vala"
	gtk_widget_add_css_class ((GtkWidget*) _tmp23_, GRANITE_STYLE_CLASS_VIEW);
#line 72 "../src/Views/WifiPage.vala"
	_tmp24_ = (GtkFrame*) gtk_frame_new (NULL);
#line 72 "../src/Views/WifiPage.vala"
	gtk_widget_set_margin_bottom ((GtkWidget*) _tmp24_, 12);
#line 72 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp24_);
#line 72 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->connected_frame);
#line 72 "../src/Views/WifiPage.vala"
	self->connected_frame = _tmp24_;
#line 76 "../src/Views/WifiPage.vala"
	_tmp25_ = self->connected_frame;
#line 76 "../src/Views/WifiPage.vala"
	_tmp26_ = _g_object_ref0 ((GtkWidget*) _tmp25_);
#line 76 "../src/Views/WifiPage.vala"
	_tmp27_ = (GtkRevealer*) gtk_revealer_new ();
#line 76 "../src/Views/WifiPage.vala"
	gtk_revealer_set_child (_tmp27_, _tmp26_);
#line 76 "../src/Views/WifiPage.vala"
	_g_object_unref0 (_tmp26_);
#line 76 "../src/Views/WifiPage.vala"
	gtk_revealer_set_transition_type (_tmp27_, GTK_REVEALER_TRANSITION_TYPE_SLIDE_DOWN);
#line 76 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp27_);
#line 76 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->top_revealer);
#line 76 "../src/Views/WifiPage.vala"
	self->top_revealer = _tmp27_;
#line 81 "../src/Views/WifiPage.vala"
	_tmp28_ = switchboard_settings_page_add_button ((SwitchboardSettingsPage*) self, _ ("Edit Connections…"));
#line 81 "../src/Views/WifiPage.vala"
	settings_button = _tmp28_;
#line 82 "../src/Views/WifiPage.vala"
	_tmp29_ = settings_button;
#line 82 "../src/Views/WifiPage.vala"
	g_signal_connect_object (_tmp29_, "clicked", (GCallback) _network_widgets_page_edit_connections_gtk_button_clicked, (NetworkWidgetsPage*) self, 0);
#line 84 "../src/Views/WifiPage.vala"
	_tmp30_ = switchboard_settings_page_add_button ((SwitchboardSettingsPage*) self, _ ("Connect to Hidden Network…"));
#line 84 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->hidden_btn);
#line 84 "../src/Views/WifiPage.vala"
	self->hidden_btn = _tmp30_;
#line 85 "../src/Views/WifiPage.vala"
	_tmp31_ = self->hidden_btn;
#line 85 "../src/Views/WifiPage.vala"
	g_signal_connect_object (_tmp31_, "clicked", (GCallback) _network_wifi_interface_connect_to_hidden_gtk_button_clicked, self, 0);
#line 87 "../src/Views/WifiPage.vala"
	_tmp32_ = network_widgets_page_get_device ((NetworkWidgetsPage*) self);
#line 87 "../src/Views/WifiPage.vala"
	_tmp33_ = _tmp32_;
#line 87 "../src/Views/WifiPage.vala"
	_tmp34_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp33_, nm_device_wifi_get_type (), NMDeviceWifi));
#line 87 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->wifi_device);
#line 87 "../src/Views/WifiPage.vala"
	self->wifi_device = _tmp34_;
#line 88 "../src/Views/WifiPage.vala"
	network_wifi_interface_set_active_wifi_item (self, NULL);
#line 90 "../src/Views/WifiPage.vala"
	_tmp35_ = g_strdup (_ ("There are no wireless access points within range."));
#line 90 "../src/Views/WifiPage.vala"
	_tmp36_ = granite_placeholder_new (_ ("No Access Points Available"));
#line 90 "../src/Views/WifiPage.vala"
	granite_placeholder_set_description (_tmp36_, _tmp35_);
#line 90 "../src/Views/WifiPage.vala"
	_g_free0 (_tmp35_);
#line 90 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp36_);
#line 90 "../src/Views/WifiPage.vala"
	no_aps_alert = _tmp36_;
#line 94 "../src/Views/WifiPage.vala"
	_tmp37_ = g_strdup (_ ("Enable wireless to discover nearby wireless access points."));
#line 94 "../src/Views/WifiPage.vala"
	_tmp38_ = granite_placeholder_new (_ ("Wireless Is Disabled"));
#line 94 "../src/Views/WifiPage.vala"
	granite_placeholder_set_description (_tmp38_, _tmp37_);
#line 94 "../src/Views/WifiPage.vala"
	_g_free0 (_tmp37_);
#line 94 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp38_);
#line 94 "../src/Views/WifiPage.vala"
	wireless_off_alert = _tmp38_;
#line 98 "../src/Views/WifiPage.vala"
	_tmp39_ = (GtkSpinner*) gtk_spinner_new ();
#line 98 "../src/Views/WifiPage.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp39_, TRUE);
#line 98 "../src/Views/WifiPage.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp39_, GTK_ALIGN_CENTER);
#line 98 "../src/Views/WifiPage.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp39_, GTK_ALIGN_CENTER);
#line 98 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp39_);
#line 98 "../src/Views/WifiPage.vala"
	spinner = _tmp39_;
#line 103 "../src/Views/WifiPage.vala"
	_tmp40_ = spinner;
#line 103 "../src/Views/WifiPage.vala"
	gtk_spinner_start (_tmp40_);
#line 105 "../src/Views/WifiPage.vala"
	_tmp41_ = (GtkLabel*) gtk_label_new (_ ("Scanning for Access Points…"));
#line 105 "../src/Views/WifiPage.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp41_, TRUE);
#line 105 "../src/Views/WifiPage.vala"
	gtk_label_set_wrap (_tmp41_, TRUE);
#line 105 "../src/Views/WifiPage.vala"
	gtk_label_set_wrap_mode (_tmp41_, PANGO_WRAP_WORD_CHAR);
#line 105 "../src/Views/WifiPage.vala"
	gtk_label_set_max_width_chars (_tmp41_, 30);
#line 105 "../src/Views/WifiPage.vala"
	gtk_label_set_justify (_tmp41_, GTK_JUSTIFY_CENTER);
#line 105 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp41_);
#line 105 "../src/Views/WifiPage.vala"
	scanning = _tmp41_;
#line 112 "../src/Views/WifiPage.vala"
	_tmp42_ = scanning;
#line 112 "../src/Views/WifiPage.vala"
	gtk_widget_add_css_class ((GtkWidget*) _tmp42_, GRANITE_STYLE_CLASS_H2_LABEL);
#line 114 "../src/Views/WifiPage.vala"
	_tmp43_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 6);
#line 114 "../src/Views/WifiPage.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp43_, TRUE);
#line 114 "../src/Views/WifiPage.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp43_, GTK_ALIGN_CENTER);
#line 114 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp43_);
#line 114 "../src/Views/WifiPage.vala"
	scanning_box = _tmp43_;
#line 118 "../src/Views/WifiPage.vala"
	_tmp44_ = scanning_box;
#line 118 "../src/Views/WifiPage.vala"
	_tmp45_ = scanning;
#line 118 "../src/Views/WifiPage.vala"
	gtk_box_append (_tmp44_, (GtkWidget*) _tmp45_);
#line 119 "../src/Views/WifiPage.vala"
	_tmp46_ = scanning_box;
#line 119 "../src/Views/WifiPage.vala"
	_tmp47_ = spinner;
#line 119 "../src/Views/WifiPage.vala"
	gtk_box_append (_tmp46_, (GtkWidget*) _tmp47_);
#line 121 "../src/Views/WifiPage.vala"
	_tmp48_ = self->priv->placeholder;
#line 121 "../src/Views/WifiPage.vala"
	_tmp49_ = no_aps_alert;
#line 121 "../src/Views/WifiPage.vala"
	gtk_stack_add_named (_tmp48_, (GtkWidget*) _tmp49_, "no-aps");
#line 122 "../src/Views/WifiPage.vala"
	_tmp50_ = self->priv->placeholder;
#line 122 "../src/Views/WifiPage.vala"
	_tmp51_ = wireless_off_alert;
#line 122 "../src/Views/WifiPage.vala"
	gtk_stack_add_named (_tmp50_, (GtkWidget*) _tmp51_, "wireless-off");
#line 123 "../src/Views/WifiPage.vala"
	_tmp52_ = self->priv->placeholder;
#line 123 "../src/Views/WifiPage.vala"
	_tmp53_ = scanning_box;
#line 123 "../src/Views/WifiPage.vala"
	gtk_stack_add_named (_tmp52_, (GtkWidget*) _tmp53_, "scanning");
#line 124 "../src/Views/WifiPage.vala"
	_tmp54_ = self->priv->placeholder;
#line 124 "../src/Views/WifiPage.vala"
	gtk_stack_set_visible_child_name (_tmp54_, "no-aps");
#line 127 "../src/Views/WifiPage.vala"
	_tmp55_ = rf_kill_manager_new ();
#line 127 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->priv->rfkill);
#line 127 "../src/Views/WifiPage.vala"
	self->priv->rfkill = _tmp55_;
#line 128 "../src/Views/WifiPage.vala"
	_tmp56_ = self->priv->rfkill;
#line 128 "../src/Views/WifiPage.vala"
	rf_kill_manager_open (_tmp56_);
#line 129 "../src/Views/WifiPage.vala"
	_tmp57_ = self->priv->rfkill;
#line 129 "../src/Views/WifiPage.vala"
	g_signal_connect_object (_tmp57_, "device-added", (GCallback) _network_widgets_page_update_rf_kill_manager_device_added, (NetworkWidgetsPage*) self, 0);
#line 130 "../src/Views/WifiPage.vala"
	_tmp58_ = self->priv->rfkill;
#line 130 "../src/Views/WifiPage.vala"
	g_signal_connect_object (_tmp58_, "device-changed", (GCallback) _network_widgets_page_update_rf_kill_manager_device_changed, (NetworkWidgetsPage*) self, 0);
#line 131 "../src/Views/WifiPage.vala"
	_tmp59_ = self->priv->rfkill;
#line 131 "../src/Views/WifiPage.vala"
	g_signal_connect_object (_tmp59_, "device-deleted", (GCallback) _network_widgets_page_update_rf_kill_manager_device_deleted, (NetworkWidgetsPage*) self, 0);
#line 133 "../src/Views/WifiPage.vala"
	_tmp60_ = self->wifi_device;
#line 133 "../src/Views/WifiPage.vala"
	g_signal_connect_object ((GObject*) _tmp60_, "notify::active-access-point", (GCallback) _network_widgets_page_update_g_object_notify, (NetworkWidgetsPage*) self, 0);
#line 134 "../src/Views/WifiPage.vala"
	_tmp61_ = self->wifi_device;
#line 134 "../src/Views/WifiPage.vala"
	g_signal_connect_object (_tmp61_, "access-point-added", (GCallback) _network_wifi_interface_access_point_added_cb_nm_device_wifi_access_point_added, self, 0);
#line 135 "../src/Views/WifiPage.vala"
	_tmp62_ = self->wifi_device;
#line 135 "../src/Views/WifiPage.vala"
	g_signal_connect_object (_tmp62_, "access-point-removed", (GCallback) _network_wifi_interface_access_point_removed_cb_nm_device_wifi_access_point_removed, self, 0);
#line 136 "../src/Views/WifiPage.vala"
	_tmp63_ = self->wifi_device;
#line 136 "../src/Views/WifiPage.vala"
	g_signal_connect_object ((NMDevice*) _tmp63_, "state-changed", (GCallback) _network_widgets_page_update_nm_device_state_changed, (NetworkWidgetsPage*) self, 0);
#line 138 "../src/Views/WifiPage.vala"
	_tmp64_ = self->wifi_device;
#line 138 "../src/Views/WifiPage.vala"
	_tmp65_ = nm_device_wifi_get_access_points (_tmp64_);
#line 138 "../src/Views/WifiPage.vala"
	_tmp66_ = _g_ptr_array_ref0 (_tmp65_);
#line 138 "../src/Views/WifiPage.vala"
	aps = _tmp66_;
#line 139 "../src/Views/WifiPage.vala"
	_tmp68_ = aps;
#line 139 "../src/Views/WifiPage.vala"
	if (_tmp68_ != NULL) {
#line 4097 "WifiPage.c"
		GPtrArray* _tmp69_;
		gint _tmp70_;
		gint _tmp71_;
#line 139 "../src/Views/WifiPage.vala"
		_tmp69_ = aps;
#line 139 "../src/Views/WifiPage.vala"
		_tmp70_ = vala_g_ptr_array_get_length (_tmp69_);
#line 139 "../src/Views/WifiPage.vala"
		_tmp71_ = _tmp70_;
#line 139 "../src/Views/WifiPage.vala"
		_tmp67_ = _tmp71_ > 0;
#line 4109 "WifiPage.c"
	} else {
#line 139 "../src/Views/WifiPage.vala"
		_tmp67_ = FALSE;
#line 4113 "WifiPage.c"
	}
#line 139 "../src/Views/WifiPage.vala"
	if (_tmp67_) {
#line 4117 "WifiPage.c"
		GPtrArray* _tmp72_;
#line 140 "../src/Views/WifiPage.vala"
		_tmp72_ = aps;
#line 140 "../src/Views/WifiPage.vala"
		g_ptr_array_foreach (_tmp72_, _network_wifi_interface_access_point_added_cb_gfunc, self);
#line 4123 "WifiPage.c"
	}
#line 143 "../src/Views/WifiPage.vala"
	_tmp73_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 0);
#line 143 "../src/Views/WifiPage.vala"
	g_object_ref_sink (_tmp73_);
#line 143 "../src/Views/WifiPage.vala"
	content_box = _tmp73_;
#line 144 "../src/Views/WifiPage.vala"
	_tmp74_ = content_box;
#line 144 "../src/Views/WifiPage.vala"
	_tmp75_ = self->top_revealer;
#line 144 "../src/Views/WifiPage.vala"
	gtk_box_append (_tmp74_, (GtkWidget*) _tmp75_);
#line 145 "../src/Views/WifiPage.vala"
	_tmp76_ = content_box;
#line 145 "../src/Views/WifiPage.vala"
	_tmp77_ = main_frame;
#line 145 "../src/Views/WifiPage.vala"
	gtk_box_append (_tmp76_, (GtkWidget*) _tmp77_);
#line 147 "../src/Views/WifiPage.vala"
	_tmp78_ = content_box;
#line 147 "../src/Views/WifiPage.vala"
	switchboard_settings_page_set_child ((SwitchboardSettingsPage*) self, (GtkWidget*) _tmp78_);
#line 149 "../src/Views/WifiPage.vala"
	network_widgets_page_update ((NetworkWidgetsPage*) self);
#line 37 "../src/Views/WifiPage.vala"
	_g_object_unref0 (content_box);
#line 37 "../src/Views/WifiPage.vala"
	_g_ptr_array_unref0 (aps);
#line 37 "../src/Views/WifiPage.vala"
	_g_object_unref0 (scanning_box);
#line 37 "../src/Views/WifiPage.vala"
	_g_object_unref0 (scanning);
#line 37 "../src/Views/WifiPage.vala"
	_g_object_unref0 (spinner);
#line 37 "../src/Views/WifiPage.vala"
	_g_object_unref0 (wireless_off_alert);
#line 37 "../src/Views/WifiPage.vala"
	_g_object_unref0 (no_aps_alert);
#line 37 "../src/Views/WifiPage.vala"
	_g_object_unref0 (settings_button);
#line 37 "../src/Views/WifiPage.vala"
	_g_object_unref0 (main_frame);
#line 37 "../src/Views/WifiPage.vala"
	_g_object_unref0 (hotspot_mode_alert);
#line 37 "../src/Views/WifiPage.vala"
	return obj;
#line 4171 "WifiPage.c"
}

static void
network_wifi_interface_class_init (NetworkWifiInterfaceClass * klass,
                                   gpointer klass_data)
{
#line 7 "../src/Views/WifiPage.vala"
	network_wifi_interface_parent_class = g_type_class_peek_parent (klass);
#line 7 "../src/Views/WifiPage.vala"
	g_type_class_adjust_private_offset (klass, &NetworkWifiInterface_private_offset);
#line 7 "../src/Views/WifiPage.vala"
	((NetworkWidgetsPageClass *) klass)->update_name = (void (*) (NetworkWidgetsPage*, gint)) network_wifi_interface_real_update_name;
#line 7 "../src/Views/WifiPage.vala"
	((NetworkWidgetsPageClass *) klass)->update = (void (*) (NetworkWidgetsPage*)) network_wifi_interface_real_update;
#line 7 "../src/Views/WifiPage.vala"
	((NetworkWidgetsPageClass *) klass)->update_status = (void (*) (NetworkWidgetsPage*)) network_wifi_interface_real_update_status;
#line 7 "../src/Views/WifiPage.vala"
	((NetworkWidgetsPageClass *) klass)->update_switch = (void (*) (NetworkWidgetsPage*)) network_wifi_interface_real_update_switch;
#line 7 "../src/Views/WifiPage.vala"
	((NetworkWidgetsPageClass *) klass)->control_switch_activated = (void (*) (NetworkWidgetsPage*)) network_wifi_interface_real_control_switch_activated;
#line 7 "../src/Views/WifiPage.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_network_wifi_interface_get_property;
#line 7 "../src/Views/WifiPage.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_network_wifi_interface_set_property;
#line 7 "../src/Views/WifiPage.vala"
	G_OBJECT_CLASS (klass)->constructor = network_wifi_interface_constructor;
#line 7 "../src/Views/WifiPage.vala"
	G_OBJECT_CLASS (klass)->finalize = network_wifi_interface_finalize;
#line 4200 "WifiPage.c"
}

static void
network_wifi_interface_instance_init (NetworkWifiInterface * self,
                                      gpointer klass)
{
#line 7 "../src/Views/WifiPage.vala"
	self->priv = network_wifi_interface_get_instance_private (self);
#line 21 "../src/Views/WifiPage.vala"
	self->priv->timeout_scan = (guint) 0;
#line 4211 "WifiPage.c"
}

static void
network_wifi_interface_finalize (GObject * obj)
{
	NetworkWifiInterface * self;
#line 7 "../src/Views/WifiPage.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NETWORK_TYPE_WIFI_INTERFACE, NetworkWifiInterface);
#line 8 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->priv->rfkill);
#line 9 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->wifi_device);
#line 10 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->priv->active_ap);
#line 12 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->priv->wifi_list);
#line 14 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->priv->_active_wifi_item);
#line 15 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->priv->placeholder);
#line 23 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->connected_frame);
#line 24 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->list_stack);
#line 25 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->scrolled);
#line 26 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->hotspot_mode_alert);
#line 27 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->top_revealer);
#line 28 "../src/Views/WifiPage.vala"
	_g_object_unref0 (self->hidden_btn);
#line 7 "../src/Views/WifiPage.vala"
	G_OBJECT_CLASS (network_wifi_interface_parent_class)->finalize (obj);
#line 4246 "WifiPage.c"
}

static GType
network_wifi_interface_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (NetworkWifiInterfaceClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) network_wifi_interface_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NetworkWifiInterface), 0, (GInstanceInitFunc) network_wifi_interface_instance_init, NULL };
	GType network_wifi_interface_type_id;
	network_wifi_interface_type_id = g_type_register_static (NETWORK_WIDGETS_TYPE_PAGE, "NetworkWifiInterface", &g_define_type_info, 0);
	NetworkWifiInterface_private_offset = g_type_add_instance_private (network_wifi_interface_type_id, sizeof (NetworkWifiInterfacePrivate));
	return network_wifi_interface_type_id;
}

GType
network_wifi_interface_get_type (void)
{
	static volatile gsize network_wifi_interface_type_id__once = 0;
	if (g_once_init_enter (&network_wifi_interface_type_id__once)) {
		GType network_wifi_interface_type_id;
		network_wifi_interface_type_id = network_wifi_interface_get_type_once ();
		g_once_init_leave (&network_wifi_interface_type_id__once, network_wifi_interface_type_id);
	}
	return network_wifi_interface_type_id__once;
}

static void
_vala_network_wifi_interface_get_property (GObject * object,
                                           guint property_id,
                                           GValue * value,
                                           GParamSpec * pspec)
{
	NetworkWifiInterface * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NETWORK_TYPE_WIFI_INTERFACE, NetworkWifiInterface);
#line 7 "../src/Views/WifiPage.vala"
	switch (property_id) {
#line 4281 "WifiPage.c"
		default:
#line 7 "../src/Views/WifiPage.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 7 "../src/Views/WifiPage.vala"
		break;
#line 4287 "WifiPage.c"
	}
}

static void
_vala_network_wifi_interface_set_property (GObject * object,
                                           guint property_id,
                                           const GValue * value,
                                           GParamSpec * pspec)
{
	NetworkWifiInterface * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NETWORK_TYPE_WIFI_INTERFACE, NetworkWifiInterface);
#line 7 "../src/Views/WifiPage.vala"
	switch (property_id) {
#line 4301 "WifiPage.c"
		default:
#line 7 "../src/Views/WifiPage.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 7 "../src/Views/WifiPage.vala"
		break;
#line 4307 "WifiPage.c"
	}
}

