/* Page.c generated by valac 0.56.18, the Vala compiler
 * generated from Page.vala, do not modify */

/*
 * Copyright 2015-2019 elementary, Inc. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Adam Bieńkowski <donadigos159@gmail.com>
 *              xapantu
 */

#include "network.h"
#include <NetworkManager.h>
#include <glib.h>
#include <stdlib.h>
#include <string.h>
#include <switchboard.h>
#include <glib/gi18n-lib.h>
#include <gtk/gtk.h>
#include <granite-7.h>
#include <gio/gio.h>
#include <glib/gstdio.h>
#include <glib-object.h>

#define NETWORK_UNKNOWN_STR _ ("Unknown")
#if !defined(VALA_STRICT_C)
#if !defined(__clang__) && defined(__GNUC__) && (__GNUC__ >= 14)
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#elif defined(__clang__) && (__clang_major__ >= 16)
#pragma clang diagnostic ignored "-Wincompatible-function-pointer-types"
#pragma clang diagnostic ignored "-Wincompatible-pointer-types"
#endif
#endif

enum  {
	NETWORK_WIDGETS_PAGE_0_PROPERTY,
	NETWORK_WIDGETS_PAGE_STATE_PROPERTY,
	NETWORK_WIDGETS_PAGE_DEVICE_PROPERTY,
	NETWORK_WIDGETS_PAGE_CONNECTION_EDITOR_AVAILABLE_PROPERTY,
	NETWORK_WIDGETS_PAGE_NUM_PROPERTIES
};
static GParamSpec* network_widgets_page_properties[NETWORK_WIDGETS_PAGE_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_ptr_array_unref0(var) ((var == NULL) ? NULL : (var = (g_ptr_array_unref (var), NULL)))

struct _NetworkWidgetsPagePrivate {
	NMDeviceState _state;
	NMDevice* _device;
	gboolean _connection_editor_available;
	gboolean switch_updating;
};

static gint NetworkWidgetsPage_private_offset;
static gpointer network_widgets_page_parent_class = NULL;

static void network_widgets_page_real_update_status (NetworkWidgetsPage* self);
static void network_widgets_page_real_update (NetworkWidgetsPage* self);
static void network_widgets_page_real_update_name (NetworkWidgetsPage* self,
                                            gint count);
static void network_widgets_page_real_update_switch (NetworkWidgetsPage* self);
static void network_widgets_page_real_control_switch_activated (NetworkWidgetsPage* self);
static void _gtk_window_destroy_gtk_dialog_response (GtkDialog* _sender,
                                              gint response_id,
                                              gpointer self);
static void network_widgets_page_get_uuid (NetworkWidgetsPage* self);
static void network_widgets_page_set_connection_editor_available (NetworkWidgetsPage* self,
                                                           gboolean value);
static GObject * network_widgets_page_constructor (GType type,
                                            guint n_construct_properties,
                                            GObjectConstructParam * construct_properties);
static void _network_widgets_page_control_switch_activated_g_object_notify (GObject* _sender,
                                                                     GParamSpec* pspec,
                                                                     gpointer self);
static void _network_widgets_page_update_network_widgets_info_box_info_changed (NetworkWidgetsInfoBox* _sender,
                                                                         gpointer self);
static void _network_widgets_page____lambda9_ (NetworkWidgetsPage* self);
static void __network_widgets_page____lambda9__nm_device_state_changed (NMDevice* _sender,
                                                                 guint new_state,
                                                                 guint old_state,
                                                                 guint reason,
                                                                 gpointer self);
static void network_widgets_page_finalize (GObject * obj);
static GType network_widgets_page_get_type_once (void);
static void _vala_network_widgets_page_get_property (GObject * object,
                                              guint property_id,
                                              GValue * value,
                                              GParamSpec * pspec);
static void _vala_network_widgets_page_set_property (GObject * object,
                                              guint property_id,
                                              const GValue * value,
                                              GParamSpec * pspec);

static inline gpointer
network_widgets_page_get_instance_private (NetworkWidgetsPage* self)
{
	return G_STRUCT_MEMBER_P (self, NetworkWidgetsPage_private_offset);
}

static void
network_widgets_page_real_update_status (NetworkWidgetsPage* self)
{
	NMDevice* _tmp0_;
	NMDeviceState _tmp1_;
	NMDeviceState _tmp2_;
	NMDevice* _tmp3_;
	NMDeviceState _tmp4_;
	NMDeviceState _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
#line 62 "../src/Widgets/Page.vala"
	_tmp0_ = self->priv->_device;
#line 62 "../src/Widgets/Page.vala"
	_tmp1_ = nm_device_get_state (_tmp0_);
#line 62 "../src/Widgets/Page.vala"
	_tmp2_ = _tmp1_;
#line 62 "../src/Widgets/Page.vala"
	switch (_tmp2_) {
#line 62 "../src/Widgets/Page.vala"
		case NM_DEVICE_STATE_ACTIVATED:
#line 135 "Page.c"
		{
#line 64 "../src/Widgets/Page.vala"
			switchboard_settings_page_set_status_type ((SwitchboardSettingsPage*) self, SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_SUCCESS);
#line 65 "../src/Widgets/Page.vala"
			break;
#line 141 "Page.c"
		}
#line 62 "../src/Widgets/Page.vala"
		case NM_DEVICE_STATE_DISCONNECTED:
#line 145 "Page.c"
		{
#line 67 "../src/Widgets/Page.vala"
			switchboard_settings_page_set_status_type ((SwitchboardSettingsPage*) self, SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_OFFLINE);
#line 68 "../src/Widgets/Page.vala"
			break;
#line 151 "Page.c"
		}
#line 62 "../src/Widgets/Page.vala"
		case NM_DEVICE_STATE_FAILED:
#line 155 "Page.c"
		{
#line 70 "../src/Widgets/Page.vala"
			switchboard_settings_page_set_status_type ((SwitchboardSettingsPage*) self, SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_ERROR);
#line 71 "../src/Widgets/Page.vala"
			break;
#line 161 "Page.c"
		}
		default:
		{
#line 73 "../src/Widgets/Page.vala"
			switchboard_settings_page_set_status_type ((SwitchboardSettingsPage*) self, SWITCHBOARD_SETTINGS_PAGE_STATUS_TYPE_WARNING);
#line 74 "../src/Widgets/Page.vala"
			break;
#line 169 "Page.c"
		}
	}
#line 77 "../src/Widgets/Page.vala"
	_tmp3_ = self->priv->_device;
#line 77 "../src/Widgets/Page.vala"
	_tmp4_ = nm_device_get_state (_tmp3_);
#line 77 "../src/Widgets/Page.vala"
	_tmp5_ = _tmp4_;
#line 77 "../src/Widgets/Page.vala"
	_tmp6_ = network_utils_state_to_string (_tmp5_);
#line 77 "../src/Widgets/Page.vala"
	_tmp7_ = _tmp6_;
#line 77 "../src/Widgets/Page.vala"
	switchboard_settings_page_set_status ((SwitchboardSettingsPage*) self, _tmp7_);
#line 77 "../src/Widgets/Page.vala"
	_g_free0 (_tmp7_);
#line 186 "Page.c"
}

void
network_widgets_page_update_status (NetworkWidgetsPage* self)
{
	NetworkWidgetsPageClass* _klass_;
#line 61 "../src/Widgets/Page.vala"
	g_return_if_fail (self != NULL);
#line 61 "../src/Widgets/Page.vala"
	_klass_ = NETWORK_WIDGETS_PAGE_GET_CLASS (self);
#line 61 "../src/Widgets/Page.vala"
	if (_klass_->update_status) {
#line 61 "../src/Widgets/Page.vala"
		_klass_->update_status (self);
#line 201 "Page.c"
	}
}

static void
network_widgets_page_real_update (NetworkWidgetsPage* self)
{
	NetworkWidgetsInfoBox* _tmp0_;
#line 81 "../src/Widgets/Page.vala"
	_tmp0_ = self->info_box;
#line 81 "../src/Widgets/Page.vala"
	if (_tmp0_ != NULL) {
#line 213 "Page.c"
		gchar* sent_bytes = NULL;
		gchar* received_bytes = NULL;
		gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		NetworkWidgetsInfoBox* _tmp3_;
		const gchar* _tmp4_;
		const gchar* _tmp5_;
#line 83 "../src/Widgets/Page.vala"
		network_widgets_page_get_activity_information (self, &_tmp1_, &_tmp2_);
#line 83 "../src/Widgets/Page.vala"
		_g_free0 (sent_bytes);
#line 83 "../src/Widgets/Page.vala"
		sent_bytes = _tmp1_;
#line 83 "../src/Widgets/Page.vala"
		_g_free0 (received_bytes);
#line 83 "../src/Widgets/Page.vala"
		received_bytes = _tmp2_;
#line 84 "../src/Widgets/Page.vala"
		_tmp3_ = self->info_box;
#line 84 "../src/Widgets/Page.vala"
		_tmp4_ = sent_bytes;
#line 84 "../src/Widgets/Page.vala"
		_tmp5_ = received_bytes;
#line 84 "../src/Widgets/Page.vala"
		network_widgets_info_box_update_activity (_tmp3_, _tmp4_, _tmp5_);
#line 81 "../src/Widgets/Page.vala"
		_g_free0 (received_bytes);
#line 81 "../src/Widgets/Page.vala"
		_g_free0 (sent_bytes);
#line 243 "Page.c"
	}
#line 87 "../src/Widgets/Page.vala"
	network_widgets_page_update_switch (self);
#line 247 "Page.c"
}

void
network_widgets_page_update (NetworkWidgetsPage* self)
{
	NetworkWidgetsPageClass* _klass_;
#line 80 "../src/Widgets/Page.vala"
	g_return_if_fail (self != NULL);
#line 80 "../src/Widgets/Page.vala"
	_klass_ = NETWORK_WIDGETS_PAGE_GET_CLASS (self);
#line 80 "../src/Widgets/Page.vala"
	if (_klass_->update) {
#line 80 "../src/Widgets/Page.vala"
		_klass_->update (self);
#line 262 "Page.c"
	}
}

static void
network_widgets_page_real_update_name (NetworkWidgetsPage* self,
                                       gint count)
{
	NMDevice* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
#line 91 "../src/Widgets/Page.vala"
	_tmp0_ = self->priv->_device;
#line 91 "../src/Widgets/Page.vala"
	_tmp1_ = nm_device_get_description (_tmp0_);
#line 91 "../src/Widgets/Page.vala"
	_tmp2_ = g_strdup_printf (_ ("Unknown type: %s "), _tmp1_);
#line 91 "../src/Widgets/Page.vala"
	_tmp3_ = _tmp2_;
#line 91 "../src/Widgets/Page.vala"
	switchboard_settings_page_set_title ((SwitchboardSettingsPage*) self, _tmp3_);
#line 91 "../src/Widgets/Page.vala"
	_g_free0 (_tmp3_);
#line 286 "Page.c"
}

void
network_widgets_page_update_name (NetworkWidgetsPage* self,
                                  gint count)
{
	NetworkWidgetsPageClass* _klass_;
#line 90 "../src/Widgets/Page.vala"
	g_return_if_fail (self != NULL);
#line 90 "../src/Widgets/Page.vala"
	_klass_ = NETWORK_WIDGETS_PAGE_GET_CLASS (self);
#line 90 "../src/Widgets/Page.vala"
	if (_klass_->update_name) {
#line 90 "../src/Widgets/Page.vala"
		_klass_->update_name (self, count);
#line 302 "Page.c"
	}
}

static void
network_widgets_page_real_update_switch (NetworkWidgetsPage* self)
{
	gboolean _tmp0_;
	gboolean _tmp1_;
	NMDevice* _tmp2_;
	NMDeviceState _tmp3_;
	NMDeviceState _tmp4_;
#line 95 "../src/Widgets/Page.vala"
	_tmp0_ = switchboard_settings_page_get_activatable ((SwitchboardSettingsPage*) self);
#line 95 "../src/Widgets/Page.vala"
	_tmp1_ = _tmp0_;
#line 95 "../src/Widgets/Page.vala"
	if (!_tmp1_) {
#line 96 "../src/Widgets/Page.vala"
		return;
#line 322 "Page.c"
	}
#line 98 "../src/Widgets/Page.vala"
	self->priv->switch_updating = TRUE;
#line 99 "../src/Widgets/Page.vala"
	_tmp2_ = self->priv->_device;
#line 99 "../src/Widgets/Page.vala"
	_tmp3_ = nm_device_get_state (_tmp2_);
#line 99 "../src/Widgets/Page.vala"
	_tmp4_ = _tmp3_;
#line 99 "../src/Widgets/Page.vala"
	switch (_tmp4_) {
#line 99 "../src/Widgets/Page.vala"
		case NM_DEVICE_STATE_UNKNOWN:
#line 99 "../src/Widgets/Page.vala"
		case NM_DEVICE_STATE_UNMANAGED:
#line 99 "../src/Widgets/Page.vala"
		case NM_DEVICE_STATE_UNAVAILABLE:
#line 99 "../src/Widgets/Page.vala"
		case NM_DEVICE_STATE_FAILED:
#line 342 "Page.c"
		{
			GtkSwitch* _tmp5_;
			GtkSwitch* _tmp6_;
			GtkSwitch* _tmp7_;
			GtkSwitch* _tmp8_;
#line 104 "../src/Widgets/Page.vala"
			_tmp5_ = switchboard_settings_page_get_status_switch ((SwitchboardSettingsPage*) self);
#line 104 "../src/Widgets/Page.vala"
			_tmp6_ = _tmp5_;
#line 104 "../src/Widgets/Page.vala"
			gtk_widget_set_sensitive ((GtkWidget*) _tmp6_, FALSE);
#line 105 "../src/Widgets/Page.vala"
			_tmp7_ = switchboard_settings_page_get_status_switch ((SwitchboardSettingsPage*) self);
#line 105 "../src/Widgets/Page.vala"
			_tmp8_ = _tmp7_;
#line 105 "../src/Widgets/Page.vala"
			gtk_switch_set_active (_tmp8_, FALSE);
#line 106 "../src/Widgets/Page.vala"
			break;
#line 362 "Page.c"
		}
#line 99 "../src/Widgets/Page.vala"
		case NM_DEVICE_STATE_DISCONNECTED:
#line 99 "../src/Widgets/Page.vala"
		case NM_DEVICE_STATE_DEACTIVATING:
#line 368 "Page.c"
		{
			GtkSwitch* _tmp9_;
			GtkSwitch* _tmp10_;
			GtkSwitch* _tmp11_;
			GtkSwitch* _tmp12_;
#line 109 "../src/Widgets/Page.vala"
			_tmp9_ = switchboard_settings_page_get_status_switch ((SwitchboardSettingsPage*) self);
#line 109 "../src/Widgets/Page.vala"
			_tmp10_ = _tmp9_;
#line 109 "../src/Widgets/Page.vala"
			gtk_widget_set_sensitive ((GtkWidget*) _tmp10_, TRUE);
#line 110 "../src/Widgets/Page.vala"
			_tmp11_ = switchboard_settings_page_get_status_switch ((SwitchboardSettingsPage*) self);
#line 110 "../src/Widgets/Page.vala"
			_tmp12_ = _tmp11_;
#line 110 "../src/Widgets/Page.vala"
			gtk_switch_set_active (_tmp12_, FALSE);
#line 111 "../src/Widgets/Page.vala"
			self->priv->switch_updating = FALSE;
#line 112 "../src/Widgets/Page.vala"
			break;
#line 390 "Page.c"
		}
#line 99 "../src/Widgets/Page.vala"
		case NM_DEVICE_STATE_PREPARE:
#line 99 "../src/Widgets/Page.vala"
		case NM_DEVICE_STATE_CONFIG:
#line 99 "../src/Widgets/Page.vala"
		case NM_DEVICE_STATE_NEED_AUTH:
#line 99 "../src/Widgets/Page.vala"
		case NM_DEVICE_STATE_IP_CONFIG:
#line 99 "../src/Widgets/Page.vala"
		case NM_DEVICE_STATE_IP_CHECK:
#line 99 "../src/Widgets/Page.vala"
		case NM_DEVICE_STATE_SECONDARIES:
#line 404 "Page.c"
		{
			GtkSwitch* _tmp13_;
			GtkSwitch* _tmp14_;
			GtkSwitch* _tmp15_;
			GtkSwitch* _tmp16_;
#line 119 "../src/Widgets/Page.vala"
			_tmp13_ = switchboard_settings_page_get_status_switch ((SwitchboardSettingsPage*) self);
#line 119 "../src/Widgets/Page.vala"
			_tmp14_ = _tmp13_;
#line 119 "../src/Widgets/Page.vala"
			gtk_widget_set_sensitive ((GtkWidget*) _tmp14_, FALSE);
#line 120 "../src/Widgets/Page.vala"
			_tmp15_ = switchboard_settings_page_get_status_switch ((SwitchboardSettingsPage*) self);
#line 120 "../src/Widgets/Page.vala"
			_tmp16_ = _tmp15_;
#line 120 "../src/Widgets/Page.vala"
			gtk_switch_set_active (_tmp16_, TRUE);
#line 121 "../src/Widgets/Page.vala"
			break;
#line 424 "Page.c"
		}
#line 99 "../src/Widgets/Page.vala"
		case NM_DEVICE_STATE_ACTIVATED:
#line 428 "Page.c"
		{
			GtkSwitch* _tmp17_;
			GtkSwitch* _tmp18_;
			GtkSwitch* _tmp19_;
			GtkSwitch* _tmp20_;
#line 123 "../src/Widgets/Page.vala"
			_tmp17_ = switchboard_settings_page_get_status_switch ((SwitchboardSettingsPage*) self);
#line 123 "../src/Widgets/Page.vala"
			_tmp18_ = _tmp17_;
#line 123 "../src/Widgets/Page.vala"
			gtk_widget_set_sensitive ((GtkWidget*) _tmp18_, TRUE);
#line 124 "../src/Widgets/Page.vala"
			_tmp19_ = switchboard_settings_page_get_status_switch ((SwitchboardSettingsPage*) self);
#line 124 "../src/Widgets/Page.vala"
			_tmp20_ = _tmp19_;
#line 124 "../src/Widgets/Page.vala"
			gtk_switch_set_active (_tmp20_, TRUE);
#line 125 "../src/Widgets/Page.vala"
			self->priv->switch_updating = FALSE;
#line 126 "../src/Widgets/Page.vala"
			break;
#line 450 "Page.c"
		}
		default:
		{
#line 128 "../src/Widgets/Page.vala"
			break;
#line 456 "Page.c"
		}
	}
}

void
network_widgets_page_update_switch (NetworkWidgetsPage* self)
{
	NetworkWidgetsPageClass* _klass_;
#line 94 "../src/Widgets/Page.vala"
	g_return_if_fail (self != NULL);
#line 94 "../src/Widgets/Page.vala"
	_klass_ = NETWORK_WIDGETS_PAGE_GET_CLASS (self);
#line 94 "../src/Widgets/Page.vala"
	if (_klass_->update_switch) {
#line 94 "../src/Widgets/Page.vala"
		_klass_->update_switch (self);
#line 473 "Page.c"
	}
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 143 "../src/Widgets/Page.vala"
	return self ? g_object_ref (self) : NULL;
#line 482 "Page.c"
}

static void
_gtk_window_destroy_gtk_dialog_response (GtkDialog* _sender,
                                         gint response_id,
                                         gpointer self)
{
#line 154 "../src/Widgets/Page.vala"
	gtk_window_destroy ((GtkWindow*) self);
#line 492 "Page.c"
}

static gpointer
_g_ptr_array_ref0 (gpointer self)
{
#line 158 "../src/Widgets/Page.vala"
	return self ? g_ptr_array_ref (self) : NULL;
#line 500 "Page.c"
}

static gint
vala_g_ptr_array_get_length (GPtrArray* self)
{
	gint result;
#line 5954 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, 0);
#line 5955 "glib-2.0.vapi"
	result = (gint) self->len;
#line 5955 "glib-2.0.vapi"
	return result;
#line 513 "Page.c"
}

static void
network_widgets_page_real_control_switch_activated (NetworkWidgetsPage* self)
{
	gboolean _tmp0_ = FALSE;
	GtkSwitch* _tmp1_;
	GtkSwitch* _tmp2_;
	gboolean _tmp3_;
	gboolean _tmp4_;
	GError* _inner_error0_ = NULL;
#line 133 "../src/Widgets/Page.vala"
	if (self->priv->switch_updating) {
#line 134 "../src/Widgets/Page.vala"
		return;
#line 529 "Page.c"
	}
#line 137 "../src/Widgets/Page.vala"
	_tmp1_ = switchboard_settings_page_get_status_switch ((SwitchboardSettingsPage*) self);
#line 137 "../src/Widgets/Page.vala"
	_tmp2_ = _tmp1_;
#line 137 "../src/Widgets/Page.vala"
	_tmp3_ = gtk_switch_get_active (_tmp2_);
#line 137 "../src/Widgets/Page.vala"
	_tmp4_ = _tmp3_;
#line 137 "../src/Widgets/Page.vala"
	if (!_tmp4_) {
#line 541 "Page.c"
		NMDevice* _tmp5_;
#line 137 "../src/Widgets/Page.vala"
		_tmp5_ = self->priv->_device;
#line 137 "../src/Widgets/Page.vala"
		_tmp0_ = nm_device_get_state (_tmp5_) == NM_DEVICE_STATE_ACTIVATED;
#line 547 "Page.c"
	} else {
#line 137 "../src/Widgets/Page.vala"
		_tmp0_ = FALSE;
#line 551 "Page.c"
	}
#line 137 "../src/Widgets/Page.vala"
	if (_tmp0_) {
#line 555 "Page.c"
		{
			NMDevice* _tmp6_;
#line 139 "../src/Widgets/Page.vala"
			_tmp6_ = self->priv->_device;
#line 139 "../src/Widgets/Page.vala"
			nm_device_disconnect (_tmp6_, NULL, &_inner_error0_);
#line 139 "../src/Widgets/Page.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 564 "Page.c"
				goto __catch0_g_error;
			}
		}
		goto __finally0;
		__catch0_g_error:
		{
			GError* e = NULL;
			GtkSwitch* _tmp7_;
			GtkSwitch* _tmp8_;
			GraniteMessageDialog* message_dialog = NULL;
			GtkRoot* _tmp9_;
			GtkWindow* _tmp10_;
			GraniteMessageDialog* _tmp11_ = NULL;
			GraniteMessageDialog* _tmp12_;
			GError* _tmp13_;
			const gchar* _tmp14_;
			GraniteMessageDialog* _tmp15_;
			GraniteMessageDialog* _tmp16_;
			GraniteMessageDialog* _tmp17_;
#line 138 "../src/Widgets/Page.vala"
			e = _inner_error0_;
#line 138 "../src/Widgets/Page.vala"
			_inner_error0_ = NULL;
#line 141 "../src/Widgets/Page.vala"
			_tmp7_ = switchboard_settings_page_get_status_switch ((SwitchboardSettingsPage*) self);
#line 141 "../src/Widgets/Page.vala"
			_tmp8_ = _tmp7_;
#line 141 "../src/Widgets/Page.vala"
			gtk_switch_set_active (_tmp8_, TRUE);
#line 143 "../src/Widgets/Page.vala"
			_tmp9_ = gtk_widget_get_root ((GtkWidget*) self);
#line 143 "../src/Widgets/Page.vala"
			_tmp10_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp9_, gtk_window_get_type (), GtkWindow));
#line 143 "../src/Widgets/Page.vala"
			_tmp11_ = granite_message_dialog_new_with_image_from_icon_name (_ ("Failed To Disconnect"), _ ("Unable to disconnect from the currently connected network"), "network-error", GTK_BUTTONS_CLOSE);
#line 143 "../src/Widgets/Page.vala"
			gtk_window_set_modal ((GtkWindow*) _tmp11_, TRUE);
#line 143 "../src/Widgets/Page.vala"
			gtk_window_set_transient_for ((GtkWindow*) _tmp11_, _tmp10_);
#line 143 "../src/Widgets/Page.vala"
			_g_object_unref0 (_tmp10_);
#line 143 "../src/Widgets/Page.vala"
			g_object_ref_sink (_tmp11_);
#line 143 "../src/Widgets/Page.vala"
			message_dialog = _tmp11_;
#line 152 "../src/Widgets/Page.vala"
			_tmp12_ = message_dialog;
#line 152 "../src/Widgets/Page.vala"
			_tmp13_ = e;
#line 152 "../src/Widgets/Page.vala"
			_tmp14_ = _tmp13_->message;
#line 152 "../src/Widgets/Page.vala"
			granite_message_dialog_show_error_details (_tmp12_, _tmp14_);
#line 153 "../src/Widgets/Page.vala"
			_tmp15_ = message_dialog;
#line 153 "../src/Widgets/Page.vala"
			gtk_window_present ((GtkWindow*) _tmp15_);
#line 154 "../src/Widgets/Page.vala"
			_tmp16_ = message_dialog;
#line 154 "../src/Widgets/Page.vala"
			_tmp17_ = message_dialog;
#line 154 "../src/Widgets/Page.vala"
			g_signal_connect_object ((GtkDialog*) _tmp16_, "response", (GCallback) _gtk_window_destroy_gtk_dialog_response, (GtkWindow*) _tmp17_, 0);
#line 138 "../src/Widgets/Page.vala"
			_g_object_unref0 (message_dialog);
#line 138 "../src/Widgets/Page.vala"
			_g_error_free0 (e);
#line 632 "Page.c"
		}
		__finally0:
#line 138 "../src/Widgets/Page.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 138 "../src/Widgets/Page.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 138 "../src/Widgets/Page.vala"
			g_clear_error (&_inner_error0_);
#line 138 "../src/Widgets/Page.vala"
			return;
#line 643 "Page.c"
		}
	} else {
		gboolean _tmp18_ = FALSE;
		GtkSwitch* _tmp19_;
		GtkSwitch* _tmp20_;
		gboolean _tmp21_;
		gboolean _tmp22_;
#line 156 "../src/Widgets/Page.vala"
		_tmp19_ = switchboard_settings_page_get_status_switch ((SwitchboardSettingsPage*) self);
#line 156 "../src/Widgets/Page.vala"
		_tmp20_ = _tmp19_;
#line 156 "../src/Widgets/Page.vala"
		_tmp21_ = gtk_switch_get_active (_tmp20_);
#line 156 "../src/Widgets/Page.vala"
		_tmp22_ = _tmp21_;
#line 156 "../src/Widgets/Page.vala"
		if (_tmp22_) {
#line 661 "Page.c"
			NMDevice* _tmp23_;
#line 156 "../src/Widgets/Page.vala"
			_tmp23_ = self->priv->_device;
#line 156 "../src/Widgets/Page.vala"
			_tmp18_ = nm_device_get_state (_tmp23_) == NM_DEVICE_STATE_DISCONNECTED;
#line 667 "Page.c"
		} else {
#line 156 "../src/Widgets/Page.vala"
			_tmp18_ = FALSE;
#line 671 "Page.c"
		}
#line 156 "../src/Widgets/Page.vala"
		if (_tmp18_) {
#line 675 "Page.c"
			NMConnection* connection = NULL;
			NMConnection* _tmp24_;
			GPtrArray* remote_array = NULL;
			NMDevice* _tmp25_;
			GPtrArray* _tmp26_;
			GPtrArray* _tmp27_;
			gboolean _tmp28_ = FALSE;
			GPtrArray* _tmp29_;
#line 157 "../src/Widgets/Page.vala"
			_tmp24_ = nm_simple_connection_new ();
#line 157 "../src/Widgets/Page.vala"
			connection = _tmp24_;
#line 158 "../src/Widgets/Page.vala"
			_tmp25_ = self->priv->_device;
#line 158 "../src/Widgets/Page.vala"
			_tmp26_ = nm_device_get_available_connections (_tmp25_);
#line 158 "../src/Widgets/Page.vala"
			_tmp27_ = _g_ptr_array_ref0 (_tmp26_);
#line 158 "../src/Widgets/Page.vala"
			remote_array = _tmp27_;
#line 159 "../src/Widgets/Page.vala"
			_tmp29_ = remote_array;
#line 159 "../src/Widgets/Page.vala"
			if (_tmp29_ != NULL) {
#line 700 "Page.c"
				GPtrArray* _tmp30_;
				gint _tmp31_;
				gint _tmp32_;
#line 159 "../src/Widgets/Page.vala"
				_tmp30_ = remote_array;
#line 159 "../src/Widgets/Page.vala"
				_tmp31_ = vala_g_ptr_array_get_length (_tmp30_);
#line 159 "../src/Widgets/Page.vala"
				_tmp32_ = _tmp31_;
#line 159 "../src/Widgets/Page.vala"
				_tmp28_ = _tmp32_ > 0;
#line 712 "Page.c"
			} else {
#line 159 "../src/Widgets/Page.vala"
				_tmp28_ = FALSE;
#line 716 "Page.c"
			}
#line 159 "../src/Widgets/Page.vala"
			if (_tmp28_) {
#line 720 "Page.c"
				NMConnection* _tmp33_;
				GPtrArray* _tmp34_;
				gconstpointer _tmp35_;
				const gchar* _tmp36_;
				NetworkNetworkManager* network_manager = NULL;
				NetworkNetworkManager* _tmp37_;
				NetworkNetworkManager* _tmp38_;
				NMClient* _tmp39_;
				NMClient* _tmp40_;
				NMConnection* _tmp41_;
				NMDevice* _tmp42_;
#line 160 "../src/Widgets/Page.vala"
				_tmp33_ = connection;
#line 160 "../src/Widgets/Page.vala"
				_tmp34_ = remote_array;
#line 160 "../src/Widgets/Page.vala"
				_tmp35_ = g_ptr_array_index (_tmp34_, (guint) 0);
#line 160 "../src/Widgets/Page.vala"
				_tmp36_ = nm_connection_get_path ((NMConnection*) ((NMRemoteConnection*) _tmp35_));
#line 160 "../src/Widgets/Page.vala"
				nm_connection_set_path (_tmp33_, _tmp36_);
#line 161 "../src/Widgets/Page.vala"
				_tmp37_ = network_network_manager_get_default ();
#line 161 "../src/Widgets/Page.vala"
				network_manager = _tmp37_;
#line 162 "../src/Widgets/Page.vala"
				_tmp38_ = network_manager;
#line 162 "../src/Widgets/Page.vala"
				_tmp39_ = network_network_manager_get_client (_tmp38_);
#line 162 "../src/Widgets/Page.vala"
				_tmp40_ = _tmp39_;
#line 162 "../src/Widgets/Page.vala"
				_tmp41_ = connection;
#line 162 "../src/Widgets/Page.vala"
				_tmp42_ = self->priv->_device;
#line 162 "../src/Widgets/Page.vala"
				nm_client_activate_connection_async (_tmp40_, _tmp41_, _tmp42_, NULL, NULL, NULL, NULL);
#line 758 "Page.c"
			}
#line 156 "../src/Widgets/Page.vala"
			_g_ptr_array_unref0 (remote_array);
#line 156 "../src/Widgets/Page.vala"
			_g_object_unref0 (connection);
#line 764 "Page.c"
		}
	}
}

void
network_widgets_page_control_switch_activated (NetworkWidgetsPage* self)
{
	NetworkWidgetsPageClass* _klass_;
#line 132 "../src/Widgets/Page.vala"
	g_return_if_fail (self != NULL);
#line 132 "../src/Widgets/Page.vala"
	_klass_ = NETWORK_WIDGETS_PAGE_GET_CLASS (self);
#line 132 "../src/Widgets/Page.vala"
	if (_klass_->control_switch_activated) {
#line 132 "../src/Widgets/Page.vala"
		_klass_->control_switch_activated (self);
#line 781 "Page.c"
	}
}

static guint64
uint64_parse (const gchar* str,
              guint _base)
{
	guint64 result;
#line 839 "glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, 0ULL);
#line 840 "glib-2.0.vapi"
	result = g_ascii_strtoull (str, NULL, _base);
#line 840 "glib-2.0.vapi"
	return result;
#line 796 "Page.c"
}

void
network_widgets_page_get_activity_information (NetworkWidgetsPage* self,
                                               gchar** sent_bytes,
                                               gchar** received_bytes)
{
	gchar* _vala_sent_bytes = NULL;
	gchar* _vala_received_bytes = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* iface = NULL;
	NMDevice* _tmp2_;
	const gchar* _tmp3_;
	gchar* _tmp4_;
	const gchar* _tmp5_;
	gchar* tx_bytes_path = NULL;
	const gchar* _tmp6_;
	gchar* _tmp7_;
	gchar* rx_bytes_path = NULL;
	const gchar* _tmp8_;
	gchar* _tmp9_;
	gboolean _tmp10_ = FALSE;
	const gchar* _tmp11_;
	GFile* _tmp12_;
	GFile* _tmp13_;
	gboolean _tmp14_;
	GError* _inner_error0_ = NULL;
#line 167 "../src/Widgets/Page.vala"
	g_return_if_fail (self != NULL);
#line 168 "../src/Widgets/Page.vala"
	_tmp0_ = g_strdup (NETWORK_UNKNOWN_STR);
#line 168 "../src/Widgets/Page.vala"
	_g_free0 (_vala_sent_bytes);
#line 168 "../src/Widgets/Page.vala"
	_vala_sent_bytes = _tmp0_;
#line 169 "../src/Widgets/Page.vala"
	_tmp1_ = g_strdup (NETWORK_UNKNOWN_STR);
#line 169 "../src/Widgets/Page.vala"
	_g_free0 (_vala_received_bytes);
#line 169 "../src/Widgets/Page.vala"
	_vala_received_bytes = _tmp1_;
#line 171 "../src/Widgets/Page.vala"
	_tmp2_ = self->priv->_device;
#line 171 "../src/Widgets/Page.vala"
	_tmp3_ = nm_device_get_ip_iface (_tmp2_);
#line 171 "../src/Widgets/Page.vala"
	_tmp4_ = g_strdup (_tmp3_);
#line 171 "../src/Widgets/Page.vala"
	iface = _tmp4_;
#line 172 "../src/Widgets/Page.vala"
	_tmp5_ = iface;
#line 172 "../src/Widgets/Page.vala"
	if (_tmp5_ == NULL) {
#line 173 "../src/Widgets/Page.vala"
		_g_free0 (iface);
#line 173 "../src/Widgets/Page.vala"
		if (sent_bytes) {
#line 173 "../src/Widgets/Page.vala"
			*sent_bytes = _vala_sent_bytes;
#line 857 "Page.c"
		} else {
#line 173 "../src/Widgets/Page.vala"
			_g_free0 (_vala_sent_bytes);
#line 861 "Page.c"
		}
#line 173 "../src/Widgets/Page.vala"
		if (received_bytes) {
#line 173 "../src/Widgets/Page.vala"
			*received_bytes = _vala_received_bytes;
#line 867 "Page.c"
		} else {
#line 173 "../src/Widgets/Page.vala"
			_g_free0 (_vala_received_bytes);
#line 871 "Page.c"
		}
#line 173 "../src/Widgets/Page.vala"
		return;
#line 875 "Page.c"
	}
#line 175 "../src/Widgets/Page.vala"
	_tmp6_ = iface;
#line 175 "../src/Widgets/Page.vala"
	_tmp7_ = g_build_filename (G_DIR_SEPARATOR_S, "sys", "class", "net", _tmp6_, "statistics", "tx_bytes", NULL);
#line 175 "../src/Widgets/Page.vala"
	tx_bytes_path = _tmp7_;
#line 176 "../src/Widgets/Page.vala"
	_tmp8_ = iface;
#line 176 "../src/Widgets/Page.vala"
	_tmp9_ = g_build_filename (G_DIR_SEPARATOR_S, "sys", "class", "net", _tmp8_, "statistics", "rx_bytes", NULL);
#line 176 "../src/Widgets/Page.vala"
	rx_bytes_path = _tmp9_;
#line 178 "../src/Widgets/Page.vala"
	_tmp11_ = tx_bytes_path;
#line 178 "../src/Widgets/Page.vala"
	_tmp12_ = g_file_new_for_path (_tmp11_);
#line 178 "../src/Widgets/Page.vala"
	_tmp13_ = _tmp12_;
#line 178 "../src/Widgets/Page.vala"
	_tmp14_ = g_file_query_exists (_tmp13_, NULL);
#line 178 "../src/Widgets/Page.vala"
	_g_object_unref0 (_tmp13_);
#line 178 "../src/Widgets/Page.vala"
	if (_tmp14_) {
#line 901 "Page.c"
		const gchar* _tmp15_;
		GFile* _tmp16_;
		GFile* _tmp17_;
#line 179 "../src/Widgets/Page.vala"
		_tmp15_ = rx_bytes_path;
#line 179 "../src/Widgets/Page.vala"
		_tmp16_ = g_file_new_for_path (_tmp15_);
#line 179 "../src/Widgets/Page.vala"
		_tmp17_ = _tmp16_;
#line 179 "../src/Widgets/Page.vala"
		_tmp10_ = g_file_query_exists (_tmp17_, NULL);
#line 179 "../src/Widgets/Page.vala"
		_g_object_unref0 (_tmp17_);
#line 915 "Page.c"
	} else {
#line 178 "../src/Widgets/Page.vala"
		_tmp10_ = FALSE;
#line 919 "Page.c"
	}
#line 178 "../src/Widgets/Page.vala"
	if (!_tmp10_) {
#line 180 "../src/Widgets/Page.vala"
		_g_free0 (rx_bytes_path);
#line 180 "../src/Widgets/Page.vala"
		_g_free0 (tx_bytes_path);
#line 180 "../src/Widgets/Page.vala"
		_g_free0 (iface);
#line 180 "../src/Widgets/Page.vala"
		if (sent_bytes) {
#line 180 "../src/Widgets/Page.vala"
			*sent_bytes = _vala_sent_bytes;
#line 933 "Page.c"
		} else {
#line 180 "../src/Widgets/Page.vala"
			_g_free0 (_vala_sent_bytes);
#line 937 "Page.c"
		}
#line 180 "../src/Widgets/Page.vala"
		if (received_bytes) {
#line 180 "../src/Widgets/Page.vala"
			*received_bytes = _vala_received_bytes;
#line 943 "Page.c"
		} else {
#line 180 "../src/Widgets/Page.vala"
			_g_free0 (_vala_received_bytes);
#line 947 "Page.c"
		}
#line 180 "../src/Widgets/Page.vala"
		return;
#line 951 "Page.c"
	}
	{
		gchar* tx_bytes = NULL;
		gchar* rx_bytes = NULL;
		const gchar* _tmp18_;
		gchar* _tmp19_ = NULL;
		const gchar* _tmp20_;
		gchar* _tmp21_ = NULL;
		const gchar* _tmp22_;
		gchar* _tmp23_;
		const gchar* _tmp24_;
		gchar* _tmp25_;
#line 186 "../src/Widgets/Page.vala"
		_tmp18_ = tx_bytes_path;
#line 186 "../src/Widgets/Page.vala"
		g_file_get_contents (_tmp18_, &_tmp19_, NULL, &_inner_error0_);
#line 186 "../src/Widgets/Page.vala"
		_g_free0 (tx_bytes);
#line 186 "../src/Widgets/Page.vala"
		tx_bytes = _tmp19_;
#line 186 "../src/Widgets/Page.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 186 "../src/Widgets/Page.vala"
			_g_free0 (rx_bytes);
#line 186 "../src/Widgets/Page.vala"
			_g_free0 (tx_bytes);
#line 186 "../src/Widgets/Page.vala"
			if (_inner_error0_->domain == G_FILE_ERROR) {
#line 980 "Page.c"
				goto __catch0_g_file_error;
			}
#line 186 "../src/Widgets/Page.vala"
			_g_free0 (rx_bytes_path);
#line 186 "../src/Widgets/Page.vala"
			_g_free0 (tx_bytes_path);
#line 186 "../src/Widgets/Page.vala"
			_g_free0 (iface);
#line 186 "../src/Widgets/Page.vala"
			_g_free0 (_vala_sent_bytes);
#line 186 "../src/Widgets/Page.vala"
			_g_free0 (_vala_received_bytes);
#line 186 "../src/Widgets/Page.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 186 "../src/Widgets/Page.vala"
			g_clear_error (&_inner_error0_);
#line 186 "../src/Widgets/Page.vala"
			return;
#line 999 "Page.c"
		}
#line 187 "../src/Widgets/Page.vala"
		_tmp20_ = rx_bytes_path;
#line 187 "../src/Widgets/Page.vala"
		g_file_get_contents (_tmp20_, &_tmp21_, NULL, &_inner_error0_);
#line 187 "../src/Widgets/Page.vala"
		_g_free0 (rx_bytes);
#line 187 "../src/Widgets/Page.vala"
		rx_bytes = _tmp21_;
#line 187 "../src/Widgets/Page.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 187 "../src/Widgets/Page.vala"
			_g_free0 (rx_bytes);
#line 187 "../src/Widgets/Page.vala"
			_g_free0 (tx_bytes);
#line 187 "../src/Widgets/Page.vala"
			if (_inner_error0_->domain == G_FILE_ERROR) {
#line 1017 "Page.c"
				goto __catch0_g_file_error;
			}
#line 187 "../src/Widgets/Page.vala"
			_g_free0 (rx_bytes_path);
#line 187 "../src/Widgets/Page.vala"
			_g_free0 (tx_bytes_path);
#line 187 "../src/Widgets/Page.vala"
			_g_free0 (iface);
#line 187 "../src/Widgets/Page.vala"
			_g_free0 (_vala_sent_bytes);
#line 187 "../src/Widgets/Page.vala"
			_g_free0 (_vala_received_bytes);
#line 187 "../src/Widgets/Page.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 187 "../src/Widgets/Page.vala"
			g_clear_error (&_inner_error0_);
#line 187 "../src/Widgets/Page.vala"
			return;
#line 1036 "Page.c"
		}
#line 189 "../src/Widgets/Page.vala"
		_tmp22_ = tx_bytes;
#line 189 "../src/Widgets/Page.vala"
		_tmp23_ = g_format_size_full (uint64_parse (_tmp22_, (guint) 0), G_FORMAT_SIZE_DEFAULT);
#line 189 "../src/Widgets/Page.vala"
		_g_free0 (_vala_sent_bytes);
#line 189 "../src/Widgets/Page.vala"
		_vala_sent_bytes = _tmp23_;
#line 190 "../src/Widgets/Page.vala"
		_tmp24_ = rx_bytes;
#line 190 "../src/Widgets/Page.vala"
		_tmp25_ = g_format_size_full (uint64_parse (_tmp24_, (guint) 0), G_FORMAT_SIZE_DEFAULT);
#line 190 "../src/Widgets/Page.vala"
		_g_free0 (_vala_received_bytes);
#line 190 "../src/Widgets/Page.vala"
		_vala_received_bytes = _tmp25_;
#line 183 "../src/Widgets/Page.vala"
		_g_free0 (rx_bytes);
#line 183 "../src/Widgets/Page.vala"
		_g_free0 (tx_bytes);
#line 1058 "Page.c"
	}
	goto __finally0;
	__catch0_g_file_error:
	{
		GError* e = NULL;
		GError* _tmp26_;
		const gchar* _tmp27_;
#line 183 "../src/Widgets/Page.vala"
		e = _inner_error0_;
#line 183 "../src/Widgets/Page.vala"
		_inner_error0_ = NULL;
#line 192 "../src/Widgets/Page.vala"
		_tmp26_ = e;
#line 192 "../src/Widgets/Page.vala"
		_tmp27_ = _tmp26_->message;
#line 192 "../src/Widgets/Page.vala"
		g_critical ("Page.vala:192: %s", _tmp27_);
#line 183 "../src/Widgets/Page.vala"
		_g_error_free0 (e);
#line 1078 "Page.c"
	}
	__finally0:
#line 183 "../src/Widgets/Page.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 183 "../src/Widgets/Page.vala"
		_g_free0 (rx_bytes_path);
#line 183 "../src/Widgets/Page.vala"
		_g_free0 (tx_bytes_path);
#line 183 "../src/Widgets/Page.vala"
		_g_free0 (iface);
#line 183 "../src/Widgets/Page.vala"
		_g_free0 (_vala_sent_bytes);
#line 183 "../src/Widgets/Page.vala"
		_g_free0 (_vala_received_bytes);
#line 183 "../src/Widgets/Page.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 183 "../src/Widgets/Page.vala"
		g_clear_error (&_inner_error0_);
#line 183 "../src/Widgets/Page.vala"
		return;
#line 1099 "Page.c"
	}
#line 167 "../src/Widgets/Page.vala"
	_g_free0 (rx_bytes_path);
#line 167 "../src/Widgets/Page.vala"
	_g_free0 (tx_bytes_path);
#line 167 "../src/Widgets/Page.vala"
	_g_free0 (iface);
#line 167 "../src/Widgets/Page.vala"
	if (sent_bytes) {
#line 167 "../src/Widgets/Page.vala"
		*sent_bytes = _vala_sent_bytes;
#line 1111 "Page.c"
	} else {
#line 167 "../src/Widgets/Page.vala"
		_g_free0 (_vala_sent_bytes);
#line 1115 "Page.c"
	}
#line 167 "../src/Widgets/Page.vala"
	if (received_bytes) {
#line 167 "../src/Widgets/Page.vala"
		*received_bytes = _vala_received_bytes;
#line 1121 "Page.c"
	} else {
#line 167 "../src/Widgets/Page.vala"
		_g_free0 (_vala_received_bytes);
#line 1125 "Page.c"
	}
}

static void
network_widgets_page_get_uuid (NetworkWidgetsPage* self)
{
	NMActiveConnection* active_connection = NULL;
	NMDevice* _tmp0_;
	NMActiveConnection* _tmp1_;
	NMActiveConnection* _tmp2_;
	NMActiveConnection* _tmp3_;
#line 196 "../src/Widgets/Page.vala"
	g_return_if_fail (self != NULL);
#line 197 "../src/Widgets/Page.vala"
	_tmp0_ = self->priv->_device;
#line 197 "../src/Widgets/Page.vala"
	_tmp1_ = nm_device_get_active_connection (_tmp0_);
#line 197 "../src/Widgets/Page.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 197 "../src/Widgets/Page.vala"
	active_connection = _tmp2_;
#line 198 "../src/Widgets/Page.vala"
	_tmp3_ = active_connection;
#line 198 "../src/Widgets/Page.vala"
	if (_tmp3_ != NULL) {
#line 1151 "Page.c"
		NMActiveConnection* _tmp4_;
		const gchar* _tmp5_;
		gchar* _tmp6_;
#line 199 "../src/Widgets/Page.vala"
		_tmp4_ = active_connection;
#line 199 "../src/Widgets/Page.vala"
		_tmp5_ = nm_active_connection_get_uuid (_tmp4_);
#line 199 "../src/Widgets/Page.vala"
		_tmp6_ = g_strdup (_tmp5_);
#line 199 "../src/Widgets/Page.vala"
		_g_free0 (self->uuid);
#line 199 "../src/Widgets/Page.vala"
		self->uuid = _tmp6_;
#line 1165 "Page.c"
	} else {
		GPtrArray* available_connections = NULL;
		NMDevice* _tmp7_;
		GPtrArray* _tmp8_;
		GPtrArray* _tmp9_;
		GPtrArray* _tmp10_;
		gint _tmp11_;
		gint _tmp12_;
#line 201 "../src/Widgets/Page.vala"
		_tmp7_ = self->priv->_device;
#line 201 "../src/Widgets/Page.vala"
		_tmp8_ = nm_device_get_available_connections (_tmp7_);
#line 201 "../src/Widgets/Page.vala"
		_tmp9_ = _g_ptr_array_ref0 (_tmp8_);
#line 201 "../src/Widgets/Page.vala"
		available_connections = _tmp9_;
#line 202 "../src/Widgets/Page.vala"
		_tmp10_ = available_connections;
#line 202 "../src/Widgets/Page.vala"
		_tmp11_ = vala_g_ptr_array_get_length (_tmp10_);
#line 202 "../src/Widgets/Page.vala"
		_tmp12_ = _tmp11_;
#line 202 "../src/Widgets/Page.vala"
		if (_tmp12_ > 0) {
#line 1190 "Page.c"
			GPtrArray* _tmp13_;
			gconstpointer _tmp14_;
			const gchar* _tmp15_;
			gchar* _tmp16_;
#line 203 "../src/Widgets/Page.vala"
			_tmp13_ = available_connections;
#line 203 "../src/Widgets/Page.vala"
			_tmp14_ = g_ptr_array_index (_tmp13_, (guint) 0);
#line 203 "../src/Widgets/Page.vala"
			_tmp15_ = nm_connection_get_uuid ((NMConnection*) ((NMRemoteConnection*) _tmp14_));
#line 203 "../src/Widgets/Page.vala"
			_tmp16_ = g_strdup (_tmp15_);
#line 203 "../src/Widgets/Page.vala"
			_g_free0 (self->uuid);
#line 203 "../src/Widgets/Page.vala"
			self->uuid = _tmp16_;
#line 1207 "Page.c"
		} else {
			gchar* _tmp17_;
#line 205 "../src/Widgets/Page.vala"
			_tmp17_ = g_strdup ("");
#line 205 "../src/Widgets/Page.vala"
			_g_free0 (self->uuid);
#line 205 "../src/Widgets/Page.vala"
			self->uuid = _tmp17_;
#line 1216 "Page.c"
		}
#line 198 "../src/Widgets/Page.vala"
		_g_ptr_array_unref0 (available_connections);
#line 1220 "Page.c"
	}
#line 196 "../src/Widgets/Page.vala"
	_g_object_unref0 (active_connection);
#line 1224 "Page.c"
}

void
network_widgets_page_edit_connections (NetworkWidgetsPage* self)
{
	GError* _inner_error0_ = NULL;
#line 210 "../src/Widgets/Page.vala"
	g_return_if_fail (self != NULL);
#line 1233 "Page.c"
	{
		GAppInfo* appinfo = NULL;
		GAppInfo* _tmp0_;
		GAppInfo* _tmp1_;
#line 212 "../src/Widgets/Page.vala"
		_tmp0_ = g_app_info_create_from_commandline ("nm-connection-editor", NULL, G_APP_INFO_CREATE_NONE, &_inner_error0_);
#line 212 "../src/Widgets/Page.vala"
		appinfo = _tmp0_;
#line 212 "../src/Widgets/Page.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1244 "Page.c"
			goto __catch0_g_error;
		}
#line 215 "../src/Widgets/Page.vala"
		_tmp1_ = appinfo;
#line 215 "../src/Widgets/Page.vala"
		g_app_info_launch (_tmp1_, NULL, NULL, &_inner_error0_);
#line 215 "../src/Widgets/Page.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 215 "../src/Widgets/Page.vala"
			_g_object_unref0 (appinfo);
#line 1255 "Page.c"
			goto __catch0_g_error;
		}
#line 211 "../src/Widgets/Page.vala"
		_g_object_unref0 (appinfo);
#line 1260 "Page.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		GError* _tmp2_;
		const gchar* _tmp3_;
#line 211 "../src/Widgets/Page.vala"
		e = _inner_error0_;
#line 211 "../src/Widgets/Page.vala"
		_inner_error0_ = NULL;
#line 217 "../src/Widgets/Page.vala"
		_tmp2_ = e;
#line 217 "../src/Widgets/Page.vala"
		_tmp3_ = _tmp2_->message;
#line 217 "../src/Widgets/Page.vala"
		g_warning ("Page.vala:217: %s", _tmp3_);
#line 211 "../src/Widgets/Page.vala"
		_g_error_free0 (e);
#line 1280 "Page.c"
	}
	__finally0:
#line 211 "../src/Widgets/Page.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 211 "../src/Widgets/Page.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 211 "../src/Widgets/Page.vala"
		g_clear_error (&_inner_error0_);
#line 211 "../src/Widgets/Page.vala"
		return;
#line 1291 "Page.c"
	}
}

void
network_widgets_page_open_advanced_settings (NetworkWidgetsPage* self)
{
	GError* _inner_error0_ = NULL;
#line 221 "../src/Widgets/Page.vala"
	g_return_if_fail (self != NULL);
#line 1301 "Page.c"
	{
		GAppInfo* appinfo = NULL;
		const gchar* _tmp0_;
		gchar* _tmp1_;
		gchar* _tmp2_;
		GAppInfo* _tmp3_;
		GAppInfo* _tmp4_;
		GAppInfo* _tmp5_;
#line 223 "../src/Widgets/Page.vala"
		_tmp0_ = self->uuid;
#line 223 "../src/Widgets/Page.vala"
		_tmp1_ = g_strdup_printf ("nm-connection-editor --edit=%s", _tmp0_);
#line 223 "../src/Widgets/Page.vala"
		_tmp2_ = _tmp1_;
#line 223 "../src/Widgets/Page.vala"
		_tmp3_ = g_app_info_create_from_commandline (_tmp2_, NULL, G_APP_INFO_CREATE_NONE, &_inner_error0_);
#line 223 "../src/Widgets/Page.vala"
		_tmp4_ = _tmp3_;
#line 223 "../src/Widgets/Page.vala"
		_g_free0 (_tmp2_);
#line 223 "../src/Widgets/Page.vala"
		appinfo = _tmp4_;
#line 223 "../src/Widgets/Page.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1326 "Page.c"
			goto __catch0_g_error;
		}
#line 227 "../src/Widgets/Page.vala"
		_tmp5_ = appinfo;
#line 227 "../src/Widgets/Page.vala"
		g_app_info_launch (_tmp5_, NULL, NULL, &_inner_error0_);
#line 227 "../src/Widgets/Page.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 227 "../src/Widgets/Page.vala"
			_g_object_unref0 (appinfo);
#line 1337 "Page.c"
			goto __catch0_g_error;
		}
#line 222 "../src/Widgets/Page.vala"
		_g_object_unref0 (appinfo);
#line 1342 "Page.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		GError* _tmp6_;
		const gchar* _tmp7_;
#line 222 "../src/Widgets/Page.vala"
		e = _inner_error0_;
#line 222 "../src/Widgets/Page.vala"
		_inner_error0_ = NULL;
#line 229 "../src/Widgets/Page.vala"
		_tmp6_ = e;
#line 229 "../src/Widgets/Page.vala"
		_tmp7_ = _tmp6_->message;
#line 229 "../src/Widgets/Page.vala"
		g_warning ("Page.vala:229: %s", _tmp7_);
#line 222 "../src/Widgets/Page.vala"
		_g_error_free0 (e);
#line 1362 "Page.c"
	}
	__finally0:
#line 222 "../src/Widgets/Page.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 222 "../src/Widgets/Page.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 222 "../src/Widgets/Page.vala"
		g_clear_error (&_inner_error0_);
#line 222 "../src/Widgets/Page.vala"
		return;
#line 1373 "Page.c"
	}
}

NetworkWidgetsPage*
network_widgets_page_construct (GType object_type)
{
	NetworkWidgetsPage * self = NULL;
#line 22 "../src/Widgets/Page.vala"
	self = (NetworkWidgetsPage*) switchboard_settings_page_construct (object_type);
#line 22 "../src/Widgets/Page.vala"
	return self;
#line 1385 "Page.c"
}

NMDeviceState
network_widgets_page_get_state (NetworkWidgetsPage* self)
{
	NMDeviceState result;
#line 23 "../src/Widgets/Page.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 23 "../src/Widgets/Page.vala"
	result = self->priv->_state;
#line 23 "../src/Widgets/Page.vala"
	return result;
#line 1398 "Page.c"
}

void
network_widgets_page_set_state (NetworkWidgetsPage* self,
                                NMDeviceState value)
{
	NMDeviceState old_value;
#line 23 "../src/Widgets/Page.vala"
	g_return_if_fail (self != NULL);
#line 23 "../src/Widgets/Page.vala"
	old_value = network_widgets_page_get_state (self);
#line 23 "../src/Widgets/Page.vala"
	if (old_value != value) {
#line 23 "../src/Widgets/Page.vala"
		self->priv->_state = value;
#line 23 "../src/Widgets/Page.vala"
		g_object_notify_by_pspec ((GObject *) self, network_widgets_page_properties[NETWORK_WIDGETS_PAGE_STATE_PROPERTY]);
#line 1416 "Page.c"
	}
}

NMDevice*
network_widgets_page_get_device (NetworkWidgetsPage* self)
{
	NMDevice* result;
	NMDevice* _tmp0_;
#line 24 "../src/Widgets/Page.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 24 "../src/Widgets/Page.vala"
	_tmp0_ = self->priv->_device;
#line 24 "../src/Widgets/Page.vala"
	result = _tmp0_;
#line 24 "../src/Widgets/Page.vala"
	return result;
#line 1433 "Page.c"
}

static void
network_widgets_page_set_device (NetworkWidgetsPage* self,
                                 NMDevice* value)
{
	NMDevice* old_value;
#line 24 "../src/Widgets/Page.vala"
	g_return_if_fail (self != NULL);
#line 24 "../src/Widgets/Page.vala"
	old_value = network_widgets_page_get_device (self);
#line 24 "../src/Widgets/Page.vala"
	if (old_value != value) {
#line 1447 "Page.c"
		NMDevice* _tmp0_;
#line 24 "../src/Widgets/Page.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 24 "../src/Widgets/Page.vala"
		_g_object_unref0 (self->priv->_device);
#line 24 "../src/Widgets/Page.vala"
		self->priv->_device = _tmp0_;
#line 24 "../src/Widgets/Page.vala"
		g_object_notify_by_pspec ((GObject *) self, network_widgets_page_properties[NETWORK_WIDGETS_PAGE_DEVICE_PROPERTY]);
#line 1457 "Page.c"
	}
}

gboolean
network_widgets_page_get_connection_editor_available (NetworkWidgetsPage* self)
{
	gboolean result;
#line 26 "../src/Widgets/Page.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 26 "../src/Widgets/Page.vala"
	result = self->priv->_connection_editor_available;
#line 26 "../src/Widgets/Page.vala"
	return result;
#line 1471 "Page.c"
}

static void
network_widgets_page_set_connection_editor_available (NetworkWidgetsPage* self,
                                                      gboolean value)
{
	gboolean old_value;
#line 26 "../src/Widgets/Page.vala"
	g_return_if_fail (self != NULL);
#line 26 "../src/Widgets/Page.vala"
	old_value = network_widgets_page_get_connection_editor_available (self);
#line 26 "../src/Widgets/Page.vala"
	if (old_value != value) {
#line 26 "../src/Widgets/Page.vala"
		self->priv->_connection_editor_available = value;
#line 26 "../src/Widgets/Page.vala"
		g_object_notify_by_pspec ((GObject *) self, network_widgets_page_properties[NETWORK_WIDGETS_PAGE_CONNECTION_EDITOR_AVAILABLE_PROPERTY]);
#line 1489 "Page.c"
	}
}

static void
_network_widgets_page_control_switch_activated_g_object_notify (GObject* _sender,
                                                                GParamSpec* pspec,
                                                                gpointer self)
{
#line 40 "../src/Widgets/Page.vala"
	network_widgets_page_control_switch_activated ((NetworkWidgetsPage*) self);
#line 1500 "Page.c"
}

static void
_network_widgets_page_update_network_widgets_info_box_info_changed (NetworkWidgetsInfoBox* _sender,
                                                                    gpointer self)
{
#line 47 "../src/Widgets/Page.vala"
	network_widgets_page_update ((NetworkWidgetsPage*) self);
#line 1509 "Page.c"
}

static void
_network_widgets_page____lambda9_ (NetworkWidgetsPage* self)
{
#line 51 "../src/Widgets/Page.vala"
	network_widgets_page_update_status (self);
#line 52 "../src/Widgets/Page.vala"
	network_widgets_page_get_uuid (self);
#line 1519 "Page.c"
}

static void
__network_widgets_page____lambda9__nm_device_state_changed (NMDevice* _sender,
                                                            guint new_state,
                                                            guint old_state,
                                                            guint reason,
                                                            gpointer self)
{
#line 50 "../src/Widgets/Page.vala"
	_network_widgets_page____lambda9_ ((NetworkWidgetsPage*) self);
#line 1531 "Page.c"
}

static GObject *
network_widgets_page_constructor (GType type,
                                  guint n_construct_properties,
                                  GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	NetworkWidgetsPage * self;
	NMDevice* _tmp0_;
	gboolean _tmp6_;
	gboolean _tmp7_;
	NMDevice* _tmp10_;
#line 32 "../src/Widgets/Page.vala"
	parent_class = G_OBJECT_CLASS (network_widgets_page_parent_class);
#line 32 "../src/Widgets/Page.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 32 "../src/Widgets/Page.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NETWORK_WIDGETS_TYPE_PAGE, NetworkWidgetsPage);
#line 33 "../src/Widgets/Page.vala"
	_tmp0_ = self->priv->_device;
#line 33 "../src/Widgets/Page.vala"
	if (_tmp0_ != NULL) {
#line 1556 "Page.c"
		NMDevice* _tmp1_;
		gchar* _tmp2_;
		gchar* _tmp3_;
#line 34 "../src/Widgets/Page.vala"
		_tmp1_ = self->priv->_device;
#line 34 "../src/Widgets/Page.vala"
		_tmp2_ = network_utils_type_to_string (nm_device_get_device_type (_tmp1_));
#line 34 "../src/Widgets/Page.vala"
		_tmp3_ = _tmp2_;
#line 34 "../src/Widgets/Page.vala"
		switchboard_settings_page_set_title ((SwitchboardSettingsPage*) self, _tmp3_);
#line 34 "../src/Widgets/Page.vala"
		_g_free0 (_tmp3_);
#line 1570 "Page.c"
	} else {
		const gchar* _tmp4_;
		const gchar* _tmp5_;
#line 35 "../src/Widgets/Page.vala"
		_tmp4_ = switchboard_settings_page_get_title ((SwitchboardSettingsPage*) self);
#line 35 "../src/Widgets/Page.vala"
		_tmp5_ = _tmp4_;
#line 35 "../src/Widgets/Page.vala"
		if (_tmp5_ == NULL) {
#line 36 "../src/Widgets/Page.vala"
			switchboard_settings_page_set_title ((SwitchboardSettingsPage*) self, _ ("Unknown Device"));
#line 1582 "Page.c"
		}
	}
#line 39 "../src/Widgets/Page.vala"
	_tmp6_ = switchboard_settings_page_get_activatable ((SwitchboardSettingsPage*) self);
#line 39 "../src/Widgets/Page.vala"
	_tmp7_ = _tmp6_;
#line 39 "../src/Widgets/Page.vala"
	if (_tmp7_) {
#line 1591 "Page.c"
		GtkSwitch* _tmp8_;
		GtkSwitch* _tmp9_;
#line 40 "../src/Widgets/Page.vala"
		_tmp8_ = switchboard_settings_page_get_status_switch ((SwitchboardSettingsPage*) self);
#line 40 "../src/Widgets/Page.vala"
		_tmp9_ = _tmp8_;
#line 40 "../src/Widgets/Page.vala"
		g_signal_connect_object ((GObject*) _tmp9_, "notify::active", (GCallback) _network_widgets_page_control_switch_activated_g_object_notify, self, 0);
#line 1600 "Page.c"
	}
#line 43 "../src/Widgets/Page.vala"
	_tmp10_ = self->priv->_device;
#line 43 "../src/Widgets/Page.vala"
	if (_tmp10_ != NULL) {
#line 1606 "Page.c"
		NMDevice* _tmp11_;
		NetworkWidgetsInfoBox* _tmp12_ = NULL;
		NetworkWidgetsInfoBox* _tmp13_;
		NMDevice* _tmp14_;
#line 44 "../src/Widgets/Page.vala"
		_tmp11_ = self->priv->_device;
#line 44 "../src/Widgets/Page.vala"
		_tmp12_ = network_widgets_info_box_new_from_device (_tmp11_);
#line 44 "../src/Widgets/Page.vala"
		gtk_widget_set_vexpand ((GtkWidget*) _tmp12_, TRUE);
#line 44 "../src/Widgets/Page.vala"
		g_object_ref_sink (_tmp12_);
#line 44 "../src/Widgets/Page.vala"
		_g_object_unref0 (self->info_box);
#line 44 "../src/Widgets/Page.vala"
		self->info_box = _tmp12_;
#line 47 "../src/Widgets/Page.vala"
		_tmp13_ = self->info_box;
#line 47 "../src/Widgets/Page.vala"
		g_signal_connect_object (_tmp13_, "info-changed", (GCallback) _network_widgets_page_update_network_widgets_info_box_info_changed, self, 0);
#line 49 "../src/Widgets/Page.vala"
		network_widgets_page_get_uuid (self);
#line 50 "../src/Widgets/Page.vala"
		_tmp14_ = self->priv->_device;
#line 50 "../src/Widgets/Page.vala"
		g_signal_connect_object (_tmp14_, "state-changed", (GCallback) __network_widgets_page____lambda9__nm_device_state_changed, self, G_CONNECT_AFTER);
#line 55 "../src/Widgets/Page.vala"
		network_widgets_page_update_status (self);
#line 1635 "Page.c"
	}
#line 58 "../src/Widgets/Page.vala"
	switchboard_settings_page_set_show_end_title_buttons ((SwitchboardSettingsPage*) self, TRUE);
#line 32 "../src/Widgets/Page.vala"
	return obj;
#line 1641 "Page.c"
}

static void
network_widgets_page_class_init (NetworkWidgetsPageClass * klass,
                                 gpointer klass_data)
{
#line 22 "../src/Widgets/Page.vala"
	network_widgets_page_parent_class = g_type_class_peek_parent (klass);
#line 22 "../src/Widgets/Page.vala"
	g_type_class_adjust_private_offset (klass, &NetworkWidgetsPage_private_offset);
#line 22 "../src/Widgets/Page.vala"
	((NetworkWidgetsPageClass *) klass)->update_status = (void (*) (NetworkWidgetsPage*)) network_widgets_page_real_update_status;
#line 22 "../src/Widgets/Page.vala"
	((NetworkWidgetsPageClass *) klass)->update = (void (*) (NetworkWidgetsPage*)) network_widgets_page_real_update;
#line 22 "../src/Widgets/Page.vala"
	((NetworkWidgetsPageClass *) klass)->update_name = (void (*) (NetworkWidgetsPage*, gint)) network_widgets_page_real_update_name;
#line 22 "../src/Widgets/Page.vala"
	((NetworkWidgetsPageClass *) klass)->update_switch = (void (*) (NetworkWidgetsPage*)) network_widgets_page_real_update_switch;
#line 22 "../src/Widgets/Page.vala"
	((NetworkWidgetsPageClass *) klass)->control_switch_activated = (void (*) (NetworkWidgetsPage*)) network_widgets_page_real_control_switch_activated;
#line 22 "../src/Widgets/Page.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_network_widgets_page_get_property;
#line 22 "../src/Widgets/Page.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_network_widgets_page_set_property;
#line 22 "../src/Widgets/Page.vala"
	G_OBJECT_CLASS (klass)->constructor = network_widgets_page_constructor;
#line 22 "../src/Widgets/Page.vala"
	G_OBJECT_CLASS (klass)->finalize = network_widgets_page_finalize;
#line 22 "../src/Widgets/Page.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NETWORK_WIDGETS_PAGE_STATE_PROPERTY, network_widgets_page_properties[NETWORK_WIDGETS_PAGE_STATE_PROPERTY] = g_param_spec_enum ("state", "state", "state", nm_device_state_get_type (), NM_DEVICE_STATE_DISCONNECTED, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 22 "../src/Widgets/Page.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NETWORK_WIDGETS_PAGE_DEVICE_PROPERTY, network_widgets_page_properties[NETWORK_WIDGETS_PAGE_DEVICE_PROPERTY] = g_param_spec_object ("device", "device", "device", nm_device_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 22 "../src/Widgets/Page.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NETWORK_WIDGETS_PAGE_CONNECTION_EDITOR_AVAILABLE_PROPERTY, network_widgets_page_properties[NETWORK_WIDGETS_PAGE_CONNECTION_EDITOR_AVAILABLE_PROPERTY] = g_param_spec_boolean ("connection-editor-available", "connection-editor-available", "connection-editor-available", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 1676 "Page.c"
}

static void
network_widgets_page_instance_init (NetworkWidgetsPage * self,
                                    gpointer klass)
{
	gchar* _tmp0_;
#line 22 "../src/Widgets/Page.vala"
	self->priv = network_widgets_page_get_instance_private (self);
#line 23 "../src/Widgets/Page.vala"
	self->priv->_state = NM_DEVICE_STATE_DISCONNECTED;
#line 26 "../src/Widgets/Page.vala"
	self->priv->_connection_editor_available = FALSE;
#line 29 "../src/Widgets/Page.vala"
	_tmp0_ = g_strdup ("");
#line 29 "../src/Widgets/Page.vala"
	self->uuid = _tmp0_;
#line 30 "../src/Widgets/Page.vala"
	self->priv->switch_updating = FALSE;
#line 1696 "Page.c"
}

static void
network_widgets_page_finalize (GObject * obj)
{
	NetworkWidgetsPage * self;
#line 22 "../src/Widgets/Page.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NETWORK_WIDGETS_TYPE_PAGE, NetworkWidgetsPage);
#line 24 "../src/Widgets/Page.vala"
	_g_object_unref0 (self->priv->_device);
#line 28 "../src/Widgets/Page.vala"
	_g_object_unref0 (self->info_box);
#line 29 "../src/Widgets/Page.vala"
	_g_free0 (self->uuid);
#line 22 "../src/Widgets/Page.vala"
	G_OBJECT_CLASS (network_widgets_page_parent_class)->finalize (obj);
#line 1713 "Page.c"
}

static GType
network_widgets_page_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (NetworkWidgetsPageClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) network_widgets_page_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NetworkWidgetsPage), 0, (GInstanceInitFunc) network_widgets_page_instance_init, NULL };
	GType network_widgets_page_type_id;
	network_widgets_page_type_id = g_type_register_static (SWITCHBOARD_TYPE_SETTINGS_PAGE, "NetworkWidgetsPage", &g_define_type_info, G_TYPE_FLAG_ABSTRACT);
	NetworkWidgetsPage_private_offset = g_type_add_instance_private (network_widgets_page_type_id, sizeof (NetworkWidgetsPagePrivate));
	return network_widgets_page_type_id;
}

GType
network_widgets_page_get_type (void)
{
	static volatile gsize network_widgets_page_type_id__once = 0;
	if (g_once_init_enter (&network_widgets_page_type_id__once)) {
		GType network_widgets_page_type_id;
		network_widgets_page_type_id = network_widgets_page_get_type_once ();
		g_once_init_leave (&network_widgets_page_type_id__once, network_widgets_page_type_id);
	}
	return network_widgets_page_type_id__once;
}

static void
_vala_network_widgets_page_get_property (GObject * object,
                                         guint property_id,
                                         GValue * value,
                                         GParamSpec * pspec)
{
	NetworkWidgetsPage * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NETWORK_WIDGETS_TYPE_PAGE, NetworkWidgetsPage);
#line 22 "../src/Widgets/Page.vala"
	switch (property_id) {
#line 22 "../src/Widgets/Page.vala"
		case NETWORK_WIDGETS_PAGE_STATE_PROPERTY:
#line 22 "../src/Widgets/Page.vala"
		g_value_set_enum (value, network_widgets_page_get_state (self));
#line 22 "../src/Widgets/Page.vala"
		break;
#line 22 "../src/Widgets/Page.vala"
		case NETWORK_WIDGETS_PAGE_DEVICE_PROPERTY:
#line 22 "../src/Widgets/Page.vala"
		g_value_set_object (value, network_widgets_page_get_device (self));
#line 22 "../src/Widgets/Page.vala"
		break;
#line 22 "../src/Widgets/Page.vala"
		case NETWORK_WIDGETS_PAGE_CONNECTION_EDITOR_AVAILABLE_PROPERTY:
#line 22 "../src/Widgets/Page.vala"
		g_value_set_boolean (value, network_widgets_page_get_connection_editor_available (self));
#line 22 "../src/Widgets/Page.vala"
		break;
#line 1766 "Page.c"
		default:
#line 22 "../src/Widgets/Page.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 22 "../src/Widgets/Page.vala"
		break;
#line 1772 "Page.c"
	}
}

static void
_vala_network_widgets_page_set_property (GObject * object,
                                         guint property_id,
                                         const GValue * value,
                                         GParamSpec * pspec)
{
	NetworkWidgetsPage * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NETWORK_WIDGETS_TYPE_PAGE, NetworkWidgetsPage);
#line 22 "../src/Widgets/Page.vala"
	switch (property_id) {
#line 22 "../src/Widgets/Page.vala"
		case NETWORK_WIDGETS_PAGE_STATE_PROPERTY:
#line 22 "../src/Widgets/Page.vala"
		network_widgets_page_set_state (self, g_value_get_enum (value));
#line 22 "../src/Widgets/Page.vala"
		break;
#line 22 "../src/Widgets/Page.vala"
		case NETWORK_WIDGETS_PAGE_DEVICE_PROPERTY:
#line 22 "../src/Widgets/Page.vala"
		network_widgets_page_set_device (self, g_value_get_object (value));
#line 22 "../src/Widgets/Page.vala"
		break;
#line 22 "../src/Widgets/Page.vala"
		case NETWORK_WIDGETS_PAGE_CONNECTION_EDITOR_AVAILABLE_PROPERTY:
#line 22 "../src/Widgets/Page.vala"
		network_widgets_page_set_connection_editor_available (self, g_value_get_boolean (value));
#line 22 "../src/Widgets/Page.vala"
		break;
#line 1804 "Page.c"
		default:
#line 22 "../src/Widgets/Page.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 22 "../src/Widgets/Page.vala"
		break;
#line 1810 "Page.c"
	}
}

