/* WifiMenuItem.c generated by valac 0.56.18, the Vala compiler
 * generated from WifiMenuItem.vala, do not modify */

/*-
 * Copyright (c) 2015-2018 elementary LLC.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#include "network.h"
#include <glib.h>
#include <NetworkManager.h>
#include <gee.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <pango/pango.h>
#include <float.h>
#include <math.h>
#include <glib/gi18n-lib.h>
#include <stdlib.h>
#include <string.h>

#if !defined(VALA_STRICT_C)
#if !defined(__clang__) && defined(__GNUC__) && (__GNUC__ >= 14)
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#elif defined(__clang__) && (__clang_major__ >= 16)
#pragma clang diagnostic ignored "-Wincompatible-function-pointer-types"
#pragma clang diagnostic ignored "-Wincompatible-pointer-types"
#endif
#endif

enum  {
	NETWORK_WIFI_MENU_ITEM_0_PROPERTY,
	NETWORK_WIFI_MENU_ITEM_IS_SECURED_PROPERTY,
	NETWORK_WIFI_MENU_ITEM_ACTIVE_PROPERTY,
	NETWORK_WIFI_MENU_ITEM_STATE_PROPERTY,
	NETWORK_WIFI_MENU_ITEM_AP_PROPERTY,
	NETWORK_WIFI_MENU_ITEM_SSID_PROPERTY,
	NETWORK_WIFI_MENU_ITEM_IMG_STRENGTH_PROPERTY,
	NETWORK_WIFI_MENU_ITEM_SSID_LABEL_PROPERTY,
	NETWORK_WIFI_MENU_ITEM_STATUS_LABEL_PROPERTY,
	NETWORK_WIFI_MENU_ITEM_NUM_PROPERTIES
};
static GParamSpec* network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
enum  {
	NETWORK_WIFI_MENU_ITEM_USER_ACTION_SIGNAL,
	NETWORK_WIFI_MENU_ITEM_SETTINGS_REQUEST_SIGNAL,
	NETWORK_WIFI_MENU_ITEM_NUM_SIGNALS
};
static guint network_wifi_menu_item_signals[NETWORK_WIFI_MENU_ITEM_NUM_SIGNALS] = {0};

struct _NetworkWifiMenuItemPrivate {
	gboolean _is_secured;
	gboolean _active;
	NMDeviceState _state;
	NMAccessPoint* _tmp_ap;
	GeeLinkedList* _ap;
	GtkImage* _img_strength;
	GtkLabel* _ssid_label;
	GtkLabel* _status_label;
	GtkBox* button_box;
	GtkButton* connect_button;
	GtkImage* lock_img;
	GtkImage* error_img;
	GtkRevealer* settings_button_revealer;
	GtkSpinner* spinner;
};

static gint NetworkWifiMenuItem_private_offset;
static gpointer network_wifi_menu_item_parent_class = NULL;
static GtkSizeGroup* network_wifi_menu_item_button_sizegroup;
static GtkSizeGroup* network_wifi_menu_item_button_sizegroup = NULL;

static void network_wifi_menu_item_set_img_strength (NetworkWifiMenuItem* self,
                                              GtkImage* value);
static void network_wifi_menu_item_set_ssid_label (NetworkWifiMenuItem* self,
                                            GtkLabel* value);
static void network_wifi_menu_item_set_status_label (NetworkWifiMenuItem* self,
                                              GtkLabel* value);
static void network_wifi_menu_item_update (NetworkWifiMenuItem* self);
static void _network_wifi_menu_item_update_g_object_notify (GObject* _sender,
                                                     GParamSpec* pspec,
                                                     gpointer self);
static void __lambda21_ (NetworkWifiMenuItem* self);
static void ___lambda21__gtk_button_clicked (GtkButton* _sender,
                                      gpointer self);
static void __lambda22_ (NetworkWifiMenuItem* self);
static void ___lambda22__gtk_button_clicked (GtkButton* _sender,
                                      gpointer self);
static void network_wifi_menu_item_update_tmp_ap (NetworkWifiMenuItem* self);
static gchar* network_wifi_menu_item_strength_to_string (NetworkWifiMenuItem* self,
                                                  guint8 strength);
static guint8 network_wifi_menu_item_get_strength (NetworkWifiMenuItem* self);
static void network_wifi_menu_item_set_is_secured (NetworkWifiMenuItem* self,
                                            gboolean value);
static void network_wifi_menu_item_hide_item (NetworkWifiMenuItem* self,
                                       GtkWidget* w);
static void network_wifi_menu_item_show_item (NetworkWifiMenuItem* self,
                                       GtkWidget* w);
static void network_wifi_menu_item_finalize (GObject * obj);
static GType network_wifi_menu_item_get_type_once (void);
static void _vala_network_wifi_menu_item_get_property (GObject * object,
                                                guint property_id,
                                                GValue * value,
                                                GParamSpec * pspec);
static void _vala_network_wifi_menu_item_set_property (GObject * object,
                                                guint property_id,
                                                const GValue * value,
                                                GParamSpec * pspec);

static inline gpointer
network_wifi_menu_item_get_instance_private (NetworkWifiMenuItem* self)
{
	return G_STRUCT_MEMBER_P (self, NetworkWifiMenuItem_private_offset);
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 95 "../src/Widgets/WifiMenuItem.vala"
	return self ? g_object_ref (self) : NULL;
#line 136 "WifiMenuItem.c"
}

static void
_network_wifi_menu_item_update_g_object_notify (GObject* _sender,
                                                GParamSpec* pspec,
                                                gpointer self)
{
#line 128 "../src/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_update ((NetworkWifiMenuItem*) self);
#line 146 "WifiMenuItem.c"
}

static void
__lambda21_ (NetworkWifiMenuItem* self)
{
#line 131 "../src/Widgets/WifiMenuItem.vala"
	g_signal_emit (self, network_wifi_menu_item_signals[NETWORK_WIFI_MENU_ITEM_USER_ACTION_SIGNAL], 0);
#line 154 "WifiMenuItem.c"
}

static void
___lambda21__gtk_button_clicked (GtkButton* _sender,
                                 gpointer self)
{
#line 131 "../src/Widgets/WifiMenuItem.vala"
	__lambda21_ ((NetworkWifiMenuItem*) self);
#line 163 "WifiMenuItem.c"
}

static void
__lambda22_ (NetworkWifiMenuItem* self)
{
#line 132 "../src/Widgets/WifiMenuItem.vala"
	g_signal_emit (self, network_wifi_menu_item_signals[NETWORK_WIFI_MENU_ITEM_SETTINGS_REQUEST_SIGNAL], 0);
#line 171 "WifiMenuItem.c"
}

static void
___lambda22__gtk_button_clicked (GtkButton* _sender,
                                 gpointer self)
{
#line 132 "../src/Widgets/WifiMenuItem.vala"
	__lambda22_ ((NetworkWifiMenuItem*) self);
#line 180 "WifiMenuItem.c"
}

NetworkWifiMenuItem*
network_wifi_menu_item_construct (GType object_type,
                                  NMAccessPoint* ap)
{
	NetworkWifiMenuItem * self = NULL;
	GtkImage* _tmp0_ = NULL;
	GtkImage* _tmp1_;
	GtkLabel* _tmp2_ = NULL;
	GtkLabel* _tmp3_;
	GtkLabel* _tmp4_ = NULL;
	GtkLabel* _tmp5_;
	GtkImage* _tmp6_;
	GtkImage* _tmp7_;
	GtkSpinner* _tmp8_;
	GtkButton* settings_button = NULL;
	GtkButton* _tmp9_;
	GtkButton* _tmp10_;
	GtkSizeGroup* _tmp11_;
	GtkButton* _tmp12_;
	GtkWidget* _tmp13_;
	GtkRevealer* _tmp14_ = NULL;
	GtkBox* _tmp15_ = NULL;
	GtkBox* _tmp16_;
	GtkRevealer* _tmp17_;
	GtkBox* _tmp18_;
	GtkButton* _tmp19_;
	GtkGrid* grid = NULL;
	GtkGrid* _tmp20_ = NULL;
	GtkImage* _tmp21_;
	GtkLabel* _tmp22_;
	GtkLabel* _tmp23_;
	GtkImage* _tmp24_;
	GtkImage* _tmp25_;
	GtkSpinner* _tmp26_;
	GtkBox* _tmp27_;
	GeeLinkedList* _tmp28_;
	GtkButton* _tmp29_;
#line 67 "../src/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (ap != NULL, NULL);
#line 67 "../src/Widgets/WifiMenuItem.vala"
	self = (NetworkWifiMenuItem*) g_object_new (object_type, NULL);
#line 68 "../src/Widgets/WifiMenuItem.vala"
	_tmp0_ = (GtkImage*) gtk_image_new ();
#line 68 "../src/Widgets/WifiMenuItem.vala"
	gtk_image_set_icon_size (_tmp0_, GTK_ICON_SIZE_LARGE);
#line 68 "../src/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp0_);
#line 68 "../src/Widgets/WifiMenuItem.vala"
	_tmp1_ = _tmp0_;
#line 68 "../src/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_set_img_strength (self, _tmp1_);
#line 68 "../src/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (_tmp1_);
#line 72 "../src/Widgets/WifiMenuItem.vala"
	_tmp2_ = (GtkLabel*) gtk_label_new (NULL);
#line 72 "../src/Widgets/WifiMenuItem.vala"
	gtk_label_set_ellipsize (_tmp2_, PANGO_ELLIPSIZE_END);
#line 72 "../src/Widgets/WifiMenuItem.vala"
	gtk_label_set_xalign (_tmp2_, (gfloat) 0);
#line 72 "../src/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp2_);
#line 72 "../src/Widgets/WifiMenuItem.vala"
	_tmp3_ = _tmp2_;
#line 72 "../src/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_set_ssid_label (self, _tmp3_);
#line 72 "../src/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (_tmp3_);
#line 77 "../src/Widgets/WifiMenuItem.vala"
	_tmp4_ = (GtkLabel*) gtk_label_new (NULL);
#line 77 "../src/Widgets/WifiMenuItem.vala"
	gtk_label_set_use_markup (_tmp4_, TRUE);
#line 77 "../src/Widgets/WifiMenuItem.vala"
	gtk_label_set_xalign (_tmp4_, (gfloat) 0);
#line 77 "../src/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp4_);
#line 77 "../src/Widgets/WifiMenuItem.vala"
	_tmp5_ = _tmp4_;
#line 77 "../src/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_set_status_label (self, _tmp5_);
#line 77 "../src/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (_tmp5_);
#line 82 "../src/Widgets/WifiMenuItem.vala"
	_tmp6_ = (GtkImage*) gtk_image_new_from_icon_name ("channel-insecure-symbolic");
#line 82 "../src/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp6_);
#line 82 "../src/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->lock_img);
#line 82 "../src/Widgets/WifiMenuItem.vala"
	self->priv->lock_img = _tmp6_;
#line 85 "../src/Widgets/WifiMenuItem.vala"
	_tmp7_ = (GtkImage*) gtk_image_new_from_icon_name ("process-error-symbolic");
#line 85 "../src/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp7_);
#line 85 "../src/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->error_img);
#line 85 "../src/Widgets/WifiMenuItem.vala"
	self->priv->error_img = _tmp7_;
#line 87 "../src/Widgets/WifiMenuItem.vala"
	_tmp8_ = (GtkSpinner*) gtk_spinner_new ();
#line 87 "../src/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp8_);
#line 87 "../src/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->spinner);
#line 87 "../src/Widgets/WifiMenuItem.vala"
	self->priv->spinner = _tmp8_;
#line 89 "../src/Widgets/WifiMenuItem.vala"
	_tmp9_ = (GtkButton*) gtk_button_new_with_label (_ ("Settings…"));
#line 89 "../src/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp9_);
#line 89 "../src/Widgets/WifiMenuItem.vala"
	settings_button = _tmp9_;
#line 91 "../src/Widgets/WifiMenuItem.vala"
	_tmp10_ = (GtkButton*) gtk_button_new ();
#line 91 "../src/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp10_);
#line 91 "../src/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->connect_button);
#line 91 "../src/Widgets/WifiMenuItem.vala"
	self->priv->connect_button = _tmp10_;
#line 93 "../src/Widgets/WifiMenuItem.vala"
	_tmp11_ = network_wifi_menu_item_button_sizegroup;
#line 93 "../src/Widgets/WifiMenuItem.vala"
	_tmp12_ = self->priv->connect_button;
#line 93 "../src/Widgets/WifiMenuItem.vala"
	gtk_size_group_add_widget (_tmp11_, (GtkWidget*) _tmp12_);
#line 95 "../src/Widgets/WifiMenuItem.vala"
	_tmp13_ = _g_object_ref0 ((GtkWidget*) settings_button);
#line 95 "../src/Widgets/WifiMenuItem.vala"
	_tmp14_ = (GtkRevealer*) gtk_revealer_new ();
#line 95 "../src/Widgets/WifiMenuItem.vala"
	gtk_revealer_set_child (_tmp14_, _tmp13_);
#line 95 "../src/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (_tmp13_);
#line 95 "../src/Widgets/WifiMenuItem.vala"
	gtk_widget_set_overflow ((GtkWidget*) _tmp14_, GTK_OVERFLOW_VISIBLE);
#line 95 "../src/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp14_);
#line 95 "../src/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->settings_button_revealer);
#line 95 "../src/Widgets/WifiMenuItem.vala"
	self->priv->settings_button_revealer = _tmp14_;
#line 100 "../src/Widgets/WifiMenuItem.vala"
	_tmp15_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_HORIZONTAL, 6);
#line 100 "../src/Widgets/WifiMenuItem.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp15_, TRUE);
#line 100 "../src/Widgets/WifiMenuItem.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp15_, GTK_ALIGN_END);
#line 100 "../src/Widgets/WifiMenuItem.vala"
	gtk_box_set_homogeneous (_tmp15_, TRUE);
#line 100 "../src/Widgets/WifiMenuItem.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp15_, GTK_ALIGN_CENTER);
#line 100 "../src/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp15_);
#line 100 "../src/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->button_box);
#line 100 "../src/Widgets/WifiMenuItem.vala"
	self->priv->button_box = _tmp15_;
#line 106 "../src/Widgets/WifiMenuItem.vala"
	_tmp16_ = self->priv->button_box;
#line 106 "../src/Widgets/WifiMenuItem.vala"
	_tmp17_ = self->priv->settings_button_revealer;
#line 106 "../src/Widgets/WifiMenuItem.vala"
	gtk_box_append (_tmp16_, (GtkWidget*) _tmp17_);
#line 107 "../src/Widgets/WifiMenuItem.vala"
	_tmp18_ = self->priv->button_box;
#line 107 "../src/Widgets/WifiMenuItem.vala"
	_tmp19_ = self->priv->connect_button;
#line 107 "../src/Widgets/WifiMenuItem.vala"
	gtk_box_append (_tmp18_, (GtkWidget*) _tmp19_);
#line 109 "../src/Widgets/WifiMenuItem.vala"
	_tmp20_ = (GtkGrid*) gtk_grid_new ();
#line 109 "../src/Widgets/WifiMenuItem.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp20_, GTK_ALIGN_CENTER);
#line 109 "../src/Widgets/WifiMenuItem.vala"
	gtk_grid_set_column_spacing (_tmp20_, 6);
#line 109 "../src/Widgets/WifiMenuItem.vala"
	g_object_ref_sink (_tmp20_);
#line 109 "../src/Widgets/WifiMenuItem.vala"
	grid = _tmp20_;
#line 113 "../src/Widgets/WifiMenuItem.vala"
	_tmp21_ = self->priv->_img_strength;
#line 113 "../src/Widgets/WifiMenuItem.vala"
	gtk_grid_attach (grid, (GtkWidget*) _tmp21_, 0, 0, 1, 2);
#line 114 "../src/Widgets/WifiMenuItem.vala"
	_tmp22_ = self->priv->_ssid_label;
#line 114 "../src/Widgets/WifiMenuItem.vala"
	gtk_grid_attach (grid, (GtkWidget*) _tmp22_, 1, 0, 1, 1);
#line 115 "../src/Widgets/WifiMenuItem.vala"
	_tmp23_ = self->priv->_status_label;
#line 115 "../src/Widgets/WifiMenuItem.vala"
	gtk_grid_attach (grid, (GtkWidget*) _tmp23_, 1, 1, 2, 1);
#line 116 "../src/Widgets/WifiMenuItem.vala"
	_tmp24_ = self->priv->lock_img;
#line 116 "../src/Widgets/WifiMenuItem.vala"
	gtk_grid_attach (grid, (GtkWidget*) _tmp24_, 2, 0, 1, 1);
#line 117 "../src/Widgets/WifiMenuItem.vala"
	_tmp25_ = self->priv->error_img;
#line 117 "../src/Widgets/WifiMenuItem.vala"
	gtk_grid_attach (grid, (GtkWidget*) _tmp25_, 3, 0, 1, 2);
#line 118 "../src/Widgets/WifiMenuItem.vala"
	_tmp26_ = self->priv->spinner;
#line 118 "../src/Widgets/WifiMenuItem.vala"
	gtk_grid_attach (grid, (GtkWidget*) _tmp26_, 4, 0, 1, 2);
#line 119 "../src/Widgets/WifiMenuItem.vala"
	_tmp27_ = self->priv->button_box;
#line 119 "../src/Widgets/WifiMenuItem.vala"
	gtk_grid_attach (grid, (GtkWidget*) _tmp27_, 5, 0, 1, 2);
#line 121 "../src/Widgets/WifiMenuItem.vala"
	_tmp28_ = gee_linked_list_new (nm_access_point_get_type (), (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 121 "../src/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->_ap);
#line 121 "../src/Widgets/WifiMenuItem.vala"
	self->priv->_ap = _tmp28_;
#line 124 "../src/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_add_ap (self, ap);
#line 126 "../src/Widgets/WifiMenuItem.vala"
	gtk_list_box_row_set_child ((GtkListBoxRow*) self, (GtkWidget*) grid);
#line 128 "../src/Widgets/WifiMenuItem.vala"
	g_signal_connect_object ((GObject*) self, "notify::state", (GCallback) _network_wifi_menu_item_update_g_object_notify, self, 0);
#line 129 "../src/Widgets/WifiMenuItem.vala"
	g_signal_connect_object ((GObject*) self, "notify::active", (GCallback) _network_wifi_menu_item_update_g_object_notify, self, 0);
#line 131 "../src/Widgets/WifiMenuItem.vala"
	_tmp29_ = self->priv->connect_button;
#line 131 "../src/Widgets/WifiMenuItem.vala"
	g_signal_connect_object (_tmp29_, "clicked", (GCallback) ___lambda21__gtk_button_clicked, self, 0);
#line 132 "../src/Widgets/WifiMenuItem.vala"
	g_signal_connect_object (settings_button, "clicked", (GCallback) ___lambda22__gtk_button_clicked, self, 0);
#line 134 "../src/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_update (self);
#line 67 "../src/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (grid);
#line 67 "../src/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (settings_button);
#line 67 "../src/Widgets/WifiMenuItem.vala"
	return self;
#line 418 "WifiMenuItem.c"
}

NetworkWifiMenuItem*
network_wifi_menu_item_new (NMAccessPoint* ap)
{
#line 67 "../src/Widgets/WifiMenuItem.vala"
	return network_wifi_menu_item_construct (NETWORK_TYPE_WIFI_MENU_ITEM, ap);
#line 426 "WifiMenuItem.c"
}

static void
network_wifi_menu_item_update_tmp_ap (NetworkWifiMenuItem* self)
{
	guint8 strength = 0U;
#line 137 "../src/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 138 "../src/Widgets/WifiMenuItem.vala"
	strength = (guint8) 0;
#line 437 "WifiMenuItem.c"
	{
		GeeLinkedList* _ap_list = NULL;
		GeeLinkedList* _tmp0_;
		gint _ap_size = 0;
		GeeLinkedList* _tmp1_;
		gint _tmp2_;
		gint _tmp3_;
		gint _ap_index = 0;
#line 139 "../src/Widgets/WifiMenuItem.vala"
		_tmp0_ = self->priv->_ap;
#line 139 "../src/Widgets/WifiMenuItem.vala"
		_ap_list = _tmp0_;
#line 139 "../src/Widgets/WifiMenuItem.vala"
		_tmp1_ = _ap_list;
#line 139 "../src/Widgets/WifiMenuItem.vala"
		_tmp2_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp1_);
#line 139 "../src/Widgets/WifiMenuItem.vala"
		_tmp3_ = _tmp2_;
#line 139 "../src/Widgets/WifiMenuItem.vala"
		_ap_size = _tmp3_;
#line 139 "../src/Widgets/WifiMenuItem.vala"
		_ap_index = -1;
#line 139 "../src/Widgets/WifiMenuItem.vala"
		while (TRUE) {
#line 462 "WifiMenuItem.c"
			gint _tmp4_;
			gint _tmp5_;
			NMAccessPoint* ap = NULL;
			GeeLinkedList* _tmp6_;
			gpointer _tmp7_;
			NMAccessPoint* _tmp8_ = NULL;
			NMAccessPoint* _tmp9_;
			guint8 _tmp10_;
			guint8 _tmp11_;
			NMAccessPoint* _tmp14_;
			NMAccessPoint* _tmp15_;
			guint8 _tmp16_;
			guint8 _tmp17_;
#line 139 "../src/Widgets/WifiMenuItem.vala"
			_ap_index = _ap_index + 1;
#line 139 "../src/Widgets/WifiMenuItem.vala"
			_tmp4_ = _ap_index;
#line 139 "../src/Widgets/WifiMenuItem.vala"
			_tmp5_ = _ap_size;
#line 139 "../src/Widgets/WifiMenuItem.vala"
			if (!(_tmp4_ < _tmp5_)) {
#line 139 "../src/Widgets/WifiMenuItem.vala"
				break;
#line 486 "WifiMenuItem.c"
			}
#line 139 "../src/Widgets/WifiMenuItem.vala"
			_tmp6_ = _ap_list;
#line 139 "../src/Widgets/WifiMenuItem.vala"
			_tmp7_ = gee_abstract_list_get ((GeeAbstractList*) _tmp6_, _ap_index);
#line 139 "../src/Widgets/WifiMenuItem.vala"
			ap = (NMAccessPoint*) _tmp7_;
#line 140 "../src/Widgets/WifiMenuItem.vala"
			_tmp9_ = ap;
#line 140 "../src/Widgets/WifiMenuItem.vala"
			_tmp10_ = nm_access_point_get_strength (_tmp9_);
#line 140 "../src/Widgets/WifiMenuItem.vala"
			_tmp11_ = _tmp10_;
#line 140 "../src/Widgets/WifiMenuItem.vala"
			if (strength > _tmp11_) {
#line 502 "WifiMenuItem.c"
				NMAccessPoint* _tmp12_;
#line 140 "../src/Widgets/WifiMenuItem.vala"
				_tmp12_ = self->priv->_tmp_ap;
#line 140 "../src/Widgets/WifiMenuItem.vala"
				_tmp8_ = _tmp12_;
#line 508 "WifiMenuItem.c"
			} else {
				NMAccessPoint* _tmp13_;
#line 140 "../src/Widgets/WifiMenuItem.vala"
				_tmp13_ = ap;
#line 140 "../src/Widgets/WifiMenuItem.vala"
				_tmp8_ = _tmp13_;
#line 515 "WifiMenuItem.c"
			}
#line 140 "../src/Widgets/WifiMenuItem.vala"
			_tmp14_ = _g_object_ref0 (_tmp8_);
#line 140 "../src/Widgets/WifiMenuItem.vala"
			_g_object_unref0 (self->priv->_tmp_ap);
#line 140 "../src/Widgets/WifiMenuItem.vala"
			self->priv->_tmp_ap = _tmp14_;
#line 141 "../src/Widgets/WifiMenuItem.vala"
			_tmp15_ = ap;
#line 141 "../src/Widgets/WifiMenuItem.vala"
			_tmp16_ = nm_access_point_get_strength (_tmp15_);
#line 141 "../src/Widgets/WifiMenuItem.vala"
			_tmp17_ = _tmp16_;
#line 141 "../src/Widgets/WifiMenuItem.vala"
			strength = MAX (strength, _tmp17_);
#line 139 "../src/Widgets/WifiMenuItem.vala"
			_g_object_unref0 (ap);
#line 533 "WifiMenuItem.c"
		}
	}
}

static void
network_wifi_menu_item_update (NetworkWifiMenuItem* self)
{
	GtkLabel* _tmp0_;
	NMAccessPoint* _tmp1_;
	NMAccessPoint* _tmp2_;
	GBytes* _tmp3_;
	gsize _tmp4_ = 0;
	guint8* _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
	const gchar* state_string = NULL;
	GtkImage* _tmp8_;
	guint8 _tmp9_;
	guint8 _tmp10_;
	gchar* _tmp11_;
	gchar* _tmp12_;
	gchar* _tmp13_;
	gchar* _tmp14_;
	NM80211ApSecurityFlags flags = 0U;
	NMAccessPoint* _tmp15_;
	NMAccessPoint* _tmp16_;
	NMAccessPoint* _tmp17_;
	NMAccessPoint* _tmp18_;
	GtkImage* _tmp19_;
	gboolean _tmp20_;
	GtkImage* _tmp21_;
	GtkSpinner* _tmp22_;
	GtkBox* _tmp23_;
	GtkRevealer* _tmp24_;
	GtkButton* _tmp25_;
	NMDeviceState _tmp26_;
	GtkLabel* _tmp32_;
	const gchar* _tmp33_;
	gchar* _tmp34_;
	gchar* _tmp35_;
#line 145 "../src/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 146 "../src/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->_ssid_label;
#line 146 "../src/Widgets/WifiMenuItem.vala"
	_tmp1_ = network_wifi_menu_item_get_ap (self);
#line 146 "../src/Widgets/WifiMenuItem.vala"
	_tmp2_ = _tmp1_;
#line 146 "../src/Widgets/WifiMenuItem.vala"
	_tmp3_ = nm_access_point_get_ssid (_tmp2_);
#line 146 "../src/Widgets/WifiMenuItem.vala"
	_tmp5_ = g_bytes_get_data (_tmp3_, &_tmp4_);
#line 146 "../src/Widgets/WifiMenuItem.vala"
	_tmp6_ = nm_utils_ssid_to_utf8 (_tmp5_, (gsize) _tmp4_);
#line 146 "../src/Widgets/WifiMenuItem.vala"
	_tmp7_ = _tmp6_;
#line 146 "../src/Widgets/WifiMenuItem.vala"
	gtk_label_set_label (_tmp0_, _tmp7_);
#line 146 "../src/Widgets/WifiMenuItem.vala"
	_g_free0 (_tmp7_);
#line 149 "../src/Widgets/WifiMenuItem.vala"
	_tmp8_ = self->priv->_img_strength;
#line 149 "../src/Widgets/WifiMenuItem.vala"
	_tmp9_ = network_wifi_menu_item_get_strength (self);
#line 149 "../src/Widgets/WifiMenuItem.vala"
	_tmp10_ = _tmp9_;
#line 149 "../src/Widgets/WifiMenuItem.vala"
	_tmp11_ = network_wifi_menu_item_strength_to_string (self, _tmp10_);
#line 149 "../src/Widgets/WifiMenuItem.vala"
	_tmp12_ = _tmp11_;
#line 149 "../src/Widgets/WifiMenuItem.vala"
	_tmp13_ = g_strconcat ("network-wireless-signal-", _tmp12_, NULL);
#line 149 "../src/Widgets/WifiMenuItem.vala"
	_tmp14_ = _tmp13_;
#line 149 "../src/Widgets/WifiMenuItem.vala"
	g_object_set (_tmp8_, "icon-name", _tmp14_, NULL);
#line 149 "../src/Widgets/WifiMenuItem.vala"
	_g_free0 (_tmp14_);
#line 149 "../src/Widgets/WifiMenuItem.vala"
	_g_free0 (_tmp12_);
#line 151 "../src/Widgets/WifiMenuItem.vala"
	_tmp15_ = network_wifi_menu_item_get_ap (self);
#line 151 "../src/Widgets/WifiMenuItem.vala"
	_tmp16_ = _tmp15_;
#line 151 "../src/Widgets/WifiMenuItem.vala"
	_tmp17_ = network_wifi_menu_item_get_ap (self);
#line 151 "../src/Widgets/WifiMenuItem.vala"
	_tmp18_ = _tmp17_;
#line 151 "../src/Widgets/WifiMenuItem.vala"
	flags = nm_access_point_get_wpa_flags (_tmp16_) | nm_access_point_get_rsn_flags (_tmp18_);
#line 152 "../src/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_set_is_secured (self, FALSE);
#line 153 "../src/Widgets/WifiMenuItem.vala"
	if ((flags & NM_802_11_AP_SEC_GROUP_WEP40) == NM_802_11_AP_SEC_GROUP_WEP40) {
#line 154 "../src/Widgets/WifiMenuItem.vala"
		network_wifi_menu_item_set_is_secured (self, TRUE);
#line 155 "../src/Widgets/WifiMenuItem.vala"
		state_string = _ ("40/64-bit WEP encrypted");
#line 632 "WifiMenuItem.c"
	} else {
#line 156 "../src/Widgets/WifiMenuItem.vala"
		if ((flags & NM_802_11_AP_SEC_GROUP_WEP104) == NM_802_11_AP_SEC_GROUP_WEP104) {
#line 157 "../src/Widgets/WifiMenuItem.vala"
			network_wifi_menu_item_set_is_secured (self, TRUE);
#line 158 "../src/Widgets/WifiMenuItem.vala"
			state_string = _ ("104/128-bit WEP encrypted");
#line 640 "WifiMenuItem.c"
		} else {
#line 159 "../src/Widgets/WifiMenuItem.vala"
			if ((flags & NM_802_11_AP_SEC_KEY_MGMT_SAE) == NM_802_11_AP_SEC_KEY_MGMT_SAE) {
#line 160 "../src/Widgets/WifiMenuItem.vala"
				network_wifi_menu_item_set_is_secured (self, TRUE);
#line 161 "../src/Widgets/WifiMenuItem.vala"
				state_string = _ ("WPA3 encrypted");
#line 648 "WifiMenuItem.c"
			} else {
#line 162 "../src/Widgets/WifiMenuItem.vala"
				if ((flags & NM_802_11_AP_SEC_KEY_MGMT_PSK) == NM_802_11_AP_SEC_KEY_MGMT_PSK) {
#line 163 "../src/Widgets/WifiMenuItem.vala"
					network_wifi_menu_item_set_is_secured (self, TRUE);
#line 164 "../src/Widgets/WifiMenuItem.vala"
					state_string = _ ("WPA encrypted");
#line 656 "WifiMenuItem.c"
				} else {
#line 165 "../src/Widgets/WifiMenuItem.vala"
					if ((flags & NM_802_11_AP_SEC_KEY_MGMT_OWE) == NM_802_11_AP_SEC_KEY_MGMT_OWE) {
#line 166 "../src/Widgets/WifiMenuItem.vala"
						network_wifi_menu_item_set_is_secured (self, TRUE);
#line 167 "../src/Widgets/WifiMenuItem.vala"
						state_string = _ ("Passwordless encrypted");
#line 664 "WifiMenuItem.c"
					} else {
#line 168 "../src/Widgets/WifiMenuItem.vala"
						if (flags != NM_802_11_AP_SEC_NONE) {
#line 169 "../src/Widgets/WifiMenuItem.vala"
							network_wifi_menu_item_set_is_secured (self, TRUE);
#line 170 "../src/Widgets/WifiMenuItem.vala"
							state_string = _ ("Encrypted");
#line 672 "WifiMenuItem.c"
						} else {
#line 172 "../src/Widgets/WifiMenuItem.vala"
							state_string = _ ("Unsecured");
#line 676 "WifiMenuItem.c"
						}
					}
				}
			}
		}
	}
#line 175 "../src/Widgets/WifiMenuItem.vala"
	_tmp19_ = self->priv->lock_img;
#line 175 "../src/Widgets/WifiMenuItem.vala"
	_tmp20_ = self->priv->_is_secured;
#line 175 "../src/Widgets/WifiMenuItem.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp19_, !_tmp20_);
#line 177 "../src/Widgets/WifiMenuItem.vala"
	_tmp21_ = self->priv->error_img;
#line 177 "../src/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_hide_item (self, (GtkWidget*) _tmp21_);
#line 178 "../src/Widgets/WifiMenuItem.vala"
	_tmp22_ = self->priv->spinner;
#line 178 "../src/Widgets/WifiMenuItem.vala"
	gtk_spinner_set_spinning (_tmp22_, FALSE);
#line 179 "../src/Widgets/WifiMenuItem.vala"
	_tmp23_ = self->priv->button_box;
#line 179 "../src/Widgets/WifiMenuItem.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp23_, TRUE);
#line 180 "../src/Widgets/WifiMenuItem.vala"
	_tmp24_ = self->priv->settings_button_revealer;
#line 180 "../src/Widgets/WifiMenuItem.vala"
	gtk_revealer_set_reveal_child (_tmp24_, FALSE);
#line 181 "../src/Widgets/WifiMenuItem.vala"
	_tmp25_ = self->priv->connect_button;
#line 181 "../src/Widgets/WifiMenuItem.vala"
	gtk_button_set_label (_tmp25_, _ ("Connect"));
#line 183 "../src/Widgets/WifiMenuItem.vala"
	_tmp26_ = self->priv->_state;
#line 183 "../src/Widgets/WifiMenuItem.vala"
	switch (_tmp26_) {
#line 183 "../src/Widgets/WifiMenuItem.vala"
		case NM_DEVICE_STATE_FAILED:
#line 715 "WifiMenuItem.c"
		{
			GtkImage* _tmp27_;
#line 185 "../src/Widgets/WifiMenuItem.vala"
			_tmp27_ = self->priv->error_img;
#line 185 "../src/Widgets/WifiMenuItem.vala"
			network_wifi_menu_item_show_item (self, (GtkWidget*) _tmp27_);
#line 186 "../src/Widgets/WifiMenuItem.vala"
			state_string = _ ("Could not be connected to");
#line 187 "../src/Widgets/WifiMenuItem.vala"
			break;
#line 726 "WifiMenuItem.c"
		}
#line 183 "../src/Widgets/WifiMenuItem.vala"
		case NM_DEVICE_STATE_PREPARE:
#line 730 "WifiMenuItem.c"
		{
			GtkSpinner* _tmp28_;
			GtkBox* _tmp29_;
#line 189 "../src/Widgets/WifiMenuItem.vala"
			_tmp28_ = self->priv->spinner;
#line 189 "../src/Widgets/WifiMenuItem.vala"
			gtk_spinner_set_spinning (_tmp28_, TRUE);
#line 190 "../src/Widgets/WifiMenuItem.vala"
			_tmp29_ = self->priv->button_box;
#line 190 "../src/Widgets/WifiMenuItem.vala"
			gtk_widget_set_sensitive ((GtkWidget*) _tmp29_, FALSE);
#line 191 "../src/Widgets/WifiMenuItem.vala"
			state_string = _ ("Connecting");
#line 192 "../src/Widgets/WifiMenuItem.vala"
			break;
#line 746 "WifiMenuItem.c"
		}
#line 183 "../src/Widgets/WifiMenuItem.vala"
		case NM_DEVICE_STATE_ACTIVATED:
#line 750 "WifiMenuItem.c"
		{
			GtkRevealer* _tmp30_;
			GtkButton* _tmp31_;
#line 194 "../src/Widgets/WifiMenuItem.vala"
			_tmp30_ = self->priv->settings_button_revealer;
#line 194 "../src/Widgets/WifiMenuItem.vala"
			gtk_revealer_set_reveal_child (_tmp30_, TRUE);
#line 195 "../src/Widgets/WifiMenuItem.vala"
			_tmp31_ = self->priv->connect_button;
#line 195 "../src/Widgets/WifiMenuItem.vala"
			gtk_button_set_label (_tmp31_, _ ("Disconnect"));
#line 196 "../src/Widgets/WifiMenuItem.vala"
			break;
#line 764 "WifiMenuItem.c"
		}
		default:
#line 183 "../src/Widgets/WifiMenuItem.vala"
		break;
#line 769 "WifiMenuItem.c"
	}
#line 199 "../src/Widgets/WifiMenuItem.vala"
	_tmp32_ = self->priv->_status_label;
#line 199 "../src/Widgets/WifiMenuItem.vala"
	_tmp33_ = state_string;
#line 199 "../src/Widgets/WifiMenuItem.vala"
	_tmp34_ = g_markup_printf_escaped ("<span font_size='small'>%s</span>", _tmp33_);
#line 199 "../src/Widgets/WifiMenuItem.vala"
	_tmp35_ = _tmp34_;
#line 199 "../src/Widgets/WifiMenuItem.vala"
	gtk_label_set_label (_tmp32_, _tmp35_);
#line 199 "../src/Widgets/WifiMenuItem.vala"
	_g_free0 (_tmp35_);
#line 783 "WifiMenuItem.c"
}

static void
network_wifi_menu_item_show_item (NetworkWifiMenuItem* self,
                                  GtkWidget* w)
{
#line 202 "../src/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 202 "../src/Widgets/WifiMenuItem.vala"
	g_return_if_fail (w != NULL);
#line 203 "../src/Widgets/WifiMenuItem.vala"
	gtk_widget_set_visible (w, TRUE);
#line 796 "WifiMenuItem.c"
}

static void
network_wifi_menu_item_hide_item (NetworkWifiMenuItem* self,
                                  GtkWidget* w)
{
#line 206 "../src/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 206 "../src/Widgets/WifiMenuItem.vala"
	g_return_if_fail (w != NULL);
#line 207 "../src/Widgets/WifiMenuItem.vala"
	gtk_widget_set_visible (w, FALSE);
#line 809 "WifiMenuItem.c"
}

void
network_wifi_menu_item_add_ap (NetworkWifiMenuItem* self,
                               NMAccessPoint* ap)
{
	GeeLinkedList* _tmp0_;
#line 210 "../src/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 210 "../src/Widgets/WifiMenuItem.vala"
	g_return_if_fail (ap != NULL);
#line 211 "../src/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->_ap;
#line 211 "../src/Widgets/WifiMenuItem.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp0_, ap);
#line 212 "../src/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_update_tmp_ap (self);
#line 213 "../src/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_update (self);
#line 829 "WifiMenuItem.c"
}

static gchar*
network_wifi_menu_item_strength_to_string (NetworkWifiMenuItem* self,
                                           guint8 strength)
{
	gchar* result;
#line 216 "../src/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 217 "../src/Widgets/WifiMenuItem.vala"
	if (((gint) strength) < 30) {
#line 841 "WifiMenuItem.c"
		gchar* _tmp0_;
#line 218 "../src/Widgets/WifiMenuItem.vala"
		_tmp0_ = g_strdup ("weak");
#line 218 "../src/Widgets/WifiMenuItem.vala"
		result = _tmp0_;
#line 218 "../src/Widgets/WifiMenuItem.vala"
		return result;
#line 849 "WifiMenuItem.c"
	} else {
#line 219 "../src/Widgets/WifiMenuItem.vala"
		if (((gint) strength) < 55) {
#line 853 "WifiMenuItem.c"
			gchar* _tmp1_;
#line 220 "../src/Widgets/WifiMenuItem.vala"
			_tmp1_ = g_strdup ("ok");
#line 220 "../src/Widgets/WifiMenuItem.vala"
			result = _tmp1_;
#line 220 "../src/Widgets/WifiMenuItem.vala"
			return result;
#line 861 "WifiMenuItem.c"
		} else {
#line 221 "../src/Widgets/WifiMenuItem.vala"
			if (((gint) strength) < 80) {
#line 865 "WifiMenuItem.c"
				gchar* _tmp2_;
#line 222 "../src/Widgets/WifiMenuItem.vala"
				_tmp2_ = g_strdup ("good");
#line 222 "../src/Widgets/WifiMenuItem.vala"
				result = _tmp2_;
#line 222 "../src/Widgets/WifiMenuItem.vala"
				return result;
#line 873 "WifiMenuItem.c"
			} else {
				gchar* _tmp3_;
#line 224 "../src/Widgets/WifiMenuItem.vala"
				_tmp3_ = g_strdup ("excellent");
#line 224 "../src/Widgets/WifiMenuItem.vala"
				result = _tmp3_;
#line 224 "../src/Widgets/WifiMenuItem.vala"
				return result;
#line 882 "WifiMenuItem.c"
			}
		}
	}
}

gboolean
network_wifi_menu_item_remove_ap (NetworkWifiMenuItem* self,
                                  NMAccessPoint* ap)
{
	GeeLinkedList* _tmp0_;
	GeeLinkedList* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
	gboolean result;
#line 228 "../src/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 228 "../src/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (ap != NULL, FALSE);
#line 229 "../src/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->_ap;
#line 229 "../src/Widgets/WifiMenuItem.vala"
	gee_abstract_collection_remove ((GeeAbstractCollection*) _tmp0_, ap);
#line 230 "../src/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_update_tmp_ap (self);
#line 231 "../src/Widgets/WifiMenuItem.vala"
	_tmp1_ = self->priv->_ap;
#line 231 "../src/Widgets/WifiMenuItem.vala"
	_tmp2_ = gee_collection_get_is_empty ((GeeCollection*) _tmp1_);
#line 231 "../src/Widgets/WifiMenuItem.vala"
	_tmp3_ = _tmp2_;
#line 231 "../src/Widgets/WifiMenuItem.vala"
	result = !_tmp3_;
#line 231 "../src/Widgets/WifiMenuItem.vala"
	return result;
#line 917 "WifiMenuItem.c"
}

gboolean
network_wifi_menu_item_get_is_secured (NetworkWifiMenuItem* self)
{
	gboolean result;
#line 22 "../src/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 22 "../src/Widgets/WifiMenuItem.vala"
	result = self->priv->_is_secured;
#line 22 "../src/Widgets/WifiMenuItem.vala"
	return result;
#line 930 "WifiMenuItem.c"
}

static void
network_wifi_menu_item_set_is_secured (NetworkWifiMenuItem* self,
                                       gboolean value)
{
	gboolean old_value;
#line 22 "../src/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 22 "../src/Widgets/WifiMenuItem.vala"
	old_value = network_wifi_menu_item_get_is_secured (self);
#line 22 "../src/Widgets/WifiMenuItem.vala"
	if (old_value != value) {
#line 22 "../src/Widgets/WifiMenuItem.vala"
		self->priv->_is_secured = value;
#line 22 "../src/Widgets/WifiMenuItem.vala"
		g_object_notify_by_pspec ((GObject *) self, network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_IS_SECURED_PROPERTY]);
#line 948 "WifiMenuItem.c"
	}
}

gboolean
network_wifi_menu_item_get_active (NetworkWifiMenuItem* self)
{
	gboolean result;
#line 23 "../src/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 23 "../src/Widgets/WifiMenuItem.vala"
	result = self->priv->_active;
#line 23 "../src/Widgets/WifiMenuItem.vala"
	return result;
#line 962 "WifiMenuItem.c"
}

void
network_wifi_menu_item_set_active (NetworkWifiMenuItem* self,
                                   gboolean value)
{
	gboolean old_value;
#line 23 "../src/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 23 "../src/Widgets/WifiMenuItem.vala"
	old_value = network_wifi_menu_item_get_active (self);
#line 23 "../src/Widgets/WifiMenuItem.vala"
	if (old_value != value) {
#line 23 "../src/Widgets/WifiMenuItem.vala"
		self->priv->_active = value;
#line 23 "../src/Widgets/WifiMenuItem.vala"
		g_object_notify_by_pspec ((GObject *) self, network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_ACTIVE_PROPERTY]);
#line 980 "WifiMenuItem.c"
	}
}

NMDeviceState
network_wifi_menu_item_get_state (NetworkWifiMenuItem* self)
{
	NMDeviceState result;
#line 24 "../src/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 24 "../src/Widgets/WifiMenuItem.vala"
	result = self->priv->_state;
#line 24 "../src/Widgets/WifiMenuItem.vala"
	return result;
#line 994 "WifiMenuItem.c"
}

void
network_wifi_menu_item_set_state (NetworkWifiMenuItem* self,
                                  NMDeviceState value)
{
	NMDeviceState old_value;
#line 24 "../src/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 24 "../src/Widgets/WifiMenuItem.vala"
	old_value = network_wifi_menu_item_get_state (self);
#line 24 "../src/Widgets/WifiMenuItem.vala"
	if (old_value != value) {
#line 24 "../src/Widgets/WifiMenuItem.vala"
		self->priv->_state = value;
#line 24 "../src/Widgets/WifiMenuItem.vala"
		g_object_notify_by_pspec ((GObject *) self, network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_STATE_PROPERTY]);
#line 1012 "WifiMenuItem.c"
	}
}

NMAccessPoint*
network_wifi_menu_item_get_ap (NetworkWifiMenuItem* self)
{
	NMAccessPoint* result;
	NMAccessPoint* _tmp0_;
#line 28 "../src/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 29 "../src/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->_tmp_ap;
#line 29 "../src/Widgets/WifiMenuItem.vala"
	result = _tmp0_;
#line 29 "../src/Widgets/WifiMenuItem.vala"
	return result;
#line 1029 "WifiMenuItem.c"
}

GBytes*
network_wifi_menu_item_get_ssid (NetworkWifiMenuItem* self)
{
	GBytes* result;
	NMAccessPoint* _tmp0_;
	GBytes* _tmp1_;
#line 34 "../src/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 35 "../src/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->_tmp_ap;
#line 35 "../src/Widgets/WifiMenuItem.vala"
	_tmp1_ = nm_access_point_get_ssid (_tmp0_);
#line 35 "../src/Widgets/WifiMenuItem.vala"
	result = _tmp1_;
#line 35 "../src/Widgets/WifiMenuItem.vala"
	return result;
#line 1048 "WifiMenuItem.c"
}

static guint8
network_wifi_menu_item_get_strength (NetworkWifiMenuItem* self)
{
	guint8 result;
	guint8 strength = 0U;
#line 41 "../src/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 42 "../src/Widgets/WifiMenuItem.vala"
	strength = (guint8) 0;
#line 1060 "WifiMenuItem.c"
	{
		GeeLinkedList* _ap_list = NULL;
		GeeLinkedList* _tmp0_;
		gint _ap_size = 0;
		GeeLinkedList* _tmp1_;
		gint _tmp2_;
		gint _tmp3_;
		gint _ap_index = 0;
#line 43 "../src/Widgets/WifiMenuItem.vala"
		_tmp0_ = self->priv->_ap;
#line 43 "../src/Widgets/WifiMenuItem.vala"
		_ap_list = _tmp0_;
#line 43 "../src/Widgets/WifiMenuItem.vala"
		_tmp1_ = _ap_list;
#line 43 "../src/Widgets/WifiMenuItem.vala"
		_tmp2_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp1_);
#line 43 "../src/Widgets/WifiMenuItem.vala"
		_tmp3_ = _tmp2_;
#line 43 "../src/Widgets/WifiMenuItem.vala"
		_ap_size = _tmp3_;
#line 43 "../src/Widgets/WifiMenuItem.vala"
		_ap_index = -1;
#line 43 "../src/Widgets/WifiMenuItem.vala"
		while (TRUE) {
#line 1085 "WifiMenuItem.c"
			gint _tmp4_;
			gint _tmp5_;
			NMAccessPoint* ap = NULL;
			GeeLinkedList* _tmp6_;
			gpointer _tmp7_;
			NMAccessPoint* _tmp8_;
#line 43 "../src/Widgets/WifiMenuItem.vala"
			_ap_index = _ap_index + 1;
#line 43 "../src/Widgets/WifiMenuItem.vala"
			_tmp4_ = _ap_index;
#line 43 "../src/Widgets/WifiMenuItem.vala"
			_tmp5_ = _ap_size;
#line 43 "../src/Widgets/WifiMenuItem.vala"
			if (!(_tmp4_ < _tmp5_)) {
#line 43 "../src/Widgets/WifiMenuItem.vala"
				break;
#line 1102 "WifiMenuItem.c"
			}
#line 43 "../src/Widgets/WifiMenuItem.vala"
			_tmp6_ = _ap_list;
#line 43 "../src/Widgets/WifiMenuItem.vala"
			_tmp7_ = gee_abstract_list_get ((GeeAbstractList*) _tmp6_, _ap_index);
#line 43 "../src/Widgets/WifiMenuItem.vala"
			ap = (NMAccessPoint*) _tmp7_;
#line 44 "../src/Widgets/WifiMenuItem.vala"
			_tmp8_ = ap;
#line 44 "../src/Widgets/WifiMenuItem.vala"
			strength = MAX (strength, nm_access_point_get_strength (_tmp8_));
#line 43 "../src/Widgets/WifiMenuItem.vala"
			_g_object_unref0 (ap);
#line 1116 "WifiMenuItem.c"
		}
	}
#line 46 "../src/Widgets/WifiMenuItem.vala"
	result = strength;
#line 46 "../src/Widgets/WifiMenuItem.vala"
	return result;
#line 1123 "WifiMenuItem.c"
}

GtkImage*
network_wifi_menu_item_get_img_strength (NetworkWifiMenuItem* self)
{
	GtkImage* result;
	GtkImage* _tmp0_;
#line 50 "../src/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 50 "../src/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->_img_strength;
#line 50 "../src/Widgets/WifiMenuItem.vala"
	result = _tmp0_;
#line 50 "../src/Widgets/WifiMenuItem.vala"
	return result;
#line 1139 "WifiMenuItem.c"
}

static void
network_wifi_menu_item_set_img_strength (NetworkWifiMenuItem* self,
                                         GtkImage* value)
{
	GtkImage* old_value;
#line 50 "../src/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 50 "../src/Widgets/WifiMenuItem.vala"
	old_value = network_wifi_menu_item_get_img_strength (self);
#line 50 "../src/Widgets/WifiMenuItem.vala"
	if (old_value != value) {
#line 1153 "WifiMenuItem.c"
		GtkImage* _tmp0_;
#line 50 "../src/Widgets/WifiMenuItem.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 50 "../src/Widgets/WifiMenuItem.vala"
		_g_object_unref0 (self->priv->_img_strength);
#line 50 "../src/Widgets/WifiMenuItem.vala"
		self->priv->_img_strength = _tmp0_;
#line 50 "../src/Widgets/WifiMenuItem.vala"
		g_object_notify_by_pspec ((GObject *) self, network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_IMG_STRENGTH_PROPERTY]);
#line 1163 "WifiMenuItem.c"
	}
}

GtkLabel*
network_wifi_menu_item_get_ssid_label (NetworkWifiMenuItem* self)
{
	GtkLabel* result;
	GtkLabel* _tmp0_;
#line 51 "../src/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 51 "../src/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->_ssid_label;
#line 51 "../src/Widgets/WifiMenuItem.vala"
	result = _tmp0_;
#line 51 "../src/Widgets/WifiMenuItem.vala"
	return result;
#line 1180 "WifiMenuItem.c"
}

static void
network_wifi_menu_item_set_ssid_label (NetworkWifiMenuItem* self,
                                       GtkLabel* value)
{
	GtkLabel* old_value;
#line 51 "../src/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 51 "../src/Widgets/WifiMenuItem.vala"
	old_value = network_wifi_menu_item_get_ssid_label (self);
#line 51 "../src/Widgets/WifiMenuItem.vala"
	if (old_value != value) {
#line 1194 "WifiMenuItem.c"
		GtkLabel* _tmp0_;
#line 51 "../src/Widgets/WifiMenuItem.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 51 "../src/Widgets/WifiMenuItem.vala"
		_g_object_unref0 (self->priv->_ssid_label);
#line 51 "../src/Widgets/WifiMenuItem.vala"
		self->priv->_ssid_label = _tmp0_;
#line 51 "../src/Widgets/WifiMenuItem.vala"
		g_object_notify_by_pspec ((GObject *) self, network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_SSID_LABEL_PROPERTY]);
#line 1204 "WifiMenuItem.c"
	}
}

GtkLabel*
network_wifi_menu_item_get_status_label (NetworkWifiMenuItem* self)
{
	GtkLabel* result;
	GtkLabel* _tmp0_;
#line 52 "../src/Widgets/WifiMenuItem.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 52 "../src/Widgets/WifiMenuItem.vala"
	_tmp0_ = self->priv->_status_label;
#line 52 "../src/Widgets/WifiMenuItem.vala"
	result = _tmp0_;
#line 52 "../src/Widgets/WifiMenuItem.vala"
	return result;
#line 1221 "WifiMenuItem.c"
}

static void
network_wifi_menu_item_set_status_label (NetworkWifiMenuItem* self,
                                         GtkLabel* value)
{
	GtkLabel* old_value;
#line 52 "../src/Widgets/WifiMenuItem.vala"
	g_return_if_fail (self != NULL);
#line 52 "../src/Widgets/WifiMenuItem.vala"
	old_value = network_wifi_menu_item_get_status_label (self);
#line 52 "../src/Widgets/WifiMenuItem.vala"
	if (old_value != value) {
#line 1235 "WifiMenuItem.c"
		GtkLabel* _tmp0_;
#line 52 "../src/Widgets/WifiMenuItem.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 52 "../src/Widgets/WifiMenuItem.vala"
		_g_object_unref0 (self->priv->_status_label);
#line 52 "../src/Widgets/WifiMenuItem.vala"
		self->priv->_status_label = _tmp0_;
#line 52 "../src/Widgets/WifiMenuItem.vala"
		g_object_notify_by_pspec ((GObject *) self, network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_STATUS_LABEL_PROPERTY]);
#line 1245 "WifiMenuItem.c"
	}
}

static void
network_wifi_menu_item_class_init (NetworkWifiMenuItemClass * klass,
                                   gpointer klass_data)
{
	GtkSizeGroup* _tmp0_;
#line 18 "../src/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_parent_class = g_type_class_peek_parent (klass);
#line 18 "../src/Widgets/WifiMenuItem.vala"
	g_type_class_adjust_private_offset (klass, &NetworkWifiMenuItem_private_offset);
#line 18 "../src/Widgets/WifiMenuItem.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_network_wifi_menu_item_get_property;
#line 18 "../src/Widgets/WifiMenuItem.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_network_wifi_menu_item_set_property;
#line 18 "../src/Widgets/WifiMenuItem.vala"
	G_OBJECT_CLASS (klass)->finalize = network_wifi_menu_item_finalize;
#line 18 "../src/Widgets/WifiMenuItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NETWORK_WIFI_MENU_ITEM_IS_SECURED_PROPERTY, network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_IS_SECURED_PROPERTY] = g_param_spec_boolean ("is-secured", "is-secured", "is-secured", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 18 "../src/Widgets/WifiMenuItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NETWORK_WIFI_MENU_ITEM_ACTIVE_PROPERTY, network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_ACTIVE_PROPERTY] = g_param_spec_boolean ("active", "active", "active", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 18 "../src/Widgets/WifiMenuItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NETWORK_WIFI_MENU_ITEM_STATE_PROPERTY, network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_STATE_PROPERTY] = g_param_spec_enum ("state", "state", "state", nm_device_state_get_type (), NM_DEVICE_STATE_DISCONNECTED, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 18 "../src/Widgets/WifiMenuItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NETWORK_WIFI_MENU_ITEM_AP_PROPERTY, network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_AP_PROPERTY] = g_param_spec_object ("ap", "ap", "ap", nm_access_point_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 18 "../src/Widgets/WifiMenuItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NETWORK_WIFI_MENU_ITEM_SSID_PROPERTY, network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_SSID_PROPERTY] = g_param_spec_boxed ("ssid", "ssid", "ssid", G_TYPE_BYTES, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 18 "../src/Widgets/WifiMenuItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NETWORK_WIFI_MENU_ITEM_IMG_STRENGTH_PROPERTY, network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_IMG_STRENGTH_PROPERTY] = g_param_spec_object ("img-strength", "img-strength", "img-strength", gtk_image_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 18 "../src/Widgets/WifiMenuItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NETWORK_WIFI_MENU_ITEM_SSID_LABEL_PROPERTY, network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_SSID_LABEL_PROPERTY] = g_param_spec_object ("ssid-label", "ssid-label", "ssid-label", gtk_label_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 18 "../src/Widgets/WifiMenuItem.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NETWORK_WIFI_MENU_ITEM_STATUS_LABEL_PROPERTY, network_wifi_menu_item_properties[NETWORK_WIFI_MENU_ITEM_STATUS_LABEL_PROPERTY] = g_param_spec_object ("status-label", "status-label", "status-label", gtk_label_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 18 "../src/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_signals[NETWORK_WIFI_MENU_ITEM_USER_ACTION_SIGNAL] = g_signal_new ("user-action", NETWORK_TYPE_WIFI_MENU_ITEM, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 18 "../src/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_signals[NETWORK_WIFI_MENU_ITEM_SETTINGS_REQUEST_SIGNAL] = g_signal_new ("settings-request", NETWORK_TYPE_WIFI_MENU_ITEM, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 64 "../src/Widgets/WifiMenuItem.vala"
	_tmp0_ = gtk_size_group_new (GTK_SIZE_GROUP_HORIZONTAL);
#line 64 "../src/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (network_wifi_menu_item_button_sizegroup);
#line 64 "../src/Widgets/WifiMenuItem.vala"
	network_wifi_menu_item_button_sizegroup = _tmp0_;
#line 1290 "WifiMenuItem.c"
}

static void
network_wifi_menu_item_instance_init (NetworkWifiMenuItem * self,
                                      gpointer klass)
{
#line 18 "../src/Widgets/WifiMenuItem.vala"
	self->priv = network_wifi_menu_item_get_instance_private (self);
#line 24 "../src/Widgets/WifiMenuItem.vala"
	self->priv->_state = NM_DEVICE_STATE_DISCONNECTED;
#line 1301 "WifiMenuItem.c"
}

static void
network_wifi_menu_item_finalize (GObject * obj)
{
	NetworkWifiMenuItem * self;
#line 18 "../src/Widgets/WifiMenuItem.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItem);
#line 26 "../src/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->_tmp_ap);
#line 39 "../src/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->_ap);
#line 50 "../src/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->_img_strength);
#line 51 "../src/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->_ssid_label);
#line 52 "../src/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->_status_label);
#line 56 "../src/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->button_box);
#line 57 "../src/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->connect_button);
#line 58 "../src/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->lock_img);
#line 59 "../src/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->error_img);
#line 60 "../src/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->settings_button_revealer);
#line 61 "../src/Widgets/WifiMenuItem.vala"
	_g_object_unref0 (self->priv->spinner);
#line 18 "../src/Widgets/WifiMenuItem.vala"
	G_OBJECT_CLASS (network_wifi_menu_item_parent_class)->finalize (obj);
#line 1334 "WifiMenuItem.c"
}

static GType
network_wifi_menu_item_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (NetworkWifiMenuItemClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) network_wifi_menu_item_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NetworkWifiMenuItem), 0, (GInstanceInitFunc) network_wifi_menu_item_instance_init, NULL };
	GType network_wifi_menu_item_type_id;
	network_wifi_menu_item_type_id = g_type_register_static (gtk_list_box_row_get_type (), "NetworkWifiMenuItem", &g_define_type_info, 0);
	NetworkWifiMenuItem_private_offset = g_type_add_instance_private (network_wifi_menu_item_type_id, sizeof (NetworkWifiMenuItemPrivate));
	return network_wifi_menu_item_type_id;
}

GType
network_wifi_menu_item_get_type (void)
{
	static volatile gsize network_wifi_menu_item_type_id__once = 0;
	if (g_once_init_enter (&network_wifi_menu_item_type_id__once)) {
		GType network_wifi_menu_item_type_id;
		network_wifi_menu_item_type_id = network_wifi_menu_item_get_type_once ();
		g_once_init_leave (&network_wifi_menu_item_type_id__once, network_wifi_menu_item_type_id);
	}
	return network_wifi_menu_item_type_id__once;
}

static void
_vala_network_wifi_menu_item_get_property (GObject * object,
                                           guint property_id,
                                           GValue * value,
                                           GParamSpec * pspec)
{
	NetworkWifiMenuItem * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItem);
#line 18 "../src/Widgets/WifiMenuItem.vala"
	switch (property_id) {
#line 18 "../src/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_IS_SECURED_PROPERTY:
#line 18 "../src/Widgets/WifiMenuItem.vala"
		g_value_set_boolean (value, network_wifi_menu_item_get_is_secured (self));
#line 18 "../src/Widgets/WifiMenuItem.vala"
		break;
#line 18 "../src/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_ACTIVE_PROPERTY:
#line 18 "../src/Widgets/WifiMenuItem.vala"
		g_value_set_boolean (value, network_wifi_menu_item_get_active (self));
#line 18 "../src/Widgets/WifiMenuItem.vala"
		break;
#line 18 "../src/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_STATE_PROPERTY:
#line 18 "../src/Widgets/WifiMenuItem.vala"
		g_value_set_enum (value, network_wifi_menu_item_get_state (self));
#line 18 "../src/Widgets/WifiMenuItem.vala"
		break;
#line 18 "../src/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_AP_PROPERTY:
#line 18 "../src/Widgets/WifiMenuItem.vala"
		g_value_set_object (value, network_wifi_menu_item_get_ap (self));
#line 18 "../src/Widgets/WifiMenuItem.vala"
		break;
#line 18 "../src/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_SSID_PROPERTY:
#line 18 "../src/Widgets/WifiMenuItem.vala"
		g_value_set_boxed (value, network_wifi_menu_item_get_ssid (self));
#line 18 "../src/Widgets/WifiMenuItem.vala"
		break;
#line 18 "../src/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_IMG_STRENGTH_PROPERTY:
#line 18 "../src/Widgets/WifiMenuItem.vala"
		g_value_set_object (value, network_wifi_menu_item_get_img_strength (self));
#line 18 "../src/Widgets/WifiMenuItem.vala"
		break;
#line 18 "../src/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_SSID_LABEL_PROPERTY:
#line 18 "../src/Widgets/WifiMenuItem.vala"
		g_value_set_object (value, network_wifi_menu_item_get_ssid_label (self));
#line 18 "../src/Widgets/WifiMenuItem.vala"
		break;
#line 18 "../src/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_STATUS_LABEL_PROPERTY:
#line 18 "../src/Widgets/WifiMenuItem.vala"
		g_value_set_object (value, network_wifi_menu_item_get_status_label (self));
#line 18 "../src/Widgets/WifiMenuItem.vala"
		break;
#line 1417 "WifiMenuItem.c"
		default:
#line 18 "../src/Widgets/WifiMenuItem.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 18 "../src/Widgets/WifiMenuItem.vala"
		break;
#line 1423 "WifiMenuItem.c"
	}
}

static void
_vala_network_wifi_menu_item_set_property (GObject * object,
                                           guint property_id,
                                           const GValue * value,
                                           GParamSpec * pspec)
{
	NetworkWifiMenuItem * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NETWORK_TYPE_WIFI_MENU_ITEM, NetworkWifiMenuItem);
#line 18 "../src/Widgets/WifiMenuItem.vala"
	switch (property_id) {
#line 18 "../src/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_IS_SECURED_PROPERTY:
#line 18 "../src/Widgets/WifiMenuItem.vala"
		network_wifi_menu_item_set_is_secured (self, g_value_get_boolean (value));
#line 18 "../src/Widgets/WifiMenuItem.vala"
		break;
#line 18 "../src/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_ACTIVE_PROPERTY:
#line 18 "../src/Widgets/WifiMenuItem.vala"
		network_wifi_menu_item_set_active (self, g_value_get_boolean (value));
#line 18 "../src/Widgets/WifiMenuItem.vala"
		break;
#line 18 "../src/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_STATE_PROPERTY:
#line 18 "../src/Widgets/WifiMenuItem.vala"
		network_wifi_menu_item_set_state (self, g_value_get_enum (value));
#line 18 "../src/Widgets/WifiMenuItem.vala"
		break;
#line 18 "../src/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_IMG_STRENGTH_PROPERTY:
#line 18 "../src/Widgets/WifiMenuItem.vala"
		network_wifi_menu_item_set_img_strength (self, g_value_get_object (value));
#line 18 "../src/Widgets/WifiMenuItem.vala"
		break;
#line 18 "../src/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_SSID_LABEL_PROPERTY:
#line 18 "../src/Widgets/WifiMenuItem.vala"
		network_wifi_menu_item_set_ssid_label (self, g_value_get_object (value));
#line 18 "../src/Widgets/WifiMenuItem.vala"
		break;
#line 18 "../src/Widgets/WifiMenuItem.vala"
		case NETWORK_WIFI_MENU_ITEM_STATUS_LABEL_PROPERTY:
#line 18 "../src/Widgets/WifiMenuItem.vala"
		network_wifi_menu_item_set_status_label (self, g_value_get_object (value));
#line 18 "../src/Widgets/WifiMenuItem.vala"
		break;
#line 1473 "WifiMenuItem.c"
		default:
#line 18 "../src/Widgets/WifiMenuItem.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 18 "../src/Widgets/WifiMenuItem.vala"
		break;
#line 1479 "WifiMenuItem.c"
	}
}

